#
# Table structure for table `computer`
#

CREATE TABLE computer (
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  computer_name varchar(64) default NULL,
  computer_type varchar(64) default NULL,
  parent_group varchar(255) NOT NULL default '',
  inventory_xml longtext,
  inventory_time datetime default NULL,
  update_time datetime default NULL,
  ip_address varchar(64) default NULL,
  description varchar(255) default NULL,
  username varchar(64) default NULL,
  location varchar(255) default NULL,
  location_idx  int,
  building varchar(64),
  floor varchar(64) ,
  cubic varchar(64),
  catalog_number varchar(64),
  supplier int,
  maintenance_supplier int,
  company_serial varchar(64),
  external_serial varchar(64),
  monitor varchar(64),
  monitor_serial varchar(64),
  collection_type int,
  collection_params longtext,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  parent_asset varchar(64),
  department int,
  company int,
  company_backup int default 0,
  disable char(1) default 'N',
  manual_asset char(1),
  purchase_cost float,
  purchase_currency int,
  agent_version varchar(64),
  cust_date1 datetime,
  cust_date2 datetime,
  last_access datetime,
  last_remote_access datetime,
  last_remote_host varchar(64) default NULL,
  version int(11) NOT NULL,
  snmp_cust_text_1 varchar(255),
  snmp_cust_text_2 varchar(255),
  snmp_cust_text_3 varchar(255),
  snmp_cust_text_4 varchar(255),
  snmp_cust_text_5 varchar(255),
  snmp_cust_text_6 varchar(255),
  snmp_cust_text_7 varchar(255),
  snmp_cust_text_8 varchar(255),
  snmp_cust_text_9 varchar(255),
  snmp_cust_text_10 varchar(255),
  snmp_cust_text_11 varchar(255),
  snmp_cust_text_12 varchar(255),
  snmp_cust_text_13 varchar(255),
  snmp_cust_text_14 varchar(255),
  snmp_cust_text_15 varchar(255),
  snmp_cust_text_16 varchar(255),
  snmp_cust_text_17 varchar(255),
  snmp_cust_text_18 varchar(255),
  snmp_cust_text_19 varchar(255),
  snmp_cust_text_20 varchar(255),
  packets_in float default 0,
  packets_out float default 0,
  mac_address varchar(255),
  last_boot datetime,
  track_asset int default 0,
  first_access datetime,
  device_status int(11) default 0,
  device_policy int(11) default 0,
  device_ownership int(11) default 0,
  device_imei varchar(255),
  device_icc varchar(255),
  device_home_carrier varchar(255),
  device_current_carrier varchar(255),
  device_phone_number varchar(64),
  device_push varchar(255),
  ios_push_magic varchar(255),
  ios_unlock_token mediumtext,
  designated_rds varchar(64),
  gfi_version varchar(64),
  gfi_build varchar(64),
  policy_id int(11) default 0,
  patch_enabled numeric(1,0) default 0,
  last_scan_time datetime default NULL,
  last_patch_time datetime default NULL,
  settings_id int(11) default 0,
  PRIMARY KEY  (account_id,computer_id)
);

create index computer_disable_idx_1 on computer (account_id,disable);
create index computer_idx_type_2 on computer(collection_type,computer_id);
create index computer_idx_id_1 on computer (computer_id);

#
# Table structure for table `computer_attributes`
#

CREATE TABLE computer_attributes (
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  cpu_vendor varchar(255) default NULL,
  cpu_model varchar(255) default NULL,
  cpu_speed int(11) default NULL,
  bios_type varchar(255) default NULL,
  display_adapter varchar(255) default NULL,
  display_memory bigint,
  display_resolution varchar(255) default NULL,
  os_type varchar(255) default NULL,
  os_version varchar(255) default NULL,
  os_service_pack varchar(255) default NULL,
  memory_physical bigint(11) default NULL,
  serial varchar(64),
  model varchar(64) ,
  manufacturer varchar(64) ,
  purchase_date datetime,
  warranty_expiration datetime,
  last_maintenance datetime,
  last_page_count int,
  maintenance_page_count int,
  disks_size int,
  disks_count int,
  mem_banks int,
  occupied_mem_banks int,
  free_mem_banks int,
  cpu_count int(11),
  os_name varchar(255),
  os_platform varchar(64),
  os_serial varchar(255),
  cpu_family int(11),
  cpu_stepping int(11),
  cpu_model_number int(11),
  cpu_serial_number varchar(255),
  nt_product_type varchar(255),
  nt_product_type_2 varchar(255),
  nt_os_edition varchar(255),
  nt_service_pack_major_version int(11),
  nt_service_pack_minor_version int(11),
  os_registered_user varchar(255),
  os_registered_org varchar(255),
  os_build_number varchar(255),
  os_kernel varchar(255),
  os_power_shell_version varchar(255),
  PRIMARY KEY  (account_id,computer_id)
);

#
# Table structure for table `computer_changes`
#

CREATE TABLE computer_changes (
  account_id varchar(32) NOT NULL default '',
  id int not null auto_increment,
  computer_id varchar(64) NOT NULL default '',
  change_time datetime NOT NULL,
  change_type varchar(64) NOT NULL default '',
  change_sub_type varchar(64) NOT NULL default '',
  change_description mediumtext NOT NULL,
  log_id int(11) default NULL,
  policy_id int,
  PRIMARY KEY (id)
);

create index computer_changes_idx1 on computer_changes(account_id,computer_id);

#
# Table structure for table `computer_group`
#

CREATE TABLE computer_group (
  account_id varchar(32) NOT NULL default '',
  group_name varchar(255) NOT NULL default '',
  parent_group_name varchar(255) NOT NULL default '',
  group_description varchar(255) default NULL,
  group_level int(11) default NULL,
  PRIMARY KEY  (account_id,group_name)
);

#
# Table structure for table `computer_lists`
#

CREATE TABLE computer_lists (
  account_id varchar(32) NOT NULL default '',
  id int not null auto_increment,
  computer_id varchar(64) NOT NULL default '',
  list_type varchar(64) NOT NULL default '',
  value varchar(255) NOT NULL default '',
  list_display varchar(255),
  version varchar(255),
  license varchar(255),
  PRIMARY KEY(id)
);

#
# Table structure for table `computer_log`
#

CREATE TABLE computer_log (
  log_id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  log_time datetime NOT NULL ,
  log_type varchar(64) NOT NULL default '',
  log_sub_type varchar(64) NOT NULL default '',
  log_description mediumtext NOT NULL,
  ext_reference int(11) default NULL,
  user_name varchar(64) default NULL,
  ext_reference2 int(11) default NULL,
  PRIMARY KEY  (log_id)
);

create index computer_log_idx_compid on computer_log (account_id,computer_id);
#
# Table structure for table `computer_users`
#

CREATE TABLE computer_users (
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  user_name varchar(64) NOT NULL default '',
  full_name varchar(255) default NULL,
  email_address varchar(64) default NULL,
  PRIMARY KEY  (account_id,computer_id,user_name)
);


#
# Table structure for table `cust_values`
#

CREATE TABLE cust_values (
  account_id varchar(32) NOT NULL default '',
  list_name varchar(64) NOT NULL default '',
  value_key int(11) NOT NULL default '0',
  value_caption varchar(255) NOT NULL default '',
  value_class int(11) ,
  module_relevance int default '1023',
  valid_for_user_group varchar(4000),
  PRIMARY KEY  (account_id,list_name,value_key)
);

CREATE TABLE sort_cust_values (
  account_id varchar(32) NOT NULL default '',
  list_name varchar(64) NOT NULL default '',
  sort_by varchar(64),
  PRIMARY KEY  (account_id,list_name)
);


#
# Dumping data for table `cust_values`
#

INSERT INTO cust_values VALUES ('account', 'priority', 1, 'Highest',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 2, 'Very High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 3, 'High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 4, 'Normal',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 5, 'Low',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 1, 'Planned',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 2, 'Specification',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 3, 'Design',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 4, 'Implementation',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 5, 'Test',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 6, 'Deployment',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 7, 'Maintenance',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'status', 1, 'New',0,14,null);
INSERT INTO cust_values VALUES ('account', 'status', 2, 'Open',0,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 3, 'Closed',1,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 4, 'Verified closed',1,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 5, 'Pending',0,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 6, 'Postponed',0,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 7, 'Deleted',2,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 8, 'Reopened by End User',0,18,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 1, 'Specification',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 2, 'Test',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 3, 'Design',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 4, 'Implementation',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 5, 'Support',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 6, 'Installation',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 7, 'Upgrade',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 8, 'Backup',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskStatuses', 1, 'Not started',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskStatuses', 2, 'In progress',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskStatuses', 3, 'Finished',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 1, 'Urgent',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 2, 'Very High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 3, 'High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 4, 'Normal',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 5, 'Low',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 1, 'Project Manager',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 2, 'Team Leader',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 3, 'Team Member',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 4, 'Tester',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 1, 'Poor',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 2, 'Fair',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 3, 'Good',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 4, 'Very Good',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 5, 'Excellent',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'currencyList', 1, 'USD',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'currencyList', 2, 'EUR',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',1,'Active',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',2,'Deleted',2,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',3,'Under Testing Environment',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',4,'In Production',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',5,'Inactive',1,1023,null);
INSERT INTO cust_values VALUES ('account','departments',1,'IT',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 1, 'Minor',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 2, 'Significant',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 3, 'Major',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 4, 'Proposal',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 1, 'Solved (Permanently)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 2, 'Solved (Work Around)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 3, 'Solved On-site',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 4, 'Solved Remotely',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 5, 'Not Solved (Not Reproducible)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 6, 'Not Solved (Too Costly)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 7, 'Closed/Resolved by Requester',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceOwnership', 1, 'Employee Owned',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceOwnership', 2, 'Corporate Owned',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 1, 'Enrolled',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 2, 'Not enrolled',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 3, 'Revoked by Admin',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 4, 'Revoked by End-User',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'recurrenceList', 1, 'Daily',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'recurrenceList', 2, 'Weekly',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'recurrenceList', 3, 'Monthly',0,1023,null);

#
# Table structure for table `event`
#

CREATE TABLE event (
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  log_type varchar(64) NOT NULL default '',
  event_time datetime NOT NULL ,
  record_number int(11) NOT NULL default '0',
  event_id int(11) NOT NULL default '0',
  event_type varchar(64) NOT NULL default '',
  event_source varchar(64) NOT NULL default '',
  event_category varchar(64) default NULL,
  event_username varchar(64) default NULL,
  event_domain varchar(64) default NULL,
  event_computer varchar(64) default NULL,
  event_description varchar(255) default NULL,
  event_binary longblob,
  event_char_data longtext,
  PRIMARY KEY  (account_id,computer_id,log_type,event_time,record_number)
);



#
# Table structure for table `list_view`
#

CREATE TABLE list_view (
  account_id varchar(32) NOT NULL default '',
  list_name varchar(64) NOT NULL default '',
  list_view_name varchar(64) NOT NULL default '',
  user_name varchar(64) NOT NULL default '',
  list_conf mediumtext,
  enable_delete char(1) default 'Y',
  version int(11) default 0,
  PRIMARY KEY (account_id,list_name,list_view_name,user_name)
);


#
# Table structure for table `login_log`
#

CREATE TABLE login_log (
  id int not null auto_increment,
  log_time datetime default NULL,
  account_id varchar(32) default NULL,
  user_name varchar(64) default NULL,
  status varchar(64) default NULL,
  ip_address varchar(64) default NULL ,
  PRIMARY KEY (id)
);


#
# Table structure for table `messages`
#

CREATE TABLE messages (
  message_id int not null auto_increment,
  user_name varchar(64) NOT NULL default '',
  sent_time datetime NOT NULL ,
  sender varchar(64) default NULL,
  recv_flag int(11) NOT NULL default '0',
  msg mediumtext,
  msgid varchar(64),
  service_request_id int,
  display_to_user char(1) default 'Y',
  PRIMARY KEY  (message_id)
);

create index messages_idx1 on messages(user_name,sent_time);

#
# Table structure for table `problem_type`
#

CREATE TABLE problem_type (
  category_id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL default '',
  first_level_key int(11),
  second_level_key int(11),
  third_level_key int(11),
  problem_type varchar(64) NOT NULL default '',
  problem_sub_type varchar(64) NOT NULL default '',
  route varchar(64) default NULL,
  desc_template longtext,
  third_level_category varchar(64)  NOT NULL,
  module_relevance int default '1023',
  incident_template int(11) default -1,
  request_template int(11) default -1,
  change_template int(11) default -1,
  problem_template int(11) default -1,
  created_by varchar(255),
  created_date datetime,
  modified_by varchar(255),
  modified_date datetime,
  PRIMARY KEY  (account_id,problem_type,problem_sub_type,third_level_category),
  UNIQUE INDEX category_id(category_id)
);

#
# Table structure for table `service_req`
#

CREATE TABLE service_req (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  ci_id int(11),
  problem_type varchar(64) default NULL,
  problem_sub_type varchar(64) default NULL,
  title varchar(255) default NULL,
  description longtext,
  workaround longtext,
  known_error char(1) default 'N',
  status int(11) default NULL,
  contact mediumtext,
  responsibility varchar(64) default NULL,
  urgency int(11) default NULL,
  priority int(11) default NULL,
  notes mediumtext,
  resolution mediumtext,
  solution mediumtext,
  insert_time datetime default NULL,
  update_time datetime default NULL,
  close_time datetime default NULL,
  update_user varchar(64) default NULL,
  version int(11) NOT NULL default '0',
  knowledge_base int(11) NOT NULL default '0',
  submit_user varchar(64) default NULL,
  submit_user_type tinyint(4) NOT NULL default '0',
  request_user varchar(64) default NULL,
  request_user_type tinyint(4) NOT NULL default '0',
  responsible_manager varchar(64) ,
  email_account varchar(64) ,
  due_date datetime default NULL,
  location int(11) default NULL,
  parent_link int(11),
  escalation int(11),
  third_level_category varchar(64),
  assigned_group varchar(64),
  timers_update_time datetime,
  timer1 bigint,
  timer2 bigint,
  timer3 bigint,
  timer4 bigint,
  timer5 bigint,
  timer6 bigint,
  timer7 bigint,
  timer8 bigint,
  timer9 bigint,
  timer10 bigint,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  cc varchar(4000),
  project_id int,
  task_id int,
  sr_type int default 1,
  full_name varchar(255),
  cust_date1 datetime,
  cust_date2 datetime,
  source int default 0,
  sr_sub_type int,
  followup_planned_date datetime,
  followup_actual_date datetime,
  followup_user varchar(64),
  followup_text mediumtext,
  success_rating int(11),
  reopen_counter int(11),
  assign_counter int(11),
  max_support_level int(11),
  current_support_level int(11),
  agreement int default 0,
  survey_status int default  0,
  impact int default 0,
  change_category int(11) default 0,
  archive int(11) default 0,
  closure_information int(11) default  0,
  visible_to_eu char(1) default 'N',
  sr_class varchar(255),
  sr_weight int(11) default 0,
  PRIMARY KEY  (id)
);

create index service_req_ind_1 on service_req (status );
create index service_req_ind_3 on service_req (account_id, sr_type, status);
create index service_req_ind_4 on service_req (account_id, sr_type);
create index service_req_ind_5 on service_req(account_id,parent_link);
create index service_req_ind_6 on service_req(account_id,archive);
create index service_req_ind_archive on service_req(archive);

#
# Table structure for table `service_req_history`
#

CREATE TABLE service_req_history (
  id int(11) NOT NULL default '0',
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  ci_id int(11),
  problem_type varchar(64) default NULL,
  problem_sub_type varchar(64) default NULL,
  title varchar(255) default NULL,
  description longtext,
  workaround longtext,
  known_error char(1) default 'N',
  status int(11) default NULL,
  contact mediumtext,
  responsibility varchar(64) default NULL,
  urgency int(11) default NULL,
  priority int(11) default NULL,
  notes mediumtext,
  resolution mediumtext,
  solution mediumtext,
  insert_time datetime default NULL,
  update_time datetime default NULL,
  close_time datetime default NULL,
  update_user varchar(64) default NULL,
  version int(11) NOT NULL default '0',
  knowledge_base int(11) NOT NULL default '0',
  submit_user varchar(64) default NULL,
  submit_user_type tinyint(4) NOT NULL default '0',
  request_user varchar(64) default NULL,
  request_user_type tinyint(4) NOT NULL default '0',
  responsible_manager varchar(64) ,
  email_account varchar(64) ,
  due_date datetime default NULL,
  location int(11) default NULL,
  parent_link int(11),
  escalation int(11),
  third_level_category varchar(64),
  assigned_group varchar(64),
  timers_update_time datetime,
  timer1 bigint,
  timer2 bigint,
  timer3 bigint,
  timer4 bigint,
  timer5 bigint,
  timer6 bigint,
  timer7 bigint,
  timer8 bigint,
  timer9 bigint,
  timer10 bigint,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  cc varchar(4000),
  project_id int,
  task_id int,
  sr_type int default 1,
  full_name varchar(255),
  cust_date1 datetime,
  cust_date2 datetime,
  source int default 0,
  sr_sub_type int,
  followup_planned_date datetime,
  followup_actual_date datetime,
  followup_user varchar(64),
  followup_text mediumtext,
  success_rating int(11) ,
  reopen_counter int(11),
  assign_counter int(11),
  max_support_level int(11),
  current_support_level int(11),
  agreement int default 0,
  survey_status int default  0,
  impact int default 0,
  change_category int(11) default 0,
  archive int(11) default 0,
  closure_information int(11) default  0,
  visible_to_eu char(1),
  sr_class varchar(255),
  sr_weight int(11) default 0,
  PRIMARY KEY  (account_id,id,version)
);
create index serv_req_hist_idx1 on service_req_history (id, version);

#
# Table structure for table `sysaid_user`
#

CREATE TABLE sysaid_user (
  ref_id int not null auto_increment ,
  user_name varchar(64) NOT NULL default '',
  account_id varchar(32) NOT NULL default '',
  password varchar(64) NOT NULL default '',
  first_name varchar(64) default NULL,
  last_name varchar(64) default NULL,
  main_user char(1) default NULL,
  email_address varchar(64) default NULL,
  sms_number varchar(255) default NULL,
  ip_address varchar(64) default NULL,
  user_conf mediumtext,
  phone varchar(64) default NULL,
  cell_phone varchar(64) default NULL,
  notes varchar(255) default NULL,
  location int(11) default NULL,
  car_number varchar(64) default NULL,
  building varchar(64) default NULL,
  floor varchar(64) default NULL,
  cubic varchar(64) default NULL,
  administrator char(1),
  manager char(1),
  version int(11) default 0,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  department int,
  company int,
  company_backup int default 0 ,
  disable char(1),
  expiration_time datetime,
  cust_date1 datetime,
  cust_date2 datetime,
  history_version int(11) NOT NULL,
  ldap int(11) NOT NULL default 0,
  check_ldap int(11) default 0,
  email_notifications char(1) default 'Y',
  permissions_by_groups char(1),
  user_manager_name varchar(64) default NULL,
  chat_nick_name varchar(64),
  enable_login_to_eup char(1) default '1',
  agreement  int default 0,
  display_name varchar(64),
  secondary_email varchar(64) default NULL,
  my_photo_url varchar(64) default NULL,
  sr_email_notif_condition longtext,
  login_user varchar(64),
  login_domain varchar(64),
  login_guid varchar(64),
  calculated_user_name varchar(255),
  calculated_user_name_upper varchar(255),
  locale varchar(64),
  timezone varchar(64),
  charset varchar(64),
  login_user_upper varchar(64),
  user_name_upper varchar(64),
  ssp_theme int(11) default 0,
  created_by varchar(255),
  created_date datetime,
  modified_by varchar(255),
  modified_date datetime,
  ldap_distinguished_name varchar(255),
  ldap_user_guid varchar(64),
  PRIMARY KEY user_name (user_name),
  unique index ref_id(ref_id)
 );


create index sysaid_user_idx_1 on sysaid_user (calculated_user_name_upper);
create index sysaid_user_idx_2 on sysaid_user (login_user,login_domain);
create index sysaid_user_idx_3 on sysaid_user (disable,administrator);
create index sysaid_user_idx_4 on sysaid_user (login_guid);
create index sysaid_user_idx_5 on sysaid_user (user_name_upper);
create index sysaid_user_idx_6 on sysaid_user (login_user_upper,login_domain);

CREATE TABLE sysaid_user_history (
    user_name varchar(64) NOT NULL default '',
    account_id varchar(32) NOT NULL default '',
    password varchar(64) NOT NULL default '',
    first_name varchar(64) default NULL,
    last_name varchar(64) default NULL,
    main_user char(1) default NULL,
    email_address varchar(64) default NULL,
    sms_number varchar(255) default NULL,
    ip_address varchar(64) default NULL,
    user_conf mediumtext,
     company_backup int default 0,
    phone varchar(64) default NULL,
    cell_phone varchar(64) default NULL,
    notes varchar(255) default NULL,
    location int(11) default NULL,
    car_number varchar(64) default NULL,
    building varchar(64) default NULL,
    floor varchar(64) default NULL,
    cubic varchar(64) default NULL,
    administrator char(1),
    manager char(1),
    version int(11) default 0,
    cust_list1 int,
    cust_list2 int,
    cust_text1 varchar(255),
    cust_text2 varchar(255),
    cust_notes longtext,
    cust_int1 int,
    cust_int2 int,
    department int,
    company int,
    disable char(1),
    expiration_time datetime,
    cust_date1 datetime,
    cust_date2 datetime,
    history_version int(11) NOT NULL,
    ldap int(11) NOT NULL default 0,
    check_ldap int(11) default 0,
    change_time datetime,
    changed_by varchar(64),
    email_notifications char(1) default 'Y',
    permissions_by_groups char(1),
    user_manager_name varchar(64) default NULL,
    chat_nick_name varchar(64),
    enable_login_to_eup char(1) default 'Y',
    agreement  int default 0,
    display_name varchar(64),
    secondary_email varchar(64) default NULL,
    my_photo_url varchar(64) default NULL,
    sr_email_notif_condition longtext,
    login_user varchar(64),
    login_domain varchar(64),
    login_guid varchar(64),
    calculated_user_name varchar(255),
    calculated_user_name_upper varchar(255),
    locale varchar(64),
    timezone varchar(64),
    charset varchar(64),
    login_user_upper varchar(64),
    user_name_upper varchar(64),
    ssp_theme int(11) default 0,
    created_by varchar(255),
    created_date datetime,
    modified_by varchar(255),
    modified_date datetime,
    ldap_distinguished_name varchar(255),
    ldap_user_guid varchar(64),
    UNIQUE KEY user_name (user_name,history_version)
);

#
# Table structure for table `work_report`
#

CREATE TABLE work_report (
  id int(11) NOT NULL auto_increment,
  service_req_id int(11) default NULL,
  account_id varchar(32) default NULL,
  user_name varchar(64) default NULL,
  from_time datetime default NULL,
  to_time datetime default NULL,
  description mediumtext,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  cust_int3 int,
  cust_int4 int,
  cust_date1 datetime,
  cust_date2 datetime,
  ci_id int,
  PRIMARY KEY  (id)
);




CREATE TABLE user2asset (
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL ,
  computer_id varchar(64) NOT NULL  ,
  PRIMARY KEY  (account_id,user_name,computer_id)
);

create table service_req_data (
  id int(11) NOT NULL,
  account_id varchar(32) NOT NULL ,
  screen_capture longblob ,
  PRIMARY KEY  (account_id,id)
);

CREATE TABLE service_req_log (
  log_id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  service_req_id int(11) NOT NULL ,
  log_time datetime NOT NULL ,
  log_type varchar(64) NOT NULL ,
  log_description mediumtext ,
  ext_reference int(11) NOT NULL ,
  user_name varchar(64) NOT NULL ,
  PRIMARY KEY  (log_id)
);

create index service_req_log_idx1 on service_req_log (account_id,service_req_id);

create table software (
  software_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  product_name varchar(255) NOT NULL ,
  version varchar(64) ,
  vendor varchar(64) ,
  licenses int ,
  purchase_date datetime,
  support_expiration datetime,
  notes mediumtext,
  company int,
  company_backup int default 0,
  supplier int(11) default 0,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  cust_date1 datetime,
  cust_date2 datetime,
  history_version int(11) NOT NULL,
  freeware varchar(1),
  exceedlic_installed int default 0,
  filter_xml longtext,
  PRIMARY KEY  (software_id)
);

create table software2install_name (
  account_id varchar(32) NOT NULL ,
  software_id int NOT NULL,
  install_name varchar(255) NOT NULL,
  version varchar(255),
  name_and_version varchar(512),
  PRIMARY KEY  (software_id,install_name,version)
);

create table asset_catalog(
  account_id varchar(32) NOT NULL ,
  catalog_number varchar(64) NOT NULL,
  name varchar(255) NOT NULL ,
  model varchar(64) ,
  manufacturer varchar(64) ,
  supplier_id int,
  notes mediumtext,
  cust_date1 datetime,
  cust_date2 datetime,
  version int(11) NOT NULL,
  PRIMARY KEY  (account_id,catalog_number)
);

create table supplier(
  supplier_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  name varchar(255) NOT NULL ,
  address mediumtext,
  phone varchar(64),
  fax  varchar(64),
  email_address varchar(64),
  notes mediumtext,
  mobile varchar(64),
  phone2 varchar(64),
  contact_name varchar(64),
  account_number varchar(64),
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  cust_date1 datetime,
  cust_date2 datetime,
  version int(11) NOT NULL,
  PRIMARY KEY  (supplier_id)
);

create table faq(
  account_id varchar(32) NOT NULL ,
  id int NOT NULL,
  title varchar(255),
  question mediumtext,
  answer longtext,
  question_no_html mediumtext,
  answer_no_html longtext,
  category varchar(64),
  sub_category varchar(64),                                      
  third_level_category varchar(64),
  kb char(1),
  faq char(1),
  update_time datetime,
  admin_topic_views int NOT NULL default 0,
  user_topic_views int NOT NULL default 0,
  created_on datetime,
  created_by varchar(64),
  update_by varchar(64),
  enable_expire int,
  expire_date datetime,
  keywords varchar(255) default '',
  publish int,
  voteYes int default 0,
  voteNo int default 0,
  version int(11) NOT NULL,
  PRIMARY KEY   (account_id,id)
);

create table faq_history(
  account_id varchar(32) NOT NULL ,
  id int NOT NULL,
  title varchar(255),
  question mediumtext,
  answer longtext,
  question_no_html mediumtext,
  answer_no_html longtext,
  category varchar(64),
  sub_category varchar(64),
  third_level_category varchar(64),
  kb char(1),
  faq char(1),
  update_time datetime,
  admin_topic_views int NOT NULL default 0,
  user_topic_views int NOT NULL default 0,
  created_on datetime,
  created_by varchar(64),
  update_by varchar(64),
  enable_expire int,
  expire_date datetime,
  keywords varchar(255) default '',
  publish int,
  voteYes int default 0,
  voteNo int default 0,
  version int(11) NOT NULL,
  change_time datetime,
  changed_by varchar(64),
  PRIMARY KEY   (account_id,id,version)
);

CREATE TABLE faq_tags (
  faq_id int not null auto_increment,
  id int,
  tag varchar(255) default '',
  PRIMARY KEY(faq_id)
);
create index faq_tags_ind_1 on faq_tags(id);
create index faq_tags_ind_2 on faq_tags(tag);

create table service_req_files (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  chat_session_id varchar(64),
  file_content longblob ,
  real_file_name varchar(255),
  file_checksum varchar(128),
  file_checksum_alg varchar(10),
  file_ext varchar(10),
  file_source varchar(20),
  file_size int,
  user_name varchar(64),
  PRIMARY KEY (account_id, id, file_id)
);
create index service_req_checksum_idx on service_req_files(file_checksum, id);

create table service_req_msg (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  msg_time datetime NOT NULL ,
  from_user varchar(64) ,
  to_user varchar(4000) ,
  cc_user varchar(4000),
  method varchar(64),
  subject mediumtext,
  msgid varchar(160),
  msg_body longtext,
  email_html_source longtext,
  PRIMARY KEY  (account_id,id,msgid)
);

CREATE TABLE commands (
    account_id varchar(32) NOT NULL,
    command varchar(255) NOT NULL,
    PRIMARY KEY (account_id, command)
);

CREATE TABLE user_groups (
  ref_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL,
  group_name varchar(64) NOT NULL,
  group_type int NOT NULL,
  support_level int NOT NULL default 0,    
  permission mediumtext,
  display_group char(1) default 'Y',
  automatic_dispatch char(1) default 'N',
  system_admin char(1) default 'N',
  visible_to_groups char(1) default 'N',
  managed_by_groups char(1) default 'N',
  company int default 0,
  group_email varchar(255),
  email_notif_condition longtext,
  email_notifications numeric(1,0) default 1,
  created_by varchar(255),
  created_date datetime,
  modified_by varchar(255),
  modified_date datetime,
  group_guid varchar(255),
  group_distinguished_name varchar(255),
  group_source varchar(64),
  ldap_id int,
  ldap_iteration int,
  PRIMARY KEY  (account_id,group_name ),
  unique index ref_id(ref_id)

);

create index user_groups_idx_1 on user_groups (group_name,group_type);
create index user_groups_idx_2 on user_groups (display_group);

CREATE TABLE user2group (
  account_id varchar(32) NOT NULL,
  group_name varchar(64) NOT NULL,
  user_name varchar(64) NOT NULL,
  PRIMARY KEY  (account_id,group_name,user_name )
);

create index user2group_idx_1 on user2group (user_name);

CREATE TABLE project (
  id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL,
  version int NOT NULL,
  category int,
  title varchar(255) ,
  description longtext,
  status int ,
  notes longtext,
  start_time datetime,
  end_time datetime,
  raw_estimation int,
  request_group varchar(64),
  manager varchar(64),
  assigned_group varchar(64),
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  company int,
  company_backup int default 0 ,
  incidentTitle varchar(255),
  cust_date1 datetime,
  cust_date2 datetime,
  progress int,
  PRIMARY KEY  (id )
);

CREATE TABLE project_history (
  id int NOT NULL ,
  account_id varchar(32) NOT NULL,
  version int NOT NULL,
  category int,
  title varchar(255) ,
  description longtext,
  status int ,
  notes longtext,
  start_time datetime,
  end_time datetime,
  raw_estimation int,
  request_group varchar(64),
  manager varchar(64),
  assigned_group varchar(64),
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  company int,
  company_backup int default 0,
  incidentTitle varchar(255),
  cust_date1 datetime,
  cust_date2 datetime,
  progress int,
  PRIMARY KEY  (id,version )
);

CREATE TABLE project_log (
  log_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  project_id int NOT NULL ,
  log_time datetime NOT NULL ,
  log_type varchar(64) NOT NULL ,
  log_description mediumtext NOT NULL,
  ext_reference int NOT NULL,
  user_name varchar(64) NOT NULL,
  PRIMARY KEY  (log_id)
) ;

create table project_users (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL,
  user_role int,
  PRIMARY KEY  (account_id,id,user_name )
);

create table project_files (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_content longblob ,
  file_date datetime ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE task (
  id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL,
  version int NOT NULL,
  project_id int,
  category int,
  title varchar(255) ,
  description longtext,
  status int ,
  notes longtext,
  progress int,
  start_time datetime,
  end_time datetime,
  estimation int,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  task_order int(11) default 0,
  notification varchar(64),
  cust_date1 datetime,
  cust_date2 datetime,
  ci_id int,
  task_dependency int,
  task_dependency_type int,
  email_account int default 0,
  PRIMARY KEY  (id )
);

CREATE TABLE task_history (
  id int NOT NULL,
  account_id varchar(32) NOT NULL,
  version int NOT NULL,
  project_id int,
  category int,
  title varchar(255) ,
  description longtext,
  status int ,
  notes longtext,
  progress int,
  start_time datetime,
  end_time datetime,
  estimation int,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  task_order int(11) default 0,
  notification varchar(64),
  cust_date1 datetime,
  cust_date2 datetime,
  ci_id int,
  task_dependency int,
  task_dependency_type int,
  email_account int default 0,
  PRIMARY KEY  (id,version )
);

CREATE TABLE task_log (
  log_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  task_id int NOT NULL ,
  log_time datetime NOT NULL ,
  log_type varchar(64) NOT NULL ,
  log_description mediumtext NOT NULL,
  ext_reference int NOT NULL,
  user_name varchar(64) NOT NULL,
  PRIMARY KEY  (log_id)
) ;

create table task_users (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL,
  user_role int,
  PRIMARY KEY  (account_id,id,user_name )
);

CREATE TABLE task_activities (
  id int NOT NULL auto_increment,
  task_id int ,
  account_id varchar(32) default NULL,
  user_name varchar(64) default NULL,
  from_time datetime default NULL,
  to_time datetime default NULL,
  description varchar(4000) default NULL,
  activity_status int(11),
  ci_id int,
  PRIMARY KEY  (id)
);

create table task_files (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_content longblob ,
  file_date datetime ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE asset_types (
  account_id varchar(32) NOT NULL ,
  computer_type varchar(64) NOT NULL ,
  caption varchar(64) NOT NULL ,
  file_name varchar(255),
  default_file_name varchar(255),
  ci_sub_type_id int,
  PRIMARY KEY  (account_id,computer_type )
);

insert into asset_types values ('account','Laptop','Laptop','laptop_32.png','laptop_32.png',1 );
insert into asset_types values ('account','PDA','Smartphone','pda_32.png','pda_32.png',2 );
insert into asset_types values ('account','Printer','Printer','printer_32.png','printer.gif',3 );
insert into asset_types values ('account','Server','Server','server_32.png','server.gif',4 );
insert into asset_types values ('account','Workstation','Workstation','workstation_32.png','workstation.gif',5 );
insert into asset_types values ('account','Switch','Switch','switch_32.png','switch_32.png',6 );
insert into asset_types values ('account','Router','Router','router_32.png','router_32.png',7 );
insert into asset_types values ('account','DHCP Server','DHCP Server','dhcp_server_32.png','dhcp_server_32.png',8 );
insert into asset_types values ('account','Other SNMP Device','Other SNMP Device','snmp_device_32.png','snmp_device_32.png',9 );
insert into asset_types values ('account','Other','Other','other_32.png','other.gif',10 );
insert into asset_types values ('account','Tablet','Tablet','tablet_32.png','tablet_32.png',11 );

insert into commands (account_id,command) values ('account','Inventory');
insert into commands (account_id,command) values ('account','Upgrade');

CREATE TABLE company (
  company_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL,
  company_name varchar(255) ,
  address varchar(255) ,
  address2 varchar(255) ,
  city varchar(64),
  state varchar(64),
  zip varchar(64),
  country varchar(64),
  phone varchar(64),
  fax varchar(64),
  notes longtext,
  cust_list1 int,
  cust_list2 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_notes longtext,
  cust_int1 int,
  cust_int2 int,
  expiration_time datetime,
  cust_date1 datetime,
  cust_date2 datetime,
  version int(11) NOT NULL,
  agreement  int default 0,
  agreement_start datetime,
  agreement_end datetime,
  logo_file_name varchar(64),
  email_account varchar(255),
  ssp_banner int(11) default 0,
  ssp_theme int(11) default 0,
  PRIMARY KEY  (company_id )
);

create index company_idx_1 on company (company_name);

create table monitor_templates (
  account_id varchar(32) NOT NULL,
  template_name varchar (64) NOT NULL,
  is_server char(1) NOT NULL,
  check_type varchar(32) NOT NULL,
  check_name varchar(200) NOT NULL,
  protocol varchar(64),
  port_num int,
  url_path varchar(255),
  expression varchar(255),
  update_type varchar(64),
  warning_at int,
  warning_notification varchar(64),
  error_at int,
  error_notification varchar(64),
  PRIMARY KEY  (account_id,template_name,check_type,check_name,is_server));

create table monitoring_conf(
  account_id varchar(32) NOT NULL ,
  computer_id varchar(64) NOT NULL,
  is_server char(1) NOT NULL,
  template_name varchar(64) default '',
  notification varchar(64),
  alert int default 0,
  sr_sent int,
  mail_sent int,
  sms_sent int,
  monitoring_enabled char(1) default '1',
  PRIMARY KEY  (account_id,computer_id));

create table monitor_embed_data(
  account_id varchar(32) NOT NULL,
  computer_id varchar (64) NOT NULL,
  is_server char(1) NOT NULL,
  check_type varchar(32) NOT NULL,
  check_name varchar(200) NOT NULL,
  protocol varchar(64),
  port_num int,
  url_path varchar(255),
  expression varchar(255),
  update_type varchar(64),
  warning_at int,
  warning_notification varchar(64),
  error_at int,
  error_notification varchar(64),
  idx_day int,
  idx_week int,
  idx_month int,
  idx_year int,
  time_day datetime,
  time_week datetime,
  time_month datetime,
  time_year datetime,
  warn_sr_sent int,
  warn_mail_sent int,
  warn_sms_sent int,
  err_sr_sent int ,
  err_mail_sent int ,
  err_sms_sent int ,
  alert int default 0,
  extra_data varchar(255),
  predefined_check int,
  PRIMARY KEY  (account_id,computer_id,check_type,check_name));

create index monitor_embed_data_idx1 on monitor_embed_data(computer_id,check_type,check_name);

create table services_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table services_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table services_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime, PRIMARY KEY(account_id,computer_id,check_name,idx));

create table services_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,   
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_day_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_week_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_month_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_year_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  check_name varchar(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time datetime,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_embed_data (
  check_name varchar(200) NOT NULL,
  url_path varchar(255),
  expression varchar(255),
  retries int,
  error_at int,
  error_notification varchar(64),
  idx_day int,
  idx_week int,
  idx_month int,
  idx_year int,
  time_day datetime,
  time_week datetime,
  time_month datetime,
  time_year datetime,
  err_sr_sent int ,
  err_mail_sent int ,
  err_sms_sent int ,
  alert int default 0,
  extra_data varchar(255),
  PRIMARY KEY  (check_name));

create table monitor_events (
  id int NOT NULL auto_increment,
  severity int NOT NULL,
  source varchar(255),
  source_name varchar(255),
  monitor_type varchar(64),
  monitor_target varchar(255),
  port_num int,
  url_path varchar(255),
  category varchar(64),
  upd_time datetime,
  check_value float,
  expression varchar(255),
  warning_threshold int,
  warning_notification varchar(64),
  error_threshold int,
  error_notification varchar(64),
  check_value1 float,
  check_value2 float,
  port_name varchar(64),
  PRIMARY KEY (id));

create index monitor_events_idx1 on monitor_events(upd_time desc);
create index monitor_events_idx2 on monitor_events(source,monitor_type);

create table predefined_services_check (
  id int NOT NULL auto_increment,
  name varchar(64),
  display_name varchar(64),
  notification varchar(64),
  is_monitor int,
  PRIMARY KEY (id));

INSERT INTO predefined_services_check (id,name,display_name) VALUES (1,'DHCPServer','DHCP Server');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (2,'DNS','DNS Server');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (3,'dmserver','Disk Manager');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (4,'Eventlog','Event Log');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (5,'NtFrs','File Replication Service');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (6,'msftpsvc','FTP');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (7,'IAS','IAS');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (8,'IISADMIN','IIS');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (9,'Messenger','Messenger');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (10,'MySql','MySQL');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (11,'Netlogon','Net Logon');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (12,'Spooler','Print Spooler');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (13,'RpcSs','RPC');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (14,'SMTPSVC','SMTP');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (15,'TapiSrv','Telephony');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (16,'TlntSrv','Telnet');

ALTER TABLE  predefined_services_check AUTO_INCREMENT = 100;

create table predefined_network_check (
  id int NOT NULL auto_increment,
  name varchar(64),
  port int,
  notification varchar(64),
  is_monitor int,
  PRIMARY KEY (id));

INSERT INTO predefined_network_check (id,name,port) VALUES (1,'Ping',null);
INSERT INTO predefined_network_check (id,name,port) VALUES (2,'DNS',53);
INSERT INTO predefined_network_check (id,name,port) VALUES (3,'FTP',21);
INSERT INTO predefined_network_check (id,name,port) VALUES (4,'HTTP',80);
INSERT INTO predefined_network_check (id,name,port) VALUES (5,'HTTPS',443);
INSERT INTO predefined_network_check (id,name,port) VALUES (6,'IMAP',143);
INSERT INTO predefined_network_check (id,name,port) VALUES (7,'Kerberos',88);
INSERT INTO predefined_network_check (id,name,port) VALUES (8,'LDAP',389);
INSERT INTO predefined_network_check (id,name,port) VALUES (9,'MSSQL',1433);
INSERT INTO predefined_network_check (id,name,port) VALUES (10,'MYSQL',3306);
INSERT INTO predefined_network_check (id,name,port) VALUES (11,'Oracle',1521);
INSERT INTO predefined_network_check (id,name,port) VALUES (12,'POP',110);
INSERT INTO predefined_network_check (id,name,port) VALUES (13,'RPC',135);
INSERT INTO predefined_network_check (id,name,port) VALUES (14,'SMTP',25);
INSERT INTO predefined_network_check (id,name,port) VALUES (15,'SSH',22);
INSERT INTO predefined_network_check (id,name,port) VALUES (16,'Telnet',23);
INSERT INTO predefined_network_check (id,name,port) VALUES (17,'VNC',5900);
INSERT INTO predefined_network_check (id,name,port) VALUES (18,'WebLogic',7001);

ALTER TABLE  predefined_network_check AUTO_INCREMENT = 100;


create index COMPUTER_LISTS_IDX1 on computer_lists(account_id,computer_id,list_type);

CREATE TABLE news (
  news_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL default '',
  present char(1),
  title varchar(255) default NULL,
  description mediumtext default NULL ,
  administrator char(1),
  urgency char(1),
  insert_time datetime default NULL,
  company int default 0,
  company_backup int default 0,
  assigned_group varchar(64) default '0',
  PRIMARY KEY  (news_id) );

CREATE TABLE satisfaction_survey (
 account_id  varchar(32) NOT NULL default '',
 sr_id int(11)  NOT NULL,
 answer int,
 comments VARCHAR(255) default NULL,
 update_time datetime default NULL,
 responsibility varchar(64) default NULL,
 question_id int default 1 NOT NULL,
PRIMARY KEY (account_id, sr_id,question_id) );

  create index COMPUTER_LISTS_IDX2  on computer_lists (value asc);

  create table computer_files (
    id varchar(64) NOT NULL,
    account_id varchar(32) NOT NULL ,
    file_id varchar(64) NOT NULL,
    file_name varchar(255),
    file_date datetime,
    file_content longblob ,
    real_file_name varchar(255),
    PRIMARY KEY  (account_id,id,file_id )
  );

  create table software_files (
    id int NOT NULL,
    account_id varchar(32) NOT NULL ,
    file_id varchar(64) NOT NULL,
    file_name varchar(255),
    file_date datetime,
    file_content longblob ,
    real_file_name varchar(255),
    PRIMARY KEY  (account_id,id,file_id )
  );

  create table computer_links (
    id varchar(64) NOT NULL,
    account_id varchar(32) NOT NULL ,
    file_id varchar(64) NOT NULL,
    link varchar(255) NOT NULL,
    file_name varchar(255),
    file_date datetime,
    PRIMARY KEY  (account_id,id,file_id )
  );

create table sysaid_user_routing (
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL,
  take_over_user varchar(64) NOT NULL ,
  PRIMARY KEY  (account_id,user_name )
);

CREATE TABLE ci_attributes (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  ci_name varchar(64) NOT NULL ,
  serial varchar(64) ,
  ci_type int(11) ,
  location int(11) ,
  owner varchar(64) ,
  owner_group varchar(64) ,
  company int(11) ,
  company_backup int default 0,
  supplier int(11) ,
  supply_date datetime ,
  accept_date datetime ,
  status int(11) ,
  priority int(11) ,
  notes longtext,
  import_item_id varchar(64) ,
  import_item_type int(2),
  history_version int(11) NOT NULL ,
  ci_cust_text_1 varchar(64) ,
  ci_cust_text_2 varchar(64) ,
  ci_cust_text_3 varchar(64) ,
  ci_cust_text_4 varchar(64) ,
  ci_cust_text_5 varchar(64) ,
  ci_cust_text_6 varchar(64) ,
  ci_cust_text_7 varchar(64) ,
  ci_cust_text_8 varchar(64) ,
  ci_cust_text_9 varchar(64) ,
  ci_cust_text_10 varchar(64) ,
  ci_cust_text_11 varchar(64) ,
  ci_cust_text_12 varchar(64) ,
  ci_cust_text_13 varchar(64) ,
  ci_cust_text_14 varchar(64) ,
  ci_cust_text_15 varchar(64) ,
  ci_cust_text_16 varchar(64) ,
  ci_cust_text_17 varchar(64) ,
  ci_cust_text_18 varchar(64) ,
  ci_cust_text_19 varchar(64) ,
  ci_cust_text_20 varchar(64) ,
  ci_cust_text_21 varchar(64) ,
  ci_cust_text_22 varchar(64) ,
  ci_cust_text_23 varchar(64) ,
  ci_cust_text_24 varchar(64) ,
  ci_cust_text_25 varchar(64) ,
  ci_cust_text_26 varchar(64) ,
  ci_cust_text_27 varchar(64) ,
  ci_cust_text_28 varchar(64) ,
  ci_cust_text_29 varchar(64) ,
  ci_cust_text_30 varchar(64) ,
  ci_cust_text_31 varchar(64) ,
  ci_cust_text_32 varchar(64) ,
  ci_cust_text_33 varchar(64) ,
  ci_cust_text_34 varchar(64) ,
  ci_cust_text_35 varchar(64) ,
  ci_cust_text_36 varchar(64) ,
  ci_cust_text_37 varchar(64) ,
  ci_cust_text_38 varchar(64) ,
  ci_cust_text_39 varchar(64) ,
  ci_cust_text_40 varchar(64) ,
  ci_cust_text_41 varchar(64) ,
  ci_cust_text_42 varchar(64) ,
  ci_cust_text_43 varchar(64) ,
  ci_cust_text_44 varchar(64) ,
  ci_cust_text_45 varchar(64) ,
  ci_cust_text_46 varchar(64) ,
  ci_cust_text_47 varchar(64) ,
  ci_cust_text_48 varchar(64) ,
  ci_cust_text_49 varchar(64) ,
  ci_cust_text_50 varchar(64) ,
  ci_cust_long_text_1 longtext ,
  ci_cust_long_text_2 longtext ,
  ci_cust_long_text_3 longtext ,
  ci_cust_long_text_4 longtext ,
  ci_cust_long_text_5 longtext ,
  ci_cust_long_text_6 longtext ,
  ci_cust_long_text_7 longtext ,
  ci_cust_long_text_8 longtext ,
  ci_cust_long_text_9 longtext ,
  ci_cust_long_text_10 longtext ,
  ci_cust_long_text_11 longtext ,
  ci_cust_long_text_12 longtext ,
  ci_cust_long_text_13 longtext ,
  ci_cust_long_text_14 longtext ,
  ci_cust_long_text_15 longtext ,
  ci_cust_long_text_16 longtext ,
  ci_cust_long_text_17 longtext ,
  ci_cust_long_text_18 longtext ,
  ci_cust_long_text_19 longtext ,
  ci_cust_long_text_20 longtext ,
  ci_cust_long_text_21 longtext ,
  ci_cust_long_text_22 longtext ,
  ci_cust_long_text_23 longtext ,
  ci_cust_long_text_24 longtext ,
  ci_cust_long_text_25 longtext ,
  ci_cust_long_text_26 longtext ,
  ci_cust_long_text_27 longtext ,
  ci_cust_long_text_28 longtext ,
  ci_cust_long_text_29 longtext ,
  ci_cust_long_text_30 longtext ,
  ci_cust_long_text_31 longtext ,
  ci_cust_long_text_32 longtext ,
  ci_cust_long_text_33 longtext ,
  ci_cust_long_text_34 longtext ,
  ci_cust_long_text_35 longtext ,
  ci_cust_long_text_36 longtext ,
  ci_cust_long_text_37 longtext ,
  ci_cust_long_text_38 longtext ,
  ci_cust_long_text_39 longtext ,
  ci_cust_long_text_40 longtext ,
  ci_cust_long_text_41 longtext ,
  ci_cust_long_text_42 longtext ,
  ci_cust_long_text_43 longtext ,
  ci_cust_long_text_44 longtext ,
  ci_cust_long_text_45 longtext ,
  ci_cust_long_text_46 longtext ,
  ci_cust_long_text_47 longtext ,
  ci_cust_long_text_48 longtext ,
  ci_cust_long_text_49 longtext ,
  ci_cust_long_text_50 longtext ,
  ci_cust_date_1 datetime ,
  ci_cust_date_2 datetime ,
  ci_cust_date_3 datetime ,
  ci_cust_date_4 datetime ,
  ci_cust_date_5 datetime ,
  ci_cust_date_6 datetime ,
  ci_cust_date_7 datetime ,
  ci_cust_date_8 datetime ,
  ci_cust_date_9 datetime ,
  ci_cust_date_10 datetime ,
  ci_cust_date_11 datetime ,
  ci_cust_date_12 datetime ,
  ci_cust_date_13 datetime ,
  ci_cust_date_14 datetime ,
  ci_cust_date_15 datetime ,
  ci_cust_date_16 datetime ,
  ci_cust_date_17 datetime ,
  ci_cust_date_18 datetime ,
  ci_cust_date_19 datetime ,
  ci_cust_date_20 datetime ,
  ci_cust_date_21 datetime ,
  ci_cust_date_22 datetime ,
  ci_cust_date_23 datetime ,
  ci_cust_date_24 datetime ,
  ci_cust_date_25 datetime ,
  ci_cust_date_26 datetime ,
  ci_cust_date_27 datetime ,
  ci_cust_date_28 datetime ,
  ci_cust_date_29 datetime ,
  ci_cust_date_30 datetime ,
  ci_cust_date_31 datetime ,
  ci_cust_date_32 datetime ,
  ci_cust_date_33 datetime ,
  ci_cust_date_34 datetime ,
  ci_cust_date_35 datetime ,
  ci_cust_date_36 datetime ,
  ci_cust_date_37 datetime ,
  ci_cust_date_38 datetime ,
  ci_cust_date_39 datetime ,
  ci_cust_date_40 datetime ,
  ci_cust_date_41 datetime ,
  ci_cust_date_42 datetime ,
  ci_cust_date_43 datetime ,
  ci_cust_date_44 datetime ,
  ci_cust_date_45 datetime ,
  ci_cust_date_46 datetime ,
  ci_cust_date_47 datetime ,
  ci_cust_date_48 datetime ,
  ci_cust_date_49 datetime ,
  ci_cust_date_50 datetime ,
  ci_cust_list_1 int(11) ,
  ci_cust_list_2 int(11) ,
  ci_cust_list_3 int(11) ,
  ci_cust_list_4 int(11) ,
  ci_cust_list_5 int(11) ,
  ci_cust_list_6 int(11) ,
  ci_cust_list_7 int(11) ,
  ci_cust_list_8 int(11) ,
  ci_cust_list_9 int(11) ,
  ci_cust_list_10 int(11) ,
  ci_cust_list_11 int(11) ,
  ci_cust_list_12 int(11) ,
  ci_cust_list_13 int(11) ,
  ci_cust_list_14 int(11) ,
  ci_cust_list_15 int(11) ,
  ci_cust_list_16 int(11) ,
  ci_cust_list_17 int(11) ,
  ci_cust_list_18 int(11) ,
  ci_cust_list_19 int(11) ,
  ci_cust_list_20 int(11) ,
  ci_cust_list_21 int(11) ,
  ci_cust_list_22 int(11) ,
  ci_cust_list_23 int(11) ,
  ci_cust_list_24 int(11) ,
  ci_cust_list_25 int(11) ,
  ci_cust_list_26 int(11) ,
  ci_cust_list_27 int(11) ,
  ci_cust_list_28 int(11) ,
  ci_cust_list_29 int(11) ,
  ci_cust_list_30 int(11) ,
  ci_cust_list_31 int(11) ,
  ci_cust_list_32 int(11) ,
  ci_cust_list_33 int(11) ,
  ci_cust_list_34 int(11) ,
  ci_cust_list_35 int(11) ,
  ci_cust_list_36 int(11) ,
  ci_cust_list_37 int(11) ,
  ci_cust_list_38 int(11) ,
  ci_cust_list_39 int(11) ,
  ci_cust_list_40 int(11) ,
  ci_cust_list_41 int(11) ,
  ci_cust_list_42 int(11) ,
  ci_cust_list_43 int(11) ,
  ci_cust_list_44 int(11) ,
  ci_cust_list_45 int(11) ,
  ci_cust_list_46 int(11) ,
  ci_cust_list_47 int(11) ,
  ci_cust_list_48 int(11) ,
  ci_cust_list_49 int(11) ,
  ci_cust_list_50 int(11) ,
  ci_cust_int_1 int(11) ,
  ci_cust_int_2 int(11) ,
  ci_cust_int_3 int(11) ,
  ci_cust_int_4 int(11) ,
  ci_cust_int_5 int(11) ,
  ci_cust_int_6 int(11) ,
  ci_cust_int_7 int(11) ,
  ci_cust_int_8 int(11) ,
  ci_cust_int_9 int(11) ,
  ci_cust_int_10 int(11) ,
  ci_cust_int_11 int(11) ,
  ci_cust_int_12 int(11) ,
  ci_cust_int_13 int(11) ,
  ci_cust_int_14 int(11) ,
  ci_cust_int_15 int(11) ,
  ci_cust_int_16 int(11) ,
  ci_cust_int_17 int(11) ,
  ci_cust_int_18 int(11) ,
  ci_cust_int_19 int(11) ,
  ci_cust_int_20 int(11) ,
  ci_cust_int_21 int(11) ,
  ci_cust_int_22 int(11) ,
  ci_cust_int_23 int(11) ,
  ci_cust_int_24 int(11) ,
  ci_cust_int_25 int(11) ,
  ci_cust_int_26 int(11) ,
  ci_cust_int_27 int(11) ,
  ci_cust_int_28 int(11) ,
  ci_cust_int_29 int(11) ,
  ci_cust_int_30 int(11) ,
  ci_cust_int_31 int(11) ,
  ci_cust_int_32 int(11) ,
  ci_cust_int_33 int(11) ,
  ci_cust_int_34 int(11) ,
  ci_cust_int_35 int(11) ,
  ci_cust_int_36 int(11) ,
  ci_cust_int_37 int(11) ,
  ci_cust_int_38 int(11) ,
  ci_cust_int_39 int(11) ,
  ci_cust_int_40 int(11) ,
  ci_cust_int_41 int(11) ,
  ci_cust_int_42 int(11) ,
  ci_cust_int_43 int(11) ,
  ci_cust_int_44 int(11) ,
  ci_cust_int_45 int(11) ,
  ci_cust_int_46 int(11) ,
  ci_cust_int_47 int(11) ,
  ci_cust_int_48 int(11) ,
  ci_cust_int_49 int(11) ,
  ci_cust_int_50 int(11) ,
  problem_type varchar(64) ,
  problem_sub_type varchar(64) ,
  third_level_category varchar(64),
  ci_sub_type int(11) default 0,
  PRIMARY KEY  (id)
) ;

CREATE INDEX CI_ATTRIBUTES_IDX1 ON ci_attributes (account_id,import_item_id);

CREATE TABLE ci_history (
  id int(11) NOT NULL ,
  account_id varchar(32) NOT NULL ,
  ci_name varchar(64) NOT NULL ,
  serial varchar(64) ,
  ci_type int(11) ,
  location int(11) ,
  owner varchar(64) ,
  owner_group varchar(64) ,
  company int(11) ,
  company_backup int default 0,
  supplier int(11) ,
  supply_date datetime ,
  accept_date datetime ,
  status int(11) ,
  priority int(11) ,
  notes longtext,
  import_desc varchar(255) ,
  history_version int(11) NOT NULL ,
  ci_cust_text_1 varchar(64) ,
  ci_cust_text_2 varchar(64) ,
  ci_cust_text_3 varchar(64) ,
  ci_cust_text_4 varchar(64) ,
  ci_cust_text_5 varchar(64) ,
  ci_cust_text_6 varchar(64) ,
  ci_cust_text_7 varchar(64) ,
  ci_cust_text_8 varchar(64) ,
  ci_cust_text_9 varchar(64) ,
  ci_cust_text_10 varchar(64) ,
  ci_cust_text_11 varchar(64) ,
  ci_cust_text_12 varchar(64) ,
  ci_cust_text_13 varchar(64) ,
  ci_cust_text_14 varchar(64) ,
  ci_cust_text_15 varchar(64) ,
  ci_cust_text_16 varchar(64) ,
  ci_cust_text_17 varchar(64) ,
  ci_cust_text_18 varchar(64) ,
  ci_cust_text_19 varchar(64) ,
  ci_cust_text_20 varchar(64) ,
  ci_cust_text_21 varchar(64) ,
  ci_cust_text_22 varchar(64) ,
  ci_cust_text_23 varchar(64) ,
  ci_cust_text_24 varchar(64) ,
  ci_cust_text_25 varchar(64) ,
  ci_cust_text_26 varchar(64) ,
  ci_cust_text_27 varchar(64) ,
  ci_cust_text_28 varchar(64) ,
  ci_cust_text_29 varchar(64) ,
  ci_cust_text_30 varchar(64) ,
  ci_cust_text_31 varchar(64) ,
  ci_cust_text_32 varchar(64) ,
  ci_cust_text_33 varchar(64) ,
  ci_cust_text_34 varchar(64) ,
  ci_cust_text_35 varchar(64) ,
  ci_cust_text_36 varchar(64) ,
  ci_cust_text_37 varchar(64) ,
  ci_cust_text_38 varchar(64) ,
  ci_cust_text_39 varchar(64) ,
  ci_cust_text_40 varchar(64) ,
  ci_cust_text_41 varchar(64) ,
  ci_cust_text_42 varchar(64) ,
  ci_cust_text_43 varchar(64) ,
  ci_cust_text_44 varchar(64) ,
  ci_cust_text_45 varchar(64) ,
  ci_cust_text_46 varchar(64) ,
  ci_cust_text_47 varchar(64) ,
  ci_cust_text_48 varchar(64) ,
  ci_cust_text_49 varchar(64) ,
  ci_cust_text_50 varchar(64) ,
  ci_cust_long_text_1 longtext ,
  ci_cust_long_text_2 longtext ,
  ci_cust_long_text_3 longtext ,
  ci_cust_long_text_4 longtext ,
  ci_cust_long_text_5 longtext ,
  ci_cust_long_text_6 longtext ,
  ci_cust_long_text_7 longtext ,
  ci_cust_long_text_8 longtext ,
  ci_cust_long_text_9 longtext ,
  ci_cust_long_text_10 longtext ,
  ci_cust_long_text_11 longtext ,
  ci_cust_long_text_12 longtext ,
  ci_cust_long_text_13 longtext ,
  ci_cust_long_text_14 longtext ,
  ci_cust_long_text_15 longtext ,
  ci_cust_long_text_16 longtext ,
  ci_cust_long_text_17 longtext ,
  ci_cust_long_text_18 longtext ,
  ci_cust_long_text_19 longtext ,
  ci_cust_long_text_20 longtext ,
  ci_cust_long_text_21 longtext ,
  ci_cust_long_text_22 longtext ,
  ci_cust_long_text_23 longtext ,
  ci_cust_long_text_24 longtext ,
  ci_cust_long_text_25 longtext ,
  ci_cust_long_text_26 longtext ,
  ci_cust_long_text_27 longtext ,
  ci_cust_long_text_28 longtext ,
  ci_cust_long_text_29 longtext ,
  ci_cust_long_text_30 longtext ,
  ci_cust_long_text_31 longtext ,
  ci_cust_long_text_32 longtext ,
  ci_cust_long_text_33 longtext ,
  ci_cust_long_text_34 longtext ,
  ci_cust_long_text_35 longtext ,
  ci_cust_long_text_36 longtext ,
  ci_cust_long_text_37 longtext ,
  ci_cust_long_text_38 longtext ,
  ci_cust_long_text_39 longtext ,
  ci_cust_long_text_40 longtext ,
  ci_cust_long_text_41 longtext ,
  ci_cust_long_text_42 longtext ,
  ci_cust_long_text_43 longtext ,
  ci_cust_long_text_44 longtext ,
  ci_cust_long_text_45 longtext ,
  ci_cust_long_text_46 longtext ,
  ci_cust_long_text_47 longtext ,
  ci_cust_long_text_48 longtext ,
  ci_cust_long_text_49 longtext ,
  ci_cust_long_text_50 longtext ,
  ci_cust_date_1 datetime ,
  ci_cust_date_2 datetime ,
  ci_cust_date_3 datetime ,
  ci_cust_date_4 datetime ,
  ci_cust_date_5 datetime ,
  ci_cust_date_6 datetime ,
  ci_cust_date_7 datetime ,
  ci_cust_date_8 datetime ,
  ci_cust_date_9 datetime ,
  ci_cust_date_10 datetime ,
  ci_cust_date_11 datetime ,
  ci_cust_date_12 datetime ,
  ci_cust_date_13 datetime ,
  ci_cust_date_14 datetime ,
  ci_cust_date_15 datetime ,
  ci_cust_date_16 datetime ,
  ci_cust_date_17 datetime ,
  ci_cust_date_18 datetime ,
  ci_cust_date_19 datetime ,
  ci_cust_date_20 datetime ,
  ci_cust_date_21 datetime ,
  ci_cust_date_22 datetime ,
  ci_cust_date_23 datetime ,
  ci_cust_date_24 datetime ,
  ci_cust_date_25 datetime ,
  ci_cust_date_26 datetime ,
  ci_cust_date_27 datetime ,
  ci_cust_date_28 datetime ,
  ci_cust_date_29 datetime ,
  ci_cust_date_30 datetime ,
  ci_cust_date_31 datetime ,
  ci_cust_date_32 datetime ,
  ci_cust_date_33 datetime ,
  ci_cust_date_34 datetime ,
  ci_cust_date_35 datetime ,
  ci_cust_date_36 datetime ,
  ci_cust_date_37 datetime ,
  ci_cust_date_38 datetime ,
  ci_cust_date_39 datetime ,
  ci_cust_date_40 datetime ,
  ci_cust_date_41 datetime ,
  ci_cust_date_42 datetime ,
  ci_cust_date_43 datetime ,
  ci_cust_date_44 datetime ,
  ci_cust_date_45 datetime ,
  ci_cust_date_46 datetime ,
  ci_cust_date_47 datetime ,
  ci_cust_date_48 datetime ,
  ci_cust_date_49 datetime ,
  ci_cust_date_50 datetime ,
  ci_cust_list_1 int(11) ,
  ci_cust_list_2 int(11) ,
  ci_cust_list_3 int(11) ,
  ci_cust_list_4 int(11) ,
  ci_cust_list_5 int(11) ,
  ci_cust_list_6 int(11) ,
  ci_cust_list_7 int(11) ,
  ci_cust_list_8 int(11) ,
  ci_cust_list_9 int(11) ,
  ci_cust_list_10 int(11) ,
  ci_cust_list_11 int(11) ,
  ci_cust_list_12 int(11) ,
  ci_cust_list_13 int(11) ,
  ci_cust_list_14 int(11) ,
  ci_cust_list_15 int(11) ,
  ci_cust_list_16 int(11) ,
  ci_cust_list_17 int(11) ,
  ci_cust_list_18 int(11) ,
  ci_cust_list_19 int(11) ,
  ci_cust_list_20 int(11) ,
  ci_cust_list_21 int(11) ,
  ci_cust_list_22 int(11) ,
  ci_cust_list_23 int(11) ,
  ci_cust_list_24 int(11) ,
  ci_cust_list_25 int(11) ,
  ci_cust_list_26 int(11) ,
  ci_cust_list_27 int(11) ,
  ci_cust_list_28 int(11) ,
  ci_cust_list_29 int(11) ,
  ci_cust_list_30 int(11) ,
  ci_cust_list_31 int(11) ,
  ci_cust_list_32 int(11) ,
  ci_cust_list_33 int(11) ,
  ci_cust_list_34 int(11) ,
  ci_cust_list_35 int(11) ,
  ci_cust_list_36 int(11) ,
  ci_cust_list_37 int(11) ,
  ci_cust_list_38 int(11) ,
  ci_cust_list_39 int(11) ,
  ci_cust_list_40 int(11) ,
  ci_cust_list_41 int(11) ,
  ci_cust_list_42 int(11) ,
  ci_cust_list_43 int(11) ,
  ci_cust_list_44 int(11) ,
  ci_cust_list_45 int(11) ,
  ci_cust_list_46 int(11) ,
  ci_cust_list_47 int(11) ,
  ci_cust_list_48 int(11) ,
  ci_cust_list_49 int(11) ,
  ci_cust_list_50 int(11) ,
  ci_cust_int_1 int(11) ,
  ci_cust_int_2 int(11) ,
  ci_cust_int_3 int(11) ,
  ci_cust_int_4 int(11) ,
  ci_cust_int_5 int(11) ,
  ci_cust_int_6 int(11) ,
  ci_cust_int_7 int(11) ,
  ci_cust_int_8 int(11) ,
  ci_cust_int_9 int(11) ,
  ci_cust_int_10 int(11) ,
  ci_cust_int_11 int(11) ,
  ci_cust_int_12 int(11) ,
  ci_cust_int_13 int(11) ,
  ci_cust_int_14 int(11) ,
  ci_cust_int_15 int(11) ,
  ci_cust_int_16 int(11) ,
  ci_cust_int_17 int(11) ,
  ci_cust_int_18 int(11) ,
  ci_cust_int_19 int(11) ,
  ci_cust_int_20 int(11) ,
  ci_cust_int_21 int(11) ,
  ci_cust_int_22 int(11) ,
  ci_cust_int_23 int(11) ,
  ci_cust_int_24 int(11) ,
  ci_cust_int_25 int(11) ,
  ci_cust_int_26 int(11) ,
  ci_cust_int_27 int(11) ,
  ci_cust_int_28 int(11) ,
  ci_cust_int_29 int(11) ,
  ci_cust_int_30 int(11) ,
  ci_cust_int_31 int(11) ,
  ci_cust_int_32 int(11) ,
  ci_cust_int_33 int(11) ,
  ci_cust_int_34 int(11) ,
  ci_cust_int_35 int(11) ,
  ci_cust_int_36 int(11) ,
  ci_cust_int_37 int(11) ,
  ci_cust_int_38 int(11) ,
  ci_cust_int_39 int(11) ,
  ci_cust_int_40 int(11) ,
  ci_cust_int_41 int(11) ,
  ci_cust_int_42 int(11) ,
  ci_cust_int_43 int(11) ,
  ci_cust_int_44 int(11) ,
  ci_cust_int_45 int(11) ,
  ci_cust_int_46 int(11) ,
  ci_cust_int_47 int(11) ,
  ci_cust_int_48 int(11) ,
  ci_cust_int_49 int(11) ,
  ci_cust_int_50 int(11) ,
  relation_changes longtext,
  change_time datetime,
  changed_by varchar(64),
  problem_type varchar(64) ,
  problem_sub_type varchar(64) ,
  third_level_category varchar(64),
  ci_sub_type int(11) default 0,
  PRIMARY KEY  (id,history_version)
);

CREATE TABLE ci_type (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  ci_type_name varchar(64) NOT NULL ,
  description longtext,
  predefined varchar(1),
  PRIMARY KEY  (id)
);

INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (1,'account','Asset','System Asset (Workstation,Server,Laptop,Printer,PDA,Other)','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (2,'account','Software Product','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (3,'account','Catalog','System Asset Catalog','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (4,'account','System Software','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (5,'account','Network Component','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (6,'account','Business Process','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (7,'account','Application','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (8,'account','Physical Database','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(51,'account','Company','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(52,'account','End User','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(53,'account','Administrator','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(54,'account','Product','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(55,'account','Service','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(56,'account','Contract','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description, predefined) VALUES(57,'account','Catalog','','1');

ALTER TABLE  ci_type AUTO_INCREMENT = 100;

CREATE TABLE ci_sub_type (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  ci_type_id int(11) NOT NULL ,
  caption varchar(64) NOT NULL ,
  file_name varchar(255),
  PRIMARY KEY (id)
) ;

insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (1,'account',1,'Laptop','laptop_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (2,'account',1,'Smartphone','pda_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (3,'account',1,'Printer','printer_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (4,'account',1,'Server','server_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (5,'account',1,'Workstation','workstation_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (6,'account',1,'Switch','switch_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (7,'account',1,'Router','router_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (8,'account',1,'DHCP Server','dhcp_server_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (9,'account',1,'Other SNMP Device','snmp_device_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (10,'account',1,'Other','other_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (11,'account',1,'Tablet','tablet_32.png');

alter table ci_sub_type AUTO_INCREMENT = 100;

CREATE TABLE ci_relation (
  src int(11) NOT NULL,
  dest int(11) NOT NULL,
  ci_relation_type int(11) NOT NULL,
  PRIMARY KEY  (src, dest, ci_relation_type)
);

CREATE TABLE ci_relation_type (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  relation_name varchar(64) NOT NULL ,
  opposite_relation_name varchar(64),
  predefined varchar(1),
  PRIMARY KEY  (id)
);

INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (1,'account','Consists','Part of','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (2,'account','Installed on','Contains SW','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (3,'account','Used by','Uses','0');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (4,'account','Connected to','Connected to','0');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (5,'account','Accessed by','Can access','0');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (6,'account','Hosts','Hosted on','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (51,'account','Covered','Is covered by','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (52,'account','Provided to','Receives','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (53,'account','Owns','Owned by','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (54,'account','Posses','Possessed by','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (55,'account','Manages','Managed by','1');

ALTER TABLE  ci_relation_type AUTO_INCREMENT = 100;

CREATE TABLE ci_template (
  account_id varchar(32) NOT NULL ,
  template_name varchar(64) NOT NULL ,
  ci_type int(11) ,
  location int(11) ,
  owner varchar(64) ,
  owner_group varchar(64) ,
  company int(11) ,
  company_backup int default 0,
  supplier int(11) ,
  supply_date datetime ,
  accept_date datetime ,
  status int(11) ,
  priority int(11) ,
  notes longtext,
  ci_cust_text_1 varchar(64) ,
  ci_cust_text_2 varchar(64) ,
  ci_cust_text_3 varchar(64) ,
  ci_cust_text_4 varchar(64) ,
  ci_cust_text_5 varchar(64) ,
  ci_cust_text_6 varchar(64) ,
  ci_cust_text_7 varchar(64) ,
  ci_cust_text_8 varchar(64) ,
  ci_cust_text_9 varchar(64) ,
  ci_cust_text_10 varchar(64) ,
  ci_cust_text_11 varchar(64) ,
  ci_cust_text_12 varchar(64) ,
  ci_cust_text_13 varchar(64) ,
  ci_cust_text_14 varchar(64) ,
  ci_cust_text_15 varchar(64) ,
  ci_cust_text_16 varchar(64) ,
  ci_cust_text_17 varchar(64) ,
  ci_cust_text_18 varchar(64) ,
  ci_cust_text_19 varchar(64) ,
  ci_cust_text_20 varchar(64) ,
  ci_cust_text_21 varchar(64) ,
  ci_cust_text_22 varchar(64) ,
  ci_cust_text_23 varchar(64) ,
  ci_cust_text_24 varchar(64) ,
  ci_cust_text_25 varchar(64) ,
  ci_cust_text_26 varchar(64) ,
  ci_cust_text_27 varchar(64) ,
  ci_cust_text_28 varchar(64) ,
  ci_cust_text_29 varchar(64) ,
  ci_cust_text_30 varchar(64) ,
  ci_cust_text_31 varchar(64) ,
  ci_cust_text_32 varchar(64) ,
  ci_cust_text_33 varchar(64) ,
  ci_cust_text_34 varchar(64) ,
  ci_cust_text_35 varchar(64) ,
  ci_cust_text_36 varchar(64) ,
  ci_cust_text_37 varchar(64) ,
  ci_cust_text_38 varchar(64) ,
  ci_cust_text_39 varchar(64) ,
  ci_cust_text_40 varchar(64) ,
  ci_cust_text_41 varchar(64) ,
  ci_cust_text_42 varchar(64) ,
  ci_cust_text_43 varchar(64) ,
  ci_cust_text_44 varchar(64) ,
  ci_cust_text_45 varchar(64) ,
  ci_cust_text_46 varchar(64) ,
  ci_cust_text_47 varchar(64) ,
  ci_cust_text_48 varchar(64) ,
  ci_cust_text_49 varchar(64) ,
  ci_cust_text_50 varchar(64) ,
  ci_cust_long_text_1 longtext ,
  ci_cust_long_text_2 longtext ,
  ci_cust_long_text_3 longtext ,
  ci_cust_long_text_4 longtext ,
  ci_cust_long_text_5 longtext ,
  ci_cust_long_text_6 longtext ,
  ci_cust_long_text_7 longtext ,
  ci_cust_long_text_8 longtext ,
  ci_cust_long_text_9 longtext ,
  ci_cust_long_text_10 longtext ,
  ci_cust_long_text_11 longtext ,
  ci_cust_long_text_12 longtext ,
  ci_cust_long_text_13 longtext ,
  ci_cust_long_text_14 longtext ,
  ci_cust_long_text_15 longtext ,
  ci_cust_long_text_16 longtext ,
  ci_cust_long_text_17 longtext ,
  ci_cust_long_text_18 longtext ,
  ci_cust_long_text_19 longtext ,
  ci_cust_long_text_20 longtext ,
  ci_cust_long_text_21 longtext ,
  ci_cust_long_text_22 longtext ,
  ci_cust_long_text_23 longtext ,
  ci_cust_long_text_24 longtext ,
  ci_cust_long_text_25 longtext ,
  ci_cust_long_text_26 longtext ,
  ci_cust_long_text_27 longtext ,
  ci_cust_long_text_28 longtext ,
  ci_cust_long_text_29 longtext ,
  ci_cust_long_text_30 longtext ,
  ci_cust_long_text_31 longtext ,
  ci_cust_long_text_32 longtext ,
  ci_cust_long_text_33 longtext ,
  ci_cust_long_text_34 longtext ,
  ci_cust_long_text_35 longtext ,
  ci_cust_long_text_36 longtext ,
  ci_cust_long_text_37 longtext ,
  ci_cust_long_text_38 longtext ,
  ci_cust_long_text_39 longtext ,
  ci_cust_long_text_40 longtext ,
  ci_cust_long_text_41 longtext ,
  ci_cust_long_text_42 longtext ,
  ci_cust_long_text_43 longtext ,
  ci_cust_long_text_44 longtext ,
  ci_cust_long_text_45 longtext ,
  ci_cust_long_text_46 longtext ,
  ci_cust_long_text_47 longtext ,
  ci_cust_long_text_48 longtext ,
  ci_cust_long_text_49 longtext ,
  ci_cust_long_text_50 longtext ,
  ci_cust_date_1 datetime ,
  ci_cust_date_2 datetime ,
  ci_cust_date_3 datetime ,
  ci_cust_date_4 datetime ,
  ci_cust_date_5 datetime ,
  ci_cust_date_6 datetime ,
  ci_cust_date_7 datetime ,
  ci_cust_date_8 datetime ,
  ci_cust_date_9 datetime ,
  ci_cust_date_10 datetime ,
  ci_cust_date_11 datetime ,
  ci_cust_date_12 datetime ,
  ci_cust_date_13 datetime ,
  ci_cust_date_14 datetime ,
  ci_cust_date_15 datetime ,
  ci_cust_date_16 datetime ,
  ci_cust_date_17 datetime ,
  ci_cust_date_18 datetime ,
  ci_cust_date_19 datetime ,
  ci_cust_date_20 datetime ,
  ci_cust_date_21 datetime ,
  ci_cust_date_22 datetime ,
  ci_cust_date_23 datetime ,
  ci_cust_date_24 datetime ,
  ci_cust_date_25 datetime ,
  ci_cust_date_26 datetime ,
  ci_cust_date_27 datetime ,
  ci_cust_date_28 datetime ,
  ci_cust_date_29 datetime ,
  ci_cust_date_30 datetime ,
  ci_cust_date_31 datetime ,
  ci_cust_date_32 datetime ,
  ci_cust_date_33 datetime ,
  ci_cust_date_34 datetime ,
  ci_cust_date_35 datetime ,
  ci_cust_date_36 datetime ,
  ci_cust_date_37 datetime ,
  ci_cust_date_38 datetime ,
  ci_cust_date_39 datetime ,
  ci_cust_date_40 datetime ,
  ci_cust_date_41 datetime ,
  ci_cust_date_42 datetime ,
  ci_cust_date_43 datetime ,
  ci_cust_date_44 datetime ,
  ci_cust_date_45 datetime ,
  ci_cust_date_46 datetime ,
  ci_cust_date_47 datetime ,
  ci_cust_date_48 datetime ,
  ci_cust_date_49 datetime ,
  ci_cust_date_50 datetime ,
  ci_cust_list_1 int(11) ,
  ci_cust_list_2 int(11) ,
  ci_cust_list_3 int(11) ,
  ci_cust_list_4 int(11) ,
  ci_cust_list_5 int(11) ,
  ci_cust_list_6 int(11) ,
  ci_cust_list_7 int(11) ,
  ci_cust_list_8 int(11) ,
  ci_cust_list_9 int(11) ,
  ci_cust_list_10 int(11) ,
  ci_cust_list_11 int(11) ,
  ci_cust_list_12 int(11) ,
  ci_cust_list_13 int(11) ,
  ci_cust_list_14 int(11) ,
  ci_cust_list_15 int(11) ,
  ci_cust_list_16 int(11) ,
  ci_cust_list_17 int(11) ,
  ci_cust_list_18 int(11) ,
  ci_cust_list_19 int(11) ,
  ci_cust_list_20 int(11) ,
  ci_cust_list_21 int(11) ,
  ci_cust_list_22 int(11) ,
  ci_cust_list_23 int(11) ,
  ci_cust_list_24 int(11) ,
  ci_cust_list_25 int(11) ,
  ci_cust_list_26 int(11) ,
  ci_cust_list_27 int(11) ,
  ci_cust_list_28 int(11) ,
  ci_cust_list_29 int(11) ,
  ci_cust_list_30 int(11) ,
  ci_cust_list_31 int(11) ,
  ci_cust_list_32 int(11) ,
  ci_cust_list_33 int(11) ,
  ci_cust_list_34 int(11) ,
  ci_cust_list_35 int(11) ,
  ci_cust_list_36 int(11) ,
  ci_cust_list_37 int(11) ,
  ci_cust_list_38 int(11) ,
  ci_cust_list_39 int(11) ,
  ci_cust_list_40 int(11) ,
  ci_cust_list_41 int(11) ,
  ci_cust_list_42 int(11) ,
  ci_cust_list_43 int(11) ,
  ci_cust_list_44 int(11) ,
  ci_cust_list_45 int(11) ,
  ci_cust_list_46 int(11) ,
  ci_cust_list_47 int(11) ,
  ci_cust_list_48 int(11) ,
  ci_cust_list_49 int(11) ,
  ci_cust_list_50 int(11) ,
  ci_cust_int_1 int(11) ,
  ci_cust_int_2 int(11) ,
  ci_cust_int_3 int(11) ,
  ci_cust_int_4 int(11) ,
  ci_cust_int_5 int(11) ,
  ci_cust_int_6 int(11) ,
  ci_cust_int_7 int(11) ,
  ci_cust_int_8 int(11) ,
  ci_cust_int_9 int(11) ,
  ci_cust_int_10 int(11) ,
  ci_cust_int_11 int(11) ,
  ci_cust_int_12 int(11) ,
  ci_cust_int_13 int(11) ,
  ci_cust_int_14 int(11) ,
  ci_cust_int_15 int(11) ,
  ci_cust_int_16 int(11) ,
  ci_cust_int_17 int(11) ,
  ci_cust_int_18 int(11) ,
  ci_cust_int_19 int(11) ,
  ci_cust_int_20 int(11) ,
  ci_cust_int_21 int(11) ,
  ci_cust_int_22 int(11) ,
  ci_cust_int_23 int(11) ,
  ci_cust_int_24 int(11) ,
  ci_cust_int_25 int(11) ,
  ci_cust_int_26 int(11) ,
  ci_cust_int_27 int(11) ,
  ci_cust_int_28 int(11) ,
  ci_cust_int_29 int(11) ,
  ci_cust_int_30 int(11) ,
  ci_cust_int_31 int(11) ,
  ci_cust_int_32 int(11) ,
  ci_cust_int_33 int(11) ,
  ci_cust_int_34 int(11) ,
  ci_cust_int_35 int(11) ,
  ci_cust_int_36 int(11) ,
  ci_cust_int_37 int(11) ,
  ci_cust_int_38 int(11) ,
  ci_cust_int_39 int(11) ,
  ci_cust_int_40 int(11) ,
  ci_cust_int_41 int(11) ,
  ci_cust_int_42 int(11) ,
  ci_cust_int_43 int(11) ,
  ci_cust_int_44 int(11) ,
  ci_cust_int_45 int(11) ,
  ci_cust_int_46 int(11) ,
  ci_cust_int_47 int(11) ,
  ci_cust_int_48 int(11) ,
  ci_cust_int_49 int(11) ,
  ci_cust_int_50 int(11) ,
  problem_type varchar(64) ,
  problem_sub_type varchar(64) ,
  third_level_category varchar(64),
  ci_sub_type int(11) default 0,
  PRIMARY KEY  (account_id, template_name, ci_type)
);


CREATE TABLE audit_log (
    id int(11) NOT NULL auto_increment,
    account_id varchar(32) NOT NULL,
    audit_date  datetime,
    audit_module int,
    audit_sub_module int,
    audit_type int,
    audit_sub_type int,
    audit_severity int,
    user_name varchar(64) NOT NULL,
    audit_info varchar(4000),
	  max_line_id int default 0,
	  max_line_ts bigint,
    PRIMARY KEY  (id )
);

CREATE TABLE ci_files (
    id int(11) NOT NULL,
    account_id varchar(32) NOT NULL ,
    file_id varchar(64) NOT NULL,
    file_name varchar(255),
    file_date datetime,
    file_content longblob ,
    real_file_name varchar(255),
    PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE ci_links (
    id int(11) NOT NULL,
    account_id varchar(32) NOT NULL ,
    file_id varchar(64) NOT NULL,
    link varchar(255) NOT NULL,
    file_name varchar(255),
    file_date datetime,
    PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE ci_template_links (
    template_name varchar(64) NOT NULL ,
    ci_type int(11) ,
    account_id varchar(32) NOT NULL ,
    file_id varchar(64) NOT NULL,
    link varchar(255) NOT NULL,
    file_name varchar(255),
    file_date datetime,
    PRIMARY KEY  (account_id,template_name,ci_type,file_id )
);

CREATE TABLE quick_list (
  account_id varchar(32) NOT NULL default '',
  sr_id int(11) NOT NULL,
  quick_name varchar(255) default NULL,
  quick_class varchar(255) default NULL,
  quick_visible  char(1),
  PRIMARY KEY (account_id, sr_id)
);

CREATE TABLE asset_catalog_files (
  id varchar(64) NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  file_content longblob ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE supplier_files (
  id int  NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  file_content longblob ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE sysaid_user_files (
  id varchar(64) NOT NULL default '',
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  file_content longblob ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE company_files (
  id int  NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  file_content longblob ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE service_req_links (
  id int(11) NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(4000) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE linked_service_req (
  account_id varchar(32) NOT NULL ,
  id1 int(11) NOT NULL,
  id2 int(11) NOT NULL,
  PRIMARY KEY  (account_id,id1,id2)
);

CREATE TABLE sysaid_item_links (
  account_id varchar(32) NOT NULL ,
  item_id varchar(64) NOT NULL,
  item_type int(11) NOT NULL,
  linked_item_id varchar(64) NOT NULL,
  linked_item_type int(11) NOT NULL,
  is_main_linked_item varchar(1),
  cause_item  varchar(64),
  PRIMARY KEY  (account_id,item_id,item_type,linked_item_id,linked_item_type)
);

CREATE TABLE project_links (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE task_links (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE asset_catalog_links (
  id varchar(64) NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE software_links (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE supplier_links (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE sysaid_user_links (
  id varchar(64) NOT NULL default '',
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE company_links (
  id int NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  link varchar(4000) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE asset_catalog_history(
    account_id varchar(32) NOT NULL ,
    catalog_number varchar(64) NOT NULL,
    name varchar(255) NOT NULL ,
    model varchar(64) ,
    manufacturer varchar(64) ,
    supplier_id int,
    notes mediumtext,
    cust_date1 datetime,
    cust_date2 datetime,
    version int(11) NOT NULL,
    change_time datetime,
    changed_by varchar(64),
    PRIMARY KEY  (account_id,catalog_number,version)
);

CREATE TABLE software_history (
    software_id int NOT NULL auto_increment,
    account_id varchar(32) NOT NULL ,
    product_name varchar(255) NOT NULL ,
    version varchar(64) ,
    vendor varchar(64) ,
    licenses int ,
    purchase_date datetime,
    support_expiration datetime,
    notes mediumtext,
    company int,
    supplier int(11) default 0,
    cust_list1 int,
    cust_list2 int,
    cust_text1 varchar(255),
    cust_text2 varchar(255),
    cust_notes longtext,
    cust_int1 int,
    cust_int2 int,
    cust_date1 datetime,
    cust_date2 datetime,
    history_version int(11) NOT NULL,
    change_time datetime,
    changed_by varchar(64),
    company_backup int default 0,
    freeware varchar(1),
    exceedlic_installed int default 0,
    filter_xml longtext,
    PRIMARY KEY  (software_id,history_version)
);

CREATE TABLE supplier_history(
    supplier_id int NOT NULL auto_increment,
    account_id varchar(32) NOT NULL ,
    name varchar(255) NOT NULL ,
    address mediumtext,
    phone varchar(64),
    fax  varchar(64),
    email_address varchar(64),
    notes mediumtext,
    mobile varchar(64),
    phone2 varchar(64),
    contact_name varchar(64),
    account_number varchar(64),
    cust_list1 int,
    cust_list2 int,
    cust_text1 varchar(255),
    cust_text2 varchar(255),
    cust_notes longtext,
    cust_int1 int,
    cust_int2 int,
    cust_date1 datetime,
    cust_date2 datetime,
    version int(11) NOT NULL,
    change_time datetime,
    changed_by varchar(64),
    PRIMARY KEY  (supplier_id,version)
);

CREATE TABLE computer_history (
    account_id varchar(32) NOT NULL default '',
    computer_id varchar(64) NOT NULL default '',
    computer_name varchar(64) default NULL,
    computer_type varchar(64) default NULL,
    parent_group varchar(255) NOT NULL default '',
    inventory_xml longtext,
    inventory_time datetime default NULL,
    update_time datetime default NULL,
    ip_address varchar(64) default NULL,
    description varchar(255) default NULL,
    username varchar(64) default NULL,
    location varchar(255) default NULL,
    location_idx  int,
    company_backup int default 0,
    building varchar(64),
    floor varchar(64) ,
    cubic varchar(64),
    catalog_number varchar(64),
    supplier int,
    maintenance_supplier int,
    company_serial varchar(64),
    external_serial varchar(64),
    monitor varchar(64),
    monitor_serial varchar(64),
    collection_type int,
    collection_params longtext,
    cust_list1 int,
    cust_list2 int,
    cust_text1 varchar(255),
    cust_text2 varchar(255),
    cust_notes longtext,
    cust_int1 int,
    cust_int2 int,
    parent_asset varchar(64),
    department int,
    company int,
    disable char(1),
    manual_asset char(1),
    purchase_cost float,
    purchase_currency int,
    agent_version varchar(64),
    cust_date1 datetime,
    cust_date2 datetime,
    version int(11) NOT NULL,
    change_time datetime,
    changed_by varchar(64),
    snmp_cust_text_1 varchar(255),
    snmp_cust_text_2 varchar(255),
    snmp_cust_text_3 varchar(255),
    snmp_cust_text_4 varchar(255),
    snmp_cust_text_5 varchar(255),
    snmp_cust_text_6 varchar(255),
    snmp_cust_text_7 varchar(255),
    snmp_cust_text_8 varchar(255),
    snmp_cust_text_9 varchar(255),
    snmp_cust_text_10 varchar(255),
    snmp_cust_text_11 varchar(255),
    snmp_cust_text_12 varchar(255),
    snmp_cust_text_13 varchar(255),
    snmp_cust_text_14 varchar(255),
    snmp_cust_text_15 varchar(255),
    snmp_cust_text_16 varchar(255),
    snmp_cust_text_17 varchar(255),
    snmp_cust_text_18 varchar(255),
    snmp_cust_text_19 varchar(255),
    snmp_cust_text_20 varchar(255),
    packets_in float default 0,
    packets_out float default 0,
    mac_address varchar(255),
    last_boot datetime,
    track_asset int default 0,
    first_access datetime,
    device_status int(11) default 0,
    device_policy int(11) default 0,
    device_ownership int(11) default 0,
    device_imei varchar(255),
    device_icc varchar(255),
    device_home_carrier varchar(255),
    device_current_carrier varchar(255),
    device_phone_number varchar(64),
    device_push varchar(255),
    ios_push_magic varchar(255),
    ios_unlock_token mediumtext,
    designated_rds varchar(64),
    gfi_version varchar(64),
    gfi_build varchar(64),
    policy_id int(11) default 0,
    patch_enabled numeric(1,0) default 0,
  last_scan_time datetime default NULL,
  last_patch_time datetime default NULL,
    settings_id int(11) default 0,
    PRIMARY KEY  (account_id,computer_id,version)
) ;


CREATE TABLE computer_attributes_history (
  account_id varchar(32) NOT NULL default '',
  computer_id varchar(64) NOT NULL default '',
  cpu_vendor varchar(255) default NULL,
  cpu_model varchar(255) default NULL,
  cpu_speed int(11) default NULL,
  bios_type varchar(255) default NULL,
  display_adapter varchar(255) default NULL,
  display_memory bigint,
  display_resolution varchar(255) default NULL,
  os_type varchar(255) default NULL,
  os_version varchar(255) default NULL,
  os_service_pack varchar(255) default NULL,
  memory_physical bigint(11) default NULL,
  serial varchar(64),
  model varchar(64) ,
  manufacturer varchar(64) ,
  purchase_date datetime,
  warranty_expiration datetime,
  last_maintenance datetime,
  last_page_count int,
  maintenance_page_count int,
  disks_size int,
  disks_count int,
  mem_banks int,
  occupied_mem_banks int,
  free_mem_banks int,
  cpu_count int(11),
  os_name varchar(255),
  os_platform varchar(64),
  os_serial varchar(255),
  version int(11) NOT NULL,
  cpu_family int(11),
  cpu_stepping int(11),
  cpu_model_number int(11),
  cpu_serial_number varchar(255),
  nt_product_type varchar(255),
  nt_product_type_2 varchar(255),
  nt_os_edition varchar(255),
  nt_service_pack_major_version int(11),
  nt_service_pack_minor_version int(11),
  os_registered_user varchar(255),
  os_registered_org varchar(255),
  os_build_number varchar(255),
  os_kernel varchar(255),
  os_power_shell_version varchar(255),
  PRIMARY KEY  (account_id,computer_id,version)
);

CREATE TABLE company_history (
    company_id int NOT NULL auto_increment,
    account_id varchar(32) NOT NULL,
    company_name varchar(255) ,
    address varchar(255) ,
    address2 varchar(255) ,
    city varchar(64),
    state varchar(64),
    zip varchar(64),
    country varchar(64),
    phone varchar(64),
    fax varchar(64),
    notes longtext,
    cust_list1 int,
    cust_list2 int,
    cust_text1 varchar(255),
    cust_text2 varchar(255),
    cust_notes longtext,
    cust_int1 int,
    cust_int2 int,
    expiration_time datetime,
    cust_date1 datetime,
    cust_date2 datetime,
    version int(11) NOT NULL,
    change_time datetime,
    changed_by varchar(64),
    agreement  int default 0,
    agreement_start datetime,
    agreement_end datetime,
    logo_file_name varchar(64),
    email_account varchar(255),
    ssp_banner int(11) default 0,
    ssp_theme int(11) default 0,
    PRIMARY KEY  (company_id,version )
);

CREATE TABLE discovery_service (
  id int(11) NOT NULL auto_increment,
  discovery_service_name varchar(64) NOT NULL default '',
  create_date datetime,
  upgrade_date datetime,
  last_connection_date datetime,
  description varchar(255),
  ip_address varchar(64),
  location varchar(64),
  version varchar(64) NOT NULL default '',
  credentials_list varchar(4000),
  owner varchar(64),
  domain varchar(255),
  windows char(1),
  rds_url varchar(255),
  client_version varchar(64),
  gfi_version varchar(64),
  gfi_build varchar(64),
  pgfi_url varchar(255),
  sr_notif_sent numeric(1,0) default 0,
  mail_notif_sent numeric(1,0) default 0,
  sms_notif_sent numeric(1,0) default 0,
  rds_unavailable numeric(1,0) default 0,
  logs_date varchar(255),
  pm_relay_frequency int,
  pm_relay_default_start_time int,
  log_level varchar(64),
  os_details varchar(255),
  PRIMARY KEY  (id)
);


CREATE TABLE customized_snmp_oids (
  id int(11) NOT NULL auto_increment,
  oid varchar(255) NOT NULL,
  display_name varchar(255) NOT NULL,
  mapped_field int(11),
  filter_name varchar(255),
  filter_expression varchar(255),
  filter_node mediumtext,
  is_writable varchar(1),
  addon_db_name varchar(64),
  PRIMARY KEY  (id)
);

insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (1,'1.3.6.1.2.1.2.2.1.6.1','Mac address of first network interface',0,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (2,'1.3.6.1.2.1.1.7.0','System services',2,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (3,'1.3.6.1.2.1.1.1.0','System description',3,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (4,'1.3.6.1.2.1.1.2.0','System object identifier',40,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (5,'1.3.6.1.2.1.1.3.0','System up time',41,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (6,'1.3.6.1.2.1.1.4.0','System contact',42,' ',' ',' ','1',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (7,'1.3.6.1.2.1.1.5.0','System name',1,' ',' ',' ','1',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (8,'1.3.6.1.2.1.1.6.0','System location',44,' ',' ',' ','1',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (9,'1.3.6.1.2.1.2.2.1.2','Description of first network interface',43,' ',' ',' ','0',' ');
alter table customized_snmp_oids auto_increment = 100;

CREATE TABLE asset2ci (
  account_id varchar(32) NOT NULL,
  asset_field varchar(64) NOT NULL,
  ci_field varchar(64) NOT NULL,
  position int(3),
  PRIMARY KEY  (account_id,asset_field)
);

insert into asset2ci values ('account','a.serial','serial',1);
insert into asset2ci values ('account','c.computer_name','ci_name',2);
insert into asset2ci values ('account','c.location_idx','location',3);
insert into asset2ci values ('account','c.supplier','supplier',4);
insert into asset2ci values ('account','c.username','owner',5);

CREATE TABLE sr_sub_type (
  account_id varchar(32) NOT NULL,
  sr_type int NOT NULL,
  sr_sub_type int NOT NULL auto_increment,
  sub_type_name varchar(255) NOT NULL,
  sub_type_class varchar(255),
  sub_type_form_view longtext,
  end_user_view longtext,
  visible numeric(1,0) default 1,
  PRIMARY KEY (sr_sub_type)
);

CREATE TABLE sub_tab_views (
  account_id varchar(32) NOT NULL,
  id int NOT NULL auto_increment,
  name varchar(64),
  caption varchar(64),
  sub_tab_view longtext,
  system_view numeric(1,0) default 0,
  PRIMARY KEY (id)
);

CREATE TABLE sr_sub_tab (
  action_item_id int not null AUTO_INCREMENT,
  account_id varchar(32) NOT NULL,
  sr_id int NOT NULL,
  tab_name varchar(64) NOT NULL,
  sub_tab_id int NOT NULL,
  sub_tab_order int NOT NULL,
  assigned_to varchar(64),
  submit_user varchar(64),
  insert_time datetime default NULL,
  due_date datetime default NULL,
  title varchar(255) default NULL,
  description longtext,
  notes longtext,
  proposed_delivery_date datetime default NULL,
  proposed_version varchar(64),
  complexity int,
  severity int,
  urgency int,
  priority int,
  status int,
  active int,
  cancel_notif_for_assigned_to numeric(1,0) default 0,
  auto_complete char(1),
  on_complete_change_status int(11) default NULL,
  notification_id varchar(255),
  notification_method varchar(64),
  duration float,
  resources_required_in_days float,
  ci_id int,
  cab_meeting_reference varchar(64),
  percent_completed int,
  cust_int1 int,
  cust_int2 int,
  cust_int3 int,
  cust_int4 int,
  cust_int5 int,
  cust_int6 int,
  cust_int7 int,
  cust_int8 int,
  cust_int9 int,
  cust_int10 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_text3 varchar(255),
  cust_text4 varchar(255),
  cust_text5 varchar(255),
  cust_text6 varchar(255),
  cust_text7 varchar(255),
  cust_text8 varchar(255),
  cust_text9 varchar(255),
  cust_text10 varchar(255),
  cust_date1 datetime,
  cust_date2 datetime,
  cust_date3 datetime,
  cust_date4 datetime,
  cust_date5 datetime,
  cust_date6 datetime,
  cust_date7 datetime,
  cust_date8 datetime,
  cust_date9 datetime,
  cust_date10 datetime,
  cust_list1 int,
  cust_list2 int,
  cust_list3 int,
  cust_list4 int,
  cust_list5 int,
  cust_list6 int,
  cust_list7 int,
  cust_list8 int,
  cust_list9 int,
  cust_list10 int,
  cust_notes1 longtext,
  cust_notes2 longtext,
  cust_notes3 longtext,
  cust_notes4 longtext,
  cust_notes5 longtext,
  cust_notes6 longtext,
  cust_notes7 longtext,
  cust_notes8 longtext,
  cust_notes9 longtext,
  cust_notes10 longtext,
  task_id int,
  project_id int,
  assigned_group varchar(64),
  location int,
  completed_time datetime,
  enabled_time datetime,
  company int,
  company_backup int default 0,
  modify_time datetime,
  policy_compliance char(1),
  budgeted char(1),
  approved char(1),
  user_acceptance char(1),
  hardware_costs float,
  software_costs float,
  installation_costs float,
  training_costs float,
  maintenance_costs float,
  total_costs float,
  internal_manpower_in_hours float,
  total_expected_downtime_hours float,
  department int,
  expected_downtime_start datetime,
  expected_downtime_end datetime,
  impact int,
  reopened varchar(255),
  cust_float1 float,
  cust_float2 float,
  cust_float3 float,
  cust_float4 float,
  cust_float5 float,
  cust_float6 float,
  cust_float7 float,
  cust_float8 float,
  cust_float9 float,
  cust_float10 float,
  version int NOT NULL default '0',
  allow_pdf varchar(1),
  update_user varchar(64),
  reopened_note longtext,
  and_condition varchar(1),
  additional_user varchar(64),
  on_activate_change_status int(11) default NULL,
  on_completion_approve_patch int(11) default NULL,
  back_out_plan char(1),
  recurrence int,
  computer_id varchar(64) default 'none',
  email_account int default NULL,
  PRIMARY KEY(account_id,sr_id,tab_name,sub_tab_order),
  unique index action_item_id(action_item_id)
);

CREATE INDEX sr_sub_tab_assigned_to ON sr_sub_tab(sr_id,assigned_to,status,sub_tab_order);

CREATE TABLE sr_sub_tab_history (
  action_item_id INT,
  account_id varchar(32) NOT NULL,
  sr_id int NOT NULL,
  tab_name varchar(64) NOT NULL,
  sub_tab_id int NOT NULL,
  sub_tab_order int NOT NULL,
  assigned_to varchar(64),
  submit_user varchar(64),
  insert_time datetime default NULL,
  due_date datetime default NULL,
  title varchar(255) default NULL,
  description longtext,
  notes longtext,
  proposed_delivery_date datetime default NULL,
  proposed_version varchar(64),
  complexity int,
  severity int,
  urgency int,
  priority int,
  status int,
  active int,
  cancel_notif_for_assigned_to numeric(1,0) default 0,
  auto_complete char(1),
  on_complete_change_status int(11) default NULL,
  notification_id varchar(255),
  notification_method varchar(64),
  duration float,
  resources_required_in_days float,
  ci_id int,
  cab_meeting_reference varchar(64),
  percent_completed int,
  cust_int1 int,
  cust_int2 int,
  cust_int3 int,
  cust_int4 int,
  cust_int5 int,
  cust_int6 int,
  cust_int7 int,
  cust_int8 int,
  cust_int9 int,
  cust_int10 int,
  cust_text1 varchar(255),
  cust_text2 varchar(255),
  cust_text3 varchar(255),
  cust_text4 varchar(255),
  cust_text5 varchar(255),
  cust_text6 varchar(255),
  cust_text7 varchar(255),
  cust_text8 varchar(255),
  cust_text9 varchar(255),
  cust_text10 varchar(255),
  cust_date1 datetime,
  cust_date2 datetime,
  cust_date3 datetime,
  cust_date4 datetime,
  cust_date5 datetime,
  cust_date6 datetime,
  cust_date7 datetime,
  cust_date8 datetime,
  cust_date9 datetime,
  cust_date10 datetime,
  cust_list1 int,
  cust_list2 int,
  cust_list3 int,
  cust_list4 int,
  cust_list5 int,
  cust_list6 int,
  cust_list7 int,
  cust_list8 int,
  cust_list9 int,
  cust_list10 int,
  cust_notes1 longtext,
  cust_notes2 longtext,
  cust_notes3 longtext,
  cust_notes4 longtext,
  cust_notes5 longtext,
  cust_notes6 longtext,
  cust_notes7 longtext,
  cust_notes8 longtext,
  cust_notes9 longtext,
  cust_notes10 longtext,
  task_id int,
  project_id int,
  assigned_group varchar(64),
  location int,
  completed_time datetime,
  enabled_time datetime,
  company int,
  modify_time datetime,
  policy_compliance char(1),
  budgeted char(1),
  approved char(1),
  user_acceptance char(1),
  hardware_costs float,
  software_costs float,
  installation_costs float,
  training_costs float,
  maintenance_costs float,
  total_costs float,
  internal_manpower_in_hours float,
  total_expected_downtime_hours float,
  department int,
  expected_downtime_start datetime,
  expected_downtime_end datetime,
  impact int,
  reopened varchar(255),
  cust_float1 float,
  cust_float2 float,
  cust_float3 float,
  cust_float4 float,
  cust_float5 float,
  cust_float6 float,
  cust_float7 float,
  cust_float8 float,
  cust_float9 float,
  cust_float10 float,
  version int(11) NOT NULL default '0',
  change_time datetime,
  changed_by varchar(64),
  allow_pdf varchar(1),
  update_user varchar(64),
  reopened_note longtext,
  and_condition varchar(1),
  additional_user varchar(64),
  on_activate_change_status int(11) default NULL,
  company_backup int default 0,
  on_completion_approve_patch int(11) default NULL,
  back_out_plan char(1),
  recurrence int,
  computer_id varchar(64) default 'none',
  email_account int default NULL,
  PRIMARY KEY(account_id,sr_id,tab_name,sub_tab_order,version)
);

create table sr_tab_dependences (
  account_id varchar(32) NOT NULL,
  id int not null auto_increment,
  sr_id int NOT NULL,
  tab_name varchar(64) NOT NULL,
  sub_tab_order int NOT NULL,
  depends_on_tab varchar(64),
  depends_on_sub int,
  dependent_method varchar(64),
  add_depends varchar(255),
  filter_expression mediumtext,
  filter_sql mediumtext,
  PRIMARY KEY (id)
);

create index sr_tab_depends_idx1 on sr_tab_dependences(account_id,sr_id,tab_name,sub_tab_order);

create table sr_sub_tab_files (
  id varchar(64) NOT NULL default '',
  account_id varchar(32) NOT NULL,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  file_content longblob,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
);

create table sr_sub_tab_links (
  id varchar(64) NOT NULL default '',
  account_id varchar(32) NOT NULL,
  file_id varchar(64) NOT NULL,
  link varchar(255) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  PRIMARY KEY  (account_id,id,file_id)
);  

CREATE TABLE status_settings (
  id int(11) NOT NULL,
  account_id varchar(32) NOT NULL default '',
  change_status  int(11)  NOT NULL,
  incident_status int(11) NOT NULL,
  exclude_statuses varchar(255),
  PRIMARY KEY  (id)
);

CREATE TABLE user2ci (
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL ,
  ci_id int(11) NOT NULL  ,
  PRIMARY KEY  (account_id,user_name,ci_id)
);

CREATE TABLE audit_log_lines (
  log_id int NOT NULL,
  line_id int NOT NULL,
  line_ts bigint NOT NULL,
  audit_date  TIMESTAMP NOT NULL,
  account_id varchar(32) NOT NULL,
  audit_info mediumtext,
  PRIMARY KEY  (log_id,line_ts)
 );

 create index audit_log_lines_idx1 on audit_log_lines (audit_date);
 create index audit_log_lines_idx2 on audit_log_lines (account_id, log_id);


CREATE TABLE faq_files (
  id int(11) NOT NULL,
  account_id varchar(32) NOT NULL ,
  file_id varchar(64) NOT NULL,
  file_name varchar(255),
  file_date datetime,
  file_content longblob ,
  real_file_name varchar(255),
  PRIMARY KEY  (account_id,id,file_id )
 );

 CREATE TABLE reminders (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  reminder_name varchar(64) NOT NULL,
  notification varchar(64) NOT NULL,
  alert_before int NOT NULL,
  alert_time varchar(64) NOT NULL,
  filter_expression mediumtext,
  filter_sql mediumtext,
  PRIMARY KEY  (id)
 );
 
CREATE TABLE automatic_texts (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL default '',
  title varchar(255),
  description mediumtext default NULL,
  assigned_group varchar(64) default '',
  PRIMARY KEY (id,account_id)
);

CREATE TABLE user_favorites(
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL,
  caption varchar(64) NOT NULL,
  url_string varchar(255),
  user_name varchar(64),
  PRIMARY KEY(id)
 );

CREATE TABLE chat_active_sessions (
    session_id varchar(64) NOT NULL,
    chat_status int NOT NULL,
    request_user varchar(64) ,
    service_request int,
    queue  varchar(64) NOT NULL,
    assigned_user varchar(64) ,
    session_password varchar(64) NOT NULL,
    full_name varchar(255),
    email_address varchar(64) ,
    ip_address varchar(64) ,
    start_time  datetime default NULL ,
    close_time  datetime default NULL ,
    update_time  datetime default NULL ,
    accept_time  datetime default NULL ,
    account_id   varchar(64) default NULL ,
    line_count int ,
    session_text longtext  ,
    PRIMARY KEY  (session_id)
) ;

CREATE TABLE chat_closed_sessions (
    session_id varchar(64) NOT NULL,
    chat_status int NOT NULL,
    request_user varchar(64) ,
    service_request int,
    queue  varchar(64) NOT NULL,
    assigned_user varchar(64) ,
    session_password varchar(64) NOT NULL,
    full_name varchar(255),
    email_address varchar(64) ,
    ip_address varchar(64) ,
    start_time  datetime default NULL ,
    close_time  datetime default NULL ,
    update_time  datetime default NULL ,
    accept_time  datetime default NULL ,
    account_id   varchar(64) default NULL ,
    line_count int ,
    session_text longtext  ,
    PRIMARY KEY  (session_id)
) ;

CREATE TABLE chat_queue (
    id int(11) NOT NULL auto_increment,
    name varchar(64) NOT NULL,
    group_name varchar(64),
    welcome_message mediumtext ,
    welcome_message_from_agent mediumtext ,
    idle_message mediumtext,
    operator_accept_message mediumtext,
    operator_release_message mediumtext,
    operator_replace_message mediumtext,
    offline_image_url varchar(64) ,
    online_image_url varchar(64),
    add_hour_in_chat_session char(1),
    embed_in_site_script mediumtext ,
    time_before_idle  int,
    time_before_close int,
    allow_offline_chat char(1),
    submit_offline_chat_message mediumtext ,
    display_details_screen char(1)  ,
    email_address varchar(256) ,
    operator_close_message mediumtext,
    PRIMARY KEY  (id)
) ;

insert into automatic_texts (account_id,title,description,assigned_group) values ('account', 'Dear Customer', 'Dear
I am contacting you regarding', 'all');


CREATE TABLE chat_queue_messages (
    id int(11) NOT NULL auto_increment,
    title varchar(64) NOT NULL,
    message mediumtext NOT NULL ,
    queue int(11) NOT NULL,
    PRIMARY KEY  (id)
);

insert into chat_queue  ( id, name, welcome_message, idle_message, operator_accept_message, operator_release_message, add_hour_in_chat_session, embed_in_site_script, time_before_idle, time_before_close, allow_offline_chat, submit_offline_chat_message, display_details_screen,welcome_message_from_agent,operator_close_message )
    values ( 1, 'Support', 'Please wait. A support representative will join shortly.', 'This chat session has been identified as inactive, it will soon be closed automatically.', 'Support representative has joined  this chat session.', 'The Support representative has left this chat session. A new representative will join shortly.', '1', '<img src=""/ChatImage?queue=1"" alt=""Chat with customer support rep."" style=""cursor:pointer"" onclick=""javascript:window.open(''ChatEnduserWelcomePage.jsp?queue=1'',''myWin'',''width=400px,height=660px,toolbar=no,resizable=no,directories=no,menubar=no,location=no'')"" />', 15, 20, '1', 'Thank you for submitting your request.<br />Our Support will try to assist as soon as possible.', '1','An operator set a request chatting with you, He will join this conversation shortly','This session has been closed by the support representative.');

alter table chat_queue auto_increment = 2;

insert into chat_queue_messages ( id, title,  message, queue )
    values ( 1, 'Please wait...', 'Please wait a few minutes while I consult with my colleagues regarding your issue', 1 );

alter table chat_queue_messages auto_increment = 2;

insert into chat_closed_sessions(account_id,session_id, chat_status, request_user, queue, assigned_user, session_password, full_name, email_address, ip_address, start_time, close_time, update_time, line_count, session_text)
    values (  'account','1', 4, 'John Doe', 'Support', 'SysAid', '123456789', 'John Doe', 'john@sysaid.com', '127.0.0.1', CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), CURRENT_TIMESTAMP(), 10, 'This is a sample chat session text');

CREATE TABLE share_and_compare(
   id int NOT NULL,
   row_index int NOT NULL,
   title varchar(255) NOT NULL ,
   validity_date datetime,
   sql_stat1_1 mediumtext NOT NULL,
   sql_stat1_2 mediumtext NOT NULL,
   sql_stat2_1 mediumtext NOT NULL,
   sql_stat2_2 mediumtext NOT NULL,
   sql_stat3_1 mediumtext NOT NULL,
   sql_stat3_2 mediumtext NOT NULL,
   sql_stat4_1 mediumtext NOT NULL,
   sql_stat4_2 mediumtext NOT NULL,
   industries_list varchar(255),
   filter_name varchar(255),
   filter_expression varchar(255),
   filter_node mediumtext,
   default_filter_name varchar(255),
   default_filter_expression varchar(255),
   default_filter_node mediumtext,
   filter_type varchar(64),
   value float,
   min_value float,
   max_value float,
   share_stat char(1) default 'N',
   more_is_green char(1) default 'N',
   notes mediumtext NOT NULL,
   info_url varchar(255) NOT NULL,
   unit_type varchar(64),
   filter_relevance varchar(1),
   value_data_1 int,
   value_data_2 int,
   value_data_3 int,
   value_data_4 int,
   value_data_5 int,
   value_data_6 int,
   value_data_7 int,
   value_data_8 int,
   value_data_9 int,
   value_data_10 int,
   value_data_11 int,
   value_data_12 int,
   value_data_13 int,
   value_data_14 int,
   value_data_15 int,
   value_data_16 int,
   value_data_17 int,
   value_data_18 int,
   value_data_19 int,
   value_data_20 int,
   value_data_21 int,
   value_data_22 int,
   value_data_23 int,
   value_data_24 int,
   value_data_25 int,
   value_data_26 int,
   value_data_27 int,
   value_data_28 int,
   value_data_29 int,
   value_data_30 int,
   value_data_31 int,
   value_data_32 int,
   value_data_33 int,
   value_data_34 int,
   value_data_35 int,
   value_data_36 int,
   value_data_37 int,
   value_data_38 int,
   value_data_39 int,
   value_data_40 int,
   value_data_41 int,
   value_data_42 int,
   value_data_43 int,
   value_data_44 int,
   value_data_45 int,
   value_data_46 int,
   value_data_47 int,
   value_data_48 int,
   value_data_49 int,
   value_data_50 int,
   PRIMARY KEY  (id)
 );

CREATE TABLE statistics_data(
  id int NOT NULL,
  data_date varchar(64),
  current_month_data_1 int,
  current_month_data_2 int,
  last_month_data_1 int,
  last_month_data_2 int,
  current_year_data_1 int,
  current_year_data_2 int,
  last_year_data_1 int,
  last_year_data_2 int,
  PRIMARY KEY  (id,data_date)
 );

CREATE TABLE generic_messages (
   msg_id int(11) NOT NULL auto_increment,
   account_id varchar(32) NOT NULL default '' ,
   title varchar(255) NOT NULL,
   description mediumtext,
   msg_type char(1),
   expiration_date datetime default NULL,
   remaining_days int,
   disable char(1),
   identify varchar(64) NOT NULL,
   PRIMARY KEY (msg_id)
);

 insert into generic_messages (account_id,title,description,msg_type,IDENTIFY)
       values ('account','loginMessageWizard.title','loginMessageWizard.maintenance.about.to.expire','a','');
 insert into generic_messages (account_id,title,description,msg_type,IDENTIFY)
       values ('account','loginMessageWizard.title','loginMessageWizard.maintenance.expired','a','');

CREATE TABLE conditional_messages (
   msg_id int(11) NOT NULL auto_increment,
   account_id varchar(32) NOT NULL default '' ,
   title varchar(255) NOT NULL,
   body_background mediumtext,
   body_css mediumtext,
   body_window_width int,
   body_window_height int,
   body_text mediumtext,
   msg_type char(1),
   condition_type1 varchar(255),
   condition_value1 varchar(255),
   condition_type2 varchar(255),
   condition_value2 varchar(255),
   expiration_date datetime default NULL,
   remaining_days int,
   disable char(1),
   identify varchar(64) NOT NULL,
   PRIMARY KEY (msg_id)
);

create table user_statistics(
  statistic_id int(11) NOT NULL auto_increment,
  user_name varchar(64) NOT NULL,
  type varchar(32) default NULL,
  measurement int,
  create_date datetime default NULL,
  modify_date datetime default NULL,
  PRIMARY KEY (statistic_id)
);

CREATE TABLE user_counters (
   counter_id int(11) NOT NULL auto_increment,
   user_name varchar(64) NOT NULL,
   type varchar(32) default NULL,
   counter int,
   entity_ref_id varchar(32),
   modify_date datetime default NULL,
   PRIMARY KEY (counter_id)
);

insert into faq (account_id, id, title, question, answer, category, sub_category, third_level_category, publish, update_time, created_by,version)
       values ('account',1, 'Submitting a Service Record from the End-User Portal', 'How do I submit a Service Record from the End-User Portal?', '<p>Follow these steps:</p>  <p>      </p>  <p>      1.   Press F11 to open the End-User Portal. Alternatively, you may access the helpdesk URL from your browser.</p>  <p>      2.   Click <strong>Submit an Incident</strong> to open the form.</p> <p><img src="KB/Submit_an_Incident.png" alt="Submit_an_Incident.png" /></p>  <p>      3.   In the form, choose the relevant category, enter an appropriate title and description.</p> <p><img src="KB/Category_selection.png" alt="Category_selection.png" /></p>  <p>      4.   Add relevant attachments (optional).</p>  <p><img src="KB/Attachments.png" alt="Attachments.png" /></p> <p>      5.   Click the <strong>Submit</strong> button.</p>  <p> </p>  <p>You will be presented with the service record ID for future reference.</p>  <p> </p>', 'Basic Software', 'Other', 'How to?', 1, CURRENT_TIMESTAMP, 'SysAid',1);

update asset_types set default_file_name = 'printer_32.png' where computer_type = 'Printer';
update asset_types set default_file_name = 'pda_32.png' where computer_type = 'PDA';
update asset_types set default_file_name = 'workstation_32.png' where computer_type = 'Workstation';
update asset_types set default_file_name = 'other_32.png' where computer_type = 'Other';
update asset_types set default_file_name = 'server_32.png' where computer_type = 'Server';

create table sr_sub_tab_populate(
  account_id varchar(32) NOT NULL,
  id int NOT NULL auto_increment,
  sr_id int NOT NULL,
  tab_name varchar(64) NOT NULL,
  sub_tab_order int NOT NULL,
  field_name varchar(64) NOT NULL,
  source_tab_name varchar(64) NOT NULL,
  source_sub_tab_order int NOT NULL,
  source_field_name varchar(64) NOT NULL,
  method int,
  population_trigger int,
  direction int,
  PRIMARY KEY (id)
  );

create index sr_sub_tab_populate_idx1 on sr_sub_tab_populate(account_id,sr_id,tab_name,sub_tab_order);

CREATE TABLE asset_notif_events(id int(11) NOT NULL auto_increment, account_id varchar(32) NOT NULL, event_name varchar(64) NOT NULL, notification varchar(64) NOT NULL, filter_expression mediumtext, filter_sql mediumtext, PRIMARY KEY(id));

create table measurements_lists (
  account_id varchar(32) NOT NULL,
  id int NOT NULL auto_increment,
  title varchar(255) NOT NULL,
  field_name varchar(64) NOT NULL,
  date_field varchar(64) NOT NULL,
    sr_types varchar(64),
  include_statuses mediumtext,
  filter_sql mediumtext,
  filter_xml mediumtext,
  filter_expression mediumtext,
  status_class int,
  version int NOT NULL,
  PRIMARY KEY(id)
  );

 create table measurements_lists_history (
   account_id varchar(32) NOT NULL,
   id int NOT NULL,
   title varchar(255) NOT NULL,
   field_name varchar(64) NOT NULL,
   date_field varchar(64) NOT NULL,
    sr_types varchar(64),
   include_statuses mediumtext,
   filter_sql mediumtext,
   filter_xml mediumtext,
   filter_expression mediumtext,
  status_class int,
   version int,
   change_time datetime,
   changed_by varchar(64),
   PRIMARY KEY(id,version)
   );

   create table measurements_def
(account_id  varchar(32) NOT NULL,
id int NOT NULL auto_increment,
title varchar(255) NOT NULL,
agreement_id int,
parent_id int,
weight int,
formula1 varchar(64),
list1_id int,
formula2 varchar(64),
list2_id int,
time_interval int,
units varchar(64),
critical_grade int,
warning_grade int,
optimum_grade int,
goal_critical int,
goal_warning int,
goal_optimum int,
sla_critical int,
sla_warning int,
sla_optomum int,
calculated char(1),
enabled char(1),
version int NOT NULL,
PRIMARY KEY(id)
);



create table measurements_def_history
(account_id  varchar(32) NOT NULL,
id int NOT NULL ,
title varchar(255) NOT NULL,
 agreement_id int,
parent_id int,
weight int,
formula1 varchar(64),
list1_id int,
formula2 varchar(64),
 list2_id int,
time_interval int,
units varchar(64),
critical_grade int,
warning_grade int,
optimum_grade int,
goal_critical int,
goal_warning int,
goal_optimum int,
sla_critical int,
sla_warning int,
sla_optomum int,
calculated char(1),
enabled char(1),
 version int NOT NULL,
 change_time datetime,
 changed_by varchar(64),
PRIMARY KEY( account_id,id,version)
);

create table agreement
(account_id  varchar(32) NOT NULL,
id int NOT NULL auto_increment,
title varchar(255) NOT NULL,
PRIMARY KEY( id)
);

insert into agreement (account_id,id,title) values ('account',1,'DEFAULT SLA');
alter table agreement  auto_increment = 2;

create table custom_columns
(id int(11) NOT NULL auto_increment,
account_id varchar(32) NOT NULL,
entity_type varchar(64) NOT NULL,
field_caption varchar(64) NOT NULL,
field_type varchar(64) NOT NULL,
attribute_name varchar(64) NOT NULL,
addon_db_name varchar(64) NOT NULL,
compatibility_mode char(1) DEFAULT 'N',
write_in_list mediumtext,
write_in_form mediumtext,
write_in_form_ssp mediumtext,
write_in_form_mobile mediumtext,
read_data_from_form mediumtext,
validation_in_form mediumtext,
validation_in_form_ssp mediumtext,
hidden_control_in_form mediumtext,
upload_from_file char(1) DEFAULT 'N',
column_status char(1) default 'Y',
encryption char(1) default 'N',
is_hidden char(1) default 'N',
field_not_display_caption char(1) default 'N',
sysaid_entity varchar(64),
list_filter mediumtext,
PRIMARY KEY(id)
);


CREATE TABLE online_users (
id int(11) NOT NULL auto_increment,
account_id varchar(32) NOT NULL,
user_name varchar(64) NOT NULL,
computer_id varchar(64) NOT NULL,
computer_name varchar(64),
domain varchar(64) NOT NULL,
client_name varchar(64),
ip_address varchar(64),
session_id varchar(64),
last_update_date datetime default NULL,
disconnected int(11) default 0,
PRIMARY KEY  (id)
);

create index online_users_ind_1 on online_users (computer_id );
create index online_users_ind_2 on online_users (user_name );

CREATE TABLE survey_questions (
account_id varchar(32) NOT NULL,
id int NOT NULL auto_increment,
question_text mediumtext NOT NULL,
enabled char(1) NOT NULL,
display_comment char(1) NOT NULL,
position int NOT NULL,
PRIMARY KEY  (id)
);

CREATE TABLE survey_answers (
account_id varchar(32) NOT NULL,
question_id int  NOT NULL,
answer_id int  NOT NULL,
answer_text mediumtext NOT NULL,
PRIMARY KEY  (question_id,answer_id)
);

create table current_measurement_lists (
account_id  varchar(32) NOT NULL,
agreement int NOT NULL,
measurement int NOT NULL,
list int NOT NULL,
service_req_id int NOT NULL,
list_value float,
run_date datetime,
PRIMARY KEY(account_id,agreement,measurement,list,service_req_id)
);

create table last_run_measurement_lists (
account_id  varchar(32) NOT NULL,
agreement int NOT NULL,
measurement int NOT NULL,
list int NOT NULL,
service_req_id int NOT NULL,
list_value float,
run_date datetime,
PRIMARY KEY(account_id,agreement,measurement,list,service_req_id)
);

create table current_sla_results(
account_id varchar(32) NOT NULL,
measurement_id int NOT NULL,
current_result float,
sla_grade float,
internal_grade float,
run_date datetime,
final_result char(1),
PRIMARY KEY(account_id,measurement_id,run_date)
);

create table custom_triggers(
account_id varchar(32) NOT NULL,
entity_type varchar(64) NOT NULL,
trigger_onload longtext,
trigger_before_save longtext,
trigger_after_save longtext,
trigger_onload_lastlog longtext,
trigger_before_save_lastlog longtext,
trigger_after_save_lastlog longtext,
compatibility_mode char(1) DEFAULT 'N',
trigger_bfr_save_ent longtext,
trigger_bfr_save_ent_lastlog longtext,
PRIMARY KEY(account_id,entity_type)
);

CREATE TABLE sysaid_events (
account_id varchar(32) NOT NULL,
id int NOT NULL auto_increment,
title  varchar(255) NOT NULL,
description   longtext  NOT NULL,
start_date datetime ,
end_date datetime,
available_groups  varchar(64),
create_user varchar(64),
PRIMARY KEY  (id)
);

CREATE TABLE traps_data (
  account_id varchar(32) NOT NULL,
  computer_id varchar(64) NOT NULL,
  trap_0 int NOT NULL,
  trap_1 int NOT NULL,
  trap_2 int NOT NULL,
  trap_3 int NOT NULL,
  trap_4 int NOT NULL,
  trap_5 int NOT NULL,
  trap_6 int NOT NULL,
  PRIMARY KEY(account_id,computer_id)
  );

CREATE TABLE form_history (
 id int not null auto_increment,
 user_name varchar(64) NOT NULL default '',
 account_id varchar(32) NOT NULL default '',
 form_caption varchar(255)  NOT NULL default '',
 form_url varchar(255) NOT NULL default '',
 form_visit_time datetime,
 PRIMARY KEY (id)
);

CREATE TABLE uss_security_questions (
  id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  security_question varchar(255) NOT NULL ,
  visible varchar(1),
  mandatory varchar(1),
  system_question varchar(1) default 0,
  PRIMARY KEY  (id)
) ;


INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (1,'account','user.selfService.question.1','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (2,'account','user.selfService.question.2','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (3,'account','user.selfService.question.3','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (4,'account','user.selfService.question.4','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (5,'account','user.selfService.question.5','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (6,'account','user.selfService.question.6','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (7,'account','user.selfService.question.7','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (8,'account','user.selfService.question.8','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (9,'account','user.selfService.question.9','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (10,'account','user.selfService.question.10','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (11,'account','user.selfService.question.11','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (12,'account','user.selfService.question.12','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (13,'account','user.selfService.question.13','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (14,'account','user.selfService.question.14','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (15,'account','user.selfService.question.15','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (16,'account','user.selfService.question.16','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory) VALUES (17,'account','user.selfService.question.17','1','0');
INSERT INTO uss_security_questions (id,account_id,security_question,visible,mandatory,system_question) VALUES (18,'account','user.selfService.question.system.1','1','0','1');


ALTER TABLE  uss_security_questions AUTO_INCREMENT = 20;

CREATE TABLE uss_notif_events(
id int(11) NOT NULL auto_increment,
account_id varchar(32) NOT NULL,
event_name varchar(64) NOT NULL,
notification varchar(64) NOT NULL,
filter_expression mediumtext,
filter_sql mediumtext,
PRIMARY KEY(id));

CREATE TABLE online_users_history (
account_id varchar(32) NOT NULL,
id int(11) NOT NULL ,
user_name varchar(64) NOT NULL,
computer_id varchar(64) NOT NULL,
computer_name varchar(64),
domain varchar(64) NOT NULL,
client_name varchar(64),
ip_address varchar(64),
session_id varchar(64),
login_time datetime default NULL,
logout_time datetime default NULL,
PRIMARY KEY  (id)
);
create index online_users_history_idx1 on online_users_history(user_name, login_time, computer_id);

CREATE TABLE user_questions (
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL ,
  question_id int NOT NULL,
  answer varchar(255) NOT NULL  ,
  PRIMARY KEY  (account_id,user_name,question_id)
);

CREATE TABLE user_answer_attempts (
  account_id varchar(32) NOT NULL ,
  user_name varchar(64) NOT NULL ,
  attempts int NOT NULL,
  lock_date datetime,
  PRIMARY KEY  (account_id,user_name)
);

CREATE TABLE sysaid_user_push_enable (
  user_name varchar(64) NOT NULL default '',
  account_id varchar(32) NOT NULL default '',
  device_type varchar(64) NOT NULL,
  device_id varchar(255) NOT NULL,
  enable_date datetime,
  is_production char(1) default 'N',
  is_chat_online int default 0,
  PRIMARY KEY  (account_id,user_name)
);

CREATE TABLE sysaid_user_push_notifications (
 id int NOT NULL auto_increment ,
 push_id int(11),
 user_name varchar(64) NOT NULL default '',
 account_id varchar(32) NOT NULL default '',
 sr_id int(11),
 push_message varchar(255) NOT NULL default '',
 status int(11),
 push_date datetime,
 PRIMARY KEY(id)
);


CREATE TABLE online_assets (
  asset_id varchar(64) NOT NULL ,
  is_online int,
  last_update datetime,
  PRIMARY KEY (asset_id)
);

CREATE TABLE asset_offline_log (
  id int NOT NULL auto_increment,
  asset_id varchar(64) NOT NULL ,
  offline_start_time  datetime NOT NULL ,
  offline_end_time  datetime   ,
  offline_minutes  int ,
  PRIMARY KEY (id)
);

create index asset_offline_log_idx1 on asset_offline_log(asset_id,offline_start_time);

CREATE TABLE users_remote_assets (
  id int NOT NULL auto_increment ,
  user_name varchar(64) NOT NULL ,
  login_domain varchar(64) NOT NULL,
  login_user_upper varchar(64) NOT NULL,
  computer_id varchar(64) NOT NULL,
  description varchar(255),
  note varchar(255),
  PRIMARY KEY  (id)
);

CREATE TABLE remote_active_sessions (
  user_name varchar(64) NOT NULL,
  source_host varchar(64) NOT NULL,
  target_host varchar(64) NOT NULL,
  session_id varchar(64) NOT NULL,
  rcg varchar(64) NOT NULL,
  session_start_time bigint(11) default NULL,
  PRIMARY KEY  (session_id)
);

CREATE TABLE sysaid_user_permissions (
  user_name varchar(64) NOT NULL ,
  permission_conf mediumtext,
  PRIMARY KEY (user_name)
);

CREATE TABLE priority_matrix_cust_values (
  disable int default 0,
  agreement_key int NOT NULL ,
  company_key int NOT NULL ,
  impact_key int NOT NULL ,
  urgency_key int NOT NULL ,
  priority_key int NOT NULL ,
  last_update datetime ,
  PRIMARY KEY (agreement_key ,  company_key ,impact_key , urgency_key)
);


CREATE TABLE custom_services (
  account_id varchar(64) NOT NULL ,
  service_name varchar(255)  NOT NULL ,
  service_class varchar(255)  NOT NULL ,
  service_interval  int NOT NULL    ,
  service_start_time    int NOT NULL,
  PRIMARY KEY(account_id,service_name)
);

CREATE TABLE mdm_policy (
id int(11) NOT NULL auto_increment,
name varchar(255) NOT NULL,
request_time datetime ,
revision int(11),
enable_password char(1),
allow_simple_password char(1),
alphanumeric_password_req char(1) ,
min_password_length int(11),
min_complex_password int(11),
max_password_age int(11),
auto_lock int(11),
password_history int(11),
max_failed_password int(11),
email_type int(11),
account_name varchar(255),
path_prefix_imap varchar(255),
user_display_name varchar(255),
email_address varchar(64),
host_name varchar(64),
server_port varchar(32),
user_name varchar(64),
auth_type int(11),
use_ssl char(1) ,
outoging_host_name varchar(64),
outgoing_server_port varchar(32),
outgoing_user_name varchar(64),
outgoing_auth_type int(11),
outgoing_use_ssl char(1) ,
domain_name varchar(64),
sync_emails_date_range int(11),
passcode_grace_period int(11),
PRIMARY KEY  (id)
);

CREATE TABLE mdm_wifi_policy (
id int(11) NOT NULL auto_increment,
policy_id int(11) NOT NULL ,
type int(11),
ssid varchar(255),
auto_join char(1),
hidden_network char(1),
encryption_key varchar(64),
revision int(11),
PRIMARY KEY  (id)
);

create table mdm_actions(
id int NOT NULL auto_increment,
computer_id varchar(64) not null,
action_code int,
push_message varchar(255),
status int,
insert_time datetime,
PRIMARY KEY (id)
 );

create index mdm_actions_index1 on mdm_actions (computer_id);

CREATE TABLE ui_menus (
mi_id int(11) not null,
mi_name varchar(64),
mi_parent int(11),
mi_action_type varchar(32),
mi_action varchar(255),
mi_enabled char(1),
mi_ui_class varchar(64),
mi_module_id tinyint(4),
mi_order int(11),
mi_permission int(11),
mi_edition int(11),
fr_or_conf_flag_key varchar(64),
PRIMARY KEY (mi_id)
);

create unique index ui_menus_index1 on ui_menus (mi_name);

CREATE TABLE ui_menus2group (
  mi_id int(11) NOT NULL,
  group_name varchar(64) NOT NULL,
  PRIMARY KEY  (mi_id,group_name)
);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1, 'main', null, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2, 'home.servicedesk', 1, 'url', '#', 'Y','service-desk', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (6, 'home.helpdesk', 2, 'url', '#', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (7, 'leftmenu_sr.listAll', 6, 'url', '#/HelpDesk.jsp?fromId=List&showFirstPage=true', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (8, 'leftmenu_sr.incidents', 6, 'url', '#/HelpDesk.jsp?fromId=IncidentsList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (9, 'leftmenu_sr.requests', 6, 'url', '#/HelpDesk.jsp?fromId=RequestsList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (10, 'leftmenu_sr.rfc', 6, 'url', '#/HelpDesk.jsp?fromId=ChangesList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (11, 'leftmenu_sr.problems', 6, 'url', '#/HelpDesk.jsp?fromId=ProblemsList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (12, 'leftmenu_sr.activities', 6, 'url', '#/SRActivities.jsp?showFirstPage=true', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (13, 'leftmenu_sr.subTabList', 6, 'url', '#/SubTabList.jsp?showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (14, 'Sep14', 6, 'separator', '#', 'N',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (15, 'leftmenu_pr.helpdeskSettings', 6, 'settings', '#/Settings.jsp?selectedItem=HelpDeskSettings.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (16, 'leftmenu_sr.knowledge.base', 2, 'url', '#', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (17, 'kb.articles', 16, 'function', '#/function/loadKBFAQPage', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (22, 'leftmenu.Chats', 2, 'url', '#', 'Y',null, 4,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (23, 'leftmenu.Chat.Console', 22, 'function', '#/function/openChatConsole', 'Y',null, 5,0,262144,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (24, 'leftmenu_sr.chats', 22, 'url', '#/ChatClosedChatsList.jsp', 'Y',null, 4,0,0,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3, 'SystemList.jsp', 1, 'url', '#', 'Y','assets', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (25, 'leftmenu.system', 3, 'url', '#', 'Y',null, null,0,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (29, 'leftmenu_sys.assetManagementDashboard', 25, 'url', '#/AssetManagementDash.jsp', 'Y',null, null,0,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (30, 'leftmenu_sys.asset.list', 25, 'url', '#/SystemList.jsp', 'Y',null, null,10,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (31, 'leftmenu_sys.myNetworkAssets', 25, 'url', '#/System.jsp', 'Y',null, null,20,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (32, 'leftmenu_sys.software.list', 25, 'url', '#/SoftwareList.jsp', 'Y',null, null,30,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (90, 'leftmenu_sys.patchManagement', 25, 'url', '#/PatchManagementList.jsp', 'Y',null, 11,31,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (33, 'leftmenu_sys.catalog', 25, 'url', '#/CatalogList.jsp', 'Y',null, null,40,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (34, 'leftmenu_sys.availability', 25, 'url', '#/AvailabilityLog.jsp', 'Y',null, null,50,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (35, 'leftmenu_sys.supplier.list', 25, 'url', '#/SupplierList.jsp', 'Y',null, null,60,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (36, 'leftmenu_sys.onlineUsers.list', 25, 'url', '#/OnlineUsersList.jsp', 'Y',null, null,70,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (37, 'Sep37', 25, 'separator', '#', 'N',null, null,80,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (38, 'leftmenu_sys.settings', 25, 'settings', '#/Settings.jsp?selectedItem=AssetTypes.jsp', 'Y',null, null,90,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (26, 'leftmenu.monitoring', 3, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (39, 'monitor.eventManager.alerts.title', 26, 'url', '#/Alerts.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (91, 'monitor.eventManager.eventLog.title', 26, 'url', '#/EventLog.jsp', 'Y',null, null,1,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (92, 'monitor.eventManager.lastPoll.title', 26, 'url', '#/LastPoll.jsp', 'Y',null, null,2,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (40, 'leftmenu.monitoring.workstations_configuration', 26, 'url', '#/MonitorConfiguration.jsp', 'Y',null, null,3,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (41, 'leftmenu.monitoring.server_configuration', 26, 'url', '#/MonitorConfiguration.jsp?type=1', 'Y',null, 2,4,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (42, 'leftmenu.monitoring.network_devices_configuration', 26, 'url', '#/MonitorConfiguration.jsp?type=4', 'Y',null, 2,5,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (43, 'Sep43', 26, 'separator', '#', 'N',null, null,6,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (44, 'leftmenu.monitoring.settings', 26, 'settings', '#/Settings.jsp?selectedItem=MonitorSettings.jsp', 'Y',null, null,7,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (27, 'leftmenu.remote.access', 3, 'url', '#', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (45, 'leftmenu.remote.main', 27, 'url', '#/RemoteAccessMainPage.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (46, 'leftmenu.remote.access.active.sessions', 27, 'url', '#/RemoteAccessActiveSessions.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (47, 'leftmenu.remote.access.accessible.users', 27, 'url', '#/RemoteAccessibleUsers.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (48, 'leftmenu.remote.access.accessible.assets', 27, 'url', '#/RemoteAccessibleAssets.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (49, 'leftmenu.remote.access.logs', 27, 'url', '#/RemoteAccessLog.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (28, 'leftmenu.cmdb', 3, 'url', '#', 'Y',null, 3,0,65536,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (52, 'leftmenu.cmdb.ci_list', 28, 'url', '#/CIList.jsp', 'Y',null, 3,0,65536,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (53, 'Sep53', 28, 'separator', '#', 'N',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (54, 'leftmenu_pr.cmdbSettings', 28, 'settings', '#/Settings.jsp?selectedItem=CITypeList.jsp', 'Y',null, 3,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (4, 'leftmenu.analytics', 1, 'url', '#', 'Y','analytics', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (55, 'leftmenu.analytics.overview', 4, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (57, 'leftmenu.admin.portal', 55, 'url', '#/Home.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (59, 'leftmenu_sr.matrix', 55, 'url', '#/HelpMat.jsp', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (60, 'portal.submenu.allReports', 55, 'url', '#/MnAnalyzer.jsp', 'Y',null, 10,0,2,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (96, 'portal.submenu.Reports', 55, 'url', '#/Analyzer.jsp', 'Y',null, 12,0,2,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (56, 'portal.report.management', 4, 'url', '#', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (58, 'leftmenu_pr.managerPortal', 56, 'url', '#/Dashboard.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (63, 'portal.submenu.myReports', 56, 'url', '#/MyReports.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (64, 'portal.submenu.recentReports', 56, 'url', '#/RecentReports.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (65, 'portal.menu.scheduler', 56, 'url', '#/SchedulerList.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (93, 'Sep93', 56, 'separator', '#', 'N',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (94, 'portal.report.management.settings', 56, 'settings', '#/Settings.jsp?selectedItem=DashboardEdit.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (66, 'monitor.performance', 4, 'url', '#', 'Y',null, null,2,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (95, 'leftmenu.analytics.benchmark', 66, 'url', '#/Statistics.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (97, 'leftmenu.analytics.animatedSummary', 66, 'url', '#/AnimatedSummary.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1105, 'leftmenu.analytics.BIDashboard', 66, 'url', '#/BIDashboard.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (18, 'sla', 4, 'url', '#', 'Y',null, 7,3,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (19, 'leftmenu.measurementData', 18, 'function', '#/function/openSLAWindow', 'Y',null, 7,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (20, 'Sep20', 18, 'separator', '#', 'N',null, 7,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (21, 'sla.settings', 18, 'settings', '#/Settings.jsp?selectedItem=AgreementList.jsp', 'Y',null, 7,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (5, 'leftmenu.tools', 1, 'url', '#', 'Y','tools', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (67, 'leftmenu.tasks.and.projects', 5, 'url', '#', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (71, 'leftmenu_task.projects', 67, 'url', '#/ProjectList.jsp', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (72, 'leftmenu_task.tasks', 67, 'url', '#/TaskList.jsp', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (73, 'task.activities', 67, 'url', '#/TaskActivities.jsp', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (74, 'Sep74', 67, 'separator', '#', 'N',null, 1,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (75, 'leftmenu_task_projects.settings', 67, 'settings', '#/Settings.jsp?selectedItem=ProjectSettings.jsp', 'Y',null, 1,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (68, 'leftmenu.user.self.service', 5, 'url', '#', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (76, 'leftmenu.user.self.service.main', 68, 'url', '#/UserSelfService.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (78, 'leftmenu.user.self.service.logs', 68, 'url', '#/UserSelfServiceLog.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (79, 'Sep79', 68, 'separator', '#', 'N',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (80, 'leftmenu.user.self.service.settings', 68, 'settings', '#/Settings.jsp?selectedItem=UserSelfServiceSettings.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (69, 'leftmenu.calendar', 5, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (81, 'leftmenu.my_calendar', 69, 'url', '#/SysAidCalendar.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (82, 'menuItemSettings.calendarSettings', 69, 'url', '#/CalendarSettings.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (70, 'leftmenu_pr.userManagement', 5, 'url', '#', 'Y',null, null,0,1048576,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (84, 'leftmenu_um.administrators', 70, 'url', '#/UserManager.jsp', 'Y',null, null,0,33554432,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (85, 'leftmenu_um.endusers', 70, 'url', '#/EndUserManager.jsp', 'Y',null, null,0,1048576,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (86, 'userGroups.title', 70, 'url', '#/UserGroups.jsp', 'Y',null, null,0,33554432,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (87, 'company.list', 70, 'url', '#/CompanyList.jsp', 'Y',null, null,0,1048576+256,1);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (88, 'Sep88', 70, 'separator', '#', 'N',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (89, 'leftmenu_um.settings', 70, 'settings', '#/Settings.jsp?selectedItem=ImportSysAidUsers.jsp', 'Y',null, null,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1000, 'settings', null, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1001, 'leftmenu.servicedesk', 1000, 'url', '#', 'Y','servicedesk-settings', null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1002, 'menuItemSettings.helpDesk.general', 1001, 'url', 'HelpDeskSettings.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1003, 'helpDeskSettings.categories', 1001, 'url', 'CategorySettings.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1004, 'helpDeskSettings.routing',1001, 'url', 'RoutingRulesList.jsp', 'Y',null, null,2,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1005, 'helpDeskSettings.priorities',1001, 'url', 'RulesPriority.jsp', 'Y',null, null,3,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1112, 'helpDeskSettings.rulesEmail',1001, 'url', 'RulesEmailList.jsp', 'Y',null, null,4,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1006, 'helpDeskSettings.dueDates',1001, 'url', 'DueDateList.jsp', 'Y',null, null,5,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1007, 'alertsettings.title',1001, 'url', 'AlertSettings.jsp', 'Y',null, null,6,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1008, 'leftmenu_pr.escalation',1001, 'url', 'EscalationList.jsp', 'Y',null, null,7,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1009, 'operating.times.title',1001, 'url', 'OperatingTimes.jsp', 'Y',null, null,8,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1010, 'operating.timers.title',1001, 'url', 'TimersList.jsp', 'Y',null, null,9,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1011, 'changeProblemSettings.title',1001, 'url', 'ChangeProblemSettings.jsp', 'Y',null, 6,10,1,0);


INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1013, 'leftmenu.servicedesk.templates', 1000, 'url', '#', 'Y','templates-settings', null,20,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1014, 'leftmenu_pr.requestTemplates',1013, 'url', 'HelpDesk.jsp?fromId=reqtemp', 'Y',null, 6,11,2056,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1015, 'leftmenu_pr.rfcTemplates',1013, 'url', 'HelpDesk.jsp?fromId=rfc', 'Y',null, 6,12,2056,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1016, 'leftmenu_pr.pmTemplates',1013, 'url', 'HelpDesk.jsp?fromId=pm', 'Y',null, 6,13,2056,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1093, 'leftmenu_pr.incidentTemplates',1013, 'url', 'HelpDesk.jsp?fromId=inctemp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1094, 'rfc.subTypes',1013, 'url', 'SubTypeList.jsp', 'Y',null, null,15,2304,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1012, 'rfc.notifications',1013, 'url', 'RFCNotification.jsp', 'Y',null, 6,16,2048,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1124, 'leftmenu_pr.importTemplates',1013, 'url', 'ImportTemplates.jsp', 'Y',null, 6,14,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1017, 'menuItemSettings.sla', 1000, 'url', '#', 'Y','slaslm-settings', 7,30,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1018, 'leftmenu.agreementLists', 1017, 'url', 'AgreementList.jsp', 'Y',null, 7,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1019, 'leftmenu.measurements', 1017, 'url', 'Measurements.jsp', 'Y',null, 7,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1020, 'leftmenu.measurementLists', 1017, 'url', 'MeasurementLists.jsp', 'Y',null, 7,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1021, 'menuItemSettings.chat', 1000, 'url', '#', 'Y','chat-settings', 4,40,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1022, 'leftmenu_pr.chatQueue', 1021, 'url', 'ChatQueueList.jsp', 'Y',null, 4,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1023, 'leftmenu.asset.managment', 1000, 'url', '#', 'Y','asset-settings', null,50,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1024, 'leftmenu_pr.assetTypes', 1023, 'url', 'AssetTypes.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1025, 'leftmenu_sys.importAssets', 1023, 'url', 'ImportAssets.jsp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1026, 'mdmTab', 1023, 'url', 'MDMSettings.jsp', 'Y',null, null,20,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1027, 'mdm.manageDevicePolicies', 1023, 'url', 'MDMPolicyList.jsp', 'Y',null, null,30,16384,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1095, 'patchManagement.settings', 1023, 'url', 'PatchManagementSettings.jsp', 'Y',null, 11,31,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1096, 'patchManagement.policies', 1023, 'url', 'PatchManagementPolicyList.jsp', 'Y',null, 11,32,4194304,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1028, 'leftmenu_pr.rc', 1023, 'url', 'RCSettings.jsp', 'Y',null, null,40,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1029, 'leftmenu.customized.snmp.oids', 1023, 'url', 'CustomizedSnmpOids.jsp', 'Y',null, null,50,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1030, 'leftmenu_pr.registryKeys', 1023, 'url', 'UpdateAssetRegistrySettings.jsp', 'Y',null, null,60,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1031, 'leftmenu_sys.notification', 1023, 'url', 'ReoccurringNotification.jsp?system=YES', 'Y',null, null,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1097, 'leftmenu_sys.events', 1023, 'url', 'SystemNotification.jsp', 'Y',null, null,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1118, 'vendorList.title', 1023, 'url', 'VendorsList.jsp', 'Y',null, null,71,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1119, 'nuboIntegration.controlPanel.title', 1074, 'url', 'addonJspWrapper.jsp?a=nubo&p=NuboControlPanel', 'N', null, null, 0, 1, 0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1032, 'leftmenu.discovery', 1000, 'url', '#', 'Y','networkdiscovery-settings', null,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1033, 'menuItemSettings.networkDiscovery.general', 1032, 'url', 'NetworkDiscovery.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1034, 'discovery.snmp.wmi.title', 1032, 'url', 'WMIScan.jsp', 'Y',null, null,3,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1035, 'discovery.deploy.agents.title', 1032, 'url', 'DeployAgents.jsp', 'Y',null, null,16,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1036, 'discovery.snmp.scan.title', 1032, 'url', 'Discovery.jsp', 'Y',null, null,7,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1037, 'discovery.mdm.title', 1032, 'url', 'MdmEnrollment.jsp', 'Y',null, null,9,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1038, 'discovery.update.asset.data.title', 1032, 'url', 'UpdateAssetData.jsp', 'Y',null, null,11,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1039, 'discovery.upgrade.agents.version.title', 1032, 'url', 'UpgradeAgentsVersion.jsp', 'Y',null, null,13,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1098, 'discovery.rdsList.title', 1032, 'url', 'RDSList.jsp', 'Y',null, null,15,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1117, 'discovery.credentialsList.title', 1032, 'url', 'CredentialsList.jsp', 'N',null, null,19,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1040, 'leftmenu.downloads', 1032, 'url', 'Download.jsp', 'Y',null, null,21,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1041, 'discovery.log.title', 1032, 'url', 'DiscoveryLog.jsp', 'Y',null, null,23,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1042, 'menuItemSettings.monitoring', 1000, 'url', '#', 'Y','monitoring-settings', null,80,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1043, 'menuItemSettings.monitoringSettings', 1042, 'url', 'MonitorSettings.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1044, 'leftmenu.monitoring.templates.workstation', 1042, 'url', 'MonitorTemplates.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1045, 'leftmenu.monitoring.templates.server', 1042, 'url', 'MonitorTemplates.jsp?type=3', 'Y',null, 2,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1046, 'leftmenu.monitoring.notification', 1042, 'url', 'MonitorNotifications.jsp', 'Y',null, null,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1047, 'menuItemSettings.cmdb', 1000, 'url', '#', 'Y','cmdb-settings', 3,90,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1048, 'leftmenu.cmdb.ci_type_list', 1047, 'url', 'CITypeList.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1049, 'leftmenu.cmdb.ci_sub_types', 1047, 'url', 'CISubTypes.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1050, 'leftmenu.cmdb.ci_relation_type_list', 1047, 'url', 'CIRelationTypeList.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1051, 'leftmenu.cmdb.ci_template', 1047, 'url', 'CITemplateList.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1052, 'cmdb.importSystmItems.title', 1047, 'url', 'CMDBImports.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1053, 'cmdb.importCIs.title', 1047, 'url', 'ImportCIs.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1054, 'cmdb.settings.tab.import', 1047, 'url', 'CMDBSettings.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1055, 'cmdb.settings.tab.asset2ci', 1047, 'url', 'ImportAsset2CISettings.jsp', 'Y',null, 3,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1056, 'menuItemSettings.analytics', 1000, 'url', '#', 'Y','analytics-settings', null,100,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1057, 'portal.menu.dashboardDesign', 1056, 'url', 'DashboardEdit.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1058, 'portal.menu.reportsDesign', 1056, 'url', 'MnAnalyzerEdit.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1059, 'portal.menu.BIAnalytics', 1056, 'url', 'BIAnalyticsSettings.jsp', 'Y',null, 14,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1062, 'menuItemSettings.taskAndProject', 1000, 'url', '#', 'Y','tasks-settings', 1,110,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1063, 'leftmenu_pr.projectSettings', 1062, 'url', 'ProjectSettings.jsp', 'Y',null, 1,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1064, 'leftmenu_task.notification', 1062, 'url', 'ReoccurringNotification.jsp', 'Y',null, 1,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1067, 'menuItemSettings.user.self.service', 1000, 'url', '#', 'Y','password-settings', 8,120,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1068, 'user.selfService.general.settings', 1067, 'url', 'UserSelfServiceSettings.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1069, 'user.selfService.security.questions', 1067, 'url', 'SecurityQuestions.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1070, 'leftmenu.user.self.service.notifications', 1067, 'url', 'UserSelfServiceNotifications.jsp', 'Y',null, 8,0,8192,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1071, 'menuItemSettings.userManagement', 1000, 'url', '#', 'Y','usermanagement-settings', null,130,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1072, 'importUsers.title', 1071, 'url', 'ImportSysAidUsers.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1073, 'importCompanies.title', 1071, 'url', 'ImportCompanies.jsp', 'Y',null, null,2,1,1);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3000, 'menuItemSettings.enterprise.service.management', 1000, 'url', '#', 'Y','enterprise-settings', null,135,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3001, 'permission.management.general', 3000, 'url', 'PermissionManagement.jsp', 'Y',null, null,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1080, 'menuItemSettings.general', 1000, 'url', '#', 'Y','general-settings', null,140,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1081, 'leftmenu_pr.defaults', 1080, 'url', 'AccountDefaults.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1082, 'appearance', 1080, 'url', 'CustomizeAppearance.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1083, 'translate.title', 1080, 'url', 'Translate.jsp', 'Y',null, null,2,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1084, 'leftmenu_customize.entities', 1080, 'url', 'CustomizeEntities.jsp', 'Y',null, null,3,1,2);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1085, 'customLists.title', 1080, 'url', 'CustomLists.jsp', 'Y',null, null,4,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1086, 'news.setting', 1080, 'url', 'News.jsp', 'Y',null, null,5,524288,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1061, 'menuItemSettings.survey.srSurvey', 1080, 'url', 'SurveyQuestionsList.jsp', 'Y',null, null,6,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1087, 'webForms', 1080, 'url', 'WebForms.jsp', 'Y',null, null,7,1,1);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1111, 'customForms.title', 1080, 'url', 'CustomForms.jsp', 'Y',null, null,8,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1088, 'automaticTexts.title', 1080, 'url', 'AutomaticTexts.jsp', 'Y',null, null,9,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1090, 'customNotifications.title', 1080, 'url', 'CustomNotifications.jsp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1091, 'reminders.title', 1080, 'url', 'RemindersList.jsp', 'Y',null, null,11,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1110, 'leftmenu_task.reminder_notification', 1080, 'url', 'ReoccurringNotification.jsp?reminders=YES', 'Y',null, null,13,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1092, 'log.menu', 1080, 'url', 'AuditLog.jsp', 'Y',null, null,12,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1074, 'integration', 1000, 'url', '#', 'Y','integration-settings', null,150,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1075, 'email', 1074, 'url', 'EmailList.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1076, 'SMS', 1074, 'url', 'IntegrationSMS.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1077, 'integration.ldap', 1074, 'url', 'LdapList.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1079, 'integration.exchange', 1074, 'url', 'IntegrationExchange.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1099, 'leftmenu_customize.api', 1074, 'url', 'API.jsp', 'Y',null, null,0,1,2);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1100, 'leftmenu_pr.selfServicePortal', 1000, 'url', '#', 'Y','eup-settings', null,160,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1101, 'endUserPortalSettings.title', 1100, 'url', 'EndUserPortalSettings.jsp', 'Y',null, null,30,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1102, 'leftmenu_sr.endUser', 1100, 'url', 'SREdit.jsp?id=0&end=yes&fromId=EndUser', 'Y',null, null,40,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1103, 'leftmenu_customize.endUser.request', 1100, 'url', 'SREdit.jsp?id=0&fromId=EndUserRequest', 'Y',null, 6,50,1,1);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1104, 'leftmenu_sr.endUserSettingsForm', 1100, 'url', 'Preferences.jsp?EndUserSettings=CustomizeForm', 'Y',null, null,60,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2010, 'leftmenu_pr.selfServicePortal.toolboxItemsList', 1100, 'url', 'SCToolboxItemsList.jsp', 'Y',null, 16,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2011, 'userPortalGenralSettings.title', 1100, 'url', 'UserPortalGeneralSettings.jsp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2012, 'selfServicePortalSettings.title', 1100, 'url', 'SelfServicePortalSettings.jsp', 'Y',null, 16,20,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2014, 'leftmenu_pr.selfServicePortal.BannersList', 1100, 'url', 'SCBannersList.jsp', 'Y',null, 16,80,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2015, 'leftmenu_pr.selfServicePortal.themesList', 1100, 'url', 'SCThemesList.jsp', 'Y',null, 16,90,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1106, 'addon.market.place', 1074, 'url', 'MarketPlace.jsp', 'Y', null, null, 0, 1, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1113, 'addon.third.party.integrations', 1074, 'url', 'Integrations.jsp', 'Y', null, null, 0, 1, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1114, 'OAuthConsumersList.manageConsumersInfo', 1074, 'url', 'OAuthConsumersList.jsp', 'N', null, 13, 0, 1, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1115, 'helpDeskSettings.categories.import', 1001, 'url', 'ImportCategories.jsp', 'Y',null, null,30,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1116, 'leftmenu.monitoring.nagios_dashboard', 26, 'url', '#/NagiosDashboard.jsp', 'Y', null, 15, 6, 0, 0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1120, 'AgentSettingsList.title', 1032, 'url', 'AgentSettingsList.jsp', 'Y',null, null,17,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1123, 'SidePanelWidgetsList.title',1001, 'url', 'SidePanelWidgetsList.jsp', 'Y',null, null,18,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1121, 'MergeServiceRecords.title',1001, 'url', 'MergeServiceRecords.jsp', 'Y',null, null,20,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1122, 'srActivitiesSettings.title',1001, 'url', 'SrActivitiesSettings.jsp', 'Y',null, 17,15,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2000, 'persoanl-settings', null, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2001, 'leftmenu_pr.mySettings', 2000, 'url', 'Preferences.jsp?fancyBox=true', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2002, 'menuItem.onlineAid', 2000, 'function', '#/function/openHelpWindow', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2003, 'menuItem.sysaidCommunity', 2000, 'url', 'http://www.sysaid.com/Sysforums/forums/home.page?newWin=true', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2004, 'compose.title',2000, 'function', '#/function/openSendMessage', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2005, 'menuItem.contactSysAid',2000, 'url', 'http://www.sysaid.com/contact-support.htm?newWin=true', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2006, 'leftmenu_pr.about',2000, 'url', 'About.jsp?fancyBox=true', 'Y',null, null,2,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2007, 'menuItem.endUserPortal',2000, 'url', 'EndUserPortal.jsp', 'N',null, null,10,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2008, 'portal.menu.logout',2000, 'url', '#/function/logout', 'Y',null, null,30,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2009, 'menuItem.selfServicePortal', 2000, 'url', 'servicePortal', 'Y',null, 16,20,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2013, 'about.additional.cloudStatus', 2000, 'function', '#/function/cloudStatus', 'Y',null, null,1,0,0);


INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (10000, 'leftmenu.menu.addon.process.automation.caption', 1000, 'url', '#', 'Y','automation-settings', 100,60,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (10001, 'menu.addon.process.automation.submenu.process.monitor.caption', 10000, 'url', 'addonJspWrapper.jsp?a=AutomicEmbedded&p=ProcessMonitor.jsp', 'Y',null, 100,10,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3002, 'cmdb.importCIRelations.title', 1047,'url','ImportCIRelations.jsp', 'Y',null, 3,0,1,0);

INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (3,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (4,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (5,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (6,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (7,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (8,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (9,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (10,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (11,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (12,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (13,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (14,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (15,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (16,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (17,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (18,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (19,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (20,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (21,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (22,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (23,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (24,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (25,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (26,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (27,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (28,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (29,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (30,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (31,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (32,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (33,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (34,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (35,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (36,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (37,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (38,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (39,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (40,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (41,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (42,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (43,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (44,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (45,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (46,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (47,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (48,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (49,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (52,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (53,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (54,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (55,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (56,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (57,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (58,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (59,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (60,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (61,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (62,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (63,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (64,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (65,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (66,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (67,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (68,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (69,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (70,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (71,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (72,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (73,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (74,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (75,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (76,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (78,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (79,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (80,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (81,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (82,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (84,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (85,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (86,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (87,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (88,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (89,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (90,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (91,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (92,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (93,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (94,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (95,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (96,'ALL_SYSAID_GROUPS');

INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1000,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1001,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1002,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1003,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1004,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1005,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1006,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1007,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1008,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1009,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1010,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1011,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1012,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1013,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1014,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1015,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1016,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1017,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1018,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1019,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1020,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1021,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1022,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1023,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1024,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1025,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1026,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1027,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1028,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1029,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1030,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1031,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1032,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1033,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1034,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1035,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1036,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1037,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1038,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1039,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1040,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1041,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1042,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1043,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1044,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1045,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1046,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1047,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1048,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1049,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1050,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1051,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1052,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1053,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1054,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1055,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1056,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1057,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1058,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1061,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1062,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1063,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1064,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1067,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1068,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1069,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1070,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1071,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1072,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1073,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1074,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1075,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1076,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1077,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1079,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1080,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1081,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1082,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1083,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1084,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1085,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1086,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1087,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1088,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1090,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1091,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1092,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1093,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1094,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1095,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1096,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1097,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1098,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1099,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1100,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1101,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1102,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1103,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1104,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1105,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1106,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1110,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1111,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1112,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1113,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1114,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1115,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1116,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1117,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1118,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1119,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1120,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1121,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1122,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1123,'ALL_SYSAID_GROUPS');

INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2000,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2001,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2002,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2003,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2004,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2005,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2006,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2007,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2008,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2009,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2010,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2011,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2012,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2013,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2014,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2015,'ALL_SYSAID_GROUPS');


INSERT INTO ui_menus2group (mi_id,group_name) VALUES (10000,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (10001,'ALL_SYSAID_GROUPS');

create table patch(
account_id varchar(32) NOT NULL,
 patch_id varchar(64) NOT NULL,
 product_name varchar(255) NOT NULL,
 vendor varchar(255) NOT NULL,
 name varchar(255) NOT NULL,
 file_digest mediumtext NOT NULL,
 bulletin varchar(64),
 title mediumtext,
 max_download_size int,
 classification int,
 severity_type varchar(64),
release_date datetime,
kb_article_id varchar(64),
switches mediumtext,
url mediumtext,
file_url mediumtext,
language mediumtext,
uninstallable numeric(1,0),
security_update numeric(1,0),
PRIMARY KEY  (account_id,patch_id)
);

create table computer_patches(
account_id varchar(32) NOT NULL,
 patch_id varchar(64) NOT NULL,
 computer_id varchar(64) NOT NULL,
 patch_status int,
 failure_reason varchar(255),
 change_id int,
 installed_date datetime,
 manual_event_id int,
 start_schedule_date_time datetime,
 PRIMARY KEY(account_id,patch_id,computer_id)
 );
create index computer_patches_idx1 on computer_patches (patch_id,computer_id,patch_status);

CREATE TABLE patch_policy (
  policy_id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL ,
  policy_name varchar(255),
  policy_date datetime,
  last_scan datetime,
  next_scan datetime,
  last_patch datetime,
  next_patch datetime,
  last_scan_server_time datetime,
  last_patch_server_time datetime,
  scan_schedule longtext,
  patch_schedule longtext,
  reboot_settings longtext,
  PRIMARY KEY  (policy_id)
);

CREATE TABLE gfi_products (
  product_id int NOT NULL auto_increment,
  vendor varchar(255) NOT NULL ,
  product_name varchar(255) NOT NULL ,
  PRIMARY KEY  (product_id));

insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Acrobat');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Acrobat Pro and Standard');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Acrobat Pro Extended');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Air');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Flash Player');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Reader');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Shockwave Player');
insert into gfi_products (vendor,product_name) values ('Apache Software Foundation','OpenOffice.org');
insert into gfi_products (vendor,product_name) values ('Apple Computer, Inc.','iTunes');
insert into gfi_products (vendor,product_name) values ('Apple Computer, Inc.','QuickTime');
insert into gfi_products (vendor,product_name) values ('Apple Computer, Inc.','Safari');
insert into gfi_products (vendor,product_name) values ('Box, Inc.','Box BoxSync');
insert into gfi_products (vendor,product_name) values ('Decho Corporation','MozyHome Remote Backup');
insert into gfi_products (vendor,product_name) values ('Foxit Corporation','Foxit Reader');
insert into gfi_products (vendor,product_name) values ('Google Inc.','Google Chrome');
insert into gfi_products (vendor,product_name) values ('Google Inc.','Google Drive');
insert into gfi_products (vendor,product_name) values ('Google Inc.','Google Earth');
insert into gfi_products (vendor,product_name) values ('Google Inc.','Google Picasa');
insert into gfi_products (vendor,product_name) values ('Igor Pavlov','7-Zip');
insert into gfi_products (vendor,product_name) values ('Malwarebytes Corporation','Malwarebytes AntiMalware');
insert into gfi_products (vendor,product_name) values ('Mozilla','Firefox');
insert into gfi_products (vendor,product_name) values ('Mozilla','SeaMonkey');
insert into gfi_products (vendor,product_name) values ('Mozilla','Thunderbird');
insert into gfi_products (vendor,product_name) values ('Nullsoft, Inc.','Winamp');
insert into gfi_products (vendor,product_name) values ('Opera Software','Opera');
insert into gfi_products (vendor,product_name) values ('Oracle','Java Runtime Environment');
insert into gfi_products (vendor,product_name) values ('pdfforge.org','PDFCreator');
insert into gfi_products (vendor,product_name) values ('RARLAB','WinRAR');
insert into gfi_products (vendor,product_name) values ('RealNetworks','RealPlayer');
insert into gfi_products (vendor,product_name) values ('Riverbed Technology','Wireshark');
insert into gfi_products (vendor,product_name) values ('SimonTatham','PuTTY');
insert into gfi_products (vendor,product_name) values ('Skype Limited','Skype');
insert into gfi_products (vendor,product_name) values ('TeamViewerGmbH','TeamViewer');
insert into gfi_products (vendor,product_name) values ('TeamViewerGmbH','TeamViewer Host');
insert into gfi_products (vendor,product_name) values ('TechSmith','SnagIT');
insert into gfi_products (vendor,product_name) values ('Tigris.org','TortoiseSVN');
insert into gfi_products (vendor,product_name) values ('TimKosse','FileZilla Client');
insert into gfi_products (vendor,product_name) values ('Tracker Software Products (Canada) Ltd','PDF-XChange Viewer');
insert into gfi_products (vendor,product_name) values ('WinZip Computing','WinZip');
insert into gfi_products (vendor,product_name) values ('Yahoo! Inc.','Yahoo Messenger');
insert into gfi_products (vendor,product_name) values ('Microsoft','Active Directory Rights Management Services Client 2.0');
insert into gfi_products (vendor,product_name) values ('Microsoft','Antigen for Exchange/SMTP');
insert into gfi_products (vendor,product_name) values ('Microsoft','ASP.NET Web Frameworks');
insert into gfi_products (vendor,product_name) values ('Microsoft','Bing Bar');
insert into gfi_products (vendor,product_name) values ('Microsoft','BizTalk Server 2002');
insert into gfi_products (vendor,product_name) values ('Microsoft','BizTalk Server 2006R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','BizTalk Server 2009');
insert into gfi_products (vendor,product_name) values ('Microsoft','BizTalk Server 2013');
insert into gfi_products (vendor,product_name) values ('Microsoft','CAPICOM');
insert into gfi_products (vendor,product_name) values ('Microsoft','Category for System Center Online Client');
insert into gfi_products (vendor,product_name) values ('Microsoft','Compute Cluster Pack');
insert into gfi_products (vendor,product_name) values ('Microsoft','Data Protection Manager 2006');
insert into gfi_products (vendor,product_name) values ('Microsoft','Device Health');
insert into gfi_products (vendor,product_name) values ('Microsoft','Dictionary Updates for Microsoft IMEs');
insert into gfi_products (vendor,product_name) values ('Microsoft','EU Browser Choice Update-For Europe Only');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange 2000 Server');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange Server 2003');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange Server 2007');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange Server 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange Server 2013');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Design 1');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Design 2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Design 3');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Design 4');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Media 2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Media V1');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Web 3');
insert into gfi_products (vendor,product_name) values ('Microsoft','Expression Web 4');
insert into gfi_products (vendor,product_name) values ('Microsoft','Firewall Client for ISA Server');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront Client Security');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront Endpoint Protection 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront Identity Manager 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront Identity Manager 2010 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront Protection Category');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront Server Security Category');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront TMG');
insert into gfi_products (vendor,product_name) values ('Microsoft','Forefront TMG MBE');
insert into gfi_products (vendor,product_name) values ('Microsoft','HealthVault Connection Center');
insert into gfi_products (vendor,product_name) values ('Microsoft','HealthVault Connection Center Upgrades');
insert into gfi_products (vendor,product_name) values ('Microsoft','Host Integration Server 2000');
insert into gfi_products (vendor,product_name) values ('Microsoft','Host Integration Server 2004');
insert into gfi_products (vendor,product_name) values ('Microsoft','Host Integration Server 2006');
insert into gfi_products (vendor,product_name) values ('Microsoft','Host Integration Server 2009');
insert into gfi_products (vendor,product_name) values ('Microsoft','Host Integration Server 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','HPC Pack 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Internet Security and Acceleration Server 2004');
insert into gfi_products (vendor,product_name) values ('Microsoft','Internet Security and Acceleration Server 2006');
insert into gfi_products (vendor,product_name) values ('Microsoft','Mail Installation and Upgrades');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Application Virtualization 4.5');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Application Virtualization 4.6');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Application Virtualization 5.0');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Azure Site Recovery Provider');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft BitLocker Administration and Monitoring v1');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Dynamics CRM 2011');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Dynamics CRM 2011 SHS');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Dynamics CRM 2013');
insert into gfi_products (vendor,product_name) values ('Microsoft','Dynamics CRM 2015');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Lync 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Lync Server 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Lync Server 2013');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Monitoring Agent');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Online Services Sign-In Assistant');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Research AutoCollage 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft SQL Server 2008 R2 - PowerPivot for Microsoft Excel 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft SQL Server 2012');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft SQL Server 2014');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft StreamInsight V1.0');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft System Center DPM 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft System Center Virtual Machine Manager 2007');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft System Center Virtual Machine Manager 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Works 8');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Works 9');
insert into gfi_products (vendor,product_name) values ('Microsoft','Network Monitor 3');
insert into gfi_products (vendor,product_name) values ('Microsoft','New Dictionaries for Microsoft IMEs');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2002/XP');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2003');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2007');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2013');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office Communications Server 2007');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office Communications Server 2007 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office Communicator 2007 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office Live Add-in');
insert into gfi_products (vendor,product_name) values ('Microsoft','OneCare Family Safety Installation');
insert into gfi_products (vendor,product_name) values ('Microsoft','OOBE ZDP');
insert into gfi_products (vendor,product_name) values ('Microsoft','Photo Gallery Installation and Upgrades');
insert into gfi_products (vendor,product_name) values ('Microsoft','Report Viewer 2005');
insert into gfi_products (vendor,product_name) values ('Microsoft','Report Viewer 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Report Viewer 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Search Enhancement Pack');
insert into gfi_products (vendor,product_name) values ('Microsoft','Service Bus for Windows Server 1.1');
insert into gfi_products (vendor,product_name) values ('Microsoft','Silverlight');
insert into gfi_products (vendor,product_name) values ('Microsoft','Skype for Windows');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server 2000');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server 2005');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server 2008 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server 2012 Product Updates for Setup');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server Feature Pack');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 - App Controller');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 - Data Protection Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 - Operations Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 - Orchestrator');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 - Virtual Machine Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 R2 - Data Protection Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 R2 - Operations Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 R2 - Orchestrator');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 R2 - Virtual Machine Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 SP1 - App Controller');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 SP1 - Data Protection Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 SP1 - Operation Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2012 SP1 - Virtual Machine Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center Advisor');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center Configuration Manager 2007');
insert into gfi_products (vendor,product_name) values ('Microsoft','Systems Management Server 2003');
insert into gfi_products (vendor,product_name) values ('Microsoft','TMG Firewall Client');
insert into gfi_products (vendor,product_name) values ('Microsoft','Virtual PC');
insert into gfi_products (vendor,product_name) values ('Microsoft','Virtual Server');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2005');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2010');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2010 Tools for Office Runtime');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2012');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2013');
insert into gfi_products (vendor,product_name) values ('Microsoft','Winamp');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 2000');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 7');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 7 Language Packs');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8 Dynamic Update');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8 IME Dictionary Updates');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8 Language Interface Packs');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8 Language Packs');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8.1');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Consumer Preview Dynamic Update');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Embedded Standard 7');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Essential Business Server 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Essential Business Server 2008 Setup Updates');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Essential Business Server Preinstallation Tools');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows GDR-Dynamic Update');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Internet Explorer 7 Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Internet Explorer 7.0 Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Internet Explorer 8 Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Live');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Live Toolbar');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Media Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2003');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2003, Datacenter Edition');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2008 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2008 Server Manager Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2012');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2012 Language Packs');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2012 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server Manager - Windows Server Update Services (WSUS) Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server Solutions Best Practices Analyzer 1.0');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Small Business Server 2003');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Small Business Server 2008');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Small Business Server 2008 Migration Preparation Tool');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Small Business Server 2011 Standard');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Ultimate Extras');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Vista');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Vista Ultimate Language Packs');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows XP');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows XP 64-Bit Edition Version 2003');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows XP x64 Edition');
insert into gfi_products (vendor,product_name) values ('Microsoft','Works 6-9 Converter');
insert into gfi_products (vendor,product_name) values ('Microsoft','Writer Installation and Upgrades');
insert into gfi_products (vendor,product_name) values ('ActiveState Software Inc','ActivePython');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Illustrator');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe InDesign');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Adobe Photoshop');
insert into gfi_products (vendor,product_name) values ('Apache Software Foundation','Apache HTTP Server');
insert into gfi_products (vendor,product_name) values ('Apache Software Foundation','Apache HTTPD');
insert into gfi_products (vendor,product_name) values ('AudacityTeam.org','Audacity');
insert into gfi_products (vendor,product_name) values ('Bandisoft','Bandizip');
insert into gfi_products (vendor,product_name) values ('Bullzip.com','BullzipPDFPrinter');
insert into gfi_products (vendor,product_name) values ('Piriform Ltd.','CCleaner');
insert into gfi_products (vendor,product_name) values ('CanneverbeLtd.','CDBurnerXP');
insert into gfi_products (vendor,product_name) values ('CoreFTP','CoreFTP');
insert into gfi_products (vendor,product_name) values ('Evernote Corporation','Evernote');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange Server 2016');
insert into gfi_products (vendor,product_name) values ('Foxit Corporation','Foxit PhantomPDF Business');
insert into gfi_products (vendor,product_name) values ('Foxit Corporation','Foxit PhantomPDF Standard');
insert into gfi_products (vendor,product_name) values ('Zenju','FreeFileSync');
insert into gfi_products (vendor,product_name) values ('The GIMP Development Team','GIMP');
insert into gfi_products (vendor,product_name) values ('Citrix Systems, Inc.','GoToMeeting');
insert into gfi_products (vendor,product_name) values ('Open Source','Greenshot');
insert into gfi_products (vendor,product_name) values ('HandBrake community','HandBrake');
insert into gfi_products (vendor,product_name) values ('ImgBurn','ImgBurn');
insert into gfi_products (vendor,product_name) values ('Open Source','Inkscape');
insert into gfi_products (vendor,product_name) values ('IrfanSkiljan','IrfanView');
insert into gfi_products (vendor,product_name) values ('TheDocumentFoundation','LibreOffice');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Advanced Threat Analytics');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Azure Information Protection Client');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Dynamics CRM 2015');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft Dynamics CRM 2016');
insert into gfi_products (vendor,product_name) values ('Oracle','MySQL Server');
insert into gfi_products (vendor,product_name) values ('Oracle Corporation','MySQL Server');
insert into gfi_products (vendor,product_name) values ('nmap.org','Nmap');
insert into gfi_products (vendor,product_name) values ('Don Ho','Notepad++');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2016');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 365 Client');
insert into gfi_products (vendor,product_name) values ('dotPDN LLC','PaintNET');
insert into gfi_products (vendor,product_name) values ('Tracker Software Products (Canada) Ltd','PDF-XChange Editor');
insert into gfi_products (vendor,product_name) values ('PeaZip SRL','PeaZip');
insert into gfi_products (vendor,product_name) values ('Open Source','Pidgin');
insert into gfi_products (vendor,product_name) values ('Python Software Foundation','Python');
insert into gfi_products (vendor,product_name) values ('RealVNC Limited','RealVNC');
insert into gfi_products (vendor,product_name) values ('RealVNC Limited','RealVNC Server');
insert into gfi_products (vendor,product_name) values ('RealVNC Limited','RealVNC Viewer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Skype for Business Server 2015');
insert into gfi_products (vendor,product_name) values ('Microsoft','Skype for Business Server 2015, SmartSetup');
insert into gfi_products (vendor,product_name) values ('Safer-Networking Ltd.','Spybot');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft SQL Server 2016');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft SQL Server Management Studio v17');
insert into gfi_products (vendor,product_name) values ('Microsoft','SQL Server 2014-2016 Product Updates for Setup');
insert into gfi_products (vendor,product_name) values ('ideaMK','STPViewer');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2016 - Data Protection Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2016 - Operations Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2016 - Orchestrator');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 2016 - Virtual Machine Manager');
insert into gfi_products (vendor,product_name) values ('GlavSoft LLC.','TightVNC');
insert into gfi_products (vendor,product_name) values ('Tigris.org','TortoiseGIT');
insert into gfi_products (vendor,product_name) values ('Tigris.org','TortoiseHG');
insert into gfi_products (vendor,product_name) values ('JAM Software','TreeSizeFree');
insert into gfi_products (vendor,product_name) values ('UltraVNC','UltraVNC');
insert into gfi_products (vendor,product_name) values ('VideoLAN','VLC Media Player');
insert into gfi_products (vendor,product_name) values ('VMware Inc.','VMPlayer');
insert into gfi_products (vendor,product_name) values ('VMware Inc.','VMWorkstation');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10 Feature On Demand');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10 GDR-DU');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8 Embedded');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 8.1 Dynamic Update');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows RT 8.1');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2016');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server Manager ? Windows Server Update Services (WSUS) Dynamic Installer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Admin API');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Admin Authentication Site');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Admin Site');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Configuration Site');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Microsoft Best Practice Analyzer');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Monitoring Extension');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: MySQL Extension');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: PowerShell API');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: SQL Server Extension');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Tenant API');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Tenant Authentication Site');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Tenant Public API');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Tenant Site');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Usage Extension');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Web App Gallery Extension');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Azure Pack: Web Sites');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Embedded Developer Update');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Mobile 10 PREV PPE');
insert into gfi_products (vendor,product_name) values ('Thingamahoochie Software','WinMerge');
insert into gfi_products (vendor,product_name) values ('Martin Prikryl','WinSCP');
insert into gfi_products (vendor,product_name) values ('Gougelet Pierre','XnView');
insert into gfi_products (vendor,product_name) values ('VMware','ZimbraDesktop');
insert into gfi_products (vendor,product_name) values ('Microsoft','OneCare Family Safety Installation');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10 Windows Server 2016');
insert into gfi_products (vendor,product_name) values ('Foxit Corporation','Foxit PhantomPDF');
insert into gfi_products (vendor,product_name) values ('VMware Inc.','Horizon Client');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10 Dynamic Update');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10 GDR-DU FOD');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows 10 LTSB');
insert into gfi_products (vendor,product_name) values ('Microsoft','Azure File Sync agent updates for Windows Server 2012 R2');
insert into gfi_products (vendor,product_name) values ('Microsoft','Azure File Sync agent updates for Windows Server 2016');
insert into gfi_products (vendor,product_name) values ('Adobe Systems, Inc.','Brackets');
insert into gfi_products (vendor,product_name) values ('JordanRussell','InnoSetup');
insert into gfi_products (vendor,product_name) values ('Microsoft','Microsoft SQL Server 2017');
insert into gfi_products (vendor,product_name) values ('Krzysztof Kowalczyk','SumatraPDF');
insert into gfi_products (vendor,product_name) values ('Oracle','VirtualBox');
insert into gfi_products (vendor,product_name) values ('Microsoft','Azure File Sync agent updates for Windows Server 2019');
insert into gfi_products (vendor,product_name) values ('Microsoft','Visual Studio 2015');
insert into gfi_products (vendor,product_name) values ('Microsoft','Exchange Server 2019');
insert into gfi_products (vendor,product_name) values ('Open Source','KeePass');
insert into gfi_products (vendor,product_name) values ('Microsoft','Office 2019');
insert into gfi_products (vendor,product_name) values ('Oracle','Oracle JDK');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center 1801 - Orchestrator');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center Data Protection Manager');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center Operations Manager 1807');
insert into gfi_products (vendor,product_name) values ('Microsoft','System Center Version 1801 - Virtual Machine Manager');
insert into gfi_products (vendor,product_name) values ('TeamDrive Systems GmbH','TeamDrive');
insert into gfi_products (vendor,product_name) values ('IDM Computer Solutions, Inc','UltraEdit');
insert into gfi_products (vendor,product_name) values ('Vivaldi Technologies','Vivaldi Browser');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Server 2019');
insert into gfi_products (vendor,product_name) values ('Microsoft','Windows Admin Center');


CREATE TABLE policy_gfi_products (
  policy_id int NOT NULL,
  product_id int NOT NULL ,
  approve_stat int NOT NULL ,
  PRIMARY KEY  (policy_id,product_id));

CREATE TABLE policy_gfi_classification (
  policy_id int NOT NULL,
  product_id int NOT NULL,
  approve_stat int NOT NULL,
  PRIMARY KEY  (policy_id,product_id));

create table patch_policy_status(
 policy_id int NOT NULL,
 patch_id varchar(64) NOT NULL,
 patch_status int NOT NULL,
 PRIMARY KEY(policy_id,patch_id)
 );

create table rules_emails(
rule_id int NOT NULL auto_increment,
rule_name varchar(64) NOT NULL,
email_addresses longtext,
rule_desc longtext,
text_to_search longtext,
rule_enabled char(1) DEFAULT 'N',
position int NOT NULL,
change_to_assign varchar(64),
change_to_admin_group varchar(64),
change_to_status varchar(64),
change_to_main_category varchar(64),
change_to_second_category varchar(64),
change_to_third_category varchar(64),
change_to_urgency varchar(64),
change_to_impact varchar(64),
change_to_priority varchar(64),
action_builder_data longtext,
action_builder_data_print longtext,
change_to_sr_type int,
change_to_sr_template varchar(64),
rule_stopper char(1) DEFAULT 'N',
PRIMARY KEY  (rule_id)
);

create table guided_tours(
  id int NOT NULL auto_increment,
  account_id varchar(32) NOT NULL,
  user_name varchar(64),
  company int ,
  is_ondemand numeric(1,0),
  version int,
  json text,
  rb_file varchar(255),
  PRIMARY KEY (id)
);

create table patch_policy_event(
  id int NOT NULL auto_increment,
  policy_id int NOT NULL,
  user_name varchar(64),
  event_time datetime ,
  is_scan numeric(1,0),
  is_manual numeric(1,0),
  PRIMARY KEY (id)
);

CREATE TABLE account_attributes (
  account_id varchar(32),
  default_customization_panel_dt numeric(1,0),
  display_navigation_buttons numeric(1,0),
  account_is_ldap_auth numeric(1,0),
  account_is_using_guid numeric(1,0),
  disable_not_exist_ldap_users numeric(1,0),
  disable_not_exist_ldap_admins numeric(1,0),
  note_field_add_note_button_top numeric(1,0),
  note_field_button_editable numeric(1,0),
  statistics_industry  varchar(255),
  statistics_random_id int,
  enable_unlock_account numeric(1,0),
  enable_reset_password numeric(1,0),
  enable_wmi_scan_wizard numeric(1,0),
  disable_password_field numeric(1,0),
  enable_remote_access  numeric(1,0),
  upg_rds_assets_automatically  numeric(1,0),
  asset_offline_interval int,
  sysaid_gfi_version varchar(255),
  sysaid_gfi_build_number varchar(255),
  rds_unavailable_time int,
  rds_unavailable_notification varchar(255),
  audit_list_limit int,
  hide_ticket_delete_option numeric(1,0) default 0,
  bi_database_url varchar(255),
  bi_database_username varchar(64),
  bi_database_password varchar(32),
  bi_interval int default 720,
  maintenance_hour int(11) default 2,
  use_hostname_for_asset_id_gen  numeric(1,0),
  max_report_text_length int,
  gateway_api_base_url varchar(255),
  gateway_api_mode varchar(20),
  default_charset varchar(255),
  default_export_import_charset varchar(255),
  default_locale varchar(255),
  case_insensitive_login numeric(1,0),
  enable_usage_statistics numeric(1,0),
  enable_it_benchmark numeric(1,0),
  show_it_benchmark numeric(1,0),
  enable_oauth numeric(1,0),
  enable_asset_availability numeric(1,0),
  enable_update_timers numeric(1,0),
  PRIMARY KEY  (account_id)
) ;

CREATE TABLE addon (
  id int NOT NULL auto_increment,
  name varchar(255) NOT NULL,
  description varchar(255) NOT NULL,
  active numeric(1,0) default 1,
  class_name varchar(255) NOT NULL,
  logo_file_name varchar(255),
  version int NOT NULL,
  update_time datetime,
  title varchar(255) not null,
  addon_type varchar(255) not null,
  link varchar(255),
  link_text varchar(255),
  config_page varchar(255),
  using_sysaid_gateway numeric(1) not null default 0,
  PRIMARY KEY  (id)
);

create unique index addon_index1 on addon (name);

CREATE TABLE addon_param (
  id int NOT NULL auto_increment,
  addon_id int NOT NULL,
  name varchar(255) NOT NULL,
  value longtext,
  description varchar(255) NOT NULL,
  type varchar(64) NOT NULL,
  mandatory numeric(1,0) default 1,
  encrypted numeric(1,0) default 0,
  version int NOT NULL,
  editable numeric(1,0) default 1,
  display_order int default 0,
  PRIMARY KEY  (id)
);

create unique index addon_param_index1 on addon_param (addon_id,name);

CREATE TABLE addon_notification (
  id int NOT NULL auto_increment,
  addon_id int NOT NULL,
  name varchar(255) NOT NULL,
  subject mediumtext,
  body longtext,
  orig_subject mediumtext,
  orig_body longtext,
  PRIMARY KEY  (id)
);

create unique index addon_notification_index1 on addon_notification(addon_id,name);

CREATE TABLE addon_history (
  id int NOT NULL,
  name varchar(255) NOT NULL,
  description varchar(255) NOT NULL,
  active numeric(1,0) default 1,
  class_name varchar(255) NOT NULL,
  logo_file_name varchar(255),
  version int NOT NULL,
  update_time datetime,
  title varchar(255) not null,
  addon_type varchar(255) not null,
  link varchar(255),
  link_text varchar(255),
  config_page varchar(255),
  using_sysaid_gateway numeric(1) not null default 0,
  PRIMARY KEY  (id)
);

CREATE TABLE addon_param_history (
  id int NOT NULL,
  addon_id int NOT NULL,
  name varchar(255) NOT NULL,
  value longtext,
  description varchar(255) NOT NULL,
  type varchar(64) NOT NULL,
  mandatory numeric(1,0) default 1,
  encrypted numeric(1,0) default 0,
  version int NOT NULL,
  editable numeric(1,0) default 1,
  display_order int default 0,
  PRIMARY KEY  (id)
);

CREATE TABLE addon_notification_history (
  id int NOT NULL,
  addon_id int NOT NULL,
  name varchar(255) NOT NULL,
  subject mediumtext,
  body longtext,
  orig_subject mediumtext,
  orig_body longtext,
  PRIMARY KEY  (id)
);

create table addon_license (
  addon_name varchar(255) not null,
  expiration_date datetime,
  license_xml mediumtext,
  first_activation_date datetime not null,
  last_update_date datetime not null,
  license_timestamp bigint,
  primary key(addon_name)
);

create table addon_license_history (
  line_id int not null auto_increment,
  addon_name varchar(255) not null,
  expiration_date datetime,
  license_xml mediumtext,
  first_activation_date datetime not null,
  last_update_date datetime not null,
  license_timestamp bigint,
  primary key(line_id)
);

CREATE TABLE addon_admin_permissions (
  id               INT           NOT NULL AUTO_INCREMENT,
  addon_id         INT           NOT NULL,
  user_name        VARCHAR(64)   NULL,
  group_name       VARCHAR(64)   NULL,
  permission_name  VARCHAR(255)  NOT NULL,
  permission_value NUMERIC(1, 0) NOT NULL,
  PRIMARY KEY (id)
);
create index addon_admin_permissions_idx on addon_admin_permissions(addon_id, permission_name, user_name, group_name);

CREATE TABLE agent_settings (
  settings_id int(11) NOT NULL auto_increment,
  account_id varchar(32) NOT NULL default '',
  settings_xml mediumtext,
  xml_checksum varchar(255),
  icon_name varchar(255),
  agent_settings_name varchar(255),
  submit_sr_shortcut char(1) default 'Y',
  install_sysaid_ps char(1) default 'N',
  created_by varchar(255),
  created_date datetime ,
  modified_by varchar(255),
  modified_date datetime ,
  description longtext,
  is_default char(1) default 'N',
  enable_video_recording char(1) default 'Y',
  enable_action_center_notif char(1) default 'N',
  PRIMARY KEY  (settings_id)
);

CREATE TABLE category_group (
  category_id int(11) NOT NULL,
  group_id int(11) NOT NULL,
  PRIMARY KEY (category_id,group_id)
);

CREATE TABLE reports (
  reportId INT NOT NULL AUTO_INCREMENT,
  reportName VARCHAR(250) NOT NULL,
  baseReportId INT,
  categoryId INT,
  userId VARCHAR(250),
  systemReport bit DEFAULT 0,
  schedulerId INT,
  reportType VARCHAR(250),
  indexInCategory INT,
  isDynamic bit,
  last_run_id VARCHAR(250),
  modulename INT,
  zombie INT DEFAULT 0,
  entity varchar(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_legacy (
  reportId INT NOT NULL,
  reportName VARCHAR(250) NOT NULL,
  baseReportId INT,
  categoryId INT,
  userId VARCHAR(250),
  systemReport bit DEFAULT 0,
  schedulerId INT,
  reportType VARCHAR(250),
  indexInCategory INT,
  isDynamic bit,
  last_run_id VARCHAR(250),
  modulename INT,
  zombie INT DEFAULT 0,
  entity varchar(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_deleted (
  reportId INT NOT NULL,
  reportName VARCHAR(250) NOT NULL,
  baseReportId INT,
  categoryId INT,
  userId VARCHAR(250),
  systemReport bit DEFAULT 0,
  schedulerId INT,
  reportType VARCHAR(250),
  indexInCategory INT,
  isDynamic bit,
  last_run_id VARCHAR(250),
  modulename INT,
  zombie INT DEFAULT 0,
  entity varchar(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_categories_mapping (
  id INT NOT NULL,
  oldId VARCHAR(250) NOT NULL,
  PRIMARY KEY (id)
);

CREATE TABLE reports_category (
  categoryId INT NOT NULL AUTO_INCREMENT,
  categoryName VARCHAR(250),
  indexInView INT,
  PRIMARY KEY (categoryId)
);

CREATE TABLE reports_groups (
  reportId INT NOT NULL,
  groupName VARCHAR(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_mapping (
  id INT NOT NULL,
  oldId VARCHAR(250) NOT NULL,
  PRIMARY KEY (id)
);

CREATE TABLE reports_params (
  reportId INT NOT NULL,
  paramName VARCHAR(250) NOT NULL,
  paramValue TEXT NOT NULL,
  resultId VARCHAR(250) NOT NULL,
  PRIMARY KEY (reportId, paramName, resultId)
);

CREATE TABLE reports_result (
  resultid VARCHAR(250) NOT NULL,
  startTime DATETIME,
  endTime DATETIME,
  fileName VARCHAR(250),
  reportId INT,
  userName VARCHAR(250),
  status INT DEFAULT '0',
  jobName VARCHAR(250),
  PRIMARY KEY (resultid)
);

CREATE TABLE reports_scheduler (
  schedulerId INT NOT NULL AUTO_INCREMENT,
  frequency INT,
  startFrom DATETIME,
  sendTo VARCHAR(250),
  emailSubj VARCHAR(250),
  emailBody VARCHAR(250),
  jobName VARCHAR(250),
  PRIMARY KEY (schedulerId)
);

CREATE TABLE reports_view_settings (
  user_name VARCHAR(250) NOT NULL,
  opened_category VARCHAR(250),
  view_type VARCHAR(50),
  tabName VARCHAR(100) DEFAULT 'allReports' NOT NULL,
  PRIMARY KEY (user_name, tabName)
);

CREATE TABLE reports_entities (
  reportId INT NOT NULL,
  entity VARCHAR(250),
  secondaryEntity VARCHAR(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_available_fields (
  entity_name varchar(64) NOT NULL,
  db_field_name varchar(64) NOT NULL,
  data_type varchar(64) NOT NULL,
  entity_reference varchar(64),
  db_type varchar(64),
  db_table varchar(64),
  list_attribute_name varchar(64),
  group_by numeric(1,0) DEFAULT 0,
  aggregation numeric(1,0) DEFAULT 0,
  trend numeric(1,0) DEFAULT 0,
  PRIMARY KEY (entity_name, db_field_name)
);

CREATE TABLE reports_entities_prop (
  entity_name varchar(250) NOT NULL,
  table_name varchar(250) NOT NULL,
  table_key varchar(250) NOT NULL,
  is_main_table BIT DEFAULT 0 NOT NULL,
  default_field varchar(250),
  PRIMARY KEY (entity_name, table_name, is_main_table)
);

CREATE TABLE reports_callbacks(
  entity_name varchar(64) NOT NULL,
  callback_attribute_name varchar(64) NOT NULL,
  callback_name_dependancy varchar(250),
  PRIMARY KEY (entity_name, callback_attribute_name)
);

INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('ci', 'import_item_type', 'import_item_id,ci_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('ci', 'import_item_id', 'import_item_type,ci_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('asset', 'last_access', 'computer_id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('asset', 'purchase_cost', 'purchase_currency');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('task', 'task_dependency', 'task_dependency_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('sr', 'responsibility', 'sr_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('sr', 'sr_type', 'id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('sr_activity', 'total_time', 'from_time,to_time');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('software', 'licenses', 'freeware');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('company', 'ci', 'company_id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('user', 'ci', 'user_name');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('catalog', 'ci', 'catalog_number');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('task', 'total_time', 'id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('task_activity', 'total_time', 'from_time,to_time');


INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'additional_user', 'list', 'user', 'string', 'sr_sub_tab', 'additional_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'approved', 'list', null, 'string', 'sr_sub_tab', 'approved',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'assigned_group', 'list', 'user_groups', 'string', 'sr_sub_tab', 'assigned_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'assigned_to', 'list', 'user', 'string', 'sr_sub_tab', 'assigned_to',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'back_out_plan', 'list', null, 'string', 'sr_sub_tab', 'back_out_plan',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'budgeted', 'list', null, 'string', 'sr_sub_tab', 'budgeted',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cab_meeting_reference', 'string', null, 'string', 'sr_sub_tab', 'cab_meeting_reference',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'ci_id', 'list', 'ci', 'int', 'sr_sub_tab', 'ci',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'company', 'list', 'company', 'int', 'sr_sub_tab', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'completed_time', 'date_time', null, 'date', 'sr_sub_tab', 'completed_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'complexity', 'list', null, 'int', 'sr_sub_tab', 'complexity',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'computer_id', 'list', 'asset', 'string', 'sr_sub_tab', 'computer_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date1', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date10', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date10',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date2', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date3', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date3',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date4', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date4',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date5', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date5',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date6', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date6',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date7', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date7',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date8', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date8',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date9', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date9',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float1', 'float', null, 'float', 'sr_sub_tab', 'cust_float1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float10', 'float', null, 'float', 'sr_sub_tab', 'cust_float10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float2', 'float', null, 'float', 'sr_sub_tab', 'cust_float2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float3', 'float', null, 'float', 'sr_sub_tab', 'cust_float3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float4', 'float', null, 'float', 'sr_sub_tab', 'cust_float4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float5', 'float', null, 'float', 'sr_sub_tab', 'cust_float5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float6', 'float', null, 'float', 'sr_sub_tab', 'cust_float6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float7', 'float', null, 'float', 'sr_sub_tab', 'cust_float7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float8', 'float', null, 'float', 'sr_sub_tab', 'cust_float8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float9', 'float', null, 'float', 'sr_sub_tab', 'cust_float9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int1', 'int', null, 'int', 'sr_sub_tab', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int10', 'int', null, 'int', 'sr_sub_tab', 'cust_int10',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int2', 'int', null, 'int', 'sr_sub_tab', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int3', 'int', null, 'int', 'sr_sub_tab', 'cust_int3',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int4', 'int', null, 'int', 'sr_sub_tab', 'cust_int4',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int5', 'int', null, 'int', 'sr_sub_tab', 'cust_int5',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int6', 'int', null, 'int', 'sr_sub_tab', 'cust_int6',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int7', 'int', null, 'int', 'sr_sub_tab', 'cust_int7',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int8', 'int', null, 'int', 'sr_sub_tab', 'cust_int8',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int9', 'int', null, 'int', 'sr_sub_tab', 'cust_int9',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list1', 'list', null, 'int', 'sr_sub_tab', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list10', 'list', null, 'int', 'sr_sub_tab', 'cust_list10',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list2', 'list', null, 'int', 'sr_sub_tab', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list3', 'list', null, 'int', 'sr_sub_tab', 'cust_list3',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list4', 'list', null, 'int', 'sr_sub_tab', 'cust_list4',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list5', 'list', null, 'int', 'sr_sub_tab', 'cust_list5',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list6', 'list', null, 'int', 'sr_sub_tab', 'cust_list6',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list7', 'list', null, 'int', 'sr_sub_tab', 'cust_list7',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list8', 'list', null, 'int', 'sr_sub_tab', 'cust_list8',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list9', 'list', null, 'int', 'sr_sub_tab', 'cust_list9',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes1', 'string', null, 'string', 'sr_sub_tab', 'cust_notes1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes10', 'string', null, 'string', 'sr_sub_tab', 'cust_notes10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes2', 'string', null, 'string', 'sr_sub_tab', 'cust_notes2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes3', 'string', null, 'string', 'sr_sub_tab', 'cust_notes3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes4', 'string', null, 'string', 'sr_sub_tab', 'cust_notes4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes5', 'string', null, 'string', 'sr_sub_tab', 'cust_notes5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes6', 'string', null, 'string', 'sr_sub_tab', 'cust_notes6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes7', 'string', null, 'string', 'sr_sub_tab', 'cust_notes7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes8', 'string', null, 'string', 'sr_sub_tab', 'cust_notes8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes9', 'string', null, 'string', 'sr_sub_tab', 'cust_notes9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text1', 'string', null, 'string', 'sr_sub_tab', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text10', 'string', null, 'string', 'sr_sub_tab', 'cust_text10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text2', 'string', null, 'string', 'sr_sub_tab', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text3', 'string', null, 'string', 'sr_sub_tab', 'cust_text3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text4', 'string', null, 'string', 'sr_sub_tab', 'cust_text4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text5', 'string', null, 'string', 'sr_sub_tab', 'cust_text5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text6', 'string', null, 'string', 'sr_sub_tab', 'cust_text6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text7', 'string', null, 'string', 'sr_sub_tab', 'cust_text7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text8', 'string', null, 'string', 'sr_sub_tab', 'cust_text8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text9', 'string', null, 'string', 'sr_sub_tab', 'cust_text9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'department', 'list', null, 'int', 'sr_sub_tab', 'department',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'description', 'string', null, 'string', 'sr_sub_tab', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'due_date', 'date_time', null, 'date', 'sr_sub_tab', 'due_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'duration', 'float', null, 'float', 'sr_sub_tab', 'duration',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'enabled_time', 'date_time', null, 'date', 'sr_sub_tab', 'enabled_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'expected_downtime_end', 'date_time', null, 'date', 'sr_sub_tab', 'expected_downtime_end',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'expected_downtime_start', 'date_time', null, 'date', 'sr_sub_tab', 'expected_downtime_start',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'hardware_costs', 'float', null, 'float', 'sr_sub_tab', 'hardware_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'impact', 'list', null, 'int', 'sr_sub_tab', 'impact',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'insert_time', 'date_time', null, 'date', 'sr_sub_tab', 'insert_time',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'installation_costs', 'float', null, 'float', 'sr_sub_tab', 'installation_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'internal_manpower_in_hours', 'float', null, 'float', 'sr_sub_tab', 'internal_manpower_in_hours',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'location', 'list', null, 'int', 'sr_sub_tab', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'maintenance_costs', 'float', null, 'float', 'sr_sub_tab', 'maintenance_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'modify_time', 'date_time', null, 'date', 'sr_sub_tab', 'modify_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'notes', 'string', null, 'string', 'sr_sub_tab', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'percent_completed', 'int', null, 'int', 'sr_sub_tab', 'percent_completed',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'policy_compliance', 'list', null, 'string', 'sr_sub_tab', 'policy_compliance',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'priority', 'list', null, 'int', 'sr_sub_tab', 'priority',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'project_id', 'list', 'project', 'int', 'sr_sub_tab', 'project_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'proposed_delivery_date', 'date_time', null, 'date', 'sr_sub_tab', 'proposed_delivery_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'proposed_version', 'string', null, 'string', 'sr_sub_tab', 'proposed_version',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'recurrence', 'list', null, 'int', 'sr_sub_tab', 'recurrence',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'reopened', 'string', null, 'string', 'sr_sub_tab', 'reopened',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'reopened_note', 'string', null, 'string', 'sr_sub_tab', 'reopenNote',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'resources_required_in_days', 'float', null, 'float', 'sr_sub_tab', 'resources_required_in_days',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'software_costs', 'float', null, 'float', 'sr_sub_tab', 'software_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'sr_id', 'int', 'sr', 'int', 'sr_sub_tab', 'sr_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'status', 'list', null, 'int', 'sr_sub_tab', 'status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'submit_user', 'list', 'user', 'string', 'sr_sub_tab', 'submit_user',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'task_id', 'list', 'task', 'int', 'sr_sub_tab', 'task_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'title', 'string', null, 'string', 'sr_sub_tab', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'total_costs', 'float', null, 'float', 'sr_sub_tab', 'total_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'total_expected_downtime_hours', 'float', null, 'float', 'sr_sub_tab', 'total_expected_downtime_hours',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'training_costs', 'float', null, 'float', 'sr_sub_tab', 'training_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'update_user', 'list', null, 'string', 'sr_sub_tab', 'lastModified',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'urgency', 'list', null, 'int', 'sr_sub_tab', 'urgency',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'user_acceptance', 'list', null, 'string', 'sr_sub_tab', 'user_acceptance',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'agent_version', 'string', null, 'string', 'computer', 'agent_version',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'bios_type', 'string', null, 'string', 'computer_attributes', 'bios_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'building', 'string', null, 'string', 'computer', 'building',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'catalog_number', 'list', null, 'string', 'computer', 'catalog_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'collection_params', 'string', null, 'string', 'computer', 'collection_params',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'collection_type', 'list', null, 'int', 'computer', 'collection_type',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'company', 'list', 'company', 'int', 'computer', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'company_serial', 'string', null, 'string', 'computer', 'company_serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'computer_name', 'string', null, 'string', 'computer', 'computer_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'computer_type', 'list', null, 'string', 'computer', 'computer_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_count', 'int', null, 'int', 'computer_attributes', 'cpu_count',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_model', 'string', null, 'string', 'computer_attributes', 'cpu_model',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_speed', 'int', null, 'int', 'computer_attributes', 'cpu_speed',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_vendor', 'string', null, 'string', 'computer_attributes', 'cpu_vendor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cubic', 'string', null, 'string', 'computer', 'cubic',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_date1', 'date', null, 'date', 'computer', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_date2', 'date', null, 'date', 'computer', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_int1', 'int', null, 'int', 'computer', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_int2', 'int', null, 'int', 'computer', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_list1', 'list', null, 'int', 'computer', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_list2', 'list', null, 'int', 'computer', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_notes', 'string', null, 'string', 'computer', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_text1', 'string', null, 'string', 'computer', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_text2', 'string', null, 'string', 'computer', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'department', 'list', null, 'int', 'computer', 'department',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'description', 'string', null, 'string', 'computer', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'designated_rds', 'list', null, 'string', 'computer', 'designated_rds',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_current_carrier', 'string', null, 'string', 'computer', 'device_current_carrier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_home_carrier', 'string', null, 'string', 'computer', 'device_home_carrier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_icc', 'string', null, 'string', 'computer', 'device_icc',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_imei', 'string', null, 'string', 'computer', 'device_imei',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_ownership', 'list', null, 'int', 'computer', 'device_ownership',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_phone_number', 'string', null, 'string', 'computer', 'device_phone_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_policy', 'list', null, 'int', 'computer', 'device_policy',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_status', 'list', null, 'int', 'computer', 'device_status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'disable', 'list', null, 'string', 'computer', 'disable',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'display_adapter', 'string', null, 'string', 'computer_attributes', 'display_adapter',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'display_memory', 'int', null, 'int', 'computer_attributes', 'display_memory',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'display_resolution', 'string', null, 'string', 'computer_attributes', 'display_resolution',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'external_serial', 'string', null, 'string', 'computer', 'external_serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'first_access', 'date_time', null, 'date', 'computer', 'first_access',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_access', 'date_time', null, 'date', 'computer', 'last_access',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'floor', 'string', null, 'string', 'computer', 'floor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'inventory_time', 'date_time', null, 'date', 'computer', 'inventory_time',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'ip_address', 'string', null, 'string', 'computer', 'ip_address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_boot', 'date_time', null, 'date', 'computer', 'last_boot',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_maintenance', 'date', null, 'date', 'computer_attributes', 'last_maintenance',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_patch_time', 'date_time', null, 'date', 'computer', 'last_patch_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_scan_time', 'date_time', null, 'date', 'computer', 'last_scan_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'location_idx', 'list', null, 'int', 'computer', 'location_idx',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'mac_address', 'string', null, 'string', 'computer', 'mac_address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'maintenance_supplier', 'list', null, 'int', 'computer', 'maintenance_supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'manufacturer', 'string', null, 'string', 'computer_attributes', 'manufacturer',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'memory_physical', 'float', null, 'float', 'computer_attributes', 'memory_physical',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'model', 'string', null, 'string', 'computer_attributes', 'model',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'monitor', 'string', null, 'string', 'computer', 'monitor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'monitor_serial', 'string', null, 'string', 'computer', 'monitor_serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_service_pack', 'string', null, 'string', 'computer_attributes', 'os_service_pack',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_name', 'string', null, 'string', 'computer_attributes', 'os_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_type', 'string', null, 'string', 'computer_attributes', 'os_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_version', 'string', null, 'string', 'computer_attributes', 'os_version',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_serial', 'string', null, 'string', 'computer_attributes', 'os_serial',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'packets_in', 'float', null, 'float', 'computer', 'packets_in',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'packets_out', 'float', null, 'float', 'computer', 'packets_out',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'parent_asset', 'list', null, 'string', 'computer', 'parent_asset',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'parent_group', 'list', null, 'string', 'computer', 'parent_group',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'patch_enabled', 'boolean', null, 'int', 'computer', 'patch_enabled',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'policy_id', 'list', null, 'int', 'computer', 'policy_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'purchase_cost', 'float', null, 'float', 'computer', 'purchase_cost',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'purchase_date', 'date', null, 'date', 'computer_attributes', 'purchase_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'serial', 'string', null, 'string', 'computer_attributes', 'serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'settings_id', 'int', null, 'int', 'computer', 'settings_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_1', 'string', null, 'string', 'computer', 'snmp_cust_text_1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_10', 'string', null, 'string', 'computer', 'snmp_cust_text_10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_11', 'string', null, 'string', 'computer', 'snmp_cust_text_11',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_12', 'string', null, 'string', 'computer', 'snmp_cust_text_12',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_13', 'string', null, 'string', 'computer', 'snmp_cust_text_13',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_14', 'string', null, 'string', 'computer', 'snmp_cust_text_14',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_15', 'string', null, 'string', 'computer', 'snmp_cust_text_15',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_16', 'string', null, 'string', 'computer', 'snmp_cust_text_16',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_17', 'string', null, 'string', 'computer', 'snmp_cust_text_17',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_18', 'string', null, 'string', 'computer', 'snmp_cust_text_18',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_19', 'string', null, 'string', 'computer', 'snmp_cust_text_19',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_2', 'string', null, 'string', 'computer', 'snmp_cust_text_2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_20', 'string', null, 'string', 'computer', 'snmp_cust_text_20',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_3', 'string', null, 'string', 'computer', 'snmp_cust_text_3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_4', 'string', null, 'string', 'computer', 'snmp_cust_text_4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_5', 'string', null, 'string', 'computer', 'snmp_cust_text_5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_6', 'string', null, 'string', 'computer', 'snmp_cust_text_6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_7', 'string', null, 'string', 'computer', 'snmp_cust_text_7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_8', 'string', null, 'string', 'computer', 'snmp_cust_text_8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_9', 'string', null, 'string', 'computer', 'snmp_cust_text_9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'supplier', 'list', 'supplier', 'int', 'computer', 'supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'track_asset', 'int', null, 'int', 'computer', 'track_asset',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'update_time', 'date_time', null, 'date', 'computer', 'update_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'username', 'list', 'user', 'string', 'computer', 'username',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'warranty_expiration', 'date', null, 'date', 'computer_attributes', 'warranty_expiration',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'computer_id', 'string', null, 'string', 'computer', 'computer_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset_group', 'group_level', 'int', null, 'int', 'computer_group', null,0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset_group', 'group_name', 'string', null, 'string', 'computer_group', null,1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset_group', 'parent_group_name', 'string', null, 'string', 'computer_group', null,0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'catalog_number', 'string', null, 'string', 'asset_catalog', 'catalog_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'cust_date1', 'date', null, 'date', 'asset_catalog', 'cust_date1',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'cust_date2', 'date', null, 'date', 'asset_catalog', 'cust_date2',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'manufacturer', 'string', null, 'string', 'asset_catalog', 'manufacturer',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'model', 'string', null, 'string', 'asset_catalog', 'model',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'name', 'string', null, 'string', 'asset_catalog', 'name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'notes', 'string', null, 'string', 'asset_catalog', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'supplier_id', 'list', 'supplier', 'int', 'asset_catalog', 'supplier_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'accept_date', 'date', null, 'date', 'ci_attributes', 'accept_date',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_1', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_10', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_10',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_11', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_11',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_12', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_12',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_13', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_13',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_14', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_14',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_15', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_15',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_16', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_16',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_17', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_17',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_18', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_18',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_19', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_19',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_2', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_20', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_20',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_21', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_21',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_22', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_22',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_23', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_23',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_24', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_24',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_25', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_25',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_26', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_26',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_27', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_27',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_28', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_28',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_29', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_29',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_3', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_3',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_30', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_30',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_31', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_31',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_32', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_32',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_33', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_33',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_34', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_34',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_35', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_35',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_36', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_36',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_37', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_37',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_38', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_38',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_39', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_39',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_4', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_4',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_40', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_40',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_41', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_41',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_42', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_42',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_43', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_43',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_44', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_44',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_45', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_45',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_46', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_46',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_47', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_47',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_48', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_48',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_49', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_49',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_5', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_5',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_50', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_50',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_6', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_6',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_7', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_7',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_8', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_8',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_9', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_9',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_1', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_10', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_10',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_11', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_11',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_12', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_12',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_13', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_13',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_14', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_14',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_15', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_15',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_16', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_16',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_17', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_17',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_18', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_18',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_19', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_19',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_2', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_20', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_20',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_21', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_21',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_22', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_22',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_23', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_23',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_24', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_24',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_25', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_25',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_26', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_26',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_27', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_27',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_28', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_28',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_29', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_29',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_3', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_3',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_30', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_30',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_31', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_31',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_32', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_32',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_33', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_33',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_34', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_34',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_35', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_35',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_36', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_36',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_37', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_37',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_38', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_38',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_39', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_39',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_4', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_4',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_40', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_40',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_41', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_41',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_42', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_42',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_43', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_43',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_44', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_44',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_45', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_45',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_46', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_46',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_47', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_47',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_48', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_48',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_49', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_49',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_5', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_5',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_50', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_50',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_6', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_6',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_7', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_7',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_8', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_8',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_9', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_9',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_1', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_10', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_10',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_11', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_11',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_12', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_12',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_13', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_13',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_14', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_14',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_15', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_15',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_16', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_16',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_17', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_17',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_18', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_18',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_19', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_19',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_2', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_20', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_20',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_21', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_21',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_22', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_22',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_23', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_23',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_24', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_24',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_25', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_25',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_26', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_26',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_27', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_27',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_28', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_28',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_29', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_29',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_3', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_3',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_30', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_30',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_31', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_31',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_32', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_32',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_33', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_33',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_34', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_34',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_35', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_35',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_36', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_36',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_37', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_37',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_38', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_38',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_39', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_39',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_4', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_4',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_40', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_40',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_41', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_41',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_42', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_42',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_43', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_43',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_44', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_44',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_45', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_45',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_46', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_46',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_47', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_47',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_48', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_48',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_49', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_49',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_5', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_5',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_50', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_50',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_6', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_6',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_7', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_7',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_8', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_8',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_9', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_9',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_1', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_10', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_11', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_11',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_12', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_12',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_13', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_13',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_14', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_14',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_15', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_15',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_16', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_16',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_17', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_17',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_18', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_18',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_19', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_19',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_2', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_20', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_20',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_21', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_21',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_22', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_22',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_23', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_23',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_24', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_24',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_25', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_25',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_26', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_26',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_27', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_27',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_28', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_28',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_29', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_29',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_3', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_30', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_30',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_31', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_31',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_32', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_32',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_33', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_33',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_34', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_34',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_35', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_35',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_36', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_36',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_37', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_37',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_38', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_38',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_39', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_39',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_4', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_40', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_40',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_41', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_41',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_42', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_42',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_43', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_43',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_44', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_44',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_45', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_45',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_46', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_46',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_47', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_47',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_48', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_48',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_49', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_49',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_5', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_50', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_50',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_6', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_7', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_8', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_9', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_10', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_11', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_11',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_12', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_12',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_13', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_13',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_14', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_14',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_15', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_15',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_16', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_16',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_17', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_17',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_18', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_18',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_19', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_19',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_2', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_20', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_20',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_21', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_21',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_22', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_22',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_23', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_23',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_24', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_24',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_25', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_25',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_26', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_26',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_27', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_27',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_28', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_28',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_29', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_29',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_3', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_30', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_30',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_31', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_31',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_32', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_32',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_33', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_33',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_34', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_34',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_35', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_35',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_36', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_36',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_37', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_37',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_38', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_38',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_39', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_39',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_4', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_40', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_40',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_41', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_41',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_42', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_42',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_43', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_43',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_44', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_44',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_45', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_45',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_46', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_46',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_47', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_47',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_48', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_48',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_49', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_49',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_5', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_50', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_50',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_6', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_7', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_8', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_9', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_name', 'string', null, 'string', 'ci_attributes', 'ci_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_sub_type', 'list', null, 'int', 'ci_attributes', 'ci_sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_type', 'list', null, 'int', 'ci_attributes', 'ci_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'company', 'list', 'company', 'int', 'ci_attributes', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'id', 'int', null, 'int', 'ci_attributes', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'import_item_id', 'string', null, 'string', 'ci_attributes', 'import_item_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'import_item_type', 'list', null, 'int', 'ci_attributes', 'import_item_type',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'location', 'list', null, 'int', 'ci_attributes', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'notes', 'string', null, 'string', 'ci_attributes', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'owner', 'list', 'user', 'string', 'ci_attributes', 'owner',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'owner_group', 'list', 'user_groups', 'string', 'ci_attributes', 'owner_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'priority', 'list', null, 'int', 'ci_attributes', 'priority',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'problem_sub_type', 'list', null, 'string', 'ci_attributes', 'problem_sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'problem_type', 'nested', null, 'string', 'ci_attributes', 'problem_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'serial', 'string', null, 'string', 'ci_attributes', 'serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'status', 'list', null, 'int', 'ci_attributes', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'supplier', 'list', 'supplier', 'int', 'ci_attributes', 'supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'supply_date', 'date', null, 'date', 'ci_attributes', 'supply_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'third_level_category', 'list', null, 'string', 'ci_attributes', 'third_level_category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'address', 'string', null, 'string', 'company', 'address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'address2', 'string', null, 'string', 'company', 'address2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'agreement', 'list', null, 'int', 'company', 'agreement',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'agreement_end', 'date', null, 'date', 'company', 'agreement_end',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'agreement_start', 'date', null, 'date', 'company', 'agreement_start',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'city', 'string', null, 'string', 'company', 'city',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'company_id', 'int', null, 'int', 'company', 'company_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'company_name', 'string', null, 'string', 'company', 'company_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'country', 'string', null, 'string', 'company', 'country',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_date1', 'date', null, 'date', 'company', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_date2', 'date', null, 'date', 'company', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_int1', 'int', null, 'int', 'company', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_int2', 'int', null, 'int', 'company', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_list1', 'list', null, 'int', 'company', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_list2', 'list', null, 'int', 'company', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_notes', 'string', null, 'string', 'company', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_text1', 'string', null, 'string', 'company', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_text2', 'string', null, 'string', 'company', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'expiration_time', 'date', null, 'date', 'company', 'expiration_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'fax', 'string', null, 'string', 'company', 'fax',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'logo_file_name', 'string', null, 'string', 'company', 'logo_file_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'notes', 'string', null, 'string', 'company', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'phone', 'string', null, 'string', 'company', 'phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'state', 'string', null, 'string', 'company', 'state',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'zip', 'string', null, 'string', 'company', 'zip',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'assigned_group', 'list', 'user_groups', 'string', 'project', 'assigned_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'category', 'list', null, 'int', 'project', 'category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'company', 'list', 'company', 'int', 'project', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_date1', 'date', null, 'date', 'project', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_date2', 'date', null, 'date', 'project', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_int1', 'int', null, 'int', 'project', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_int2', 'int', null, 'int', 'project', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_list1', 'list', null, 'int', 'project', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_list2', 'list', null, 'int', 'project', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_notes', 'string', null, 'string', 'project', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_text1', 'string', null, 'string', 'project', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_text2', 'string', null, 'string', 'project', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'description', 'string', null, 'string', 'project', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'end_time', 'date_time', null, 'date', 'project', 'end_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'incidenttitle', 'string', null, 'string', 'project', 'incidenttitle',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'manager', 'list', 'user', 'string', 'project', 'manager',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'notes', 'string', null, 'string', 'project', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'progress', 'int', null, 'int', 'project', 'progress',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'raw_estimation', 'int', null, 'int', 'project', 'raw_estimation',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'request_group', 'list', 'user_groups', 'string', 'project', 'request_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'start_time', 'date_time', null, 'date', 'project', 'start_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'status', 'list', null, 'int', 'project', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'title', 'string', null, 'string', 'project', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'id', 'int', null, 'int', 'project', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'company', 'list', 'company', 'int', 'software', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_date1', 'date', null, 'date', 'software', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_date2', 'date', null, 'date', 'software', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_int1', 'int', null, 'int', 'software', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_int2', 'int', null, 'int', 'software', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_list1', 'list', null, 'int', 'software', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_list2', 'list', null, 'int', 'software', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_notes', 'string', null, 'string', 'software', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_text1', 'string', null, 'string', 'software', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_text2', 'string', null, 'string', 'software', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'freeware', 'boolean', null, 'string', 'software', 'freeware',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'licenses', 'int', null, 'int', 'software', 'licenses',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'notes', 'string', null, 'string', 'software', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'product_name', 'string', null, 'string', 'software', 'product_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'purchase_date', 'date', null, 'date', 'software', 'purchase_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'supplier', 'list', 'supplier', 'int', 'software', 'supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'support_expiration', 'date', null, 'date', 'software', 'support_expiration',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'vendor', 'string', null, 'string', 'software', 'vendor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'version', 'string', null, 'string', 'software', 'version',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'agreement', 'list', null, 'int', 'service_req', 'agreement',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'archive', 'boolean', null, 'int', 'service_req', 'archive',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'assigned_group', 'list', 'user_groups', 'string', 'service_req', 'assigned_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'assign_counter', 'int', null, 'int', 'service_req', 'assign_counter',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cc', 'string', null, 'string', 'service_req', 'cc',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'change_category', 'list', null, 'int', 'service_req', 'change_category',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'ci_id', 'list', 'ci', 'int', 'service_req', 'ci',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'close_time', 'date_time', null, 'date', 'service_req', 'close_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'closure_information', 'list', null, 'int', 'service_req', 'closure_information',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'computer_id', 'list', 'asset', 'string', 'service_req', 'computer_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'current_support_level', 'int', null, 'int', 'service_req', 'current_support_level',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_date1', 'date', null, 'date', 'service_req', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_date2', 'date', null, 'date', 'service_req', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_int1', 'int', null, 'int', 'service_req', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_int2', 'int', null, 'int', 'service_req', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_list1', 'list', null, 'int', 'service_req', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_list2', 'list', null, 'int', 'service_req', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_notes', 'string', null, 'string', 'service_req', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_text1', 'string', null, 'string', 'service_req', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_text2', 'string', null, 'string', 'service_req', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'description', 'string', null, 'string', 'service_req', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'due_date', 'date_time', null, 'date', 'service_req', 'due_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'email_account', 'string', null, 'string', 'service_req', 'email_account',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'escalation', 'int', null, 'int', 'service_req', 'escalation',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_actual_date', 'date', null, 'date', 'service_req', 'followup_actual_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_planned_date', 'date', null, 'date', 'service_req', 'followup_planned_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_text', 'string', null, 'string', 'service_req', 'followup_text',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_user', 'list', 'user', 'string', 'service_req', 'followup_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'id', 'int', null, 'int', 'service_req', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'impact', 'list', null, 'int', 'service_req', 'impact',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'insert_time', 'date_time', null, 'date', 'service_req', 'insert_time',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'known_error', 'list', null, 'string', 'service_req', 'known_error',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'location', 'list', null, 'int', 'service_req', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'max_support_level', 'int', null, 'int', 'service_req', 'max_support_level',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'notes', 'string', null, 'string', 'service_req', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'parent_link', 'int', null, 'int', 'service_req', 'parent_link',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'priority', 'list', null, 'int', 'service_req', 'priority',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'problem_sub_type', 'list', null, 'string', 'service_req', 'problem_sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'problem_type', 'nested', null, 'string', 'service_req', 'problem_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'project_id', 'list', 'project', 'int', 'service_req', 'project_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'reopen_counter', 'int', null, 'int', 'service_req', 'reopen_counter',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'request_user', 'list', 'user', 'string', 'service_req', 'request_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'resolution', 'string', null, 'string', 'service_req', 'resolution',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'responsibility', 'list', 'user', 'string', 'service_req', 'responsibility',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'responsible_manager', 'list', 'user', 'string', 'service_req', 'responsible_manager',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'solution', 'string', null, 'string', 'service_req', 'solution',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'source', 'list', null, 'int', 'service_req', 'source',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'sr_type', 'list', null, 'int', 'service_req', 'sr_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'sr_weight', 'int', null, 'int', 'service_req', 'sr_weight',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'status', 'list', null, 'int', 'service_req', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'submit_user', 'list', 'user', 'string', 'service_req', 'submit_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'success_rating', 'int', null, 'int', 'service_req', 'success_rating',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'survey_status', 'list', null, 'int', 'service_req', 'survey_status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'task_id', 'list', 'task', 'int', 'service_req', 'task_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'third_level_category', 'list', null, 'string', 'service_req', 'third_level_category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'title', 'string', null, 'string', 'service_req', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'update_time', 'date_time', null, 'date', 'service_req', 'update_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'update_user', 'string', 'user', 'string', 'service_req', 'update_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'urgency', 'list', null, 'int', 'service_req', 'urgency',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'workaround', 'string', null, 'string', 'service_req', 'workaround',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer1', 'float', null, 'float', 'service_req', 'timer1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer2', 'float', null, 'float', 'service_req', 'timer2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer3', 'float', null, 'float', 'service_req', 'timer3',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer4', 'float', null, 'float', 'service_req', 'timer4',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer5', 'float', null, 'float', 'service_req', 'timer5',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer6', 'float', null, 'float', 'service_req', 'timer6',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer7', 'float', null, 'float', 'service_req', 'timer7',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer8', 'float', null, 'float', 'service_req', 'timer8',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer9', 'float', null, 'float', 'service_req', 'timer9',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer10', 'float', null, 'float', 'service_req', 'timer10',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'total_time', 'float', null, 'calculation', 'service_req', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'sr_sub_type', 'list', null, 'string', 'service_req', 'sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_date1', 'date_time', null, 'date', 'work_report', 'cust_date1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_date2', 'date_time', null, 'date', 'work_report', 'cust_date2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int1', 'int', null, 'int', 'work_report', 'cust_int1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int2', 'int', null, 'int', 'work_report', 'cust_int2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int3', 'int', null, 'int', 'work_report', 'cust_int3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int4', 'int', null, 'int', 'work_report', 'cust_int4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_list1', 'list', null, 'int', 'work_report', 'cust_list1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_list2', 'list', null, 'int', 'work_report', 'cust_list2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_notes', 'string', null, 'string', 'work_report', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_text1', 'string', null, 'string', 'work_report', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_text2', 'string', null, 'string', 'work_report', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'description', 'string', null, 'string', 'work_report', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'from_time', 'date_time', null, 'date', 'work_report', 'from_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'service_req_id', 'int', 'sr', 'int', 'work_report', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'to_time', 'date_time', null, 'date', 'work_report', 'to_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'user_name', 'list', 'user', 'string', 'work_report', 'user_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'total_time', 'float', null, 'calculation', 'work_report', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'account_number', 'string', null, 'string', 'supplier', 'account_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'address', 'string', null, 'string', 'supplier', 'address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'contact_name', 'string', null, 'string', 'supplier', 'contact_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_date1', 'date', null, 'date', 'supplier', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_date2', 'date', null, 'date', 'supplier', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_int1', 'int', null, 'int', 'supplier', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_int2', 'int', null, 'int', 'supplier', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_list1', 'list', null, 'int', 'supplier', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_list2', 'list', null, 'int', 'supplier', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_notes', 'string', null, 'string', 'supplier', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_text1', 'string', null, 'string', 'supplier', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_text2', 'string', null, 'string', 'supplier', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'email_address', 'string', null, 'string', 'supplier', 'email_address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'fax', 'string', null, 'string', 'supplier', 'fax',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'mobile', 'string', null, 'string', 'supplier', 'mobile',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'name', 'string', null, 'string', 'supplier', 'name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'notes', 'string', null, 'string', 'supplier', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'phone', 'string', null, 'string', 'supplier', 'phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'phone2', 'string', null, 'string', 'supplier', 'phone2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'category', 'list', null, 'int', 'task', 'category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'ci_id', 'list', 'ci', 'int', 'task', 'ci',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_date1', 'date', null, 'date', 'task', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_date2', 'date', null, 'date', 'task', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_int1', 'int', null, 'int', 'task', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_int2', 'int', null, 'int', 'task', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_list1', 'list', null, 'int', 'task', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_list2', 'list', null, 'int', 'task', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_notes', 'string', null, 'string', 'task', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_text1', 'string', null, 'string', 'task', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_text2', 'string', null, 'string', 'task', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'description', 'string', null, 'string', 'task', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'end_time', 'date_time', null, 'date', 'task', 'end_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'estimation', 'int', null, 'int', 'task', 'estimation',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'id', 'int', null, 'int', 'task', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'notes', 'string', null, 'string', 'task', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'notification', 'list', null, 'string', 'task', 'notification',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'progress', 'int', null, 'int', 'task', 'progress',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'project_id', 'list', 'project', 'int', 'task', 'project_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'start_time', 'date_time', null, 'date', 'task', 'start_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'status', 'list', null, 'int', 'task', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'task_dependency', 'list', null, 'int', 'task', 'taskDependency',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'task_dependency_type', 'int', null, 'int', 'task', 'taskDependencyType',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'title', 'string', null, 'string', 'task', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'total_time', 'float', null, 'calculation', 'task', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'task_id', 'int', 'task', 'int', 'task_activities', 'id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'activity_status', 'list', null, 'int', 'task_activities', 'activity_status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'description', 'string', null, 'string', 'task_activities', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'from_time', 'date_time', null, 'date', 'task_activities', 'from_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'to_time', 'date_time', null, 'date', 'task_activities', 'to_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'user_name', 'list', 'user', 'string', 'task_activities', 'user_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'total_time', 'string', null, 'calculation', 'task_activities', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'administrator', 'boolean', null, 'string', 'sysaid_user', 'user_type',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'agreement', 'list', null, 'int', 'sysaid_user', 'agreement',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'building', 'string', null, 'string', 'sysaid_user', 'building',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'car_number', 'string', null, 'string', 'sysaid_user', 'car_number',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cell_phone', 'string', null, 'string', 'sysaid_user', 'cell_phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'chat_nick_name', 'string', null, 'string', 'sysaid_user', 'chat_nick_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'company', 'list', 'company', 'int', 'sysaid_user', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cubic', 'string', null, 'string', 'sysaid_user', 'cubic',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_date1', 'date', null, 'date', 'sysaid_user', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_date2', 'date', null, 'date', 'sysaid_user', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_int1', 'int', null, 'int', 'sysaid_user', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_int2', 'int', null, 'int', 'sysaid_user', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_list1', 'list', null, 'int', 'sysaid_user', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_list2', 'list', null, 'int', 'sysaid_user', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_notes', 'string', null, 'string', 'sysaid_user', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_text1', 'string', null, 'string', 'sysaid_user', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_text2', 'string', null, 'string', 'sysaid_user', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'department', 'list', null, 'int', 'sysaid_user', 'department',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'disable', 'list', null, 'string', 'sysaid_user', 'disable',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'display_name', 'string', null, 'string', 'sysaid_user', 'display_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'email_address', 'string', null, 'string', 'sysaid_user', 'email_address',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'expiration_time', 'date', null, 'date', 'sysaid_user', 'expiration_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'first_name', 'string', null, 'string', 'sysaid_user', 'first_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'floor', 'string', null, 'string', 'sysaid_user', 'floor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'last_name', 'string', null, 'string', 'sysaid_user', 'last_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'locale', 'list', null, 'string', 'sysaid_user', 'locale',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'location', 'list', null, 'int', 'sysaid_user', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'login_domain', 'string', null, 'string', 'sysaid_user', 'login_domain',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'login_user', 'string', null, 'string', 'sysaid_user', 'login_user',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'manager', 'boolean', null, 'string', 'sysaid_user', 'manager',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'notes', 'string', null, 'string', 'sysaid_user', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'permissions_by_groups', 'boolean', null, 'string', 'sysaid_user', 'permissions_by_groups',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'phone', 'string', null, 'string', 'sysaid_user', 'phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'secondary_email', 'string', null, 'string', 'sysaid_user', 'secondary_email',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'sms_number', 'string', null, 'string', 'sysaid_user', 'sms_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'timezone', 'list', null, 'string', 'sysaid_user', 'timezone',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'user_manager_name', 'list', 'user', 'string', 'sysaid_user', 'user_manager_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'user_name', 'string', null, 'string', 'sysaid_user', 'user_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'display_group', 'boolean', null, 'string', 'user_groups', 'display_group',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'group_name', 'string', null, 'string', 'user_groups', 'group_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'group_type', 'list', null, 'int', 'user_groups', 'group_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'support_level', 'int', null, 'int', 'user_groups', 'support_level',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'email_account', 'string', null, 'string', 'company', 'emailAccount',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'merged_service_records', 'string', null, 'string', 'service_req_merge', 'merged_service_records', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'merged_to', 'int', null, 'int', 'service_req_merge', 'merged_to', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_count', 'int', null, 'int', 'computer_total_hdd', 'hdd_count', 1, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_total_space', 'float', null, 'float', 'computer_total_hdd', 'hdd_total_space', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_total_free_space', 'float', null, 'float', 'computer_total_hdd', 'hdd_total_free_space', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_total_used_space', 'float', null, 'float', 'computer_total_hdd', 'hdd_total_used_space', 0, 0, 0);


insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('asset', 'computer', 'computer_id', 1, 'computer_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('catalog', 'asset_catalog', 'catalog_number', 1, 'name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('ci', 'ci_attributes', 'id', 1, 'ci_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('company', 'company', 'company_id', 1, 'company_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('project', 'project', 'id', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('software', 'software', 'software_id', 1, 'product_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr', 'service_req', 'id', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr_activity', 'work_report', 'id', 1, 'description');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('action_item', 'sr_sub_tab', 'tab_name', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('supplier', 'supplier', 'supplier_id', 1, 'name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('task', 'task', 'id', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('task_activity', 'task_activities', 'id', 1, 'description');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('user', 'sysaid_user', 'user_name', 1, 'calculated_user_name_upper');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('user_groups', 'user_groups', 'group_name', 1, 'group_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('asset', 'computer_attributes', 'computer_id', 0, null);
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr', 'service_req_files', 'id', 0, null);
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr', 'service_req_merge', 'id', 0, null);
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('asset', 'computer_total_hdd', 'computer_id', 0, null);

CREATE TABLE reports_available_operators (
  type VARCHAR(64) NOT NULL,
  operator VARCHAR(64) NOT NULL,
  sql_operator VARCHAR(64),
  operators_order INT,
  PRIMARY KEY (type, operator)
);

insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.between', 'between', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.doesnt.equal', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.equals', '=', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.greater', '>', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.is_empty', 'is null', 6);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.smaller', '<', 12);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.within.last', null, 13);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.within.next', null, 14);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.between', 'between', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.doesnt.equal', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.equals', '=', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.greater', '>', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.smaller', '<', 5);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.contains', 'like ''%?%''', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.doesnt.contains', 'not like ''%?%''', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.doesnt.equal', '<>', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.ends.with', 'like ''%?''', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.equals', '=', 5);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.is', null, 6);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.isnt', null, 8);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.is_empty', 'is null', 9);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.starts.with', 'like ''?%''', 10);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.is', '=', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.isnt', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.is_empty', 'is null', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.is', '=', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.isnt', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.is_empty', 'is null', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.contains', 'like ''%?%''', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.doesnt.contains', 'not like ''%?%''', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.ends.with', 'like ''%?''', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.starts.with', 'like ''?%''', 10);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('float', 'filter.between', 'between', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('float', 'filter.greater', '>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('float', 'filter.smaller', '<', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('boolean', 'filter.equals', '=', 1);

CREATE TABLE oauth_consumer_info (
id int NOT NULL auto_increment,
name varchar(255) NOT NULL,
description varchar(255),
email varchar(64) NOT NULL,
consumer_key varchar(32) NOT NULL,
consumer_secret varchar(32) NOT NULL,
status numeric(1,0) default 0,
update_time datetime NOT NULL,
authorization_callback_url varchar(255) NOT NULL,
system_consumer numeric(1,0) default 0,
PRIMARY KEY  (id)
);

create unique index oauth_consumer_info_index on oauth_consumer_info (name,email);
create unique index oauth_consumer_info_index1 on oauth_consumer_info (consumer_key);
create unique index oauth_consumer_info_index2 on oauth_consumer_info (consumer_secret);

CREATE TABLE oauth_nonce_info (
  consumer_key varchar(32) NOT NULL,
  time_stamp int NOT NULL ,
  nonce varchar(32) NOT NULL,
  PRIMARY KEY  (consumer_key,time_stamp,nonce)
);

create index oauth_nonce_info_index on oauth_nonce_info (time_stamp);

create table reports_default_fields (
entity_name varchar(64),
db_field_name varchar(64),
field_order int,
entity_reference varchar(64),
path varchar(255),
PRIMARY KEY(entity_name,field_order));


create table reports_default_filters (
entity_name varchar(64),
db_field_name varchar(64),
field_order int,
entity_reference varchar(64),
filter_operator varchar(64),
path varchar(255),
PRIMARY KEY(entity_name,field_order));

insert into reports_default_fields values('sr','id',3,'sr',null);
insert into reports_default_fields values('sr','alert',4,'sr',null);
insert into reports_default_fields values('sr','sr_type',1,'sr',null);
insert into reports_default_fields values('sr','problem_type',5,'sr',null);
insert into reports_default_fields values('sr','problem_sub_type',6,'sr',null);
insert into reports_default_fields values('sr','title',7,'sr',null);
insert into reports_default_fields values('sr','status',2,'sr',null);
insert into reports_default_fields values('sr','request_user',8,'sr',null);
insert into reports_default_fields values('sr','responsibility',9,'sr',null);
insert into reports_default_fields values('sr','priority',10,'sr',null);
insert into reports_default_fields values('sr','insert_time',11,'sr',null);


insert into reports_default_fields values('action_item','sr_id',2,'action_item',null);
insert into reports_default_fields values('action_item','title',3,'sr','action_item.sr_id:sr.title');
insert into reports_default_fields values('action_item','responsibility',4,'sr','action_item.sr_id:sr.responsibility');
insert into reports_default_fields values('action_item','assigned_to',1,'action_item',null);
insert into reports_default_fields values('action_item','description',5,'action_item',null);
insert into reports_default_fields values('action_item','due_date',6,'action_item',null);
insert into reports_default_fields values('action_item','status',7,'action_item',null);
insert into reports_default_fields values('action_item','assigned_group',8,'action_item',null);
insert into reports_default_fields values('action_item','urgency',9,'action_item',null);
insert into reports_default_fields values('action_item','priority',10,'action_item',null);


insert into reports_default_fields values('project','id',1,'project',null);
insert into reports_default_fields values('project','category',2,'project',null);
insert into reports_default_fields values('project','title',3,'project',null);
insert into reports_default_fields values('project','manager',4,'project',null);
insert into reports_default_fields values('project','status',5,'project',null);
insert into reports_default_fields values('project','start_time',6,'project',null);
insert into reports_default_fields values('project','end_time',7,'project',null);
insert into reports_default_fields values('project','request_group',8,'project',null);
insert into reports_default_fields values('project','total_task_estimation',9,'project',null);
insert into reports_default_fields values('project','calculated_progress',10,'project',null);



insert into reports_default_fields values('task','id',2,'task',null);
insert into reports_default_fields values('task','title',3,'task',null);
insert into reports_default_fields values('task','category',1,'task',null);
insert into reports_default_fields values('task','status',4,'task',null);
insert into reports_default_fields values('task','start_time',5,'task',null);
insert into reports_default_fields values('task','end_time',6,'task',null);
insert into reports_default_fields values('task','estimation',7,'task',null);
insert into reports_default_fields values('task','progress',8,'task',null);
insert into reports_default_fields values('task','total_task_time',9,'task',null);

insert into reports_default_fields values('sr_activity','user_name',1,'sr_activity',null);
insert into reports_default_fields values('sr_activity','from_time',2,'sr_activity',null);
insert into reports_default_fields values('sr_activity','to_time',3,'sr_activity',null);
insert into reports_default_fields values('sr_activity','description',4,'sr_activity',null);

insert into reports_default_fields values('task_activity','user_name',1,'task_activity',null);
insert into reports_default_fields values('task_activity','from_time',2,'task_activity',null);
insert into reports_default_fields values('task_activity','to_time',3,'task_activity',null);
insert into reports_default_fields values('task_activity','description',4,'task_activity',null);

insert into reports_default_fields values('supplier','name',1,'supplier',null);
insert into reports_default_fields values('supplier','phone',2,'supplier',null);
insert into reports_default_fields values('supplier','fax',3,'supplier',null);
insert into reports_default_fields values('supplier','address',4,'supplier',null);
insert into reports_default_fields values('supplier','email_address',5,'supplier',null);

insert into reports_default_fields values('asset','computer_name',2,'asset',null);
insert into reports_default_fields values('asset','parent_group',3,'asset',null);
insert into reports_default_fields values('asset','location_idx',4,'asset',null);
insert into reports_default_fields values('asset','ip_address',5,'asset',null);
insert into reports_default_fields values('asset','computer_type',1,'asset',null);
insert into reports_default_fields values('asset','os_name',6,'asset',null);
insert into reports_default_fields values('asset','manufacturer',7,'asset',null);
insert into reports_default_fields values('asset','serial',8,'asset',null);
insert into reports_default_fields values('asset','collection_type',9,'asset',null);


insert into reports_default_fields values('asset_group','group_name',1,'asset_group',null);

insert into reports_default_fields values('software','product_name',1,'software',null);
insert into reports_default_fields values('software','version',2,'software',null);
insert into reports_default_fields values('software','vendor',3,'software',null);
insert into reports_default_fields values('software','freeware',4,'software',null);

insert into reports_default_fields values('catalog','catalog_number',1,'catalog',null);
insert into reports_default_fields values('catalog','name',2,'catalog',null);
insert into reports_default_fields values('catalog','model',3,'catalog',null);
insert into reports_default_fields values('catalog','manufacturer',4,'catalog',null);
insert into reports_default_fields values('catalog','name',5,'supplier','catalog.supplier_id:supplier.name');


insert into reports_default_fields values('ci','id',2,'ci',null);
insert into reports_default_fields values('ci','ci_name',3,'ci',null);
insert into reports_default_fields values('ci','serial',4,'ci',null);
insert into reports_default_fields values('ci','ci_type',1,'ci',null);
insert into reports_default_fields values('ci','status',5,'ci',null);
insert into reports_default_fields values('ci','location',6,'ci',null);
insert into reports_default_fields values('ci','owner',7,'ci',null);
insert into reports_default_fields values('ci','import_item_id',8,'ci',null);
insert into reports_default_fields values('ci','problem_type',9,'ci',null);
insert into reports_default_fields values('ci','problem_sub_type',10,'ci',null);



insert into reports_default_fields values('user','first_name',3,'user',null);
insert into reports_default_fields values('user','last_name',4,'user',null);
insert into reports_default_fields values('user','login_domain',5,'user',null);
insert into reports_default_fields values('user','user_name',6,'user',null);
insert into reports_default_fields values('user','email_address',7,'user',null);
insert into reports_default_fields values('user','cell_phone',8,'user',null);
insert into reports_default_fields values('user','phone',9,'user',null);
insert into reports_default_fields values('user','department',2,'user',null);
insert into reports_default_fields values('user','cubic',10,'user',null);
insert into reports_default_fields values('user','floor',11,'user',null);
insert into reports_default_fields values('user','company',1,'user',null);
insert into reports_default_fields values('user','disable',12,'user',null);


insert into reports_default_fields values('user_groups','group_name',1,'user_groups',null);
insert into reports_default_fields values('user_groups','group_type',2,'user_groups',null);
insert into reports_default_fields values('user_groups','support_level',3,'user_groups',null);
insert into reports_default_fields values('user_groups','display_group',4,'user_groups',null);


insert into reports_default_fields values('company','company_name',1,'company',null);
insert into reports_default_fields values('company','address',2,'company',null);
insert into reports_default_fields values('company','address2',3,'company',null);
insert into reports_default_fields values('company','city',4,'company',null);
insert into reports_default_fields values('company','state',5,'company',null);
insert into reports_default_fields values('company','zip',6,'company',null);
insert into reports_default_fields values('company','country',7,'company',null);
insert into reports_default_fields values('company','phone',8,'company',null);
insert into reports_default_fields values('company','expiration_time',9,'company',null);
insert into reports_default_fields values('company','fax',10,'company',null);



insert into reports_default_filters values('sr','problem_type',1,'sr','=','');
insert into reports_default_filters values('sr','sr_type',2,'sr','=','');
insert into reports_default_filters values('sr','company',3,'user','=','sr.request_user:user.company');
insert into reports_default_filters values('sr','status',4,'sr','=','');
insert into reports_default_filters values('sr','insert_time',5,'sr','between','');


insert into reports_default_filters values('action_item','assigned_to',1,'action_item','=','');
insert into reports_default_filters values('action_item','assigned_group',2,'action_item','=','');
insert into reports_default_filters values('action_item','status',3,'action_item','=','');
insert into reports_default_filters values('action_item','approved',4,'action_item','=','');
insert into reports_default_filters values('action_item','due_date',5,'action_item','between','');


insert into reports_default_filters values('project','category',1,'project','=','');
insert into reports_default_filters values('project','manager',2,'project','=','');
insert into reports_default_filters values('project','status',3,'project','=','');
insert into reports_default_filters values('project','start_time',4,'project','between','');
insert into reports_default_filters values('project','end_time',5,'project','between','');


insert into reports_default_filters values('task','project_id',1,'task','=','');
insert into reports_default_filters values('task','category',2,'task','=','');
insert into reports_default_filters values('task','status',3,'task','=','');
insert into reports_default_filters values('task','start_time',4,'task','between','');
insert into reports_default_filters values('task','end_time',5,'task','between','');


insert into reports_default_filters values('sr_activity','user_name',1,'sr_activity','=','');
insert into reports_default_filters values('sr_activity','from_time',2,'sr_activity','between','');
insert into reports_default_filters values('sr_activity','to_time',3,'sr_activity','between','');


insert into reports_default_filters values('task_activity','user_name',1,'task_activity','=','');
insert into reports_default_filters values('task_activity','from_time',2,'task_activity','between','');
insert into reports_default_filters values('task_activity','to_time',3,'task_activity','between','');


insert into reports_default_filters values('asset','parent_group',1,'asset','=','');
insert into reports_default_filters values('asset','location_idx',2,'asset','=','');
insert into reports_default_filters values('asset','computer_type',3,'asset','=','');
insert into reports_default_filters values('asset','os_name',4,'asset','=','');
insert into reports_default_filters values('asset','manufacturer',5,'asset','=','');
insert into reports_default_filters values('asset','collection_type',6,'asset','=','');



insert into reports_default_filters values('asset_group','group_name',1,'asset_group','=','');


insert into reports_default_filters values('software','supplier',1,'software','=','');
insert into reports_default_filters values('software','vendor',2,'software','=','');
insert into reports_default_filters values('software','company',3,'software','=','');
insert into reports_default_filters values('software','purchase_date',4,'software','between','');


insert into reports_default_filters values('catalog','model',1,'catalog','=','');
insert into reports_default_filters values('catalog','manufacturer',2,'catalog','=','');
insert into reports_default_filters values('catalog','supplier_id',3,'catalog','=','');


insert into reports_default_filters values('supplier','cust_list1',1,'supplier','=','');
insert into reports_default_filters values('supplier','cust_list2',2,'supplier','=','');



insert into reports_default_filters values('ci','ci_type',1,'ci','=','');
insert into reports_default_filters values('ci','status',2,'ci','=','');
insert into reports_default_filters values('ci','location',3,'ci','=','');
insert into reports_default_filters values('ci','problem_type',4,'ci','=','');
insert into reports_default_filters values('ci','company',5,'ci','=','');
insert into reports_default_filters values('ci','priority',6,'ci','=','');



insert into reports_default_filters values('user','login_domain',1,'user','=','');
insert into reports_default_filters values('user','department',2,'user','=','');
insert into reports_default_filters values('user','company',3,'user','=','');
insert into reports_default_filters values('user','disable',4,'user','=','');
insert into reports_default_filters values('user','agreement',5,'user','=','');



insert into reports_default_filters values('user_groups','group_type',1,'user_groups','=','');
insert into reports_default_filters values('user_groups','support_level',2,'user_groups','=','');
insert into reports_default_filters values('user_groups','display_group',3,'user_groups','=','');



insert into reports_default_filters values('company','city',1,'company','=','');
insert into reports_default_filters values('company','state',2,'company','=','');
insert into reports_default_filters values('company','country',3,'company','=','');
insert into reports_default_filters values('company','expiration_time',4,'company','=','');

CREATE TABLE ha_nodes (
node_ip varchar(16) NOT NULL PRIMARY KEY,
status varchar(10) NOT NULL,
added_time DATETIME NOT NULL,
last_update DATETIME NOT NULL
);

CREATE TABLE bi_admin (
  user_name varchar(64) NOT NULL PRIMARY KEY
);

CREATE TABLE bi_custom_column_mapping (
  account_id varchar(32) NOT NULL,
  bi_column_name varchar(64) NOT NULL,
  original_column_name varchar(64),
  display_name varchar(64),
  PRIMARY KEY(account_id,bi_column_name)
);

CREATE INDEX item_id_indx ON sysaid_item_links (item_id);
CREATE INDEX linked_item_id_indx ON sysaid_item_links (linked_item_id);
CREATE INDEX title_indx ON service_req (title);
CREATE INDEX service_name_indx ON discovery_service (discovery_service_name);

CREATE TABLE sc_widgets (
  id int  NOT NULL AUTO_INCREMENT,
	widget_name varchar(256) NOT NULL,
	widget_type varchar(255) NOT NULL,
	widget_description longtext,
	widget_enable char(1) default 'Y',
	system_widget char(1) default 'Y',
	visible_to_guest char(1) default 'Y',
	widget_data longtext,
	widget_class varchar(256),
	widget_order int(11),
  PRIMARY KEY(id)
);

insert into sc_widgets (widget_name,widget_type,visible_to_guest,widget_data,widget_class,widget_order) values('selfServicePortalSettings.widgets.1','scoreboard','N','1,2,3,4','CustomizeScoreboard.jsp',1);
insert into sc_widgets (widget_name,widget_type,widget_data,widget_class,widget_order) values('selfServicePortalSettings.widgets.2','faq','1,2,3,4','CustomizeFAQ.jsp',2);
insert into sc_widgets (widget_name,widget_type,widget_class,widget_order) values('selfServicePortalSettings.widgets.3','news','News.jsp',-1);
insert into sc_widgets (widget_name,widget_type,widget_class,widget_order) values('selfServicePortalSettings.widgets.4','banner','SCBannersList.jsp',-1);
insert into sc_widgets (widget_name,widget_type,widget_class,widget_order) values('selfServicePortalSettings.widgets.5','toolbox', 'SCToolboxItemsList.jsp',3);
insert into sc_widgets (widget_name,widget_type,widget_enable,widget_order) values('selfServicePortalSettings.widgets.6','iframe', 'N',4);


CREATE INDEX user_form_visit_time_indx ON form_history (user_name, form_visit_time);

CREATE TABLE computer_disks (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  disk_name varchar(255),
  disk_type varchar(255),
  disk_serial_number varchar(255),
  disk_volume_label varchar(255),
  disk_system varchar(255),
  disk_free_clusters int,
  disk_total_clusters int,
  disk_sectors_per_cluster int,
  disk_bytes_per_sector int,
  disk_capacity bigint,
  disk_free_space bigint,
  PRIMARY KEY(id)
);

CREATE INDEX computer_disks_indx ON computer_disks (computer_id);

CREATE TABLE computer_network_adapters (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  net_adapter_name varchar(255),
  net_adapter_address varchar(255),
  net_adapter_type varchar(255),
  net_adapter_enable_dhcp  numeric(1,0),
  net_adapter_have_wins  numeric(1,0),
  net_adapter_max_speed bigint,
  net_adapter_in float,
  net_adapter_out float,
  net_adapter_ip_addresses longtext,
  PRIMARY KEY(id)
);

CREATE INDEX computer_network_adapters_indx ON computer_network_adapters (computer_id);

CREATE TABLE computer_network_data (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  tcpip_host_name varchar(255),
  tcpip_domain_name varchar(255),
  PRIMARY KEY(id)
);

CREATE INDEX computer_network_data_indx ON computer_network_data (computer_id);


CREATE TABLE computer_devices (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  device_class_name varchar(255),
  device_class_desc varchar(255),
  device_class_icon varchar(255),
  device_friendly_name varchar(255),
  device_description varchar(255),
  device_guid varchar(255),
  device_manufacturer varchar(255),
  device_location varchar(255),
  device_hardware_id varchar(255),
  device_device_param varchar(255),
  device_driver varchar(255),
  device_driver_date varchar(255),
  device_driver_version varchar(255),
  device_driver_provider varchar(255),
  device_service varchar(255),
  device_service_name varchar(255),
  device_service_group varchar(255),
  device_service_type int,
  PRIMARY KEY(id)
);

CREATE INDEX computer_devices_indx ON computer_devices (computer_id);

CREATE TABLE computer_storage_devices (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  storage_serial_number varchar(255),
  storage_model_number varchar(255),
  storage_revision_number varchar(255),
  storage_cylinders int,
  storage_heads int,
  storage_sectors_per_track int,
  storage_capacity bigint,
  storage_error_message varchar(255),
  storage_logical_name varchar(255),
  PRIMARY KEY(id)
);

CREATE INDEX computer_storage_devices_indx ON computer_storage_devices (computer_id);


CREATE TABLE computer_registry (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  reg_name varchar(255),
  reg_value varchar(255),
  PRIMARY KEY(id)
);

CREATE INDEX computer_registry_indx ON computer_registry (computer_id);


CREATE TABLE computer_printers (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  printer_name varchar(255),
  printer_port varchar(255),
  PRIMARY KEY(id)
);

CREATE INDEX computer_printers_indx ON computer_printers (computer_id);

CREATE TABLE computer_memory (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  memory_physical_total bigint,
  memory_physical_free bigint,
  memory_virtual_total bigint,
  memory_virtual_free bigint,
  memory_page_file_total bigint,
  memory_page_file_free bigint,
  memory_load  int,
  memory_alloc_granularity  int,
  memory_max_app_address  int,
  memory_min_app_address  int,
  memory_page_size  int,
  PRIMARY KEY(id)
);

CREATE INDEX computer_memory_indx ON computer_memory (computer_id);


CREATE TABLE computer_vpro_authentication (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  vpro_enabled numeric(1,0),
  vpro_user varchar(255),
  vpro_password varchar(255),
  PRIMARY KEY(id)
);

CREATE INDEX computer_vpro_authentication_indx ON computer_vpro_authentication (computer_id);


CREATE TABLE computer_display (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  display_adapter varchar(255),
  display_dac varchar(255),
  display_chipset varchar(255),
  display_bios_version varchar(255),
  display_bios_date varchar(255),
  display_technology varchar(255),
  display_resolution varchar(255),
  display_memory bigint,
  display_horz_res int,
  display_vert_res int,
  display_color_depth int,
  PRIMARY KEY(id)
);

CREATE INDEX computer_display_indx ON computer_display (computer_id);


CREATE TABLE computer_smbios_memory_bank (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  memory_bank_socket varchar(255),
  memory_bank_form_factor varchar(255),
  memory_bank_device varchar(255),
  memory_bank_speed int,
  memory_bank_size int,
  PRIMARY KEY(id)
);

CREATE INDEX computer_smbios_memory_bank_indx ON computer_smbios_memory_bank (computer_id);

CREATE TABLE computer_smbios_memory_slot (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  smbios_dimm_device_locator varchar(255),
  smbios_dimm_type_details varchar(255),
  smbios_dimm_manufacturer varchar(255),
  smbios_dimm_serial_number varchar(255),
  smbios_dimm_part_number varchar(255),
  smbios_dimm_asset_tag varchar(255),
  smbios_dimm_total_width int,
  smbios_dimm_data_width int,
  smbios_dimm_size int,
  smbios_dimm_speed int,
  smbios_dimm_slot int,
  PRIMARY KEY(id)
);

CREATE INDEX computer_smbios_memory_slot_indx ON computer_smbios_memory_slot (computer_id);


CREATE TABLE computer_total_hdd (
  id int  NOT NULL AUTO_INCREMENT,
  computer_id varchar(64) NOT NULL,
  hdd_count int,
  hdd_total_space float,
  hdd_total_free_space float,
  hdd_total_used_space float,
  PRIMARY KEY(id)
);

CREATE INDEX computer_total_hdd_indx ON computer_total_hdd (computer_id);

CREATE TABLE category_admin_group (
  category_id int(11) NOT NULL,
  group_id int(11) NOT NULL,
  permission_type int(11) NOT NULL,
  PRIMARY KEY (category_id,group_id,permission_type)
);

CREATE TABLE token_info (
  id varchar(64) NOT NULL,
  user_name varchar(64) NOT NULL,
  expired datetime NOT NULL,
  PRIMARY KEY  (id)
);

CREATE UNIQUE INDEX token_info_index ON token_info (user_name);

CREATE TABLE credentials_list (
  id int  NOT NULL AUTO_INCREMENT,
  name varchar(256) NOT NULL,
  user_name varchar(256) NOT NULL,
  password varchar(256),
  authentication_protocol varchar(256),
  encryption_protocol varchar(256),
  encryption_key varchar(256),
  description mediumtext,
  validity int,
  created_by varchar(255),
  created_date datetime ,
  modified_by varchar(255),
  modified_date datetime ,
  PRIMARY KEY(id)
);

CREATE TABLE vendors_list (
  id int  NOT NULL AUTO_INCREMENT,
  manufacturer_name varchar(256) NOT NULL,
  asset_id_prefix varchar(256) NOT NULL,
  manufacturer_codes mediumtext,
  description mediumtext,
  created_date datetime ,
  modified_date datetime ,
  modified_by varchar(255),
  use_mac_for_id int(1) default 0,
  PRIMARY KEY(id)
);

CREATE TABLE custom_notification (
  id int  NOT NULL AUTO_INCREMENT,
  name varchar(256) NOT NULL,
  enabled numeric(1,0) default 1,
  custom numeric(1,0) default 0,
  notification_type int default 0,
  subject_notification_value mediumtext,
  subject_notification_default mediumtext,
  body_notification_value mediumtext,
  body_notification_default mediumtext,
  addon_name varchar(256),
  PRIMARY KEY(id)
);

CREATE TABLE notification_admin_group (
  notification_id int(11) NOT NULL,
  group_id int(11) NOT NULL,
  PRIMARY KEY (notification_id,group_id)
);

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (1,'customNotifications.SMS','${ActionNotification}-${Title}','${ActionNotification}-${Title}','','','none');

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (2,'customNotifications.emailAdmin','${ActionNotification}','${ActionNotification}','${ActionNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Priority: ${Priority}
Urgency: ${Urgency}
Status: ${Status}
Request User: ${RequestUser}
#if( ${Solution} && ${Solution}!="" )
Solution: ${Solution}
#end
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${ActivitiesTable} && ${ActivitiesTable}!="" )

Activities Table: ${ActivitiesNum} activities ${ActivitiesTable}
Total: ${ActivitiesTotalMinutes} minutes

#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end
Total Active Requests: $Total_Active_Requests
Active requests for ${AssignedTo}: $Active_requests_for_assigned_admin
','${ActionNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Priority: ${Priority}
Urgency: ${Urgency}
Status: ${Status}
Request User: ${RequestUser}
#if( ${Solution} && ${Solution}!="" )
Solution: ${Solution}
#end
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${ActivitiesTable} && ${ActivitiesTable}!="" )

Activities Table: ${ActivitiesNum} activities ${ActivitiesTable}
Total: ${ActivitiesTotalMinutes} minutes

#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end
Total Active Requests: $Total_Active_Requests
Active requests for ${AssignedTo}: $Active_requests_for_assigned_admin
','none');

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (3,'customNotifications.emailDeviceEnrollment','Enrollment request SysAid MDM','Enrollment request SysAid MDM','Dear $UserDisplayName,

Your IT administrator has sent this enrollment request for you to enroll your mobile device with SysAid MDM. This will allow him to manage your device and assist you in troubleshooting issues. To enroll your device, access the following URL from your mobile device''s browser:
$MDMEnrollmentUrl

You may have also received an SMS message on your device with a quick link to begin enrollment. When prompted for authentication, enter the Corporate Identifier and Passcode given below:

Your server URL: $LoginUrl
Username: $UserName
Password: ********

SysAid MDM will guide you through the remaining steps needed to enroll your device.

In case of any questions or if you need assistance, please contact your IT Dept.
','Dear $UserDisplayName,

Your IT administrator has sent this enrollment request for you to enroll your mobile device with SysAid MDM. This will allow him to manage your device and assist you in troubleshooting issues. To enroll your device, access the following URL from your mobile device''s browser:
$MDMEnrollmentUrl

You may have also received an SMS message on your device with a quick link to begin enrollment. When prompted for authentication, enter the Corporate Identifier and Passcode given below:

Your server URL: $LoginUrl
Username: $UserName
Password: ********

SysAid MDM will guide you through the remaining steps needed to enroll your device.

In case of any questions or if you need assistance, please contact your IT Dept.
','none');



insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (4,'customNotifications.smsDeviceEnrollment','Click here to install the SysAid MDM Agent app: $MDMEnrollmentUrl Use this server URL: $LoginUrl
','Click here to install the SysAid MDM Agent app: $MDMEnrollmentUrl Use this server URL: $LoginUrl
','','','none');


insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (5,'customNotifications.emailEndUser','${StatusNotification}','${StatusNotification}','${StatusNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Urgency: ${Urgency}
Status: ${Status}
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end

#if(${isClosedSR}==true && ${LinkToSurvey} && ${LinkToSurvey}!="" )
Please fill out this Survey: ${LinkToSurvey}
#end

#if(${isClosedSR}==true && ${ReopenSR}!="0" )
Click here if you would like to reopen this service record: ${ReopenSR}
#end

#if( ${AfterHours} && ${AfterHours}==true && ${IsNewSr}==true)
The Helpdesk is not active at the moment, your service record will be addressed during working hours.
Operating Times: $OperatingTimesTable
#end','${StatusNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Urgency: ${Urgency}
Status: ${Status}
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end

#if(${isClosedSR}==true && ${LinkToSurvey} && ${LinkToSurvey}!="" )
Please fill out this Survey: ${LinkToSurvey}
#end

#if(${isClosedSR}==true && ${ReopenSR}!="0" )
Click here if you would like to reopen this service record: ${ReopenSR}
#end

#if( ${AfterHours} && ${AfterHours}==true && ${IsNewSr}==true)
The Helpdesk is not active at the moment, your service record will be addressed during working hours.
Operating Times: $OperatingTimesTable
#end','none');





insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (6,'customNotifications.forgotPassword','Your new SysAid password','Your new SysAid password','As you requested, we have generated a new SysAid password for you.

Your new password is:

$NewPassword

Using your new password, you may now log in at $LoginURL.
','As you requested, we have generated a new SysAid password for you.

Your new password is:

$NewPassword

Using your new password, you may now log in at $LoginURL.
','none');





insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (7,'customNotifications.newAdmin','Welcome to SysAid!','Welcome to SysAid!','Congratulations.  You have been successfully registered as a SysAid administrator.

Please log into SysAid at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

To learn how to use SysAid, you may consult the Help.
','Congratulations.  You have been successfully registered as a SysAid administrator.

Please log into SysAid at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

To learn how to use SysAid, you may consult the Help.
','none');



insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (8,'customNotifications.newEndUser','Welcome to SysAid','Welcome to SysAid',
'Congratulations.  You have been registered as a SysAid user.  SysAid will let you submit service records to support professionals.

When you''re ready to try out SysAid, log into at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

','Congratulations.  You have been registered as a SysAid user.  SysAid will let you submit service records to support professionals.

When you''re ready to try out SysAid, log into at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

','none');





insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (9,'customNotifications.EmailProjectManager','${ActionNotification}
','${ActionNotification}
','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
Company: ${Company}','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
Company: ${Company}','none');



insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (10,'customNotifications.EmailProjectManager','${ActionNotification}
','${ActionNotification}
','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
','none');


insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (11,'customNotifications.EmailTaskUser','${ActionNotification}','${ActionNotification}','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Estimation: ${Estimation}
Progress: ${Progress}
Project: ${Project}
Project Manager: ${Manager}
Description: ${Description}
Notes: ${Notes}
Users: ${Users}
Activity(changed): ${Activity}','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Estimation: ${Estimation}
Progress: ${Progress}
Project: ${Project}
Project Manager: ${Manager}
Description: ${Description}
Notes: ${Notes}
Users: ${Users}
Activity(changed): ${Activity}','none');

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (12,'customNotifications.incomingMessageEndUserToAdminSubjest','New message from ${RequestUser} on ${SrType} ${ID} ${Title}','New message from ${RequestUser} on ${SrType} ${ID} ${Title}','','','none');
insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (13,'customNotifications.incomingMessageAdminToEndUserSubjest','New message from ${AssignedTo} on ${SrType} ${ID} ${Title}','New message from ${AssignedTo} on ${SrType} ${ID} ${Title}','','','none');

alter table custom_notification auto_increment = 2000;

CREATE TABLE feature_usage_stats (
  use_module int,
  use_action int,
  use_jsp int,
  use_year int,
  use_month int,
  use_day int,
  use_counter int,
  PRIMARY KEY(use_module,use_action,use_jsp,use_year,use_month,use_day)
);

CREATE TABLE enabled_usage_stats (
  module_action_jsp varchar(255),
  PRIMARY KEY(module_action_jsp)
);

insert into enabled_usage_stats  (module_action_jsp) values ('40_1_1002');
insert into enabled_usage_stats  (module_action_jsp) values ('40_9_1003');
insert into enabled_usage_stats  (module_action_jsp) values ('40_1_1003');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2015');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2016');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2017');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2018');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2019');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2021');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2022');
insert into enabled_usage_stats  (module_action_jsp) values ('40_9_1023');

CREATE TABLE computer_to_embedded_services (
  computer_id varchar(255),
  external_id varchar(255),
  embedded_service_type varchar(255),
  embedded_service_version varchar(255),
  installation_date datetime,
  PRIMARY KEY(computer_id,external_id,embedded_service_type)
);

CREATE TABLE sc_toolbox_item (
  id int(11) NOT NULL auto_increment,
  unique_name varchar(64),
  system_toolbox_item int(1) NOT NULL default 0,
  type int(2) NOT NULL default 1,
  parent int(11) NOT NULL default 0,
  name varchar(64) NOT NULL default '',
  description varchar(255),
  target_url varchar(255),
  opening_method int(11) default 0,
  icon_file_name varchar(255),
  default_icon_file_name varchar(255),
  enabled int(1) default 1,
  item_order int(11),
  user_visibility int NOT NULL default 124,
  first_level_category int(11) NOT NULL default 0,
  second_level_category int(11) NOT NULL default 0,
  third_level_category int(11) NOT NULL default 0,
  PRIMARY KEY(id)
);

CREATE TABLE sc_toolbox_item_to_user_group (
  toolbox_item_id int(11),
  group_name varchar(64),
  PRIMARY KEY(toolbox_item_id, group_name)
);

CREATE TABLE sc_toolbox_item_exclude_group (
  toolbox_item_id int(11) not null,
  group_name varchar(64) not null,
  PRIMARY KEY(toolbox_item_id, group_name)
);

CREATE TABLE sc_toolbox_item_to_company (
  toolbox_item_id int(11),
  company_id int(11),
  PRIMARY KEY(toolbox_item_id, company_id)
);

CREATE TABLE sc_toolbox_item_exclude_cmpny (
  toolbox_item_id int(11) not null,
  company_id int(11) not null,
  PRIMARY KEY(toolbox_item_id, company_id)
);

insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('submitIncident', 1, 'Submit an Incident', 'Experiencing technical problems or have an issue to report? Click here to submit an incident to your IT department.', '/submitIncident', 1, 'report-issue_green.svg', 'report-issue_green.svg', 1, 1,127);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('submitRequest', 1, 'Submit a Request', 'Have an IT request or missing any functionality? Click here to submit a service record to your IT department.', '/submitSR', 1, 'submit-requset_green.svg', 'submit-requset_green.svg', 1, 2,127);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('scoreboard', 1, 'My Activities', 'Access your submitted service records, pending workflow actions, and supervised service records', '/scoreboard', 1, 'history.svg', 'history.svg', 1, 3,126);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('faq', 1, 'FAQ', 'Find helpful information that can help you quickly resolve a technical problem on your own. Try to save time by doing it yourself!', '/KBFAQTree.jsp?menuFlag=ssp', 0, 'faq.svg', 'faq.svg', 1, 4,124);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('settings', 1, 'My Settings', 'Keep your settings up to date, manage your contact details, language settings and more!', '/mySettings', 1, 'my-settings.svg', 'my-settings.svg', 1, 5,124);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('passwordServices', 1, 'Password Self Service', 'Password Self Service allows you to change your password if you''ve forgotten it and to unlock your account if it''s become locked.', '/EndUserSelfService.jsp?noframe=YES', 0, 'password-self-service.svg', 'password-self-service.svg', 1, 6,127);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('calendar', 1, 'SysAid Calendar', 'See a schedule of when you submitted service records, the dates by when they must be resolved, and all events that have been published to your group.', '/EndUserSysAidCalendar.jsp?noframe=YES&hidePanel=YES&ssp=YES', 0, 'calendar.svg', 'calendar.svg', 1, 7,126);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('myDesktop', 1, 'My Desktop', 'Access your computer anywhere, anytime from the device of your choice', '/EndUserRemoteAccess.jsp?noframe=YES&ssp=YES', 0, 'my-desktop.svg', 'my-desktop.svg', 1, 8,124);
insert into sc_toolbox_item (system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order) values (1, 'Submit SR from Template', 'Duplicate this item to create links for Incident creation with a specific template.\nReplace "XX" in the Target URL with the ID of the template.\nUse "submitSR" instead of "submitIncident" for Requests.', '/submitIncident?populateSR_id=XX', 1, 'default_icon.svg', 'default_icon.svg', 0, 9);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('chat', 1, 'Chat', 'Start a chat with your IT department, if available', '/ChatEnduserWelcomePage.jsp', 0, 'chat.svg', 'chat.svg', 1, 10,127);

insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (1,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (2,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (3,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (4,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (5,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (6,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (7,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (8,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (9,'ALL_SYSAID_USERS');
INSERT INTO sc_toolbox_item_to_user_group (toolbox_item_id, group_name) SELECT  id, 'ALL_SYSAID_USERS' FROM sc_toolbox_item WHERE unique_name = 'chat';

insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (1,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (2,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (3,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (4,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (5,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (6,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (7,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (8,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (9,0);
INSERT INTO sc_toolbox_item_to_company (toolbox_item_id, company_id) SELECT  id, 0 FROM sc_toolbox_item WHERE unique_name = 'chat';

CREATE TABLE sc_banner (
  id int(11) NOT NULL auto_increment,
  name varchar(64) NOT NULL,
  banner_text varchar(64),
  image_file_name varchar(255),
  image_overlay int(11),
  height int(11),
  text_color varchar(64),
  banner_link varchar(255),
  last_modified_time datetime,
  last_modified_by varchar(255),
  cropped_data varchar(255),
  PRIMARY KEY(id),
  UNIQUE (name)
);

insert into sc_banner (name, banner_text, image_file_name, image_overlay, height, text_color) values ('SysAid Banner', 'Welcome to \nSysAid Self-Service Portal', 'SelfServicePortalBanner.jpg', 0, 1, '#FFFFFF');

create table addon_attributes(
  addon_name varchar(255) not null,
  attribute_name varchar(255) not null,
  attribute_value longtext not null,
  primary key(addon_name, attribute_name)
);

create table service_req_video (
  id int(11) NOT NULL,
  video_file varchar(255) ,
  PRIMARY KEY  (id)
);

CREATE TABLE sc_theme (
  id int(11) NOT NULL auto_increment,
  name varchar(255) NOT NULL,
  last_modified_time datetime,
  last_modified_by varchar(255),
  brand_color varchar(64),
  brand_contrast varchar(64),
  page_background varchar(64),
  headline_color varchar(64),
  text_color varchar(64),
  header_background varchar(64),
  menu_text varchar(64),
  toolbar_background varchar(64),
  button_background varchar(64),
  button_content varchar(64),
  border_color varchar(64),
  hover_color varchar(64),
  visible_to_end_user int(1) DEFAULT 1,
  is_system_theme int(1) DEFAULT 0,
  PRIMARY KEY(id),
  UNIQUE (name)
);

insert into sc_theme (name,brand_color,brand_contrast,page_background,headline_color,text_color,header_background,menu_text,toolbar_background,button_background,button_content,border_color,hover_color,visible_to_end_user, is_system_theme)
values ('SysAid Theme','#3bb000','#ffffff','#ffffff','#4a4a4a','#787878','#4a4a4a','#ffffff','#dbe9f3','#f0f0f0','#333333','#cfcfcf','#f0f0f0',1,1);

insert into sc_theme (name,brand_color,brand_contrast,page_background,headline_color,text_color,header_background,menu_text,toolbar_background,button_background,button_content,border_color,hover_color,visible_to_end_user, is_system_theme)
values ('SysAid High Contrast','#0000ff','#ffffff','#ffffff','#000000','#000000','#ffffff','#000000','#000000','#000000','#ffffff','#000000','#000000',1,1);

CREATE TABLE ldap_list (
  ldap_id int(11) NOT NULL auto_increment,
  name varchar(255),
  url varchar(255),
  credentials_id int(11),
  domain varchar(255),
  domain_display_name varchar(255),
  rds_name varchar(255),
  disable_time datetime,
  enable_cashing numeric(1,0) default 1,
  user_class_filter varchar(255),
  user_filter varchar(4000),
  group_filter varchar(255),
  import_groups numeric(1,0) default 0,
  include_sub_ou numeric(1,0) default 0,
  authentication_type varchar(255),
  ldap_provider varchar(255),
  ol_user_state_att varchar(255),
  ol_user_state_disable_value varchar(255),
  full_update numeric(1,0) default 0,
  disable_non_exist_users numeric(1,0) default 0,
  disable_non_exist_admins numeric(1,0) default 0,
  last_update_date varchar(255),
  user_att_name varchar(255),
  group_att_name varchar(255),
  user_att_cn varchar(255),
  user_att_dn varchar(255),
  schedule numeric(1,0) default 0,
  next_run datetime,
  rerun_value int(11),
  ldap_enable numeric(1,0) default 0,
  last_login_user varchar(255),
  last_login_date datetime,
  save_date datetime,
  save_action numeric(1,0) default 0,
  last_error varchar(255),
  revoke_user_from_group numeric(1,0) default 0,
  sync_group_deletion numeric(1,0) default 0,
  PRIMARY KEY(ldap_id)
);

CREATE TABLE ldap_user_dn_list (
    ldap_id int(11) NOT NULL,
    user_dn_id int(11) NOT NULL,
    user_dn varchar(255),
    PRIMARY KEY(ldap_id,user_dn_id)
);

CREATE TABLE ldap_user_roots_list (
    ldap_id int(11) NOT NULL,
    user_roots_id int(11) NOT NULL,
    user_roots varchar(255),
    PRIMARY KEY(ldap_id,user_roots_id)
);

CREATE TABLE ldap_group_roots_list (
    ldap_id int(11) NOT NULL,
    group_roots_id int(11) NOT NULL,
    group_roots varchar(255),
    PRIMARY KEY(ldap_id,group_roots_id)
);

CREATE TABLE ldap_user_attribute_list (
    ldap_id int(11) NOT NULL,
    user_attribute_id int(11) NOT NULL,
    sysaid_attribute varchar(255),
    ldap_attribute varchar(255),
    PRIMARY KEY(ldap_id,user_attribute_id)
);

create table search_engine_queue (
  id int(11) NOT NULL auto_increment,
  object_id int(11) NOT NULL,
  object_type varchar(32) NOT NULL,
  handling_attempts int(11) default 0,
  awaiting_backup tinyint(4) NOT NULL default '0',
  PRIMARY KEY(id)
);

CREATE TABLE service_req_template_ext(
        id int(11) NOT NULL,
        template_name varchar(255),
        PRIMARY KEY  (id)
);

CREATE TABLE user_settings_available_fields (
  id varchar(255) NOT NULL,
  label varchar(255),
  type varchar(32),
  db_table varchar(64),
  db_column varchar(64),
  list_attribute_name varchar(64),
  user_conf_name varchar(64),
  readOnly bit DEFAULT 0,
  PRIMARY KEY (id)
);

INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('first_name', 'firstName', 'text', 'sysaid_user', 'first_name', 'firstName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('last_name', 'surname', 'text', 'sysaid_user', 'last_name', 'lastName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('display_name', 'displayName', 'text', 'sysaid_user', 'display_name', 'displayName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('password', 'password', 'password', 'sysaid_user', 'password', 'password');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('email', 'email', 'email', 'sysaid_user', 'email_address', 'email');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('secondary_email', 'endUserPortal.secondary.mail', 'email', 'sysaid_user', 'secondary_email', 'secondaryEmail');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('phone_number', 'phone', 'tel', 'sysaid_user', 'phone', 'phoneNumber');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('sms_number', 'SMS', 'text', 'sysaid_user', 'sms_number', 'smsNumber');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('chat_nick_name', 'chatNickName', 'text', 'sysaid_user', 'chat_nick_name', 'chatNickName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('language', 'language', 'select', 'sysaid_user', 'locale', 'language');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('charset', 'encoding', 'select', 'sysaid_user', 'charset', 'charset');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('timezone', 'timeZone', 'select', '', '', 'timezone');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, readOnly) VALUES ('user_name', 'loginUser', 'text', 'sysaid_user', 'user_name', 'login_user',1);
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, readOnly) VALUES ('domain', 'loginDomain', 'text', 'sysaid_user', 'login_domain', 'login_domain',1);
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('receive_email_notifications', 'userEdit.recieve.email.notifications', 'boolean', 'sysaid_user', 'email_notifications', 'autoEmailNotifications');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, user_conf_name) VALUES ('date_input_style', 'dateInputStyle', 'select', 'sysaid_user', 'user_conf', 'dateInputStyle','userInputDateStyle');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, user_conf_name) VALUES ('first_day_of_week', 'firstDayOfWeek', 'select', 'sysaid_user', 'user_conf', 'firstDayOfWeek','firstDayOfWeek');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, readOnly) VALUES ('security_questions', 'endUserPortal.questions', 'array', 'user_questions', 'question_id', 'passwordServices',0);
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('ssp_theme', 'user.custom.theme', 'select', 'sysaid_user', 'ssp_theme', 'ssp_theme');

CREATE TABLE static_values (
  list_name varchar(64) NOT NULL,
  value varchar(255),
  label varchar(255),
  PRIMARY KEY (list_name,value)
);

INSERT INTO static_values VALUES ('date_input_style','american','american');
INSERT INTO static_values VALUES ('date_input_style','european','european');
INSERT INTO static_values VALUES ('first_day_of_week','sunday','firstDayOfWeek.sunday');
INSERT INTO static_values VALUES ('first_day_of_week','monday','firstDayOfWeek.monday');

CREATE TABLE sc_theme_to_company (
  sc_theme_id int(11),
  company_id int(11),
  PRIMARY KEY(sc_theme_id, company_id)
);
INSERT INTO sc_theme_to_company (sc_theme_id, company_id) SELECT  id, 0 FROM sc_theme;

CREATE TABLE feature_flags (
  feature_key varchar(64) NOT NULL,
  feature_value numeric(1,0) default 0,
  feature_start_version varchar(255),
  PRIMARY KEY (feature_key)
);

insert into feature_flags(feature_key,feature_value,feature_start_version) values ('saveLdapFilesInS3',0,'17.4.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('analytics',1,'17.4.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('newLogin',0,'18.1.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('toolboxHierarchy',0,'18.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UseBrowserLanguageForLogin',0,'18.2.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableLanguageSelectionInSelfRegister',0,'18.2.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('controlSspSrSubmitButtonsDisplay',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DisableAutoRedirectToLegacyMobileInterface',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('NewAdminsDefaultPermissionsByGroup',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('AddRequestButtonToAllView',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UseAdminCompanyEmailForComposeJsp',0,'18.2.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableMultiNotifByGroup',0,'18.2.50');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('sspHideFooter',0,'18.3.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DisablePrimaryIndexInHelpdeskQuery',0,'18.3.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('sspAllowRemoveSolutionFromSRView',0,'18.3.010');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EscalationRulesAsTriggers',0,'18.3.020');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('PreventFieldResetOnTemplateChange',0,'18.3.020');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('AuthorizationServer',0,'18.4.020');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableADM09_SRForm_Activities',1,'18.4.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('GroupEditPermissionsNotifications',0,'19.2.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UpdateUserName',1,'19.3.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UpdateCompanyName',1,'19.3.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DisableRoutingEmailReplies',0,'19.3.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('disableEscalationNotification',0,'18.1.50');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DEV_Extend_Custom_Fields', 0, '19.4.70');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableRefactorSrSubTypeXmlFields', 1, '20.1.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DEV_Extend_Custom_Fields_Relational_Lists', 0, '20.1.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableChoosingDisableAndMandatoryInDesignForm', 0, '20.1.50');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableClientProtocolLogging', 0, '20.1.60');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DEV_ContentPack_Export', 0, '20.2.10');

CREATE TABLE static_filter(
  id varchar(36) NOT NULL,
  name varchar(64),
  filter longtext, PRIMARY KEY (id)
);

CREATE TABLE service_req_merge (
  id int(11) NOT NULL default '0',
  merged_to int(11) default 0,
  merged_service_records varchar(4000),
  PRIMARY KEY  (id)
);

create table help_desk_routing (
  id int(11) NOT NULL auto_increment,
  execution_order int(11),
  routing_agreement int(11) default 0,
  routing_company int(11) default 0,
  routing_eu_group varchar(256),
  routing_category varchar(256),
  routing_sub_category varchar(256),
  routing_third_category varchar(256),
  routing_admin varchar(256),
  routing_admin_group varchar(256),
  routing_enabled int(1) default 1,
  modified_by varchar(255),
  modified_date datetime ,
  routing_location int(11) default 0,
  routing_main_ci int(11) default 0,
  PRIMARY KEY(id)
);

create table help_desk_due_date (
  id int(11) NOT NULL auto_increment,
  execution_order int(11),
  duedate_agreement int(11) default 0,
  duedate_category varchar(256),
  duedate_sub_category varchar(256),
  duedate_third_category varchar(256),
  duedate_urgency varchar(256),
  duedate_priority varchar(256),
  duedate_company int(11) default 0,
  duedate_hours int(11) default 0,
  duedate_enabled int(1) default 1,
  modified_by varchar(255),
  modified_date datetime,
  duedate_sr_type int(11) default -1 ,
  PRIMARY KEY(id)
);

create table help_desk_timers (
  id int(11) NOT NULL,
  timer_caption varchar(256),
  timer_expression varchar(4000),
  timer_expression_src mediumtext,
  timer_sql varchar(4000),
  timer_enabled int(1) default 1,
  modified_by varchar(255),
  modified_date datetime ,
  PRIMARY KEY(id)
);


create table category_keys (
  id int(11) NOT NULL auto_increment,
  name varchar(255),
  PRIMARY KEY(id),
  UNIQUE (name)
);
create index category_keys_idx1 on category_keys(name);

create table sysaid_forms (
  form_name varchar(255) not null,
  form_xml longtext,
  PRIMARY KEY(form_name)
);

create table account_symbols (
  symbol_name varchar(255) not null,
  symbol_date datetime,
  PRIMARY KEY(symbol_name)
);

create table user_token(
  account_id  varchar(32) NOT NULL,
  user_ref_id int(11) NOT NULL ,
  create_date bigint,
  token varchar(4000) NOT NULL,
  PRIMARY KEY( account_id,user_ref_id)
);

create table user_permissions(
  account_id  varchar(32) NOT NULL,
  user_ref_id int(11) NOT NULL ,
  create_date bigint,
  permission_json longtext not null,
  PRIMARY KEY( account_id,user_ref_id)
);

CREATE TABLE client_app_registration (
  client_id varchar(64) NOT NULL,
  client_name varchar(64) NOT NULL,
  description varchar(255),
  client_secret varchar(64) NOT NULL,
  origin_domain_name varchar(128) NOT NULL,
  authorization_callback_url varchar(255),
  enabled numeric(1,0) default 1,
  system_client numeric(1,0) default 0,
  create_date bigint NOT NULL,
  update_date bigint,
  PRIMARY KEY  (client_id)
);

create table account_settings(
  account_id  varchar(32) NOT NULL,
  create_date bigint,
  settings_json varchar(4000) NOT NULL,
  PRIMARY KEY( account_id)
);

create table user_settings(
  account_id  varchar(32) NOT NULL,
  user_ref_id int(11) NOT NULL ,
  create_date bigint,
  settings_json varchar(4000) NOT NULL,
  PRIMARY KEY( account_id,user_ref_id)
);

create table company_categories_settings(
  account_id  varchar(32) NOT NULL,
  company_id int(11) NOT NULL ,
  create_date bigint,
  settings_json varchar(4000) NOT NULL,
  PRIMARY KEY( account_id,company_id)
);

CREATE TABLE configuration_flags (
  config_key varchar(64) NOT NULL,
  config_value numeric(1,0) default 0,
  PRIMARY KEY (config_key)
);

insert into configuration_flags(config_key,config_value) values ('IgnoreMacAddr',0);
insert into configuration_flags(config_key,config_value) values ('ForceRandomAssetId',0);
insert into configuration_flags(config_key,config_value) values ('EnableGroupFilterFromAdmin',0);
insert into configuration_flags(config_key,config_value) values ('EnableFilterCatsAccordingToRequestUser',0);
insert into configuration_flags(config_key,config_value) values ('EnableSoapApiSupport', 0);
insert into configuration_flags(config_key,config_value) values ('LimitSoapApiToAdminsOnly', 1);
insert into configuration_flags(config_key,config_value) values ('EnableUserAfterSaveAfterLDAPRefresh', 0);
insert into configuration_flags(config_key,config_value) values ('OutgoingEmailByTemplate', 0);
insert into configuration_flags(config_key,config_value) values ('OutgoingEmailByTemplateTask', 0);
insert into configuration_flags(config_key,config_value) values ('EnableToRunAfterSaveOnScheduleOperations', 0);
insert into configuration_flags(config_key,config_value) values ('EnableNewMobileAppLogin', 0);
insert into configuration_flags(config_key,config_value) values ('DisableInReplyToMechanism', 0);
insert into configuration_flags(config_key,config_value) values ('CollectUserLoginStatistics', 0);
insert into configuration_flags(config_key,config_value) values ('EnableMDMFunctionality', 0);

CREATE TABLE account_properties (
  property_key varchar(255) NOT NULL,
  property_value varchar(4000),
  property_type varchar(255),
  PRIMARY KEY (property_key)
);
insert into account_properties(property_key, property_value, property_type) values ('default_to_view_recent_items','1','Boolean');
insert into account_properties(property_key, property_value, property_type) values ('number_of_recent_items_to_display','3','Integer');

insert into account_properties(property_key,property_value,property_type) values ('dashboard_display_mode', '2','Integer');
insert into account_properties(property_key,property_value,property_type) values ('dashboard_display_theme', 'light','String');
insert into account_properties(property_key,property_value,property_type) values ('top_panel_rows_number', '3','Integer');

insert into account_properties(property_key,property_value,property_type) values ('time_to_wait_for_dst_job_stuck', '3600000','Integer');

insert into account_properties(property_key,property_value,property_type) values ('custom_list_max_selected_items', '30','Integer');
insert into account_properties(property_key,property_value,property_type) values ('custom_list_max_row_growth', '5','Integer');

insert into account_properties (property_key, property_value, property_type) values ('mttr_data_last_update_time', ' ', 'String');
insert into account_properties (property_key, property_value, property_type) values ('mttr_data_update_interval_in_hours', '12', 'Integer');

create table emails_list (
  id int(11) NOT NULL auto_increment,
  name varchar(120),
  description varchar(120),
  email_address varchar(255),
  last_modified_date datetime,
  last_modified_by varchar(255),
  last_error_date datetime,
  default_outgoing numeric(1,0) default 0,
  outgoing_enabled numeric(1,0) default 1,
  outgoing_host_name varchar(255),
  outgoing_port int(11),
  outgoing_encryption int(11),
  outgoing_user varchar(255),
  outgoing_password varchar(255),
  outgoing_encoding varchar(255),
  outgoing_content_type varchar(255),
  outgoing_charset varchar(255),
  outgoing_last_success datetime,
  incoming_enabled numeric(1,0) default 1,
  incoming_protocol varchar(32),
  incoming_mail_server varchar(255),
  incoming_encryption int(11),
  incoming_user varchar(255),
  incoming_password varchar(255),
  incoming_search_sbj_in_reverse numeric(1,0) default 0,
  incoming_search_sr_id_in_body numeric(1,0) default 0,
  incoming_change_status int(11),
  incoming_restricted_statuses varchar(255),
  incoming_ignore_regex varchar(4000),
  incoming_forward_ignored varchar(255),
  incoming_send_copy varchar(255),
  incoming_delete_duplicate numeric(1,0) default 1,
  incoming_ignore_duplicate varchar(4000),
  incoming_last_success datetime,
  incoming_last_check datetime,
  incoming_last_success_check datetime,
  PRIMARY KEY(id)
);

INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('copyExistedBanners', CURRENT_TIMESTAMP);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('indexBuildOfActionItem', CURRENT_TIMESTAMP);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('addPermissionTypeFilterToAdminList', CURRENT_TIMESTAMP);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('updateEmailRulesListConf', CURRENT_TIMESTAMP);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('addDefaultSubTabEmptyView', CURRENT_TIMESTAMP);


create table application_settings(
  settings_name  varchar(255) NOT NULL,
  settings_json longtext NOT NULL,
  PRIMARY KEY(settings_name)
);

CREATE TABLE sr_activity_log (
  log_id int(11) NOT NULL auto_increment,
  log_time datetime NOT NULL ,
  log_type int(11),
  user_name varchar(64) default NULL,
  ref_entity int(11),
  ref_entity_id int(11),
  sr_id int(11),
  activity_data longtext NOT NULL,
  PRIMARY KEY  (log_id)
) ;

create index sr_activity_log_idx1 on sr_activity_log(sr_id);

CREATE TABLE notification_props (
  id int(11) NOT NULL auto_increment,
  notification_prop_type int(11),
  name varchar(255) NOT NULL,
  sms_enabled numeric(1,0) default 0,
  mail_enabled numeric(1,0) default 1,
  sr_enabled numeric(1,0) default 0,
  notification_type int(11),
  sms_subject varchar(255),
  sms_description varchar(1000),
  sms_recipients varchar(1000),
  mail_subject varchar(1000),
  mail_description mediumtext,
  mail_recipients varchar(1000),
  sr_title varchar(255),
  sr_category varchar(64),
  sr_sub_category varchar(64),
  sr_third_level_category varchar(64),
  sr_status int(11),
  sr_urgency int(11),
  sr_priority int(11),
  sr_request_user varchar(64),
  sr_request_user_type int(11),
  sr_responsibility varchar(64),
  sr_assigned_group varchar(64),
  sr_description longtext,
  sr_location int(11),
  sr_resolution mediumtext,
  sr_solution mediumtext,
  sr_notes mediumtext,
  sr_sub_type int(11),
  sr_impact int(11),
  is_reminder numeric(1,0) default 0,
  is_system numeric(1,0) default 0,
  is_uss numeric(1,0) default 0,
  pdf_enabled int(11),
  limit_hours int(11),
  limit_start_hour int(11),
  limit_end_hour int(11),
  sr_type int(11),
  sr_template int(11),
  rfc_expression mediumtext,
  sql_rfc_expression varchar(4000),
  PRIMARY KEY  (id)
);

create table module_configuration(
  module_name varchar(255) NOT NULL,
  module_conf longtext NOT NULL,
  update_user varchar(64),
  update_date datetime,
  PRIMARY KEY(module_name)
);

create index COMPUTER_LISTS_IDX3 on computer_lists (computer_id,list_type);
create index COMPUTER_LISTS_IDX4 on computer_lists (computer_id,value);

CREATE TABLE user_list_view (
  ref_id int(11) NOT NULL,
  list_name varchar(64) NOT NULL,
  page varchar(64) NOT NULL,
  list_view_name varchar(64) NOT NULL default '',
  list_conf mediumtext,
  view_conf mediumtext,
  PRIMARY KEY (ref_id,list_name,page,list_view_name)
);

create table side_panel_widgets (
    id int not null auto_increment,
    name varchar(64) not null,
    sub_title varchar(64),
    description longtext not null,
    is_enabled numeric(1,0) default 0,
    display_order int not null,
    visible_in int not null,
    type int not null,
    class_name varchar(255) not null,
    advanced_settings longtext,
    primary key(id)
);
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (1, 'SRs I Closed Today', 'Show the number of SRs I closed today', 1, 1, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.SRsClosedTodaySidePanel', '{\"MaxListView\":\"40\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (2, 'Current SR Group recent actions', 'Show the number of SRs, assigned to same group as current SR, which were closed today', 1, 2, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.SRsGroupClosedTodaySidePanel', '{}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (3, 'Request User SRs', 'Open vs. closed SRs by Request user', 1, 3, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.RequestUserSRsSidePanel', '{\"NumberOfDays\":\"30\",\"MaxListView\":\"40\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (4, 'Similar SRs (Admin by Category)', 'displays all of the SRs from with the same category grouped by admin', 1, 4, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.SimilarSRsAdminByCategorySidePanel', '{\"NumberOfDays\":\"7\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (5, 'Timer 1', 'Timer average vs. similar SRs', 1, 5, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer1SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (6, 'Timer 2', 'Timer average vs. similar SRs', 1, 6, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer2SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (7, 'Timer 3', 'Timer average vs. similar SRs', 0, 7, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer3SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (8, 'Timer 4', 'Timer average vs. similar SRs', 0, 8, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer4SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (9, 'Timer 5', 'Timer average vs. similar SRs', 0, 9, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer5SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (10, 'Timer 6', 'Timer average vs. similar SRs', 0, 10, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer6SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (11, 'Timer 7', 'Timer average vs. similar SRs', 0, 11, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer7SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (12, 'Timer 8', 'Timer average vs. similar SRs', 0, 12, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer8SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (13, 'Timer 9', 'Timer average vs. similar SRs', 0, 13, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer9SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (14, 'Timer 10', 'Timer average vs. similar SRs', 0, 14, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer10SidePanel', '{\"NumberOfDays\":\"30\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (15, 'Breach Of Agreement', 'Show the numbers of the breach''s SRs', 1, 15, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.BreachOfAgreementSidePanel', '{\"hours1\":\"1\",\"hours2\":\"5\",\"hours3\":\"9\",\"MaxListView\":\"40\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (16, 'Similar SRs (by Sub Category)', 'displays all of the SRs from with the same category and sub category', 1, 16, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.SimilarSRsBySubCategorySidePanel', '{\"NumberOfDays\":\"7\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (17, 'My Active SRs by Priority', 'Displays all my active SRs by priority', 1, 17, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.ActiveSRsByPrioritySidePanel', '{\"minimum\":\"1\",\"maximum\":\"5\",\"MaxListView\":\"40\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (18, 'Unassigned SRs', 'Displays all unassigned SRs which are assigned to one of user''s group', 1, 18, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.UnassignedSRsSidePanel', '{\"NumberOfDays\":\"7\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (19, 'Recently Modified  Software Products', 'Displays recent software and hardware changes for request-user asset', 1, 19, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.RecentlyModifiedSoftwareProductsSidePanel', '{\"DaysBeforeRequestTime\":\"2\",\"DaysAfterRequestTime\":\"40\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (20, 'Relevant KB', 'Displays all relevant KB articles', 1, 20, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.RelevantKBsSidePanel', '{\"MaxListView\":\"40\"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (21, 'My Active SRs by time elapsed', 'Displays all my active SRs by time elapsed', 1, 21, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.ActiveSRsByTimeElapsed', '{\"MaxListView\":\"40\",\"LowerTimeBound\":\"7\",\"UpperTimeBound\":\"14\"}');

create table account_conf_xmls(
  xml_id int not null,
  xml_name  varchar(256) not null,
  xml_value longtext not null,
  PRIMARY KEY( xml_id)
);

insert into feature_flags(feature_key,feature_value,feature_start_version) values ('FirstActionItemsAutoComplete',0,'18.4.050');

-- entities that a group can view/manage
create table group_entity_permission (
    entity_type int(11),
    entity_name varchar(64),
    group_id int(11),
    entity_id int(11),
    permission_type int(11),
    create_date datetime,
    update_date datetime,
    primary key (entity_type,group_id,entity_id,permission_type)
);
create index group_permission_idx1 on group_entity_permission (entity_type,entity_id);

CREATE TABLE agent_os_version (
  os_name varchar(255) NOT NULL,
  os_min_version varchar(255) NOT NULL,
  agent_type varchar(255),
  PRIMARY KEY  (os_name,os_min_version)
);
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Windows','6.0','WindowsAgent');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Mac','10.10','MacAgent');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Ubuntu','0.0','LinuxScript');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Centos','0.0','LinuxScript');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Debian','0.0','LinuxScript');

CREATE TABLE account_agent_os_version (
    os_name varchar(255) NOT NULL,
    os_min_version varchar(255) NOT NULL,
    agent_type varchar(255),
    PRIMARY KEY  (os_name,os_min_version)
);

insert into feature_flags(feature_key,feature_value,feature_start_version) values ('LockFormDropdownInComposeMessage',0,'19.1.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('ShowNewGroupForm',0,'19.1.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableADM09_SRNewAttachments',0,'19.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('customizeNewLogin',0,'19.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnabaleMttrDashboard',0,'19.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('RelatedItems_ShowSRStatus',0,'19.3.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('ENABLE_WFJOE',1,'19.3.60');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('ENABLE_FEATURE_IN_WF', 0, '20.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('HIDE_WFD',0,'20.2.20');

CREATE TABLE side_panel_widgets_permissions(
  widget_id int(10),
  group_id int(10),
  is_included numeric(1,0),
  is_excluded numeric(1,0),
PRIMARY KEY (widget_id,group_id)
);
insert into side_panel_widgets_permissions values (1,-1,1,null);
insert into side_panel_widgets_permissions values (2,-1,1,null);
insert into side_panel_widgets_permissions values (3,-1,1,null);
insert into side_panel_widgets_permissions values (4,-1,1,null);
insert into side_panel_widgets_permissions values (5,-1,1,null);
insert into side_panel_widgets_permissions values (6,-1,1,null);
insert into side_panel_widgets_permissions values (7,-1,1,null);
insert into side_panel_widgets_permissions values (8,-1,1,null);
insert into side_panel_widgets_permissions values (9,-1,1,null);
insert into side_panel_widgets_permissions values (10,-1,1,null);
insert into side_panel_widgets_permissions values (11,-1,1,null);
insert into side_panel_widgets_permissions values (12,-1,1,null);
insert into side_panel_widgets_permissions values (13,-1,1,null);
insert into side_panel_widgets_permissions values (14,-1,1,null);
insert into side_panel_widgets_permissions values (15,-1,1,null);
insert into side_panel_widgets_permissions values (16,-1,1,null);
insert into side_panel_widgets_permissions values (17,-1,1,null);
insert into side_panel_widgets_permissions values (18,-1,1,null);
insert into side_panel_widgets_permissions values (19,-1,1,null);
insert into side_panel_widgets_permissions values (20,-1,1,null);
insert into side_panel_widgets_permissions values (21,-1,1,null);

-- entity types that a group can create/delete
CREATE TABLE group_entity_operation (
    group_id int(11),
    entity_type int(11),
    can_create numeric(1,0),
    can_delete numeric(1,0),
    PRIMARY KEY (group_id,entity_type)
);

-- sub type form view tabs addtional info
CREATE TABLE sub_type_form_tabs (
    tab_id int not null auto_increment,
    sub_type_id int(11),
    tab_order int(11),
    tab_name varchar(255),
    tab_caption varchar(255),
    is_workflow numeric(1,0),
    is_visible numeric(1,0),
    is_end_user_view numeric(1,0) default 0,
    visible_per_groups mediumtext,
    PRIMARY KEY (tab_id)
);

CREATE TABLE sub_type_form_controls (
    control_id int not null auto_increment,
    tab_id int(11),
    control_order int(11),
    attribute_name varchar(255),
    is_read_only numeric(1,0) default 0,
    is_required numeric(1,0) default 0,
    required_for_status_keys mediumtext,
    is_visible numeric(1,0) default 1,
    default_value varchar(255),
    visible_per_groups mediumtext,
    is_unique numeric(1,0) default 0,
    PRIMARY KEY (control_id)
);

create index work_report_ind01 on work_report (account_id,service_req_id);
create index ci_attributes_ind2 on ci_attributes (import_item_id,import_item_type);

CREATE TABLE ldap_metadata (
  id int not null auto_increment,
  refresh_time datetime NOT NULL,
  check_ldap_id int(11),
  ldap_id int(11),
  number_of_users int(11),
  number_of_groups int(11),
  number_of_user_files int(11),
  number_of_group_files int(11),
  number_of_disabled_users int(11),
  rds_name varchar(255),
  enable_ldap_paging numeric(1,0),
  groups_by_member_of_attribute numeric(1,0),
  use_ldap_referral_follow numeric(1,0),
  ldap_page_size int(11),
  ldap_time_out int(11),
  ldap_count_limit int(11),
  ldap_read_timeout int(11),
  ldap_connect_timeout int(11),
  ldap_users_bulk_size int(11),
  ldap_refresh_min_interval int(11),
  ldap_refresh_hours_gap int(11),
  p_number_of_users int(11),
  p_number_of_groups int(11),
  p_number_of_user_files int(11),
  p_number_of_group_files int(11),
  p_number_of_users_updated int(11),
  p_number_of_group_updated int(11),
  p_disabled_non_imp_admins int(11),
  p_disabled_non_imp_eu int(11),
  end_refresh_time datetime,
  PRIMARY KEY  (id)
) ;

CREATE TABLE computer_additional_data (
  computer_id varchar(64) NOT NULL default '',
  exclude_owner_calculation numeric(1, 0) default 0,
  PRIMARY KEY (computer_id)
);

CREATE TABLE mttr_data (
  id int NOT NULL,
  insert_time datetime NOT NULL,
  close_time datetime,
  first_level_category_id int,
  second_level_category_id int,
  third_level_category_id int,
  admin_group_id int,
  PRIMARY KEY(id)
);

CREATE TABLE mttr_filters (
  user_id int(11) not null,
  admin_group_ids varchar(4000),
  categories_json varchar(4000),
  timeframe_selection int(11) not null,
  from_date date,
  to_date date,
  version int(11) NOT NULL default '0',
  update_time datetime not null,
  primary key (user_id,version)
);