create table version (
  version varchar2(64) NOT NULL
);

INSERT INTO version VALUES ('20.1.259');

CREATE TABLE account (
  account_id varchar2(32) NOT NULL ,
  customer_name varchar2(64) ,
  expiration_time DATE ,
  serial_key varchar2(64) NOT NULL ,
  account_conf LONG RAW ,
  version number(11) NOT NULL,
  PRIMARY KEY  (account_id)
) ;

CREATE TABLE schedule_task (
  task_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  group_name varchar2(255) NOT NULL ,
  command varchar2(255) NOT NULL ,
  next_run DATE NOT NULL ,
  granularity number(11) NOT NULL ,
  units number(11) NOT NULL ,
  discovery_service_name varchar2(64),
  start_ip_range varchar2(64),
  end_ip_range varchar2(64),
  exclude_ip_list varchar2(255),
  schedule char(1),
  snmp_version number(11),
  community_string varchar2(64),
  community_password varchar2(64),
  domain varchar2(255),
  agent_settings varchar2(4000),
  filter_sql varchar2(4000),
  filter_xml clob,
  credentials_id number(11),
  agent_settings_id number(11),
  name varchar2(255),
  upgrade_non_responsive numeric(1,0) default 0,
  upgrade_existing numeric(1,0) default 0,
  PRIMARY KEY  (task_id)
) ;

insert into schedule_task (task_id,account_id, COMPUTER_ID , group_name, command, next_run, granularity, units) values (1,'account',' ','\','Inventory',to_date ( TO_CHAR(SYSDATE + 1, 'DD-MM-YYYY') || ' 01:05:00','DD-MM-YYYY HH24:MI:SS') ,3,1);
insert into schedule_task (task_id,account_id, COMPUTER_ID , group_name, command, next_run, granularity, units) values (2,'account',' ','\','Upgrade',to_date ( TO_CHAR(SYSDATE + 1, 'DD-MM-YYYY') || ' 01:55:00','DD-MM-YYYY HH24:MI:SS') ,2,1);

CREATE TABLE computer (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  computer_name varchar2(64) ,
  computer_type varchar2(64) ,
  parent_group varchar2(255) NOT NULL ,
  inventory_xml LONG RAW,
  inventory_time DATE ,
  update_time DATE ,
  ip_address varchar2(64) ,
  description varchar2(255) ,
  username varchar2(64) ,
  location varchar2(255) ,
  location_idx  number(11),
  building varchar2(64),
  floor varchar2(64) ,
  cubic varchar2(64),
  catalog_number varchar2(64),
  supplier number(11),
  maintenance_supplier number(11),
  company_serial varchar2(64),
  external_serial varchar2(64),
  monitor varchar2(64),
  monitor_serial varchar2(64),
  collection_type number(11),
  collection_params varchar2(4000),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  parent_asset varchar2(64),
  department NUMBER(11),
  company NUMBER(11),
  company_backup  NUMBER(11) default 0,
  disable char(1) default 'N',
  manual_asset char(1),
  purchase_cost float,
  purchase_currency number(11),
  agent_version varchar2(64),
  cust_date1 DATE,
  cust_date2 DATE,
  last_access DATE,
  last_remote_access DATE,
  last_remote_host varchar2(64),
  version number(11) NOT NULL,
  snmp_cust_text_1 varchar2(255),
  snmp_cust_text_2 varchar2(255),
  snmp_cust_text_3 varchar2(255),
  snmp_cust_text_4 varchar2(255),
  snmp_cust_text_5 varchar2(255),
  snmp_cust_text_6 varchar2(255),
  snmp_cust_text_7 varchar2(255),
  snmp_cust_text_8 varchar2(255),
  snmp_cust_text_9 varchar2(255),
  snmp_cust_text_10 varchar2(255),
  snmp_cust_text_11 varchar2(255),
  snmp_cust_text_12 varchar2(255),
  snmp_cust_text_13 varchar2(255),
  snmp_cust_text_14 varchar2(255),
  snmp_cust_text_15 varchar2(255),
  snmp_cust_text_16 varchar2(255),
  snmp_cust_text_17 varchar2(255),
  snmp_cust_text_18 varchar2(255),
  snmp_cust_text_19 varchar2(255),
  snmp_cust_text_20 varchar2(255),
  packets_in float default 0,
  packets_out float default 0,
  mac_address varchar2(255),
  last_boot DATE,
  track_asset number(11) default 0,
  first_access DATE,
  device_status number(11) default 0,
  device_policy number(11) default 0,
  device_ownership number(11) default 0,
  device_imei varchar2(255),
  device_icc varchar2(255),
  device_home_carrier varchar2(255),
  device_current_carrier varchar2(255),
  device_phone_number varchar2(64),
  device_push varchar2(255),
  ios_push_magic varchar2(255),
  ios_unlock_token varchar2(4000),
  designated_rds varchar2(64),
  gfi_version varchar2(64),
  gfi_build varchar2(64),
  policy_id number(11) default 0,
  patch_enabled number(1,0),
  last_scan_time DATE,
  last_patch_time DATE,
  settings_id number(11) default 0,
  PRIMARY KEY  (account_id,computer_id)
) ;

create index computer_disable_idx_1 on computer (account_id,disable);
create index computer_idx_type_2 on computer(collection_type,computer_id);
create index computer_idx_id_1 on computer (computer_id);

CREATE TABLE computer_attributes (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  cpu_vendor varchar2(255) ,
  cpu_model varchar2(255) ,
  cpu_speed number(11) ,
  bios_type varchar2(255) ,
  display_adapter varchar2(255) ,
  display_memory number(28) ,
  display_resolution varchar2(255) ,
  os_type varchar2(255) ,
  os_version varchar2(255) ,
  os_service_pack varchar2(255) ,
  memory_physical number(20) ,
  serial varchar2(64),
  model varchar2(64) ,
  manufacturer varchar2(64) ,
  purchase_date DATE,
  warranty_expiration DATE,
  last_maintenance DATE,
  last_page_count number(11),
  maintenance_page_count number(11),
  disks_size number(11),
  disks_count number(11),
  mem_banks number(11),
  occupied_mem_banks number(11),
  free_mem_banks number(11),
  cpu_count NUMBER(11),
  os_name varchar2(255),
  os_platform varchar2(64),
  os_serial varchar2(255),
  cpu_family number(11),
  cpu_stepping number(11),
  cpu_model_number number(11),
  cpu_serial_number varchar2(255),
  nt_product_type varchar2(255),
  nt_product_type_2 varchar2(255),
  nt_os_edition varchar2(255),
  nt_service_pack_major_version number(11),
  nt_service_pack_minor_version number(11),
  os_registered_user varchar2(255),
  os_registered_org varchar2(255),
  os_build_number varchar2(255),
  os_kernel varchar2(255),
  os_power_shell_version varchar2(255),
  PRIMARY KEY  (account_id,computer_id)
) ;

CREATE TABLE computer_changes (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  change_time DATE NOT NULL ,
  change_type varchar2(64) NOT NULL ,
  change_sub_type varchar2(64) NOT NULL ,
  change_description varchar2(4000) NOT NULL,
  log_id number(11),
  policy_id number(11)
) ;

create index computer_changes_idx1 on computer_changes(account_id,computer_id);

CREATE TABLE computer_group (
  account_id varchar2(32) NOT NULL ,
  group_name varchar2(255) NOT NULL ,
  parent_group_name varchar2(255) NOT NULL ,
  group_description varchar2(255) ,
  group_level number(11) ,
  PRIMARY KEY  (account_id,group_name)
) ;

CREATE TABLE computer_lists (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  list_type varchar2(64) NOT NULL ,
  value varchar2(255) NOT NULL,
  list_display varchar2(255),
  version varchar2(255),
  license varchar2(255)
) ;

CREATE TABLE computer_log (
  log_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  log_time DATE NOT NULL ,
  log_type varchar2(64) NOT NULL ,
  log_sub_type varchar2(64) NOT NULL ,
  log_description varchar2(4000) NOT NULL,
  ext_reference number(11) ,
  user_name varchar2(64) ,
  ext_reference2 number(11) ,
  PRIMARY KEY  (log_id)
) ;

create sequence computer_log_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create index computer_log_idx_compid on computer_log (account_id,computer_id);

CREATE TABLE computer_users (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  full_name varchar2(255) ,
  email_address varchar2(64) ,
  PRIMARY KEY  (account_id,computer_id,user_name)
) ;

CREATE TABLE event (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  log_type varchar2(64) NOT NULL ,
  event_time DATE NOT NULL ,
  record_number number(11) NOT NULL ,
  event_id number(11) NOT NULL ,
  event_type varchar2(64) NOT NULL ,
  event_source varchar2(64) NOT NULL ,
  event_category varchar2(64) ,
  event_username varchar2(64) ,
  event_domain varchar2(64) ,
  event_computer varchar2(64) ,
  event_description varchar2(4000) ,
  event_binary LONG RAW,
  event_char_data varchar2(4000),
  PRIMARY KEY  (account_id,computer_id,log_type,event_time,record_number)
) ;

CREATE TABLE login_log (
  log_time DATE ,
  account_id varchar2(32) ,
  user_name varchar2(64) ,
  status varchar2(64) ,
  ip_address varchar2(64)
) ;

CREATE TABLE messages (
  message_id NUMBER(11),
  user_name varchar2(64) NOT NULL ,
  sent_time DATE NOT NULL ,
  sender varchar2(64) ,
  recv_flag number(11) NOT NULL ,
  msg varchar2(4000),
  msgid varchar2(64),
  service_request_id number,
  display_to_user char(1) default 'Y',
  PRIMARY KEY  (message_id)
) ;

create sequence messages_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create index messages_idx1 on messages(user_name,sent_time);

CREATE TABLE problem_type (
  category_id NUMBER(11),
  account_id varchar2(32) NOT NULL ,
  first_level_key number(11),
  second_level_key number(11),
  third_level_key number(11),
  problem_type varchar2(255) NOT NULL ,
  problem_sub_type varchar2(255)  ,
  route varchar2(64) ,
  desc_template varchar2(4000),
  third_level_category varchar2(255) not null,
  module_relevance number(11) NOT NULL,
  incident_template number(11) default -1,
  request_template number(11) default -1,
  change_template number(11) default -1,
  problem_template number(11) default -1,
  created_by varchar2(255),
  created_date date ,
  modified_by varchar2(255),
  modified_date date ,
  PRIMARY KEY  (account_id,problem_type,problem_sub_type,third_level_category)
) ;

CREATE SEQUENCE problem_type_seq START WITH 1 INCREMENT BY 1;
CREATE OR REPLACE TRIGGER problem_type_increment BEFORE INSERT ON problem_type FOR EACH ROW BEGIN SELECT problem_type_seq.NEXTVAL INTO :new.category_id FROM dual; END;
/
;

CREATE TABLE service_req (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  ci_id number(11),
  problem_type varchar2(255) ,
  problem_sub_type varchar2(255) ,
  title varchar2(255) ,
  description clob ,
  workaround clob ,
  known_error char(1) default 'N',
  status number(11) ,
  contact varchar2(4000),
  responsibility varchar2(64) ,
  urgency number(11) ,
  priority number(11) ,
  notes clob,
  resolution varchar2(4000),
  solution varchar2(4000),
  insert_time DATE ,
  update_time DATE ,
  close_time DATE ,
  update_user varchar2(64) ,
  version number(11) NOT NULL ,
  knowledge_base number(11) NOT NULL ,
  submit_user varchar2(64) ,
  submit_user_type number(4) NOT NULL ,
  request_user varchar2(64) ,
  request_user_type number(4),
  responsible_manager varchar2(64) ,
  email_account varchar2(64) ,
  due_date DATE ,
  location number(11),
  parent_link NUMBER(11),
  escalation NUMBER(11),
  third_level_category varchar2(255) ,
  assigned_group varchar2(64),
  timers_update_time DATE,
  timer1 number(28),
  timer2 number(28),
  timer3 number(28),
  timer4 number(28),
  timer5 number(28),
  timer6 number(28),
  timer7 number(28),
  timer8 number(28),
  timer9 number(28),
  timer10 number(28),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  cc varchar2(4000),
  project_id number(11),
  task_id number(11),
  sr_type number(11) default 1,
  full_name varchar2(255),
  cust_date1 DATE,
  cust_date2 DATE,
  source number(11) default 0,
  sr_sub_type number(11),
  followup_planned_date DATE,
  followup_actual_date DATE,
  followup_user varchar2(64),
  followup_text varchar2(4000),
  success_rating number(11),
  reopen_counter number(11),
  assign_counter number(11),
  max_support_level number(11),
  current_support_level number(11),
  agreement number(11) default 0,
  survey_status number(11) default  0,
  impact number(11) default 0,
  change_category number(11) default 0,
  archive number(11) default  0,
  closure_information number(11) default  0,
  visible_to_eu char(1) default 'N',
  sr_class varchar2(255),
  sr_weight number(11) default 0,
  PRIMARY KEY  (id)
) ;

create sequence service_req_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER service_req_increment BEFORE INSERT ON service_req FOR EACH ROW BEGIN SELECT service_req_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

create index service_req_ind_1 on service_req (status );
create index service_req_ind_3 on service_req (account_id, sr_type, status);
create index service_req_ind_4 on service_req (account_id, sr_type);
create index service_req_ind_5 on service_req(account_id,parent_link);
create index service_req_ind_6 on service_req(account_id,archive);
create index service_req_ind_archive on service_req(archive);

CREATE TABLE service_req_history (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL ,
  ci_id number(11),
  problem_type varchar2(255) ,
  problem_sub_type varchar2(255) ,
  title varchar2(255) ,
  description clob,
  workaround clob ,
  known_error char(1) default 'N',
  status number(11) ,
  contact varchar2(4000),
  responsibility varchar2(64) ,
  urgency number(11) ,
  priority number(11) ,
  notes clob,
  resolution varchar2(4000),
  solution varchar2(4000),
  insert_time DATE ,
  update_time DATE ,
  close_time DATE ,
  update_user varchar2(64) ,
  version number(11) NOT NULL ,
  knowledge_base number(11) NOT NULL ,
  submit_user varchar2(64) ,
  submit_user_type number(4) NOT NULL ,
  request_user varchar2(64) ,
  request_user_type number(4),
  email_account varchar2(64) ,
  responsible_manager varchar2(64) ,
  due_date DATE ,
  location number(11),
  parent_link NUMBER(11),
  escalation NUMBER(11),
  third_level_category varchar2(255) ,
  assigned_group varchar2(64),
  timers_update_time DATE,
  timer1 number(28),
  timer2 number(28),
  timer3 number(28),
  timer4 number(28),
  timer5 number(28),
  timer6 number(28),
  timer7 number(28),
  timer8 number(28),
  timer9 number(28),
  timer10 number(28),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  cc varchar2(4000),
  project_id number(11),
  task_id number(11),
  sr_type number(11) default 1,
  full_name varchar2(255),
  cust_date1 DATE,
  cust_date2 DATE,
  source number(11) default 0,
  sr_sub_type number(11),
  followup_planned_date DATE,
  followup_actual_date DATE,
  followup_user varchar2(64),
  followup_text varchar2(4000),
  success_rating number(11),
  reopen_counter number(11),
  assign_counter number(11),
  max_support_level number(11),
  current_support_level number(11),
  agreement number(11) default 0,
  survey_status  number(11) default  0,
  impact number(11) default 0,
  change_category number(11) default 0,
  archive number(11) default  0,
  closure_information number(11) default  0,
  visible_to_eu char(1),
  sr_class varchar2(255),
  sr_weight number(11) default 0,
  PRIMARY KEY  (account_id,id,version)
) ;
create index serv_req_hist_idx1 on service_req_history (id, version);

CREATE TABLE sr_sub_type (
  account_id varchar2(32) NOT NULL,
  sr_type number(11) NOT NULL,
  sr_sub_type number(11) NOT NULL,
  sub_type_name varchar2(255) NOT NULL,
  sub_type_class varchar2(255),
  sub_type_form_view LONG RAW,
  end_user_view clob,
  visible number(1,0) default 1,
  PRIMARY KEY (sr_sub_type)
);

create sequence sr_sub_type_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE sub_tab_views (
  account_id varchar2(32) NOT NULL,
  id number(11) NOT NULL,
  name varchar2(64),
  caption varchar(64),
  sub_tab_view LONG RAW,
  system_view number(1,0) default 0,
  PRIMARY KEY (id)
);

create sequence sr_sub_views_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE sr_sub_tab (
  action_item_id int NOT NULL,
  account_id varchar2(32) NOT NULL,
  sr_id number(11) NOT NULL,
  tab_name varchar2(64) NOT NULL,
  sub_tab_id number(11) NOT NULL,
  sub_tab_order number(11) NOT NULL,
  assigned_to varchar2(64),
  submit_user varchar2(64),
  insert_time DATE default NULL,
  due_date DATE default NULL,
  title varchar2(255) default NULL,
  description varchar2(4000),
  notes varchar2(4000),
  proposed_delivery_date DATE default NULL,
  proposed_version varchar2(64),
  complexity number(11),
  severity number(11),
  urgency number(11),
  priority number(11),
  status number(11),
  active number(11),
  cancel_notif_for_assigned_to number(1,0) default 0,
  auto_complete char(1),
  on_complete_change_status number(11) default NULL,
  notification_id varchar2(255),
  notification_method varchar2(64),
  duration float,
  resources_required_in_days float,
  ci_id number(11),
  cab_meeting_reference varchar2(64),
  percent_completed number(11),
  cust_int1 number(11),
  cust_int2 number(11),
  cust_int3 number(11),
  cust_int4 number(11),
  cust_int5 number(11),
  cust_int6 number(11),
  cust_int7 number(11),
  cust_int8 number(11),
  cust_int9 number(11),
  cust_int10 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_text3 varchar2(255),
  cust_text4 varchar2(255),
  cust_text5 varchar2(255),
  cust_text6 varchar2(255),
  cust_text7 varchar2(255),
  cust_text8 varchar2(255),
  cust_text9 varchar2(255),
  cust_text10 varchar2(255),
  cust_date1 DATE,
  cust_date2 DATE,
  cust_date3 DATE,
  cust_date4 DATE,
  cust_date5 DATE,
  cust_date6 DATE,
  cust_date7 DATE,
  cust_date8 DATE,
  cust_date9 DATE,
  cust_date10 DATE,
  cust_list1 number(11),
  cust_list2 number(11),
  cust_list3 number(11),
  cust_list4 number(11),
  cust_list5 number(11),
  cust_list6 number(11),
  cust_list7 number(11),
  cust_list8 number(11),
  cust_list9 number(11),
  cust_list10 number(11),
  cust_notes1 varchar2(4000),
  cust_notes2 varchar2(4000),
  cust_notes3 varchar2(4000),
  cust_notes4 varchar2(4000),
  cust_notes5 varchar2(4000),
  cust_notes6 varchar2(4000),
  cust_notes7 varchar2(4000),
  cust_notes8 varchar2(4000),
  cust_notes9 varchar2(4000),
  cust_notes10 varchar2(4000),
  task_id number(11),
  project_id number(11),
  assigned_group varchar2(64),
  location number(11),
  completed_time DATE,
  enabled_time DATE,
  company number(11),
   company_backup  NUMBER(11) default 0,
  modify_time DATE,
  policy_compliance char(1),
  budgeted char(1),
  approved char(1),
  user_acceptance char(1),
  hardware_costs float,
  software_costs float,
  installation_costs float,
  training_costs float,
  maintenance_costs float,
  total_costs float,
  internal_manpower_in_hours float,
  total_expected_downtime_hours float,
  department number(11),
  expected_downtime_start DATE,
  expected_downtime_end DATE,
  impact number(11),
  reopened varchar2(255),
  cust_float1 float,
  cust_float2 float,
  cust_float3 float,
  cust_float4 float,
  cust_float5 float,
  cust_float6 float,
  cust_float7 float,
  cust_float8 float,
  cust_float9 float,
  cust_float10 float,
  version number(11) default 0,
  allow_pdf varchar2(1),
  update_user varchar2(64),
  reopened_note varchar2(4000),
  and_condition varchar(1),
  additional_user varchar2(64),
  on_activate_change_status number(11) default NULL,
  on_completion_approve_patch number(11) default NULL,
  back_out_plan char(1),
  recurrence number(11),
  computer_id varchar2(64) default 'none',
  email_account number(11) default NULL,
  PRIMARY KEY(account_id,sr_id,tab_name,sub_tab_order)
);
CREATE SEQUENCE sr_sub_tab_seq START WITH 1 INCREMENT BY 1 NOCYCLE;
CREATE OR REPLACE TRIGGER sr_sub_tab_increment BEFORE INSERT ON sr_sub_tab FOR EACH ROW BEGIN SELECT sr_sub_tab_seq.NEXTVAL INTO :new.action_item_id FROM dual; END;
/
;

CREATE INDEX sr_sub_tab_assigned_to ON sr_sub_tab(sr_id,assigned_to,status,sub_tab_order);

CREATE TABLE sr_sub_tab_history (
  action_item_id INT,
  account_id varchar2(32) NOT NULL,
  sr_id number(11) NOT NULL,
  tab_name varchar2(64) NOT NULL,
  sub_tab_id number(11) NOT NULL,
  sub_tab_order number(11) NOT NULL,
  assigned_to varchar2(64),
  submit_user varchar2(64),
  insert_time DATE default NULL,
  due_date DATE default NULL,
  title varchar2(255) default NULL,
  description varchar2(4000),
  notes varchar2(4000),
  proposed_delivery_date DATE default NULL,
  proposed_version varchar2(64),
  complexity number(11),
  severity number(11),
  urgency number(11),
  priority number(11),
  status number(11),
  active number(11),
  cancel_notif_for_assigned_to number(1,0) default 0,
  auto_complete char(1),
  on_complete_change_status number(11) default NULL,
  notification_id varchar2(255),
  notification_method varchar2(64),
  duration float,
  resources_required_in_days float,
  ci_id number(11),
  cab_meeting_reference varchar2(64),
  percent_completed number(11),
  cust_int1 number(11),
  cust_int2 number(11),
  cust_int3 number(11),
  cust_int4 number(11),
  cust_int5 number(11),
  cust_int6 number(11),
  cust_int7 number(11),
  cust_int8 number(11),
  cust_int9 number(11),
  cust_int10 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_text3 varchar2(255),
  cust_text4 varchar2(255),
  cust_text5 varchar2(255),
  cust_text6 varchar2(255),
  cust_text7 varchar2(255),
  cust_text8 varchar2(255),
  cust_text9 varchar2(255),
  cust_text10 varchar2(255),
  cust_date1 DATE,
  cust_date2 DATE,
  cust_date3 DATE,
  cust_date4 DATE,
  cust_date5 DATE,
  cust_date6 DATE,
  cust_date7 DATE,
  cust_date8 DATE,
  cust_date9 DATE,
  cust_date10 DATE,
  cust_list1 number(11),
  cust_list2 number(11),
  cust_list3 number(11),
  cust_list4 number(11),
  cust_list5 number(11),
  cust_list6 number(11),
  cust_list7 number(11),
  cust_list8 number(11),
  cust_list9 number(11),
  cust_list10 number(11),
  cust_notes1 varchar2(4000),
  cust_notes2 varchar2(4000),
  cust_notes3 varchar2(4000),
  cust_notes4 varchar2(4000),
  cust_notes5 varchar2(4000),
  cust_notes6 varchar2(4000),
  cust_notes7 varchar2(4000),
  cust_notes8 varchar2(4000),
  cust_notes9 varchar2(4000),
  cust_notes10 varchar2(4000),
  task_id number(11),
  project_id number(11),
  assigned_group varchar2(64),
  location number(11),
  completed_time DATE,
  enabled_time DATE,
  company number(11),
  company_backup number(11) default 0,
  modify_time DATE,
  policy_compliance char(1),
  budgeted char(1),
  approved char(1),
  user_acceptance char(1),
  hardware_costs float,
  software_costs float,
  installation_costs float,
  training_costs float,
  maintenance_costs float,
  total_costs float,
  internal_manpower_in_hours float,
  total_expected_downtime_hours float,
  department number(11),
  expected_downtime_start DATE,
  expected_downtime_end DATE,
  impact number(11),
  reopened varchar2(255),
  cust_float1 float,
  cust_float2 float,
  cust_float3 float,
  cust_float4 float,
  cust_float5 float,
  cust_float6 float,
  cust_float7 float,
  cust_float8 float,
  cust_float9 float,
  cust_float10 float,
  version number(11) default 0,
  change_time DATE,
  changed_by varchar2(64),
  allow_pdf varchar2(1),
  update_user varchar2(64),
  reopened_note varchar2(4000),
  and_condition varchar(1),
  additional_user varchar2(64),
  on_activate_change_status number(11) default NULL,
  on_completion_approve_patch number(11) default NULL,
  back_out_plan char(1),
  recurrence number(11),
  computer_id varchar2(64) default 'none',
  email_account number(11) default NULL,
  PRIMARY KEY(account_id,sr_id,tab_name,sub_tab_order,version)
);

create table sr_tab_dependences (
  account_id varchar2(32) NOT NULL,
  id number(10) NOT NULL,
  sr_id number(11) NOT NULL,
  tab_name varchar2(64) NOT NULL,
  sub_tab_order number(11) NOT NULL,
  depends_on_tab varchar2(64),
  depends_on_sub number(11),
  dependent_method varchar2(64),
  add_depends varchar2(255),
  filter_expression varchar2(4000),
  filter_sql varchar2(4000),
  PRIMARY KEY (id)
);

CREATE SEQUENCE sr_tab_dependences_seq START WITH 1 INCREMENT BY 1;
CREATE OR REPLACE TRIGGER sr_tab_dependences_increment BEFORE INSERT ON sr_tab_dependences FOR EACH ROW BEGIN SELECT sr_tab_dependences_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;




create index sr_tab_depends_idx1 on sr_tab_dependences(account_id,sr_id,tab_name,sub_tab_order);


CREATE TABLE sysaid_user (
  user_name varchar2(64) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  password varchar2(64) NOT NULL ,
  first_name varchar2(64) ,
  last_name varchar2(64) ,
  main_user char(1) ,
  email_address varchar2(64) ,
  sms_number varchar2(255) ,
  ip_address varchar2(64) ,
  user_conf LONG RAW,
  phone varchar2(64),
  cell_phone varchar2(64),
  notes varchar2(4000),
  location number(11),
  car_number varchar2(64),
  building varchar2(64),
  floor varchar2(64) ,
  cubic varchar2(64),
  administrator char(1),
  manager char(1),
  version number(11) default 0,
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  department NUMBER(11),
  company NUMBER(11),
   company_backup  NUMBER(11) default 0,
  disable char(1),
  expiration_time DATE,
  cust_date1 DATE,
  cust_date2 DATE,
  history_version number(11) NOT NULL,
  ldap number(11) default 0,
  check_ldap number(11) default 0,
  email_notifications char(1) default 'Y',
  permissions_by_groups char(1),
  user_manager_name varchar2(64) default NULL,
  chat_nick_name varchar2(64),
  enable_login_to_eup char(1) default '1',
  agreement number(11) default 0,
  display_name varchar2(64),
  secondary_email varchar2(64) default NULL,
  my_photo_url varchar2(64) default NULL,
  sr_email_notif_condition clob,
  login_user varchar2(64),
  login_domain varchar2(64),
  login_guid varchar2(64),
  calculated_user_name varchar2(255),
  calculated_user_name_upper varchar2(255),
  locale varchar2(64),
  timezone varchar2(64),
  charset varchar2(64),
  login_user_upper varchar2(64),
  user_name_upper varchar2(64),
  ref_id NUMBER(11),
  ssp_theme NUMBER(11) default 0,
  created_by varchar2(255),
  created_date date ,
  modified_by varchar2(255),
  modified_date date ,
  ldap_distinguished_name varchar2(255),
  ldap_user_guid varchar2(64),
  PRIMARY KEY (user_name)
);

CREATE SEQUENCE sysaid_user_seq START WITH 1 INCREMENT BY 1;
create index sysaid_user_idx_1 on sysaid_user (calculated_user_name_upper);
create index sysaid_user_idx_2 on sysaid_user (login_user,login_domain);
create index sysaid_user_idx_3 on sysaid_user (disable,administrator);
create index sysaid_user_idx_4 on sysaid_user (login_guid);
create index sysaid_user_idx_5 on sysaid_user (user_name_upper);
create index sysaid_user_idx_6 on sysaid_user (login_user_upper,login_domain);

CREATE TABLE sysaid_user_history (
    user_name varchar2(64) NOT NULL ,
    account_id varchar2(32) NOT NULL ,
    password varchar2(64) NOT NULL ,
    first_name varchar2(64) ,
    last_name varchar2(64) ,
    main_user char(1) ,
    email_address varchar2(64) ,
    sms_number varchar2(255) ,
    ip_address varchar2(64) ,
    user_conf LONG RAW,
    phone varchar2(64),
    cell_phone varchar2(64),
    notes varchar2(4000),
    location number(11),
    car_number varchar2(64),
    building varchar2(64),
    floor varchar2(64) ,
    cubic varchar2(64),
    administrator char(1),
    manager char(1),
    version number(11) default 0,
    cust_list1 number(11),
    cust_list2 number(11),
    cust_text1 varchar2(255),
    cust_text2 varchar2(255),
    cust_notes varchar2(4000),
    cust_int1 number(11),
    cust_int2 number(11),
    department NUMBER(11),
    company NUMBER(11),
    company_backup number(11) default 0,
    disable char(1),
    expiration_time DATE,
    cust_date1 DATE,
    cust_date2 DATE,
    history_version number(11) NOT NULL,
    ldap number(11) default 0,
    check_ldap number(11) default 0,
    change_time DATE,
    changed_by varchar2(64),
    email_notifications char(1) default 'Y',
    permissions_by_groups char(1),
    user_manager_name varchar2(64) default NULL,
    chat_nick_name varchar2(64),
    enable_login_to_eup char(1) default '1',
    agreement number(11) default 0,
    display_name varchar2(64),
    secondary_email varchar2(64) default NULL,
    my_photo_url varchar2(64) default NULL,
    sr_email_notif_condition clob,
    login_user varchar2(64),
    login_domain varchar2(64),
    login_guid varchar2(64),
    calculated_user_name varchar2(255),
    calculated_user_name_upper varchar2(255),
    locale varchar2(64),
    timezone varchar2(64),
    charset varchar2(64),
    login_user_upper varchar2(64),
    user_name_upper varchar2(64),
    ssp_theme NUMBER(11) default 0,
    created_by varchar2(255),
    created_date date ,
    modified_by varchar2(255),
    modified_date date ,
    ldap_distinguished_name varchar2(255),
    ldap_user_guid varchar2(64),
    PRIMARY KEY (user_name,history_version)
);

CREATE TABLE work_report (
  id number(11) NOT NULL ,
  service_req_id number(11) ,
  account_id varchar2(32) ,
  user_name varchar2(64) ,
  from_time DATE ,
  to_time DATE ,
  description varchar2(4000) ,
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  cust_int3 number(11),
  cust_int4 number(11),
  cust_date1 date,
  cust_date2 date,
  ci_id number(11),
  PRIMARY KEY  (id)
) ;

create sequence work_report_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE cust_values (
  account_id varchar2(32) NOT NULL ,
  list_name varchar2(64) NOT NULL ,
  value_key number(11) NOT NULL ,
  value_caption varchar2(255) NOT NULL ,
  value_class number(11) ,
  module_relevance number(11) default 1023,
  valid_for_user_group varchar(4000) ,
  PRIMARY KEY  (account_id,list_name,value_key)
);

CREATE TABLE sort_cust_values (
  account_id varchar2(32) NOT NULL ,
  list_name varchar2(64) NOT NULL ,
  sort_by varchar2(64),
  PRIMARY KEY  (account_id,list_name)
);

INSERT INTO cust_values VALUES ('account', 'priority', 1, 'Highest',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 2, 'Very High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 3, 'High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 4, 'Normal',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'priority', 5, 'Low',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 1, 'Planned',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 2, 'Specification',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 3, 'Design',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 4, 'Implementation',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 5, 'Test',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 6, 'Deployment',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'projectStatuses', 7, 'Maintenance',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'status', 1, 'New',0,14,null);
INSERT INTO cust_values VALUES ('account', 'status', 2, 'Open',0,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 3, 'Closed',1,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 4, 'Verified closed',1,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 5, 'Pending',0,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 6, 'Postponed',0,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 7, 'Deleted',2,2,null);
INSERT INTO cust_values VALUES ('account', 'status', 8, 'Reopened by End User',0,18,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 1, 'Specification',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 2, 'Test',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 3, 'Design',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 4, 'Implementation',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 5, 'Support',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 6, 'Installation',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 7, 'Upgrade',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskCats', 8, 'Backup',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskStatuses', 1, 'Not started',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskStatuses', 2, 'In progress',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'taskStatuses', 3, 'Finished',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 1, 'Urgent',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 2, 'Very High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 3, 'High',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 4, 'Normal',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'urgency', 5, 'Low',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 1, 'Project Manager',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 2, 'Team Leader',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 3, 'Team Member',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'userRoles', 4, 'Tester',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 1, 'Poor',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 2, 'Fair',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 3, 'Good',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 4, 'Very Good',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'survey', 5, 'Excellent',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'currencyList', 1, 'USD',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'currencyList', 2, 'EUR',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',1,'Active',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',2,'Deleted',2,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',3,'Under Testing Environment',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',4,'In Production',0,1023,null);
INSERT INTO cust_values VALUES ('account','CIStatus',5,'Inactive',1,1023,null);
INSERT INTO cust_values VALUES ('account','departments',1,'IT',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 1, 'Minor',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 2, 'Significant',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 3, 'Major',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'changeCategory', 4, 'Proposal',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 1, 'Solved (Permanently)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 2, 'Solved (Work Around)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 3, 'Solved On-site',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 4, 'Solved Remotely',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 5, 'Not Solved (Not Reproducible)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 6, 'Not Solved (Too Costly)',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'closureInformation', 7, 'Closed/Resolved by Requester',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceOwnership', 1, 'Employee Owned',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceOwnership', 2, 'Corporate Owned',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 1, 'Enrolled',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 2, 'Not enrolled',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 3, 'Revoked by Admin',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'deviceStatus', 4, 'Revoked by End-User',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'recurrenceList', 1, 'Daily',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'recurrenceList', 2, 'Weekly',0,1023,null);
INSERT INTO cust_values VALUES ('account', 'recurrenceList', 3, 'Monthly',0,1023,null);


CREATE TABLE list_view (
  account_id varchar2(32) NOT NULL ,
  list_name varchar2(64) NOT NULL ,
  list_view_name varchar2(64) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  list_conf LONG RAW,
  enable_delete char(1) default 'Y',
  version number(11) default 0,
  PRIMARY KEY (account_id,list_name,list_view_name,user_name)
  );

CREATE TABLE service_req_log (
  log_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  service_req_id number(11) NOT NULL ,
  log_time DATE NOT NULL ,
  log_type varchar2(64) NOT NULL ,
  log_description varchar2(4000) ,
  ext_reference number(11) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  PRIMARY KEY  (log_id)
  );

create sequence service_req_log_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create index service_req_log_idx1 on service_req_log (account_id,service_req_id);

CREATE TABLE user2asset (
  account_id varchar2(32) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  computer_id varchar2(64) NOT NULL  ,
  PRIMARY KEY  (account_id,user_name,computer_id)
);

create table service_req_data (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  screen_capture LONG RAW ,
  PRIMARY KEY  (account_id,id)
);

create table software (
  software_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  product_name varchar2(255) NOT NULL ,
  version varchar2(64) ,
  vendor varchar2(64) ,
  licenses number(11) ,
  purchase_date DATE,
  support_expiration DATE,
  notes varchar2(4000),
  company number(11),
   company_backup  NUMBER(11) default 0,
  supplier number(11) default 0,
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  cust_date1 DATE,
  cust_date2 DATE,
  history_version number(11) NOT NULL,
  freeware varchar2(1),
  exceedlic_installed number(11) default 0,
  filter_xml clob,
  PRIMARY KEY  (software_id)
);

create sequence software_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table software2install_name (
  account_id varchar2(32) NOT NULL ,
  software_id number(11) NOT NULL,
  install_name varchar2(255) NOT NULL,
  version varchar2(255),
  name_and_version varchar2(255),
  PRIMARY KEY  (software_id,install_name,version)
);

create table asset_catalog(
  account_id varchar2(32) NOT NULL ,
  catalog_number varchar2(64) NOT NULL,
  name varchar2(255) NOT NULL ,
  model varchar2(64) ,
  manufacturer varchar2(64) ,
  supplier_id number(11),
  notes varchar2(4000),
  cust_date1 DATE,
  cust_date2 DATE,
  version number(11) NOT NULL,
  PRIMARY KEY  (account_id,catalog_number)
);

create table supplier(
  supplier_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  name varchar2(255) NOT NULL ,
  address varchar2(4000),
  phone varchar2(64),
  fax  varchar2(64),
  email_address varchar2(64),
  notes varchar2(4000),
  mobile varchar2(64),
  phone2 varchar2(64),
  contact_name varchar2(64),
  account_number varchar2(64),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  cust_date1 DATE,
  cust_date2 DATE,
  version number(11) NOT NULL,
  PRIMARY KEY  (supplier_id)
);

create sequence supplier_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE faq (
  account_id varchar2(32) NOT NULL ,
  id number(11) NOT NULL ,
  title varchar2(255),
  question varchar2(4000) ,
  answer varchar2(4000) ,
  question_no_html varchar2(4000),
  answer_no_html varchar2(4000),
  category varchar2(255) ,
  sub_category varchar2(255),
  third_level_category varchar2(255),
  kb char(1),
  faq char(1),
  update_time DATE ,
  admin_topic_views number(11) default 0,
  user_topic_views number(11) default 0,
  created_on DATE,
  created_by varchar2(64),
  update_by varchar2(64),
  enable_expire number(11),
  expire_date DATE,
  keywords varchar2(255) default '',
  publish number(11),
  voteYes number(11) default 0,
  voteNo number(11) default 0,
  version number(11) NOT NULL,
  PRIMARY KEY  (account_id,id)
);

CREATE TABLE faq_history (
  account_id varchar2(32) NOT NULL ,
  id number(11) NOT NULL ,
  title varchar2(255),
  question varchar2(4000) ,
  answer varchar2(4000) ,
  question_no_html varchar2(4000),
  answer_no_html varchar2(4000),
  category varchar2(255) ,
  sub_category varchar2(255),
  third_level_category varchar2(255),
  kb char(1),
  faq char(1),
  update_time DATE ,
  admin_topic_views number(11) default 0,
  user_topic_views number(11) default 0,
  created_on DATE,
  created_by varchar2(64),
  update_by varchar2(64),
  enable_expire number(11),
  expire_date DATE,
  keywords varchar2(255) default '',
  publish number(11),
  voteYes number(11) default 0,
  voteNo number(11) default 0,
  version number(11) NOT NULL,
  change_time DATE,
  changed_by varchar2(64),
  PRIMARY KEY  (account_id,id,version)
);

CREATE TABLE faq_tags (
  id number(11),
  tag varchar2(255) default ''
);
create index faq_tags_ind_1 on faq_tags(id);
create index faq_tags_ind_2 on faq_tags(tag);

create table service_req_files (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  chat_session_id varchar2(64),
  file_content LONG RAW ,
  real_file_name varchar2(255),
  file_checksum varchar2(128),
  file_checksum_alg varchar2(10),
  file_ext varchar2(10),
  file_source varchar2(20),
  file_size number(11),
  user_name varchar2(64),
  PRIMARY KEY (account_id, id, file_id)
);
create index service_req_checksum_idx on service_req_files(file_checksum, id);

create table service_req_msg (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  msg_time DATE NOT NULL ,
  from_user varchar2(64) ,
  to_user varchar2(4000) ,
  cc_user varchar2(4000),
  method varchar2(64),
  subject varchar2(4000),
  msgid varchar2(160),
  msg_body clob,
  email_html_source clob,
  PRIMARY KEY  (account_id,id,msgid)
);


CREATE TABLE commands (
    account_id varchar2(32) NOT NULL,
    command varchar2(255) NOT NULL,
    PRIMARY KEY (account_id, command)
);

CREATE TABLE user_groups (
  account_id varchar2(32) NOT NULL,
  group_name varchar2(64) NOT NULL,
  group_type number(11) NOT NULL,
  support_level number(11) default 0,
  permission LONG RAW,
  display_group char(1) default 'Y',
  ref_id NUMBER(11),
  automatic_dispatch char(1) default 'N',
  system_admin char(1) default 'N',
  visible_to_groups char(1) default 'N',
  managed_by_groups char(1) default 'N',
  company NUMBER(11) default 0,
  group_email varchar2(255),
  email_notifications numeric(1,0) default 1,
  email_notif_condition clob,
  created_by varchar2(255),
  created_date date ,
  modified_by varchar2(255),
  modified_date date ,
  group_guid varchar2(255),
  group_distinguished_name varchar2(255),
  group_source varchar2(64),
  ldap_id number(11),
  ldap_iteration number(11) ,
  PRIMARY KEY  (account_id,group_name )
);
CREATE SEQUENCE user_groups_seq START WITH 1 INCREMENT BY 1;
CREATE OR REPLACE TRIGGER user_groups_increment BEFORE INSERT ON user_groups FOR EACH ROW BEGIN SELECT user_groups_seq.NEXTVAL INTO :new.ref_id FROM dual; END;
/
;
create index user_groups_idx_1 on user_groups (group_name,group_type);
create index user_groups_idx_2 on user_groups (display_group);

CREATE TABLE user2group (
  account_id varchar2(32) NOT NULL,
  group_name varchar2(64) NOT NULL,
  user_name varchar2(64) NOT NULL,
  PRIMARY KEY  (account_id,group_name,user_name )
);

create index user2group_idx_1 on user2group (user_name);

CREATE TABLE project (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL,
  version number(11) NOT NULL,
  category number(11),
  title varchar2(255) ,
  description varchar2(4000),
  status number(11) ,
  notes varchar2(4000),
  start_time DATE,
  end_time DATE,
  raw_estimation number(11),
  request_group varchar2(64),
  manager varchar2(64),
  assigned_group varchar2(64),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  company number(11),
   company_backup  NUMBER(11) default 0,
  incidentTitle varchar2(255),
  cust_date1 DATE,
  cust_date2 DATE,
  progress number(11),
  PRIMARY KEY  (id )
);

create sequence project_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE project_history (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL,
  version number(11) NOT NULL,
  category number(11),
  title varchar2(255) ,
  description varchar2(4000),
  status number(11) ,
  notes varchar2(4000),
  start_time DATE,
  end_time DATE,
  raw_estimation number(11),
  request_group varchar2(64),
  manager varchar2(64),
  assigned_group varchar2(64),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  company number(11),
  company_backup number(11) default 0,
  incidentTitle varchar2(255),
  cust_date1 DATE,
  cust_date2 DATE,
  progress number(11),
  PRIMARY KEY  (id,version )
);

CREATE TABLE project_log (
  log_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  project_id number(11) NOT NULL ,
  log_time DATE NOT NULL ,
  log_type varchar2(64) NOT NULL ,
  log_description varchar2(4000) NOT NULL,
  ext_reference number(11) NOT NULL,
  user_name varchar2(64) NOT NULL,
  PRIMARY KEY  (log_id)
) ;

create sequence project_log_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table project_users (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  user_name varchar2(64) NOT NULL,
  user_role number(11),
  PRIMARY KEY  (account_id,id,user_name )
);

create table project_files (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_content LONG RAW ,
  file_date DATE,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE task (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL,
  version number(11) NOT NULL,
  project_id number(11),
  category number(11),
  title varchar2(255) ,
  description varchar2(4000),
  status number(11) ,
  notes varchar2(4000),
  progress number(11),
  start_time DATE,
  end_time DATE,
  estimation number(11),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  task_order number(11) default 0,
  notification varchar2(64),
  cust_date1 DATE,
  cust_date2 DATE,
  ci_id number(11),
  task_dependency number(11),
  task_dependency_type number(1),
  email_account number(11) default 0,
  PRIMARY KEY  (id )
);

create sequence task_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE task_history (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL,
  version number(11) NOT NULL,
  project_id number(11),
  category number(11),
  title varchar2(255) ,
  description varchar2(4000),
  status number(11) ,
  notes varchar2(4000),
  progress number(11),
  start_time DATE,
  end_time DATE,
  estimation number(11),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  task_order number(11) default 0,
  notification varchar2(64),
  cust_date1 DATE,
  cust_date2 DATE,
  ci_id number(11),
  task_dependency number(11),
  task_dependency_type number(1),
  email_account number(11) default 0,
  PRIMARY KEY  (id,version )
);

CREATE TABLE task_log (
  log_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  task_id number(11) NOT NULL ,
  log_time DATE NOT NULL ,
  log_type varchar2(64) NOT NULL ,
  log_description varchar2(4000) NOT NULL,
  ext_reference number(11) NOT NULL,
  user_name varchar2(64) NOT NULL,
  PRIMARY KEY  (log_id)
) ;

create sequence task_log_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table task_users (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  user_name varchar2(64) NOT NULL,
  user_role number(11),
  PRIMARY KEY  (account_id,id,user_name )
);

CREATE TABLE task_activities (
  id number(11) NOT NULL ,
  task_id number(11) ,
  account_id varchar2(32) ,
  user_name varchar2(64) ,
  from_time  DATE ,
  to_time DATE ,
  description varchar2(4000) ,
  activity_status NUMBER(11),
  ci_id number(11),
  PRIMARY KEY  (id)
);

create sequence task_activities_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table task_files (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_content LONG RAW ,
  file_date DATE,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE asset_types (
  account_id varchar2(32) NOT NULL ,
  computer_type varchar2(64) NOT NULL ,
  caption varchar2(64) NOT NULL ,
  file_name varchar2(255),
  default_file_name varchar2(255),
  ci_sub_type_id number(11),
  PRIMARY KEY  (account_id,computer_type )
);

insert into asset_types values ('account','Laptop','Laptop','laptop_32.png','laptop_32.png',1 );
insert into asset_types values ('account','PDA','Smartphone','pda_32.png','pda_32.png',2 );
insert into asset_types values ('account','Printer','Printer','printer_32.png','printer.gif',3 );
insert into asset_types values ('account','Server','Server','server_32.png','server.gif',4 );
insert into asset_types values ('account','Workstation','Workstation','workstation_32.png','workstation.gif',5 );
insert into asset_types values ('account','Switch','Switch','switch_32.png','switch_32.png',6 );
insert into asset_types values ('account','Router','Router','router_32.png','router_32.png',7 );
insert into asset_types values ('account','DHCP Server','DHCP Server','dhcp_server_32.png','dhcp_server_32.png',8 );
insert into asset_types values ('account','Other SNMP Device','Other SNMP Device','snmp_device_32.png','snmp_device_32.png',9 );
insert into asset_types values ('account','Other','Other','other_32.png','other.gif',10 );
insert into asset_types values ('account','Tablet','Tablet','tablet_32.png','tablet_32.png',11 );

insert into commands (account_id,command) values ('account','Inventory');
insert into commands (account_id,command) values ('account','Upgrade');

CREATE TABLE company (
  company_id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL,
  company_name varchar2(255) ,
  address varchar2(255) ,
  address2 varchar2(255) ,
  city varchar2(64),
  state varchar2(64),
  zip varchar2(64),
  country varchar2(64),
  phone varchar2(64),
  fax varchar2(64),
  notes varchar2(4000),
  cust_list1 number(11),
  cust_list2 number(11),
  cust_text1 varchar2(255),
  cust_text2 varchar2(255),
  cust_notes varchar2(4000),
  cust_int1 number(11),
  cust_int2 number(11),
  expiration_time DATE,
  cust_date1 DATE,
  cust_date2 DATE,
  version number(11) NOT NULL,
  agreement number(11) default 0,
  agreement_start DATE,
  agreement_end DATE,
  logo_file_name varchar2(64),
  email_account varchar2(255),
  ssp_banner number(11) default 0,
  ssp_theme number(11) default 0,
  PRIMARY KEY  (company_id )
);

create sequence company_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create index company_idx_1 on company (company_name);

create table monitor_templates (
  account_id varchar2(32) NOT NULL,
  template_name varchar2 (64) NOT NULL,
  is_server char(1) NOT NULL,
  check_type varchar2(32) NOT NULL,
  check_name varchar2(200) NOT NULL,
  protocol varchar2(64),
  port_num int,
  url_path varchar2(255),
  expression varchar2(255),
  update_type varchar2(64),
  warning_at int,
  warning_notification varchar2(64),
  error_at int,
  error_notification varchar2(64),
  PRIMARY KEY  (account_id,template_name,check_type,check_name,is_server));

create table monitoring_conf  (
  account_id varchar2(32) NOT NULL ,
  computer_id varchar2(64) NOT NULL,
  is_server char(1) NOT NULL,
  template_name varchar2(64) default '',
  notification varchar2(64),
  alert int default 0,
  sr_sent int,
  mail_sent int,
  sms_sent int,
  monitoring_enabled char(1) default '1',
  PRIMARY KEY  (account_id,computer_id));

create table monitor_embed_data(
  account_id varchar2(32) NOT NULL,
  computer_id varchar2 (64) NOT NULL,
  is_server char(1) NOT NULL,
  check_type varchar2(32) NOT NULL,
  check_name varchar2(200) NOT NULL,
  protocol varchar2(64),
  port_num int,
  url_path varchar2(255),
  expression varchar2(255),
  update_type varchar2(64),
  warning_at int,
  warning_notification varchar2(64),
  error_at int,
  error_notification varchar2(64),
  idx_day int,
  idx_week int,
  idx_month int,
  idx_year int,
  time_day date,
  time_week date,
  time_month date,
  time_year date,
  warn_sr_sent int,
  warn_mail_sent int,
  warn_sms_sent int,
  err_sr_sent int ,
  err_mail_sent int ,
  err_sms_sent int ,
  alert int default 0,
  extra_data varchar2(255),
  predefined_check number(11),
  PRIMARY KEY  (account_id,computer_id,check_type,check_name));

create index monitor_embed_data_idx1 on monitor_embed_data(computer_id,check_type,check_name);

create table services_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table services_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table services_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table services_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table processes_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table performance_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table comp_update_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(64) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table asset_data_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table network_activity_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value_1 float,
  check_value_2 float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table customized_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(255) NOT NULL,
  idx int NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_day_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx number(11) NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_week_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx number(11) NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_month_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx number(11) NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_year_data (
  account_id varchar2(32) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  check_name varchar2(200) NOT NULL,
  idx number(11) NOT NULL,
  check_value float,
  upd_time date,
  PRIMARY KEY(account_id,computer_id,check_name,idx));

create table url_embed_data (
  check_name varchar2(200) NOT NULL,
  url_path varchar2(255),
  expression varchar2(255),
  retries number(11),
  error_at number(11),
  error_notification varchar2(64),
  idx_day number(11),
  idx_week number(11),
  idx_month number(11),
  idx_year number(11),
  time_day date,
  time_week date,
  time_month date,
  time_year date,
  err_sr_sent number(11) ,
  err_mail_sent number(11) ,
  err_sms_sent number(11) ,
  alert number(11) default 0,
  extra_data varchar2(255),
  PRIMARY KEY  (check_name));

create table monitor_events (
  id number(11) NOT NULL,
  severity number(11) NOT NULL,
  source varchar2(255),
  source_name varchar2(255),
  monitor_type varchar2(64),
  monitor_target varchar2(255),
  port_num number(11),
  url_path varchar2(255),
  category varchar2(64),
  upd_time date,
  check_value float,
  expression  varchar2(255),
  warning_threshold number(11),
  warning_notification varchar2(64),
  error_threshold number(11),
  error_notification varchar2(64),
  check_value1 float,
  check_value2 float,
  port_name varchar2(64),
  PRIMARY KEY (id));

CREATE SEQUENCE monitor_events_seq START WITH 1 INCREMENT BY 1 NOCYCLE;

create index monitor_events_idx1 on monitor_events(upd_time desc);
create index monitor_events_idx2 on monitor_events(source,monitor_type);

create table predefined_services_check (
  id number(11) NOT NULL,
  name varchar2(64),
  display_name varchar2(64),
  notification varchar2(64),
  is_monitor number(11),
  PRIMARY KEY (id));

create sequence predefined_services_check_seq START WITH 100 INCREMENT BY 1 NOCACHE NOCYCLE;

INSERT INTO predefined_services_check (id,name,display_name) VALUES (1,'DHCPServer','DHCP Server');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (2,'DNS','DNS Server');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (3,'dmserver','Disk Manager');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (4,'Eventlog','Event Log');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (5,'NtFrs','File Replication Service');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (6,'msftpsvc','FTP');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (7,'IAS','IAS');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (8,'IISADMIN','IIS');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (9,'Messenger','Messenger');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (10,'MySql','MySQL');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (11,'Netlogon','Net Logon');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (12,'Spooler','Print Spooler');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (13,'RpcSs','RPC');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (14,'SMTPSVC','SMTP');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (15,'TapiSrv','Telephony');
INSERT INTO predefined_services_check (id,name,display_name) VALUES (16,'TlntSrv','Telnet');

create table predefined_network_check (
  id number(11) NOT NULL ,
  name varchar2(64),
  port number(11),
  notification varchar2(64),
  is_monitor number(11),
  PRIMARY KEY (id));

create sequence predefined_network_check_seq START WITH 100 INCREMENT BY 1 NOCACHE NOCYCLE;

INSERT INTO predefined_network_check (id,name,port) VALUES (1,'Ping',null);
INSERT INTO predefined_network_check (id,name,port) VALUES (2,'DNS',53);
INSERT INTO predefined_network_check (id,name,port) VALUES (3,'FTP',21);
INSERT INTO predefined_network_check (id,name,port) VALUES (4,'HTTP',80);
INSERT INTO predefined_network_check (id,name,port) VALUES (5,'HTTPS',443);
INSERT INTO predefined_network_check (id,name,port) VALUES (6,'IMAP',143);
INSERT INTO predefined_network_check (id,name,port) VALUES (7,'Kerberos',88);
INSERT INTO predefined_network_check (id,name,port) VALUES (8,'LDAP',389);
INSERT INTO predefined_network_check (id,name,port) VALUES (9,'MSSQL',1433);
INSERT INTO predefined_network_check (id,name,port) VALUES (10,'MYSQL',3306);
INSERT INTO predefined_network_check (id,name,port) VALUES (11,'Oracle',1521);
INSERT INTO predefined_network_check (id,name,port) VALUES (12,'POP',110);
INSERT INTO predefined_network_check (id,name,port) VALUES (13,'RPC',135);
INSERT INTO predefined_network_check (id,name,port) VALUES (14,'SMTP',25);
INSERT INTO predefined_network_check (id,name,port) VALUES (15,'SSH',22);
INSERT INTO predefined_network_check (id,name,port) VALUES (16,'Telnet',23);
INSERT INTO predefined_network_check (id,name,port) VALUES (17,'VNC',5900);
INSERT INTO predefined_network_check (id,name,port) VALUES (18,'WebLogic',7001);


create index COMPUTER_LISTS_IDX1 on computer_lists(account_id,computer_id,list_type);

CREATE TABLE news (
  news_id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL,
  present char(1),
  title varchar2(255),
  description varchar2(4000),
  administrator char(1),
   urgency char(1),
   insert_time DATE,
  company number(11) default 0,
   company_backup  NUMBER(11) default 0,
  assigned_group varchar2(64) default '0',
   PRIMARY KEY  (news_id) );

create sequence news_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE satisfaction_survey  (
	account_id    	varchar2(32) NOT NULL,
	sr_id         	NUMBER(11,0) NOT NULL,
	answer        	NUMBER(11,0) NULL,
	comments      	VARCHAR2(255) NULL,
	update_time   	DATE NULL,
	responsibility	varchar2(64) NULL,
	question_id NUMBER(11) default 1 NOT NULL,
	PRIMARY KEY (account_id, sr_id,question_id) );

create index COMPUTER_LISTS_IDX2  on computer_lists (value asc);

create table computer_files (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

create table software_files (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

create table computer_links (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

create table sysaid_user_routing (
  account_id varchar2(32) NOT NULL,
  user_name varchar2(64) NOT NULL ,
  take_over_user varchar2(64) NOT NULL ,
  PRIMARY KEY  (account_id,user_name )
);

CREATE TABLE ci_attributes (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  ci_name varchar2(64) NOT NULL ,
  serial varchar2(64) ,
  ci_type number(11) ,
  location number(11) ,
  owner varchar2(64) ,
  owner_group varchar2(64) ,
  company number(11) ,
  company_backup  NUMBER(11) default 0,
  supplier number(11) ,
  supply_date DATE ,
  accept_date DATE ,
  status number(11) ,
  priority number(11) ,
  notes varchar2(4000),
  import_item_id varchar2(64) ,
  import_item_type number(2),
  history_version number(11) NOT NULL ,
  ci_cust_text_1 varchar2(64) ,
  ci_cust_text_2 varchar2(64) ,
  ci_cust_text_3 varchar2(64) ,
  ci_cust_text_4 varchar2(64) ,
  ci_cust_text_5 varchar2(64) ,
  ci_cust_text_6 varchar2(64) ,
  ci_cust_text_7 varchar2(64) ,
  ci_cust_text_8 varchar2(64) ,
  ci_cust_text_9 varchar2(64) ,
  ci_cust_text_10 varchar2(64) ,
  ci_cust_text_11 varchar2(64) ,
  ci_cust_text_12 varchar2(64) ,
  ci_cust_text_13 varchar2(64) ,
  ci_cust_text_14 varchar2(64) ,
  ci_cust_text_15 varchar2(64) ,
  ci_cust_text_16 varchar2(64) ,
  ci_cust_text_17 varchar2(64) ,
  ci_cust_text_18 varchar2(64) ,
  ci_cust_text_19 varchar2(64) ,
  ci_cust_text_20 varchar2(64) ,
  ci_cust_text_21 varchar2(64) ,
  ci_cust_text_22 varchar2(64) ,
  ci_cust_text_23 varchar2(64) ,
  ci_cust_text_24 varchar2(64) ,
  ci_cust_text_25 varchar2(64) ,
  ci_cust_text_26 varchar2(64) ,
  ci_cust_text_27 varchar2(64) ,
  ci_cust_text_28 varchar2(64) ,
  ci_cust_text_29 varchar2(64) ,
  ci_cust_text_30 varchar2(64) ,
  ci_cust_text_31 varchar2(64) ,
  ci_cust_text_32 varchar2(64) ,
  ci_cust_text_33 varchar2(64) ,
  ci_cust_text_34 varchar2(64) ,
  ci_cust_text_35 varchar2(64) ,
  ci_cust_text_36 varchar2(64) ,
  ci_cust_text_37 varchar2(64) ,
  ci_cust_text_38 varchar2(64) ,
  ci_cust_text_39 varchar2(64) ,
  ci_cust_text_40 varchar2(64) ,
  ci_cust_text_41 varchar2(64) ,
  ci_cust_text_42 varchar2(64) ,
  ci_cust_text_43 varchar2(64) ,
  ci_cust_text_44 varchar2(64) ,
  ci_cust_text_45 varchar2(64) ,
  ci_cust_text_46 varchar2(64) ,
  ci_cust_text_47 varchar2(64) ,
  ci_cust_text_48 varchar2(64) ,
  ci_cust_text_49 varchar2(64) ,
  ci_cust_text_50 varchar2(64) ,
  ci_cust_long_text_1 varchar2(4000) ,
  ci_cust_long_text_2 varchar2(4000) ,
  ci_cust_long_text_3 varchar2(4000) ,
  ci_cust_long_text_4 varchar2(4000) ,
  ci_cust_long_text_5 varchar2(4000) ,
  ci_cust_long_text_6 varchar2(4000) ,
  ci_cust_long_text_7 varchar2(4000) ,
  ci_cust_long_text_8 varchar2(4000) ,
  ci_cust_long_text_9 varchar2(4000) ,
  ci_cust_long_text_10 varchar2(4000) ,
  ci_cust_long_text_11 varchar2(4000) ,
  ci_cust_long_text_12 varchar2(4000) ,
  ci_cust_long_text_13 varchar2(4000) ,
  ci_cust_long_text_14 varchar2(4000) ,
  ci_cust_long_text_15 varchar2(4000) ,
  ci_cust_long_text_16 varchar2(4000) ,
  ci_cust_long_text_17 varchar2(4000) ,
  ci_cust_long_text_18 varchar2(4000) ,
  ci_cust_long_text_19 varchar2(4000) ,
  ci_cust_long_text_20 varchar2(4000) ,
  ci_cust_long_text_21 varchar2(4000) ,
  ci_cust_long_text_22 varchar2(4000) ,
  ci_cust_long_text_23 varchar2(4000) ,
  ci_cust_long_text_24 varchar2(4000) ,
  ci_cust_long_text_25 varchar2(4000) ,
  ci_cust_long_text_26 varchar2(4000) ,
  ci_cust_long_text_27 varchar2(4000) ,
  ci_cust_long_text_28 varchar2(4000) ,
  ci_cust_long_text_29 varchar2(4000) ,
  ci_cust_long_text_30 varchar2(4000) ,
  ci_cust_long_text_31 varchar2(4000) ,
  ci_cust_long_text_32 varchar2(4000) ,
  ci_cust_long_text_33 varchar2(4000) ,
  ci_cust_long_text_34 varchar2(4000) ,
  ci_cust_long_text_35 varchar2(4000) ,
  ci_cust_long_text_36 varchar2(4000) ,
  ci_cust_long_text_37 varchar2(4000) ,
  ci_cust_long_text_38 varchar2(4000) ,
  ci_cust_long_text_39 varchar2(4000) ,
  ci_cust_long_text_40 varchar2(4000) ,
  ci_cust_long_text_41 varchar2(4000) ,
  ci_cust_long_text_42 varchar2(4000) ,
  ci_cust_long_text_43 varchar2(4000) ,
  ci_cust_long_text_44 varchar2(4000) ,
  ci_cust_long_text_45 varchar2(4000) ,
  ci_cust_long_text_46 varchar2(4000) ,
  ci_cust_long_text_47 varchar2(4000) ,
  ci_cust_long_text_48 varchar2(4000) ,
  ci_cust_long_text_49 varchar2(4000) ,
  ci_cust_long_text_50 varchar2(4000) ,
  ci_cust_date_1 DATE ,
  ci_cust_date_2 DATE ,
  ci_cust_date_3 DATE ,
  ci_cust_date_4 DATE ,
  ci_cust_date_5 DATE ,
  ci_cust_date_6 DATE ,
  ci_cust_date_7 DATE ,
  ci_cust_date_8 DATE ,
  ci_cust_date_9 DATE ,
  ci_cust_date_10 DATE ,
  ci_cust_date_11 DATE ,
  ci_cust_date_12 DATE ,
  ci_cust_date_13 DATE ,
  ci_cust_date_14 DATE ,
  ci_cust_date_15 DATE ,
  ci_cust_date_16 DATE ,
  ci_cust_date_17 DATE ,
  ci_cust_date_18 DATE ,
  ci_cust_date_19 DATE ,
  ci_cust_date_20 DATE ,
  ci_cust_date_21 DATE ,
  ci_cust_date_22 DATE ,
  ci_cust_date_23 DATE ,
  ci_cust_date_24 DATE ,
  ci_cust_date_25 DATE ,
  ci_cust_date_26 DATE ,
  ci_cust_date_27 DATE ,
  ci_cust_date_28 DATE ,
  ci_cust_date_29 DATE ,
  ci_cust_date_30 DATE ,
  ci_cust_date_31 DATE ,
  ci_cust_date_32 DATE ,
  ci_cust_date_33 DATE ,
  ci_cust_date_34 DATE ,
  ci_cust_date_35 DATE ,
  ci_cust_date_36 DATE ,
  ci_cust_date_37 DATE ,
  ci_cust_date_38 DATE ,
  ci_cust_date_39 DATE ,
  ci_cust_date_40 DATE ,
  ci_cust_date_41 DATE ,
  ci_cust_date_42 DATE ,
  ci_cust_date_43 DATE ,
  ci_cust_date_44 DATE ,
  ci_cust_date_45 DATE ,
  ci_cust_date_46 DATE ,
  ci_cust_date_47 DATE ,
  ci_cust_date_48 DATE ,
  ci_cust_date_49 DATE ,
  ci_cust_date_50 DATE ,
  ci_cust_list_1 number(11) ,
  ci_cust_list_2 number(11) ,
  ci_cust_list_3 number(11) ,
  ci_cust_list_4 number(11) ,
  ci_cust_list_5 number(11) ,
  ci_cust_list_6 number(11) ,
  ci_cust_list_7 number(11) ,
  ci_cust_list_8 number(11) ,
  ci_cust_list_9 number(11) ,
  ci_cust_list_10 number(11) ,
  ci_cust_list_11 number(11) ,
  ci_cust_list_12 number(11) ,
  ci_cust_list_13 number(11) ,
  ci_cust_list_14 number(11) ,
  ci_cust_list_15 number(11) ,
  ci_cust_list_16 number(11) ,
  ci_cust_list_17 number(11) ,
  ci_cust_list_18 number(11) ,
  ci_cust_list_19 number(11) ,
  ci_cust_list_20 number(11) ,
  ci_cust_list_21 number(11) ,
  ci_cust_list_22 number(11) ,
  ci_cust_list_23 number(11) ,
  ci_cust_list_24 number(11) ,
  ci_cust_list_25 number(11) ,
  ci_cust_list_26 number(11) ,
  ci_cust_list_27 number(11) ,
  ci_cust_list_28 number(11) ,
  ci_cust_list_29 number(11) ,
  ci_cust_list_30 number(11) ,
  ci_cust_list_31 number(11) ,
  ci_cust_list_32 number(11) ,
  ci_cust_list_33 number(11) ,
  ci_cust_list_34 number(11) ,
  ci_cust_list_35 number(11) ,
  ci_cust_list_36 number(11) ,
  ci_cust_list_37 number(11) ,
  ci_cust_list_38 number(11) ,
  ci_cust_list_39 number(11) ,
  ci_cust_list_40 number(11) ,
  ci_cust_list_41 number(11) ,
  ci_cust_list_42 number(11) ,
  ci_cust_list_43 number(11) ,
  ci_cust_list_44 number(11) ,
  ci_cust_list_45 number(11) ,
  ci_cust_list_46 number(11) ,
  ci_cust_list_47 number(11) ,
  ci_cust_list_48 number(11) ,
  ci_cust_list_49 number(11) ,
  ci_cust_list_50 number(11) ,
  ci_cust_int_1 number(11) ,
  ci_cust_int_2 number(11) ,
  ci_cust_int_3 number(11) ,
  ci_cust_int_4 number(11) ,
  ci_cust_int_5 number(11) ,
  ci_cust_int_6 number(11) ,
  ci_cust_int_7 number(11) ,
  ci_cust_int_8 number(11) ,
  ci_cust_int_9 number(11) ,
  ci_cust_int_10 number(11) ,
  ci_cust_int_11 number(11) ,
  ci_cust_int_12 number(11) ,
  ci_cust_int_13 number(11) ,
  ci_cust_int_14 number(11) ,
  ci_cust_int_15 number(11) ,
  ci_cust_int_16 number(11) ,
  ci_cust_int_17 number(11) ,
  ci_cust_int_18 number(11) ,
  ci_cust_int_19 number(11) ,
  ci_cust_int_20 number(11) ,
  ci_cust_int_21 number(11) ,
  ci_cust_int_22 number(11) ,
  ci_cust_int_23 number(11) ,
  ci_cust_int_24 number(11) ,
  ci_cust_int_25 number(11) ,
  ci_cust_int_26 number(11) ,
  ci_cust_int_27 number(11) ,
  ci_cust_int_28 number(11) ,
  ci_cust_int_29 number(11) ,
  ci_cust_int_30 number(11) ,
  ci_cust_int_31 number(11) ,
  ci_cust_int_32 number(11) ,
  ci_cust_int_33 number(11) ,
  ci_cust_int_34 number(11) ,
  ci_cust_int_35 number(11) ,
  ci_cust_int_36 number(11) ,
  ci_cust_int_37 number(11) ,
  ci_cust_int_38 number(11) ,
  ci_cust_int_39 number(11) ,
  ci_cust_int_40 number(11) ,
  ci_cust_int_41 number(11) ,
  ci_cust_int_42 number(11) ,
  ci_cust_int_43 number(11) ,
  ci_cust_int_44 number(11) ,
  ci_cust_int_45 number(11) ,
  ci_cust_int_46 number(11) ,
  ci_cust_int_47 number(11) ,
  ci_cust_int_48 number(11) ,
  ci_cust_int_49 number(11) ,
  ci_cust_int_50 number(11) ,
  problem_type varchar2(64) ,
  problem_sub_type varchar2(64) ,
  third_level_category varchar2(64),
  ci_sub_type number(11) default 0,
  PRIMARY KEY  (id)
) ;

create sequence ci_attributes_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE INDEX CI_ATTRIBUTES_IDX1 ON ci_attributes (account_id,import_item_id);

CREATE TABLE ci_history (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  ci_name varchar2(64) NOT NULL ,
  serial varchar2(64) ,
  ci_type number(11) ,
  location number(11) ,
  owner varchar2(64) ,
  owner_group varchar2(64) ,
  company number(11) ,
  company_backup number(11) default 0,
  supplier number(11) ,
  supply_date DATE ,
  accept_date DATE ,
  status number(11) ,
  priority number(11) ,
  notes varchar2(4000),
  import_desc varchar2(255) ,
  history_version number(11) NOT NULL ,
  ci_cust_text_1 varchar2(64) ,
  ci_cust_text_2 varchar2(64) ,
  ci_cust_text_3 varchar2(64) ,
  ci_cust_text_4 varchar2(64) ,
  ci_cust_text_5 varchar2(64) ,
  ci_cust_text_6 varchar2(64) ,
  ci_cust_text_7 varchar2(64) ,
  ci_cust_text_8 varchar2(64) ,
  ci_cust_text_9 varchar2(64) ,
  ci_cust_text_10 varchar2(64) ,
  ci_cust_text_11 varchar2(64) ,
  ci_cust_text_12 varchar2(64) ,
  ci_cust_text_13 varchar2(64) ,
  ci_cust_text_14 varchar2(64) ,
  ci_cust_text_15 varchar2(64) ,
  ci_cust_text_16 varchar2(64) ,
  ci_cust_text_17 varchar2(64) ,
  ci_cust_text_18 varchar2(64) ,
  ci_cust_text_19 varchar2(64) ,
  ci_cust_text_20 varchar2(64) ,
  ci_cust_text_21 varchar2(64) ,
  ci_cust_text_22 varchar2(64) ,
  ci_cust_text_23 varchar2(64) ,
  ci_cust_text_24 varchar2(64) ,
  ci_cust_text_25 varchar2(64) ,
  ci_cust_text_26 varchar2(64) ,
  ci_cust_text_27 varchar2(64) ,
  ci_cust_text_28 varchar2(64) ,
  ci_cust_text_29 varchar2(64) ,
  ci_cust_text_30 varchar2(64) ,
  ci_cust_text_31 varchar2(64) ,
  ci_cust_text_32 varchar2(64) ,
  ci_cust_text_33 varchar2(64) ,
  ci_cust_text_34 varchar2(64) ,
  ci_cust_text_35 varchar2(64) ,
  ci_cust_text_36 varchar2(64) ,
  ci_cust_text_37 varchar2(64) ,
  ci_cust_text_38 varchar2(64) ,
  ci_cust_text_39 varchar2(64) ,
  ci_cust_text_40 varchar2(64) ,
  ci_cust_text_41 varchar2(64) ,
  ci_cust_text_42 varchar2(64) ,
  ci_cust_text_43 varchar2(64) ,
  ci_cust_text_44 varchar2(64) ,
  ci_cust_text_45 varchar2(64) ,
  ci_cust_text_46 varchar2(64) ,
  ci_cust_text_47 varchar2(64) ,
  ci_cust_text_48 varchar2(64) ,
  ci_cust_text_49 varchar2(64) ,
  ci_cust_text_50 varchar2(64) ,
  ci_cust_long_text_1 varchar2(4000) ,
  ci_cust_long_text_2 varchar2(4000) ,
  ci_cust_long_text_3 varchar2(4000) ,
  ci_cust_long_text_4 varchar2(4000) ,
  ci_cust_long_text_5 varchar2(4000) ,
  ci_cust_long_text_6 varchar2(4000) ,
  ci_cust_long_text_7 varchar2(4000) ,
  ci_cust_long_text_8 varchar2(4000) ,
  ci_cust_long_text_9 varchar2(4000) ,
  ci_cust_long_text_10 varchar2(4000) ,
  ci_cust_long_text_11 varchar2(4000) ,
  ci_cust_long_text_12 varchar2(4000) ,
  ci_cust_long_text_13 varchar2(4000) ,
  ci_cust_long_text_14 varchar2(4000) ,
  ci_cust_long_text_15 varchar2(4000) ,
  ci_cust_long_text_16 varchar2(4000) ,
  ci_cust_long_text_17 varchar2(4000) ,
  ci_cust_long_text_18 varchar2(4000) ,
  ci_cust_long_text_19 varchar2(4000) ,
  ci_cust_long_text_20 varchar2(4000) ,
  ci_cust_long_text_21 varchar2(4000) ,
  ci_cust_long_text_22 varchar2(4000) ,
  ci_cust_long_text_23 varchar2(4000) ,
  ci_cust_long_text_24 varchar2(4000) ,
  ci_cust_long_text_25 varchar2(4000) ,
  ci_cust_long_text_26 varchar2(4000) ,
  ci_cust_long_text_27 varchar2(4000) ,
  ci_cust_long_text_28 varchar2(4000) ,
  ci_cust_long_text_29 varchar2(4000) ,
  ci_cust_long_text_30 varchar2(4000) ,
  ci_cust_long_text_31 varchar2(4000) ,
  ci_cust_long_text_32 varchar2(4000) ,
  ci_cust_long_text_33 varchar2(4000) ,
  ci_cust_long_text_34 varchar2(4000) ,
  ci_cust_long_text_35 varchar2(4000) ,
  ci_cust_long_text_36 varchar2(4000) ,
  ci_cust_long_text_37 varchar2(4000) ,
  ci_cust_long_text_38 varchar2(4000) ,
  ci_cust_long_text_39 varchar2(4000) ,
  ci_cust_long_text_40 varchar2(4000) ,
  ci_cust_long_text_41 varchar2(4000) ,
  ci_cust_long_text_42 varchar2(4000) ,
  ci_cust_long_text_43 varchar2(4000) ,
  ci_cust_long_text_44 varchar2(4000) ,
  ci_cust_long_text_45 varchar2(4000) ,
  ci_cust_long_text_46 varchar2(4000) ,
  ci_cust_long_text_47 varchar2(4000) ,
  ci_cust_long_text_48 varchar2(4000) ,
  ci_cust_long_text_49 varchar2(4000) ,
  ci_cust_long_text_50 varchar2(4000) ,
  ci_cust_date_1 DATE ,
  ci_cust_date_2 DATE ,
  ci_cust_date_3 DATE ,
  ci_cust_date_4 DATE ,
  ci_cust_date_5 DATE ,
  ci_cust_date_6 DATE ,
  ci_cust_date_7 DATE ,
  ci_cust_date_8 DATE ,
  ci_cust_date_9 DATE ,
  ci_cust_date_10 DATE ,
  ci_cust_date_11 DATE ,
  ci_cust_date_12 DATE ,
  ci_cust_date_13 DATE ,
  ci_cust_date_14 DATE ,
  ci_cust_date_15 DATE ,
  ci_cust_date_16 DATE ,
  ci_cust_date_17 DATE ,
  ci_cust_date_18 DATE ,
  ci_cust_date_19 DATE ,
  ci_cust_date_20 DATE ,
  ci_cust_date_21 DATE ,
  ci_cust_date_22 DATE ,
  ci_cust_date_23 DATE ,
  ci_cust_date_24 DATE ,
  ci_cust_date_25 DATE ,
  ci_cust_date_26 DATE ,
  ci_cust_date_27 DATE ,
  ci_cust_date_28 DATE ,
  ci_cust_date_29 DATE ,
  ci_cust_date_30 DATE ,
  ci_cust_date_31 DATE ,
  ci_cust_date_32 DATE ,
  ci_cust_date_33 DATE ,
  ci_cust_date_34 DATE ,
  ci_cust_date_35 DATE ,
  ci_cust_date_36 DATE ,
  ci_cust_date_37 DATE ,
  ci_cust_date_38 DATE ,
  ci_cust_date_39 DATE ,
  ci_cust_date_40 DATE ,
  ci_cust_date_41 DATE ,
  ci_cust_date_42 DATE ,
  ci_cust_date_43 DATE ,
  ci_cust_date_44 DATE ,
  ci_cust_date_45 DATE ,
  ci_cust_date_46 DATE ,
  ci_cust_date_47 DATE ,
  ci_cust_date_48 DATE ,
  ci_cust_date_49 DATE ,
  ci_cust_date_50 DATE ,
  ci_cust_list_1 number(11) ,
  ci_cust_list_2 number(11) ,
  ci_cust_list_3 number(11) ,
  ci_cust_list_4 number(11) ,
  ci_cust_list_5 number(11) ,
  ci_cust_list_6 number(11) ,
  ci_cust_list_7 number(11) ,
  ci_cust_list_8 number(11) ,
  ci_cust_list_9 number(11) ,
  ci_cust_list_10 number(11) ,
  ci_cust_list_11 number(11) ,
  ci_cust_list_12 number(11) ,
  ci_cust_list_13 number(11) ,
  ci_cust_list_14 number(11) ,
  ci_cust_list_15 number(11) ,
  ci_cust_list_16 number(11) ,
  ci_cust_list_17 number(11) ,
  ci_cust_list_18 number(11) ,
  ci_cust_list_19 number(11) ,
  ci_cust_list_20 number(11) ,
  ci_cust_list_21 number(11) ,
  ci_cust_list_22 number(11) ,
  ci_cust_list_23 number(11) ,
  ci_cust_list_24 number(11) ,
  ci_cust_list_25 number(11) ,
  ci_cust_list_26 number(11) ,
  ci_cust_list_27 number(11) ,
  ci_cust_list_28 number(11) ,
  ci_cust_list_29 number(11) ,
  ci_cust_list_30 number(11) ,
  ci_cust_list_31 number(11) ,
  ci_cust_list_32 number(11) ,
  ci_cust_list_33 number(11) ,
  ci_cust_list_34 number(11) ,
  ci_cust_list_35 number(11) ,
  ci_cust_list_36 number(11) ,
  ci_cust_list_37 number(11) ,
  ci_cust_list_38 number(11) ,
  ci_cust_list_39 number(11) ,
  ci_cust_list_40 number(11) ,
  ci_cust_list_41 number(11) ,
  ci_cust_list_42 number(11) ,
  ci_cust_list_43 number(11) ,
  ci_cust_list_44 number(11) ,
  ci_cust_list_45 number(11) ,
  ci_cust_list_46 number(11) ,
  ci_cust_list_47 number(11) ,
  ci_cust_list_48 number(11) ,
  ci_cust_list_49 number(11) ,
  ci_cust_list_50 number(11) ,
  ci_cust_int_1 number(11) ,
  ci_cust_int_2 number(11) ,
  ci_cust_int_3 number(11) ,
  ci_cust_int_4 number(11) ,
  ci_cust_int_5 number(11) ,
  ci_cust_int_6 number(11) ,
  ci_cust_int_7 number(11) ,
  ci_cust_int_8 number(11) ,
  ci_cust_int_9 number(11) ,
  ci_cust_int_10 number(11) ,
  ci_cust_int_11 number(11) ,
  ci_cust_int_12 number(11) ,
  ci_cust_int_13 number(11) ,
  ci_cust_int_14 number(11) ,
  ci_cust_int_15 number(11) ,
  ci_cust_int_16 number(11) ,
  ci_cust_int_17 number(11) ,
  ci_cust_int_18 number(11) ,
  ci_cust_int_19 number(11) ,
  ci_cust_int_20 number(11) ,
  ci_cust_int_21 number(11) ,
  ci_cust_int_22 number(11) ,
  ci_cust_int_23 number(11) ,
  ci_cust_int_24 number(11) ,
  ci_cust_int_25 number(11) ,
  ci_cust_int_26 number(11) ,
  ci_cust_int_27 number(11) ,
  ci_cust_int_28 number(11) ,
  ci_cust_int_29 number(11) ,
  ci_cust_int_30 number(11) ,
  ci_cust_int_31 number(11) ,
  ci_cust_int_32 number(11) ,
  ci_cust_int_33 number(11) ,
  ci_cust_int_34 number(11) ,
  ci_cust_int_35 number(11) ,
  ci_cust_int_36 number(11) ,
  ci_cust_int_37 number(11) ,
  ci_cust_int_38 number(11) ,
  ci_cust_int_39 number(11) ,
  ci_cust_int_40 number(11) ,
  ci_cust_int_41 number(11) ,
  ci_cust_int_42 number(11) ,
  ci_cust_int_43 number(11) ,
  ci_cust_int_44 number(11) ,
  ci_cust_int_45 number(11) ,
  ci_cust_int_46 number(11) ,
  ci_cust_int_47 number(11) ,
  ci_cust_int_48 number(11) ,
  ci_cust_int_49 number(11) ,
  ci_cust_int_50 number(11) ,
  relation_changes varchar2(4000),
  change_time DATE,
  changed_by varchar2(64),
  problem_type varchar2(64) ,
  problem_sub_type varchar2(64) ,
  third_level_category varchar2(64),
  ci_sub_type number(11) default 0,
  PRIMARY KEY  (id,history_version)
) ;

CREATE TABLE ci_type (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  ci_type_name varchar2(64) NOT NULL ,
  description varchar2(4000),
  predefined varchar2(1),
  PRIMARY KEY  (id)
) ;

create sequence ci_type_seq START WITH 100 INCREMENT BY 1 NOCACHE NOCYCLE;

INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (1,'account','Asset','System Asset (Workstation,Server,Laptop,Printer,PDA,Other)','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (2,'account','Software Product','','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (3,'account','Catalog','System Asset Catalog','1');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (4,'account','System Software','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (5,'account','Network Component','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (6,'account','Business Process','','0');
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (7,'account','Application','',0);
INSERT INTO ci_type (id,account_id,ci_type_name,description,predefined) VALUES (8,'account','Physical Database','','0');

CREATE TABLE ci_sub_type (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  ci_type_id number(11) NOT NULL ,
  caption varchar2(64) NOT NULL ,
  file_name varchar2(255),
  PRIMARY KEY (id)
) ;

create sequence ci_sub_type_seq START WITH 100 INCREMENT BY 1 NOCACHE NOCYCLE;

insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (1,'account',1,'Laptop','laptop_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (2,'account',1,'Smartphone','pda_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (3,'account',1,'Printer','printer_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (4,'account',1,'Server','server_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (5,'account',1,'Workstation','workstation_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (6,'account',1,'Switch','switch_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (7,'account',1,'Router','router_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (8,'account',1,'DHCP Server','dhcp_server_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (9,'account',1,'Other SNMP Device','snmp_device_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (10,'account',1,'Other','other_32.png');
insert into ci_sub_type (id,account_id,ci_type_id,caption,file_name) values (11,'account',1,'Tablet','tablet_32.png');

CREATE TABLE ci_relation (
  src number(11) NOT NULL,
  dest number(11) NOT NULL,
  ci_relation_type number(11) NOT NULL,
  PRIMARY KEY  (src, dest, ci_relation_type)
) ;

CREATE TABLE ci_relation_type (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  relation_name varchar2(64) NOT NULL ,
  opposite_relation_name varchar2(64),
  predefined varchar2(1),
  PRIMARY KEY  (id)
) ;

create sequence ci_relation_type_seq START WITH 100 INCREMENT BY 1 NOCACHE NOCYCLE;

INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (1,'account','Consists','Part of','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (2,'account','Installed on','Contains SW','1');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (3,'account','Used by','Uses',0);
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (4,'account','Connected to','Connected to','0');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (5,'account','Accessed by','Can access','0');
INSERT INTO ci_relation_type (id,account_id,relation_name,opposite_relation_name,predefined) VALUES (6,'account','Hosts','Hosted on','1');

CREATE TABLE ci_template (
  account_id varchar2(32) NOT NULL ,
  template_name varchar2(64) NOT NULL ,
  ci_type number(11) ,
  location number(11) ,
  owner varchar2(64) ,
  owner_group varchar2(64) ,
  company number(11) ,
  company_backup  NUMBER(11) default 0,
  supplier number(11) ,
  supply_date DATE ,
  accept_date DATE ,
  status number(11) ,
  priority number(11) ,
  notes varchar2(4000),
  ci_cust_text_1 varchar2(64) ,
  ci_cust_text_2 varchar2(64) ,
  ci_cust_text_3 varchar2(64) ,
  ci_cust_text_4 varchar2(64) ,
  ci_cust_text_5 varchar2(64) ,
  ci_cust_text_6 varchar2(64) ,
  ci_cust_text_7 varchar2(64) ,
  ci_cust_text_8 varchar2(64) ,
  ci_cust_text_9 varchar2(64) ,
  ci_cust_text_10 varchar2(64) ,
  ci_cust_text_11 varchar2(64) ,
  ci_cust_text_12 varchar2(64) ,
  ci_cust_text_13 varchar2(64) ,
  ci_cust_text_14 varchar2(64) ,
  ci_cust_text_15 varchar2(64) ,
  ci_cust_text_16 varchar2(64) ,
  ci_cust_text_17 varchar2(64) ,
  ci_cust_text_18 varchar2(64) ,
  ci_cust_text_19 varchar2(64) ,
  ci_cust_text_20 varchar2(64) ,
  ci_cust_text_21 varchar2(64) ,
  ci_cust_text_22 varchar2(64) ,
  ci_cust_text_23 varchar2(64) ,
  ci_cust_text_24 varchar2(64) ,
  ci_cust_text_25 varchar2(64) ,
  ci_cust_text_26 varchar2(64) ,
  ci_cust_text_27 varchar2(64) ,
  ci_cust_text_28 varchar2(64) ,
  ci_cust_text_29 varchar2(64) ,
  ci_cust_text_30 varchar2(64) ,
  ci_cust_text_31 varchar2(64) ,
  ci_cust_text_32 varchar2(64) ,
  ci_cust_text_33 varchar2(64) ,
  ci_cust_text_34 varchar2(64) ,
  ci_cust_text_35 varchar2(64) ,
  ci_cust_text_36 varchar2(64) ,
  ci_cust_text_37 varchar2(64) ,
  ci_cust_text_38 varchar2(64) ,
  ci_cust_text_39 varchar2(64) ,
  ci_cust_text_40 varchar2(64) ,
  ci_cust_text_41 varchar2(64) ,
  ci_cust_text_42 varchar2(64) ,
  ci_cust_text_43 varchar2(64) ,
  ci_cust_text_44 varchar2(64) ,
  ci_cust_text_45 varchar2(64) ,
  ci_cust_text_46 varchar2(64) ,
  ci_cust_text_47 varchar2(64) ,
  ci_cust_text_48 varchar2(64) ,
  ci_cust_text_49 varchar2(64) ,
  ci_cust_text_50 varchar2(64) ,
  ci_cust_long_text_1 varchar2(4000) ,
  ci_cust_long_text_2 varchar2(4000) ,
  ci_cust_long_text_3 varchar2(4000) ,
  ci_cust_long_text_4 varchar2(4000) ,
  ci_cust_long_text_5 varchar2(4000) ,
  ci_cust_long_text_6 varchar2(4000) ,
  ci_cust_long_text_7 varchar2(4000) ,
  ci_cust_long_text_8 varchar2(4000) ,
  ci_cust_long_text_9 varchar2(4000) ,
  ci_cust_long_text_10 varchar2(4000) ,
  ci_cust_long_text_11 varchar2(4000) ,
  ci_cust_long_text_12 varchar2(4000) ,
  ci_cust_long_text_13 varchar2(4000) ,
  ci_cust_long_text_14 varchar2(4000) ,
  ci_cust_long_text_15 varchar2(4000) ,
  ci_cust_long_text_16 varchar2(4000) ,
  ci_cust_long_text_17 varchar2(4000) ,
  ci_cust_long_text_18 varchar2(4000) ,
  ci_cust_long_text_19 varchar2(4000) ,
  ci_cust_long_text_20 varchar2(4000) ,
  ci_cust_long_text_21 varchar2(4000) ,
  ci_cust_long_text_22 varchar2(4000) ,
  ci_cust_long_text_23 varchar2(4000) ,
  ci_cust_long_text_24 varchar2(4000) ,
  ci_cust_long_text_25 varchar2(4000) ,
  ci_cust_long_text_26 varchar2(4000) ,
  ci_cust_long_text_27 varchar2(4000) ,
  ci_cust_long_text_28 varchar2(4000) ,
  ci_cust_long_text_29 varchar2(4000) ,
  ci_cust_long_text_30 varchar2(4000) ,
  ci_cust_long_text_31 varchar2(4000) ,
  ci_cust_long_text_32 varchar2(4000) ,
  ci_cust_long_text_33 varchar2(4000) ,
  ci_cust_long_text_34 varchar2(4000) ,
  ci_cust_long_text_35 varchar2(4000) ,
  ci_cust_long_text_36 varchar2(4000) ,
  ci_cust_long_text_37 varchar2(4000) ,
  ci_cust_long_text_38 varchar2(4000) ,
  ci_cust_long_text_39 varchar2(4000) ,
  ci_cust_long_text_40 varchar2(4000) ,
  ci_cust_long_text_41 varchar2(4000) ,
  ci_cust_long_text_42 varchar2(4000) ,
  ci_cust_long_text_43 varchar2(4000) ,
  ci_cust_long_text_44 varchar2(4000) ,
  ci_cust_long_text_45 varchar2(4000) ,
  ci_cust_long_text_46 varchar2(4000) ,
  ci_cust_long_text_47 varchar2(4000) ,
  ci_cust_long_text_48 varchar2(4000) ,
  ci_cust_long_text_49 varchar2(4000) ,
  ci_cust_long_text_50 varchar2(4000) ,
  ci_cust_date_1 DATE ,
  ci_cust_date_2 DATE ,
  ci_cust_date_3 DATE ,
  ci_cust_date_4 DATE ,
  ci_cust_date_5 DATE ,
  ci_cust_date_6 DATE ,
  ci_cust_date_7 DATE ,
  ci_cust_date_8 DATE ,
  ci_cust_date_9 DATE ,
  ci_cust_date_10 DATE ,
  ci_cust_date_11 DATE ,
  ci_cust_date_12 DATE ,
  ci_cust_date_13 DATE ,
  ci_cust_date_14 DATE ,
  ci_cust_date_15 DATE ,
  ci_cust_date_16 DATE ,
  ci_cust_date_17 DATE ,
  ci_cust_date_18 DATE ,
  ci_cust_date_19 DATE ,
  ci_cust_date_20 DATE ,
  ci_cust_date_21 DATE ,
  ci_cust_date_22 DATE ,
  ci_cust_date_23 DATE ,
  ci_cust_date_24 DATE ,
  ci_cust_date_25 DATE ,
  ci_cust_date_26 DATE ,
  ci_cust_date_27 DATE ,
  ci_cust_date_28 DATE ,
  ci_cust_date_29 DATE ,
  ci_cust_date_30 DATE ,
  ci_cust_date_31 DATE ,
  ci_cust_date_32 DATE ,
  ci_cust_date_33 DATE ,
  ci_cust_date_34 DATE ,
  ci_cust_date_35 DATE ,
  ci_cust_date_36 DATE ,
  ci_cust_date_37 DATE ,
  ci_cust_date_38 DATE ,
  ci_cust_date_39 DATE ,
  ci_cust_date_40 DATE ,
  ci_cust_date_41 DATE ,
  ci_cust_date_42 DATE ,
  ci_cust_date_43 DATE ,
  ci_cust_date_44 DATE ,
  ci_cust_date_45 DATE ,
  ci_cust_date_46 DATE ,
  ci_cust_date_47 DATE ,
  ci_cust_date_48 DATE ,
  ci_cust_date_49 DATE ,
  ci_cust_date_50 DATE ,
  ci_cust_list_1 number(11) ,
  ci_cust_list_2 number(11) ,
  ci_cust_list_3 number(11) ,
  ci_cust_list_4 number(11) ,
  ci_cust_list_5 number(11) ,
  ci_cust_list_6 number(11) ,
  ci_cust_list_7 number(11) ,
  ci_cust_list_8 number(11) ,
  ci_cust_list_9 number(11) ,
  ci_cust_list_10 number(11) ,
  ci_cust_list_11 number(11) ,
  ci_cust_list_12 number(11) ,
  ci_cust_list_13 number(11) ,
  ci_cust_list_14 number(11) ,
  ci_cust_list_15 number(11) ,
  ci_cust_list_16 number(11) ,
  ci_cust_list_17 number(11) ,
  ci_cust_list_18 number(11) ,
  ci_cust_list_19 number(11) ,
  ci_cust_list_20 number(11) ,
  ci_cust_list_21 number(11) ,
  ci_cust_list_22 number(11) ,
  ci_cust_list_23 number(11) ,
  ci_cust_list_24 number(11) ,
  ci_cust_list_25 number(11) ,
  ci_cust_list_26 number(11) ,
  ci_cust_list_27 number(11) ,
  ci_cust_list_28 number(11) ,
  ci_cust_list_29 number(11) ,
  ci_cust_list_30 number(11) ,
  ci_cust_list_31 number(11) ,
  ci_cust_list_32 number(11) ,
  ci_cust_list_33 number(11) ,
  ci_cust_list_34 number(11) ,
  ci_cust_list_35 number(11) ,
  ci_cust_list_36 number(11) ,
  ci_cust_list_37 number(11) ,
  ci_cust_list_38 number(11) ,
  ci_cust_list_39 number(11) ,
  ci_cust_list_40 number(11) ,
  ci_cust_list_41 number(11) ,
  ci_cust_list_42 number(11) ,
  ci_cust_list_43 number(11) ,
  ci_cust_list_44 number(11) ,
  ci_cust_list_45 number(11) ,
  ci_cust_list_46 number(11) ,
  ci_cust_list_47 number(11) ,
  ci_cust_list_48 number(11) ,
  ci_cust_list_49 number(11) ,
  ci_cust_list_50 number(11) ,
  ci_cust_int_1 number(11) ,
  ci_cust_int_2 number(11) ,
  ci_cust_int_3 number(11) ,
  ci_cust_int_4 number(11) ,
  ci_cust_int_5 number(11) ,
  ci_cust_int_6 number(11) ,
  ci_cust_int_7 number(11) ,
  ci_cust_int_8 number(11) ,
  ci_cust_int_9 number(11) ,
  ci_cust_int_10 number(11) ,
  ci_cust_int_11 number(11) ,
  ci_cust_int_12 number(11) ,
  ci_cust_int_13 number(11) ,
  ci_cust_int_14 number(11) ,
  ci_cust_int_15 number(11) ,
  ci_cust_int_16 number(11) ,
  ci_cust_int_17 number(11) ,
  ci_cust_int_18 number(11) ,
  ci_cust_int_19 number(11) ,
  ci_cust_int_20 number(11) ,
  ci_cust_int_21 number(11) ,
  ci_cust_int_22 number(11) ,
  ci_cust_int_23 number(11) ,
  ci_cust_int_24 number(11) ,
  ci_cust_int_25 number(11) ,
  ci_cust_int_26 number(11) ,
  ci_cust_int_27 number(11) ,
  ci_cust_int_28 number(11) ,
  ci_cust_int_29 number(11) ,
  ci_cust_int_30 number(11) ,
  ci_cust_int_31 number(11) ,
  ci_cust_int_32 number(11) ,
  ci_cust_int_33 number(11) ,
  ci_cust_int_34 number(11) ,
  ci_cust_int_35 number(11) ,
  ci_cust_int_36 number(11) ,
  ci_cust_int_37 number(11) ,
  ci_cust_int_38 number(11) ,
  ci_cust_int_39 number(11) ,
  ci_cust_int_40 number(11) ,
  ci_cust_int_41 number(11) ,
  ci_cust_int_42 number(11) ,
  ci_cust_int_43 number(11) ,
  ci_cust_int_44 number(11) ,
  ci_cust_int_45 number(11) ,
  ci_cust_int_46 number(11) ,
  ci_cust_int_47 number(11) ,
  ci_cust_int_48 number(11) ,
  ci_cust_int_49 number(11) ,
  ci_cust_int_50 number(11) ,
  problem_type varchar2(64) ,
  problem_sub_type varchar2(64) ,
  third_level_category varchar2(64),
  ci_sub_type number(11) default 0,
  PRIMARY KEY  (account_id, template_name, ci_type)
) ;


 create table audit_log (
   id number(11) NOT NULL,
   account_id varchar2(32) NOT NULL,
   audit_date  DATE,
   audit_module int,
   audit_sub_module int,
   audit_type int,
   audit_sub_type int,
   audit_severity int,
   user_name varchar2(64) NOT NULL,
   audit_info varchar2(4000),
   max_line_id number(11),
   max_line_ts number(13),
   PRIMARY KEY  (id )
 );

create sequence audit_log_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE ci_files (
   id number(11) NOT NULL,
   account_id varchar2(32) NOT NULL ,
   file_id varchar2(64) NOT NULL,
   file_name varchar2(255),
   file_date DATE,
   file_content LONG RAW ,
   real_file_name varchar2(255),
   PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE ci_links (
   id number(11) NOT NULL,
   account_id varchar2(32) NOT NULL ,
   file_id varchar2(64) NOT NULL ,
   link varchar2(255) NOT NULL,
   file_name varchar2(255),
   file_date DATE,
   PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE ci_template_links (
   template_name varchar2(64) NOT NULL ,
   ci_type number(11) ,
   account_id varchar2(32) NOT NULL ,
   file_id varchar2(64) NOT NULL ,
   link varchar2(255) NOT NULL,
   file_name varchar2(255),
   file_date DATE,
   PRIMARY KEY  (account_id,template_name,ci_type,file_id)
);

CREATE TABLE quick_list (
 account_id varchar2(32) NOT NULL ,
 sr_id number(11) NOT NULL,
 quick_name varchar2(255) ,
 quick_class varchar2(255) ,
 quick_visible char(1),
 PRIMARY KEY (account_id, sr_id)
);

CREATE TABLE asset_catalog_files (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE supplier_files (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE sysaid_user_files (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE company_files (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE service_req_links (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(4000) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

create table sr_sub_tab_files (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
);

create table sr_sub_tab_links (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE linked_service_req (
  account_id varchar2(32) NOT NULL ,
  id1 number(11)  NOT NULL,
  id2 number(11)  NOT NULL,
  PRIMARY KEY  (account_id,id1,id2)
);

CREATE TABLE sysaid_item_links (
  account_id varchar(32) NOT NULL ,
  item_id varchar(64) NOT NULL,
  item_type number(11) NOT NULL,
  linked_item_id varchar(64) NOT NULL,
  linked_item_type number(11) NOT NULL,
  is_main_linked_item varchar(1),
  cause_item  varchar2(64),
  PRIMARY KEY  (account_id,item_id,item_type,linked_item_id,linked_item_type)
);


CREATE TABLE project_links (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE task_links (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE asset_catalog_links (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE software_links (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE supplier_links (
  id number(11)  NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE sysaid_user_links (
  id varchar2(64) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(255) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE company_links (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL ,
  link varchar2(4000) NOT NULL,
  file_name varchar2(255),
  file_date DATE,
  PRIMARY KEY  (account_id,id,file_id )
);

CREATE TABLE asset_catalog_history(
    account_id varchar2(32) NOT NULL ,
    catalog_number varchar2(64) NOT NULL,
    name varchar2(255) NOT NULL ,
    model varchar2(64) ,
    manufacturer varchar2(64) ,
    supplier_id number(11),
    notes varchar2(4000),
    cust_date1 DATE,
    cust_date2 DATE,
    version number(11) NOT NULL,
    change_time DATE,
    changed_by varchar2(64),
    PRIMARY KEY  (account_id,catalog_number,version)
 );

CREATE TABLE software_history (
    software_id number(11) NOT NULL ,
    account_id varchar2(32) NOT NULL ,
    product_name varchar2(255) NOT NULL ,
    version varchar2(64) ,
    vendor varchar2(64) ,
    licenses number(11) ,
    purchase_date DATE,
    support_expiration DATE,
    notes varchar2(4000),
    company number(11),
    company_backup number(11) default 0,
    supplier number(11) default 0,
    cust_list1 number(11),
    cust_list2 number(11),
    cust_text1 varchar2(255),
    cust_text2 varchar2(255),
    cust_notes varchar2(4000),
    cust_int1 number(11),
    cust_int2 number(11),
    cust_date1 DATE,
    cust_date2 DATE,
    history_version number(11) NOT NULL,
    change_time DATE,
    changed_by varchar2(64),
    freeware varchar2(1),
    exceedlic_installed number(11) default 0,
    filter_xml clob,
    PRIMARY KEY  (software_id,history_version)
);

CREATE TABLE supplier_history(
    supplier_id number(11) NOT NULL ,
    account_id varchar2(32) NOT NULL ,
    name varchar2(255) NOT NULL ,
    address varchar2(4000),
    phone varchar2(64),
    fax  varchar2(64),
    email_address varchar2(64),
    notes varchar2(4000),
    mobile varchar2(64),
    phone2 varchar2(64),
    contact_name varchar2(64),
    account_number varchar2(64),
    cust_list1 number(11),
    cust_list2 number(11),
    cust_text1 varchar2(255),
    cust_text2 varchar2(255),
    cust_notes varchar2(4000),
    cust_int1 number(11),
    cust_int2 number(11),
    cust_date1 DATE,
    cust_date2 DATE,
    version number(11) NOT NULL,
    change_time DATE,
    changed_by varchar2(64),
    PRIMARY KEY  (supplier_id,version)
);

CREATE TABLE computer_history (
    account_id varchar2(32) NOT NULL ,
    computer_id varchar2(64) NOT NULL ,
    computer_name varchar2(64) ,
    computer_type varchar2(64) ,
    parent_group varchar2(255) NOT NULL ,
    inventory_xml LONG RAW,
    inventory_time DATE ,
    update_time DATE ,
    ip_address varchar2(64) ,
    description varchar2(255) ,
    username varchar2(64) ,
    location varchar2(255) ,
    location_idx  number(11),
    building varchar2(64),
    floor varchar2(64) ,
    cubic varchar2(64),
    catalog_number varchar2(64),
    supplier number(11),
    maintenance_supplier number(11),
    company_serial varchar2(64),
    external_serial varchar2(64),
    monitor varchar2(64),
    monitor_serial varchar2(64),
    collection_type number(11),
    collection_params varchar2(4000),
    cust_list1 number(11),
    cust_list2 number(11),
    cust_text1 varchar2(255),
    cust_text2 varchar2(255),
    cust_notes varchar2(4000),
    cust_int1 number(11),
    cust_int2 number(11),
    parent_asset varchar2(64),
    department NUMBER(11),
    company NUMBER(11),
    company_backup number(11) default 0,
    disable char(1),
    manual_asset char(1),
    purchase_cost float,
    purchase_currency number(11),
    agent_version varchar2(64),
    cust_date1 DATE,
    cust_date2 DATE,
    version number(11) NOT NULL,
    change_time DATE,
    changed_by varchar2(64),
    snmp_cust_text_1 varchar2(255),
    snmp_cust_text_2 varchar2(255),
    snmp_cust_text_3 varchar2(255),
    snmp_cust_text_4 varchar2(255),
    snmp_cust_text_5 varchar2(255),
    snmp_cust_text_6 varchar2(255),
    snmp_cust_text_7 varchar2(255),
    snmp_cust_text_8 varchar2(255),
    snmp_cust_text_9 varchar2(255),
    snmp_cust_text_10 varchar2(255),
    snmp_cust_text_11 varchar2(255),
    snmp_cust_text_12 varchar2(255),
    snmp_cust_text_13 varchar2(255),
    snmp_cust_text_14 varchar2(255),
    snmp_cust_text_15 varchar2(255),
    snmp_cust_text_16 varchar2(255),
    snmp_cust_text_17 varchar2(255),
    snmp_cust_text_18 varchar2(255),
    snmp_cust_text_19 varchar2(255),
    snmp_cust_text_20 varchar2(255),
    packets_in float default 0,
    packets_out float default 0,
    mac_address varchar2(255),
    last_boot DATE,
    track_asset number(11) default 0,
    first_access DATE,
    device_status number(11) default 0,
    device_policy number(11) default 0,
    device_ownership number(11) default 0,
    device_imei varchar2(255),
    device_icc varchar2(255),
    device_home_carrier varchar2(255),
    device_current_carrier varchar2(255),
    device_phone_number varchar2(64),
    device_push varchar2(255),
    ios_push_magic varchar2(255),
    ios_unlock_token varchar2(4000),
    designated_rds varchar2(64),
    gfi_version varchar2(64),
    gfi_build varchar2(64),
    policy_id number(11) default 0,
    patch_enabled number(1,0),
  last_scan_time DATE,
  last_patch_time DATE,
    settings_id number(11) default 0,
    PRIMARY KEY  (account_id,computer_id,version)
);

CREATE TABLE computer_attributes_history (
    account_id varchar2(32) NOT NULL ,
    computer_id varchar2(64) NOT NULL ,
    cpu_vendor varchar2(255) ,
    cpu_model varchar2(255) ,
    cpu_speed number(11) ,
    bios_type varchar2(255) ,
    display_adapter varchar2(255) ,
    display_memory number(28) ,
    display_resolution varchar2(255) ,
    os_type varchar2(255) ,
    os_version varchar2(255) ,
    os_service_pack varchar2(255) ,
    memory_physical number(20) ,
    serial varchar2(64),
    model varchar2(64) ,
    manufacturer varchar2(64) ,
    purchase_date DATE,
    warranty_expiration DATE,
    last_maintenance DATE,
    last_page_count number(11),
    maintenance_page_count number(11),
    disks_size number(11),
    disks_count number(11),
    mem_banks number(11),
    occupied_mem_banks number(11),
    free_mem_banks number(11),
    cpu_count NUMBER(11),
    os_name varchar2(255),
    os_platform varchar2(64),
    os_serial varchar2(255),
    version number(11) NOT NULL,
    cpu_family number(11),
    cpu_stepping number(11),
    cpu_model_number number(11),
    cpu_serial_number varchar2(255),
    nt_product_type varchar2(255),
    nt_product_type_2 varchar2(255),
    nt_os_edition varchar2(255),
    nt_service_pack_major_version number(11),
    nt_service_pack_minor_version number(11),
    os_registered_user varchar2(255),
    os_registered_org varchar2(255),
    os_build_number varchar2(255),
    os_kernel varchar2(255),
    os_power_shell_version varchar2(255),
    PRIMARY KEY  (account_id,computer_id,version)
);

CREATE TABLE company_history (
    company_id number(11) NOT NULL ,
    account_id varchar2(32) NOT NULL,
    company_name varchar2(255) ,
    address varchar2(255) ,
    address2 varchar2(255) ,
    city varchar2(64),
    state varchar2(64),
    zip varchar2(64),
    country varchar2(64),
    phone varchar2(64),
    fax varchar2(64),
    notes varchar2(4000),
    cust_list1 number(11),
    cust_list2 number(11),
    cust_text1 varchar2(255),
    cust_text2 varchar2(255),
    cust_notes varchar2(4000),
    cust_int1 number(11),
    cust_int2 number(11),
    expiration_time DATE,
    cust_date1 DATE,
    cust_date2 DATE,
    version number(11) NOT NULL,
    change_time DATE,
    changed_by varchar2(64),
    agreement number(11) default 0,
    agreement_start DATE,
    agreement_end DATE,
    logo_file_name varchar2(64),
    email_account varchar2(255),
    ssp_banner number(11) default 0,
    ssp_theme number(11) default 0,
    PRIMARY KEY  (company_id,version )
);

CREATE TABLE discovery_service (
  id number(11) NOT NULL,
  discovery_service_name varchar2(64) NOT NULL,
  create_date DATE,
  upgrade_date DATE,
  last_connection_date DATE,
  description varchar2(255),
  ip_address varchar2(64),
  location varchar2(64),
  version varchar2(64) NOT NULL ,
  credentials_list varchar2(4000),
  owner varchar2(64),
  domain varchar2(255),
  windows char(1),
  rds_url varchar2(255),
  client_version varchar2(64),
  gfi_version varchar2(64),
  gfi_build varchar2(64),
  pgfi_url varchar2(255),
  sr_notif_sent number(1,0) default 0,
  mail_notif_sent number(1,0) default 0,
  sms_notif_sent number(1,0) default 0,
  rds_unavailable number(1,0) default 0,
  logs_date varchar2(255),
  pm_relay_frequency int,
  pm_relay_default_start_time int,
  log_level varchar2(64),
  os_details varchar2(255),
  PRIMARY KEY  (id)
);

create sequence discovery_service_seq START WITH 2 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE customized_snmp_oids (
  id number(11) NOT NULL,
  oid varchar2(255) NOT NULL,
  display_name varchar2(255) NOT NULL,
  mapped_field number(11),
  filter_name varchar2(255),
  filter_expression varchar2(255),
  filter_node varchar2(4000),
  is_writable varchar2(1),
  addon_db_name varchar2(64),
  PRIMARY KEY  (id)
);
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (1,'1.3.6.1.2.1.2.2.1.6.1','Mac address of first network interface',0,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (2,'1.3.6.1.2.1.1.7.0','System services',2,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (3,'1.3.6.1.2.1.1.1.0','System description',3,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (4,'1.3.6.1.2.1.1.2.0','System object identifier',40,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (5,'1.3.6.1.2.1.1.3.0','System up time',41,' ',' ',' ','0',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (6,'1.3.6.1.2.1.1.4.0','System contact',42,' ',' ',' ','1',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (7,'1.3.6.1.2.1.1.5.0','System name',1,' ',' ',' ','1',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (8,'1.3.6.1.2.1.1.6.0','System location',44,' ',' ',' ','1',' ');
insert into customized_snmp_oids (id,oid,display_name,mapped_field,filter_name,filter_expression,filter_node,is_writable,addon_db_name) values (9,'1.3.6.1.2.1.2.2.1.2','Description of first network interface',43,' ',' ',' ','0',' ');
create sequence customized_snmp_seq START WITH 100 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE asset2ci (
  account_id varchar2(32) NOT NULL,
  asset_field varchar2(64) NOT NULL,
  ci_field varchar2(64) NOT NULL,
  position number(3),
  PRIMARY KEY  (account_id,asset_field)
);

insert into asset2ci values ('account','a.serial','serial',1);
insert into asset2ci values ('account','c.computer_name','ci_name',2);
insert into asset2ci values ('account','c.location_idx','location',3);
insert into asset2ci values ('account','c.supplier','supplier',4);
insert into asset2ci values ('account','c.username','owner',5);

CREATE TABLE status_settings (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL,
  change_status  number(11),
  incident_status number(11),
  exclude_statuses varchar2(255),
  PRIMARY KEY  (id)
);

CREATE TABLE user2ci (
  account_id varchar2(32) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  ci_id number(11) NOT NULL  ,
  PRIMARY KEY  (account_id,user_name,ci_id)
);

CREATE TABLE audit_log_lines (
  log_id number(11) NOT NULL,
  line_id number(11) NOT NULL,
  line_ts number(13) NOT NULL,
  audit_date  DATE NOT NULL,
  account_id varchar2(32) NOT NULL,
  audit_info  varchar2(4000),
  PRIMARY KEY  (log_id,line_ts )
 );

  create index audit_log_lines_idx1 on audit_log_lines (audit_date);
  create index audit_log_lines_idx2 on audit_log_lines (account_id, log_id);

CREATE TABLE faq_files (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  file_id varchar2(64) NOT NULL,
  file_name varchar2(255),
  file_date DATE, file_content LONG RAW ,
  real_file_name varchar2(255),
  PRIMARY KEY  (account_id,id,file_id )
 );

 CREATE TABLE reminders (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  reminder_name varchar2(64) NOT NULL,
  notification varchar2(64) NOT NULL,
  alert_before number(11) NOT NULL,
  alert_time varchar2(64) NOT NULL,
  filter_expression varchar2(4000),
  filter_sql varchar2(4000),
  PRIMARY KEY  (id)
 );
 create sequence reminders_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

 CREATE TABLE automatic_texts (
  id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL,
  title varchar2(255),
  description varchar2(4000) default NULL,
  assigned_group varchar2(64) default '',
  PRIMARY KEY (id,account_id)
);

create sequence automatic_texts_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE user_favorites (
  id number (11) NOT NULL,
  account_id varchar2(32) NOT NULL,
  caption varchar2(64) NOT NULL,
  url_string varchar2(255),
  user_name varchar2(64),
  PRIMARY KEY(id)
  );

  create sequence user_favorites_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE chat_active_sessions (
    session_id varchar2(64) NOT NULL,
    chat_status number NOT NULL,
    request_user varchar2(64) ,
    service_request number,
    queue  varchar2(64) NOT NULL,
    assigned_user varchar2(64) ,
    session_password varchar2(64) NOT NULL,
    full_name varchar2(255),
    email_address varchar2(64) ,
    ip_address varchar2(64) ,
    start_time  date default NULL ,
    close_time  date default NULL ,
    update_time  date default NULL ,
    accept_time  date default NULL ,
    account_id   varchar2(64) default NULL ,
    line_count number ,
    session_text LONG RAW ,
    PRIMARY KEY  (session_id)
);

CREATE TABLE chat_closed_sessions (
    session_id varchar(64) NOT NULL,
    chat_status number NOT NULL,
    request_user varchar2(64) ,
    service_request number,
    queue  varchar2(64) NOT NULL,
    assigned_user varchar2(64) ,
    session_password varchar2(64) NOT NULL,
    full_name varchar2(255),
    email_address varchar2(64) ,
    ip_address varchar2(64) ,
    start_time  date default NULL ,
    close_time  date default NULL ,
    update_time  date default NULL ,
    accept_time  date default NULL ,
    account_id   varchar2(64) default NULL ,
    line_count number ,
    session_text LONG RAW ,
    PRIMARY KEY  (session_id)
);

CREATE TABLE chat_queue (
    id number(11) NOT NULL,
    name varchar2(64) NOT NULL,
    group_name varchar2(64),
    welcome_message varchar2(4000) ,
    welcome_message_from_agent varchar2(4000) ,
    idle_message varchar2(4000),
    operator_accept_message varchar2(4000),
    operator_release_message varchar2(4000),
    operator_replace_message varchar2(4000),
    offline_image_url varchar2(64) ,
    online_image_url varchar2(64),
    add_hour_in_chat_session varchar2(1),
    embed_in_site_script varchar2(4000) ,
    time_before_idle  number,
    time_before_close number,
    allow_offline_chat varchar2(1),
    submit_offline_chat_message varchar2(4000) ,
    display_details_screen varchar2(1)  ,
    email_address varchar2(256) ,
    operator_close_message varchar2(4000),
    PRIMARY KEY  (id)
);

create sequence chat_queue_seq START WITH 2 INCREMENT BY 1 NOCACHE NOCYCLE;

insert into automatic_texts (id,account_id,title,description,assigned_group) values (automatic_texts_seq.NEXTVAL,'account', 'Dear Customer', 'Dear
I am contacting you regarding', 'all');

CREATE TABLE chat_queue_messages (
    id number(11) NOT NULL,
    title varchar2(64) NOT NULL,
    message varchar2(4000) NOT NULL ,
    queue number(11) NOT NULL ,
    PRIMARY KEY  (id)
);

create sequence chat_queue_messages_seq START WITH 2 INCREMENT BY 1 NOCACHE NOCYCLE;


insert into chat_queue  ( id, name, welcome_message, idle_message, operator_accept_message, operator_release_message, add_hour_in_chat_session, embed_in_site_script, time_before_idle, time_before_close, allow_offline_chat, submit_offline_chat_message, display_details_screen, welcome_message_from_agent,operator_close_message )
    values ( 1, 'Support', 'Please wait. A support representative will join shortly.', 'This chat session has been identified as inactive, it will soon be closed automatically.', 'Support representative has joined  this chat session.', 'The Support representative has left this chat session. A new representative will join shortly.', '1', '<img src=""/ChatImage?queue=1"" alt=""Chat with customer support rep."" style=""cursor:pointer"" onclick=""javascript:window.open(''ChatEnduserWelcomePage.jsp?queue=1'',''myWin'',''width=400px,height=660px,toolbar=no,resizable=no,directories=no,menubar=no,location=no'')"" />', 15, 20, '1', 'Thank you for submitting your request.<br />Our Support will try to assist as soon as possible.', '1','An operator set a request chatting with you, He will join this conversation shortly','This session has been closed by the support representative.');

insert into chat_queue_messages ( id, title,  message, queue )
    values ( 1, 'Please wait...', 'Please wait a few minutes while I consult with my colleagues regarding your issue', 1 );

insert into chat_closed_sessions(account_id,session_id, chat_status, request_user, queue, assigned_user, session_password, full_name, email_address, ip_address, start_time, close_time, update_time, line_count, session_text)
    values (  'account','1', 4, 'John Doe', 'Support', 'SysAid', '123456789', 'John Doe', 'john@sysaid.com', '127.0.0.1', SYSDATE, SYSDATE, SYSDATE, 10, utl_raw.cast_to_raw('This is a sample chat session text'));


CREATE TABLE share_and_compare(
   id number(11) NOT NULL,
   row_index number(11) NOT NULL,
   title varchar2(255) NOT NULL ,
   validity_date DATE,
   sql_stat1_1 varchar2(4000) NOT NULL,
   sql_stat1_2 varchar2(4000) NOT NULL,
   sql_stat2_1 varchar2(4000) NOT NULL,
   sql_stat2_2 varchar2(4000) NOT NULL,
   sql_stat3_1 varchar2(4000) NOT NULL,
   sql_stat3_2 varchar2(4000) NOT NULL,
   sql_stat4_1 varchar2(4000) NOT NULL,
   sql_stat4_2 varchar2(4000) NOT NULL,
   industries_list varchar2(255),
   filter_name varchar2(255),
   filter_expression varchar2(255),
   filter_node varchar2(4000),
   default_filter_name varchar2(255),
   default_filter_expression varchar2(255),
   default_filter_node varchar2(4000),
   filter_type varchar2(64),
   value float,
   min_value float,
   max_value float,
   share_stat char(1) default 'N',
   more_is_green char(1) default 'N',
   notes varchar2(4000) NOT NULL ,
   info_url varchar2(255) NOT NULL ,
   unit_type varchar2(64),
   filter_relevance varchar2(1),
   value_data_1 number(11),
   value_data_2 number(11),
   value_data_3 number(11),
   value_data_4 number(11),
   value_data_5 number(11),
   value_data_6 number(11),
   value_data_7 number(11),
   value_data_8 number(11),
   value_data_9 number(11),
   value_data_10 number(11),
   value_data_11 number(11),
   value_data_12 number(11),
   value_data_13 number(11),
   value_data_14 number(11),
   value_data_15 number(11),
   value_data_16 number(11),
   value_data_17 number(11),
   value_data_18 number(11),
   value_data_19 number(11),
   value_data_20 number(11),
   value_data_21 number(11),
   value_data_22 number(11),
   value_data_23 number(11),
   value_data_24 number(11),
   value_data_25 number(11),
   value_data_26 number(11),
   value_data_27 number(11),
   value_data_28 number(11),
   value_data_29 number(11),
   value_data_30 number(11),
   value_data_31 number(11),
   value_data_32 number(11),
   value_data_33 number(11),
   value_data_34 number(11),
   value_data_35 number(11),
   value_data_36 number(11),
   value_data_37 number(11),
   value_data_38 number(11),
   value_data_39 number(11),
   value_data_40 number(11),
   value_data_41 number(11),
   value_data_42 number(11),
   value_data_43 number(11),
   value_data_44 number(11),
   value_data_45 number(11),
   value_data_46 number(11),
   value_data_47 number(11),
   value_data_48 number(11),
   value_data_49 number(11),
   value_data_50 number(11),
   PRIMARY KEY  (id)
 );

CREATE TABLE statistics_data(
  id number(11) NOT NULL,
  data_date varchar2(64),
  current_month_data_1 number(11),
  current_month_data_2 number(11),
  last_month_data_1 number(11),
  last_month_data_2 number(11),
  current_year_data_1 number(11),
  current_year_data_2 number(11),
  last_year_data_1 number(11),
  last_year_data_2 number(11),
  PRIMARY KEY  (id,data_date)
 );

CREATE TABLE generic_messages (
    msg_id number(11) NOT NULL,
    account_id varchar2(32) NOT NULL ,
    title varchar2(255),
    description varchar2(4000),
    msg_type char(1),
    expiration_date DATE default NULL,
    remaining_days int,
    disable char(1),
    identify varchar(64) NOT NULL,
    PRIMARY KEY  (msg_id)
);

create sequence generic_messages_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;


 insert into generic_messages (msg_id,account_id,title,description,msg_type,identify)
       values (1,'account','loginMessageWizard.title','loginMessageWizard.maintenance.about.to.expire','a',' ');
 insert into generic_messages (msg_id,account_id,title,description,msg_type,identify)
       values (2,'account','loginMessageWizard.title','loginMessageWizard.maintenance.expired','a',' ');

 CREATE TABLE conditional_messages (
     msg_id number(11) NOT NULL,
     account_id varchar2(32) NOT NULL ,
     title varchar2(255),
     body_background varchar2(4000),
     body_css varchar2(4000),
     body_window_width int,
     body_window_height int,
     body_text varchar2(4000),
     msg_type char(1),
     condition_type1 varchar2(255),
     condition_value1 varchar2(255),
     condition_type2 varchar2(255),
     condition_value2 varchar2(255),
     expiration_date DATE default NULL,
     remaining_days int,
     disable char(1),
     identify varchar(64) NOT NULL,
     PRIMARY KEY  (msg_id)
 );

 create sequence conditional_messages_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table user_statistics(
  statistic_id number(11) NOT NULL,
  user_name varchar2(64) NOT NULL,
  type varchar2(32) default NULL,
  measurement int,
  create_date DATE default NULL,
  modify_date DATE default NULL,
  PRIMARY KEY (statistic_id)
);

create sequence user_statistics_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE user_counters (
   counter_id number(11) NOT NULL,
   user_name varchar2(64) NOT NULL,
   type varchar2(32) default NULL,
   counter int,
   entity_ref_id varchar2(32),
   modify_date DATE default NULL,
   PRIMARY KEY (counter_id)
);

create sequence user_counters_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

 insert into faq (account_id, id, title, question, answer, category, sub_category, third_level_category, publish, update_time, created_by,version)
       values ('account',1, 'Submitting a Service Record from the End-User Portal', 'How do I submit a service record from the End-User Portal?', '<p>Follow these steps:</p>  <p>      </p>  <p>      1.   Press F11 to open the End-User Portal. Alternatively, you may access the helpdesk URL from your browser.</p>  <p>      2.   Click <strong>Submit an Incident</strong> to open the form.</p> <p><img src="KB/Submit_an_Incident.png" alt="Submit_an_Incident.png" /></p>  <p>      3.   In the form, choose the relevant category, enter an appropriate title and description.</p> <p><img src="KB/Category_selection.png" alt="Category_selection.png" /></p>  <p>      4.   Add relevant attachments (optional).</p>  <p><img src="KB/Attachments.png" alt="Attachments.png" /></p> <p>      5.   Click the <strong>Submit</strong> button.</p>  <p> </p>  <p>You will be presented with the service record ID for future reference.</p>  <p> </p>', 'Basic Software', 'Other', 'How to?', 1, SYSDATE, 'SysAid',1);

update asset_types set default_file_name = 'printer_32.png' where computer_type = 'Printer';
update asset_types set default_file_name = 'pda_32.png' where computer_type = 'PDA';
update asset_types set default_file_name = 'workstation_32.png' where computer_type = 'Workstation';
update asset_types set default_file_name = 'other_32.png' where computer_type = 'Other';
update asset_types set default_file_name = 'server_32.png' where computer_type = 'Server';

create table sr_sub_tab_populate(
  account_id varchar2(32) NOT NULL,
  id number(10) NOT NULL,
  sr_id number(11) NOT NULL,
  tab_name varchar2(64) NOT NULL,
  sub_tab_order number(11) NOT NULL,
  field_name varchar2(64) NOT NULL,
  source_tab_name varchar2(64) NOT NULL,
  source_sub_tab_order number(11) NOT NULL,
  source_field_name varchar2(64) NOT NULL,
  method number(11),
  population_trigger number(11),
  direction number(11),
  PRIMARY KEY (id)
);

create index sr_sub_tab_populate_idx1 on sr_sub_tab_populate(account_id,sr_id,tab_name,sub_tab_order);

CREATE SEQUENCE sr_sub_tab_populate_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sr_sub_tab_populate_increment BEFORE INSERT ON sr_sub_tab_populate FOR EACH ROW BEGIN SELECT sr_sub_tab_populate_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;
  
  create table asset_notif_events(id number(11) NOT NULL,account_id varchar2(32) NOT NULL, event_name varchar2(64) NOT NULL, notification varchar2(64) NOT NULL, filter_expression varchar2(4000), filter_sql varchar2(4000), PRIMARY KEY(id));
  create sequence asset_notif_events_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

  create table measurements_lists (
    account_id varchar2(32) NOT NULL,
    id number(11) NOT NULL ,
    title varchar2(255) NOT NULL,
    field_name varchar2(64) NOT NULL,
    date_field varchar2(64) NOT NULL,
    sr_types varchar2(64),
    include_statuses varchar2(4000),
    filter_sql varchar2(4000),
    filter_xml varchar2(4000),
    filter_expression varchar2(4000),
    status_class number(11),
    version number(11) NOT NULL,
    PRIMARY KEY(id)
    );

  create sequence measurements_lists_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

  create table measurements_lists_history (
    account_id varchar2(32) NOT NULL,
    id number(11) NOT NULL,
    title varchar2(255) NOT NULL,
    field_name varchar2(64) NOT NULL,
    date_field varchar2(64) NOT NULL,
    sr_types varchar2(64),
    include_statuses varchar2(4000),
    filter_sql varchar2(4000),
    filter_xml varchar2(4000),
    filter_expression varchar2(4000),
    status_class number(11),
    version number(11) NOT NULL,
    change_time DATE,
    changed_by varchar2(64),
    PRIMARY KEY(id,version)
    );


create table measurements_def
(account_id  varchar2(32) NOT NULL,
id number(11)  NOT NULL,
title varchar2(255) NOT NULL,
agreement_id number(11),
parent_id number(11),
weight number(11),
formula1 varchar2(64),
list1_id number(11),
formula2 varchar2(64),
list2_id number(11),
time_interval number(11),
units varchar2(64),
critical_grade number(11),
warning_grade number(11),
optimum_grade number(11),
goal_critical number(11),
goal_warning number(11),
goal_optimum number(11),
sla_critical number(11),
sla_warning number(11),
sla_optomum number(11),
calculated char(1),
enabled char(1),
version number(11) NOT NULL,
PRIMARY KEY( id)
);

create sequence measurements_def_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table measurements_def_history
(account_id  varchar2(32) NOT NULL,
id number(11) NOT NULL ,
title varchar2(255) NOT NULL,
 agreement_id number(11),
parent_id number(11),
weight number(11),
formula1 varchar2(64),
list1_id number(11),
formula2 varchar2(64),
 list2_id number(11),
time_interval number(11),
units varchar2(64),
critical_grade number(11),
warning_grade number(11),
optimum_grade number(11),
goal_critical number(11),
goal_warning number(11),
goal_optimum number(11),
sla_critical number(11),
sla_warning number(11),
sla_optomum number(11),
calculated char(1),
enabled char(1),
 version number(11) NOT NULL,
 change_time DATE,
 changed_by varchar2(64),
PRIMARY KEY( account_id,id,version)
);

create table agreement
(account_id  varchar2(32) NOT NULL,
id number(11) NOT NULL ,
title varchar2(255) NOT NULL,
PRIMARY KEY( account_id,id)
);

insert into agreement (account_id,id,title) values ('account',1,'DEFAULT SLA');

create sequence agreement_seq START WITH 2 INCREMENT BY 1 NOCACHE NOCYCLE;

create table custom_columns
(id number(11) NOT NULL,
account_id varchar2(32) NOT NULL,
entity_type varchar2(64) NOT NULL,
field_caption varchar2(64) NOT NULL,
field_type varchar2(64) NOT NULL,
attribute_name varchar2(64) NOT NULL,
addon_db_name varchar2(64) NOT NULL,
compatibility_mode varchar2(1) DEFAULT 'N',
write_in_list clob,
write_in_form clob,
write_in_form_ssp clob,
write_in_form_mobile clob,
read_data_from_form clob,
validation_in_form clob,
validation_in_form_ssp clob,
hidden_control_in_form clob,
upload_from_file varchar2(1) DEFAULT 'N',
column_status varchar2(1) default 'Y',
encryption varchar2(1) default 'N',
is_hidden varchar2(1) default 'N',
field_not_display_caption varchar2(1) default 'N',
sysaid_entity varchar2(64),
list_filter clob,
PRIMARY KEY(id)
);
create sequence custom_columns_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;



CREATE TABLE online_users (
id number(11) NOT NULL,
account_id varchar2(32) NOT NULL,
user_name varchar2(64) NOT NULL,
computer_id varchar2(64) NOT NULL,
computer_name varchar2(64),
domain varchar2(64) NOT NULL,
client_name varchar2(64),
ip_address varchar2(64),
session_id varchar2(64),
last_update_date date default NULL,
disconnected number(11) DEFAULT 0,
PRIMARY KEY  (id)
);

create sequence online_users_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create index online_users_ind_1 on online_users (computer_id );
create index online_users_ind_2 on online_users (user_name );


CREATE TABLE survey_questions (
account_id varchar2(32) NOT NULL,
id number(11) NOT NULL,
question_text varchar2(4000) NOT NULL,
enabled char(1) NOT NULL,
display_comment char(1) NOT NULL,
position number(11) NOT NULL,
PRIMARY KEY  (id)
);

create sequence survey_questions_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE survey_answers (
account_id varchar2(32) NOT NULL,
question_id number(11)  NOT NULL,
answer_id number(11)  NOT NULL,
answer_text varchar2(4000) NOT NULL,
PRIMARY KEY  (question_id,answer_id)
);

create table current_measurement_lists (
account_id  varchar2(32) NOT NULL,
agreement  number(11) NOT NULL,
measurement  number(11) NOT NULL,
list  number(11) NOT NULL,
service_req_id  number(11) NOT NULL,
list_value float,
run_date DATE,
PRIMARY KEY(account_id,agreement,measurement,list,service_req_id)
);

create table last_run_measurement_lists (
account_id  varchar2(32) NOT NULL,
agreement  number(11) NOT NULL,
measurement  number(11) NOT NULL,
list  number(11) NOT NULL,
service_req_id  number(11) NOT NULL,
list_value float,
run_date DATE,
PRIMARY KEY(account_id,agreement,measurement,list,service_req_id)
);

create table current_sla_results(
account_id varchar2(32) NOT NULL,
measurement_id  number(11) NOT NULL,
current_result float,
sla_grade float,
internal_grade float,
run_date DATE,
final_result char(1),
PRIMARY KEY(account_id,measurement_id,run_date)
);

create table custom_triggers(
account_id varchar2(32) NOT NULL,
entity_type varchar2(64) NOT NULL,
trigger_onload clob,
trigger_before_save clob,
trigger_after_save clob,
trigger_onload_lastlog clob,
trigger_before_save_lastlog clob,
trigger_after_save_lastlog clob,
compatibility_mode varchar2(1) DEFAULT 'N',
trigger_bfr_save_ent clob,
trigger_bfr_save_ent_lastlog clob,
PRIMARY KEY(account_id,entity_type)
);


CREATE TABLE sysaid_events (
account_id varchar2(32) NOT NULL,
id number(11) NOT NULL,
title  varchar2(255) NOT NULL,
 description   varchar2(4000)  NOT NULL,
 start_date date,
 end_date date,
 available_groups  varchar2(64),
 create_user varchar2(64),
 PRIMARY KEY  (id)
 );


CREATE TABLE traps_data (
 account_id varchar2(32) NOT NULL,
 computer_id varchar2(64) NOT NULL,
 trap_0 int NOT NULL,
 trap_1 int NOT NULL,
 trap_2 int NOT NULL,
 trap_3 int NOT NULL,
 trap_4 int NOT NULL,
 trap_5 int NOT NULL,
 trap_6 int NOT NULL,
 PRIMARY KEY(account_id,computer_id)
);

create sequence sysaid_events_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;


CREATE TABLE form_history (
 user_name varchar2(64) default '' NOT NULL,
 account_id varchar2(32) default '' NOT NULL,
 form_caption varchar2(255) default '' NOT NULL,
 form_url varchar2(255) default '' NOT NULL ,
 form_visit_time date
);

CREATE TABLE uss_security_questions (
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  security_question varchar2(255) NOT NULL ,
  visible varchar2(1),
  mandatory varchar2(1),
  system_question varchar2(1) default 0,
  PRIMARY KEY  (id)
) ;

create sequence uss_security_questions_seq START WITH 20 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER uss_questions_increment BEFORE INSERT ON uss_security_questions FOR EACH ROW BEGIN SELECT uss_security_questions_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;


INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.1','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.2','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.3','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.4','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.5','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.6','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.7','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.8','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.9','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.10','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.11','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.12','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.13','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.14','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.15','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.16','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory) VALUES ('account','user.selfService.question.17','1','0');
INSERT INTO uss_security_questions (account_id,security_question,visible,mandatory,system_question) VALUES ('account','user.selfService.question.system.1','1','0','1');

create table uss_notif_events(
id number(11) NOT NULL,
account_id varchar2(32) NOT NULL,
event_name varchar2(64) NOT NULL,
notification varchar2(64) NOT NULL,
filter_expression varchar2(4000),
filter_sql varchar2(4000),
PRIMARY KEY(id));

create sequence uss_notif_events_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE online_users_history (
account_id varchar2(32) NOT NULL,
id number(11) NOT NULL,
user_name varchar2(64) NOT NULL,
computer_id varchar2(64) NOT NULL,
computer_name varchar2(64),
domain varchar2(64) NOT NULL,
client_name varchar2(64),
ip_address varchar2(64),
session_id varchar2(64),
login_time date default NULL,
logout_time date default NULL,
PRIMARY KEY  (id)
);
create index online_users_history_idx1 on online_users_history(user_name, login_time, computer_id);

CREATE TABLE user_questions (
  account_id varchar2(32) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  question_id int NOT NULL,
  answer varchar2(255) NOT NULL  ,
  PRIMARY KEY  (account_id,user_name,question_id)
);

CREATE TABLE user_answer_attempts (
  account_id varchar2(32) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  attempts int NOT NULL,
  lock_date DATE,
  PRIMARY KEY  (account_id,user_name)
);

CREATE TABLE sysaid_user_push_enable (
  user_name varchar2(64) NOT NULL ,
  account_id varchar2(32) NOT NULL ,
  device_type varchar2(64) NOT NULL,
  device_id varchar2(255) NOT NULL,
  enable_date DATE,
  is_production char(1) default 'N',
  is_chat_online number(11) default 0,
  PRIMARY KEY (account_id,user_name)
) ;

CREATE TABLE sysaid_user_push_notifications (
 push_id number(11) NOT NULL,
 user_name varchar2(64) default '' NOT NULL,
 account_id varchar2(32) default '' NOT NULL,
 sr_id number(11) NOT NULL,
 push_message varchar2(255) default '' NOT NULL,
 status number(11),
 push_date date
);

CREATE TABLE online_assets (
  asset_id varchar2(64) NOT NULL ,
  is_online number(11),
  last_update date,
  PRIMARY KEY (asset_id)
);

CREATE TABLE asset_offline_log (
  id number(11) NOT NULL,
  asset_id varchar2(64) NOT NULL ,
  offline_start_time  date NOT NULL ,
  offline_end_time  date  ,
  offline_minutes  number(11) ,
  PRIMARY KEY (id)
);

CREATE SEQUENCE asset_offline_log_sequence START WITH 1 INCREMENT BY 1 NOCYCLE;
create index asset_offline_log_idx1 on asset_offline_log(asset_id,offline_start_time);

CREATE TABLE users_remote_assets (
  id number(11) NOT NULL ,
  user_name varchar2(64) NOT NULL ,
  login_domain varchar2(64) NOT NULL,
  login_user_upper varchar2(64) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  description varchar2(255),
  note varchar2(255),
  PRIMARY KEY  (id)
);

CREATE TABLE remote_active_sessions (
  user_name varchar2(64) NOT NULL,
  source_host varchar2(64) NOT NULL,
  target_host varchar2(64) NOT NULL,
  session_id varchar2(64) NOT NULL,
  rcg varchar2(64) NOT NULL,
  session_start_time number(28) ,
  PRIMARY KEY  (session_id)
);

CREATE SEQUENCE hibernate_sequence START WITH 1 INCREMENT BY 1 NOCYCLE;

CREATE TABLE sysaid_user_permissions (
  user_name varchar2(64) NOT NULL ,
  permission_conf clob,
  PRIMARY KEY (user_name)
);

CREATE TABLE priority_matrix_cust_values (
  disable number(11) default 0,
  agreement_key number(11) NOT NULL ,
  company_key number(11) NOT NULL ,
  impact_key number(11) NOT NULL ,
  urgency_key number(11) NOT NULL ,
  priority_key number(11) NOT NULL ,
  last_update date
);


CREATE TABLE custom_services (
  account_id varchar2(64) NOT NULL ,
  service_name varchar2(255)  NOT NULL ,
  service_class varchar2(255)  NOT NULL ,
  service_interval  number(11)  NOT NULL    ,
  service_start_time  number(11)  NOT NULL
);


CREATE TABLE mdm_policy (
id number(11) NOT NULL,
name varchar2(255) NOT NULL,
request_time date,
revision number(11),
enable_password char(1),
allow_simple_password char(1),
alphanumeric_password_req char(1) ,
min_password_length number(11),
min_complex_password number(11),
max_password_age number(11),
auto_lock number(11),
password_history number(11),
max_failed_password number(11),
email_type number(11),
account_name varchar2(255),
path_prefix_imap varchar2(255),
user_display_name varchar2(255),
email_address varchar2(64),
host_name varchar2(64),
server_port varchar2(32),
user_name varchar2(64),
auth_type number(11),
use_ssl char(1) ,
outoging_host_name varchar2(64),
outgoing_server_port varchar2(32),
outgoing_user_name varchar2(64),
outgoing_auth_type number(11),
outgoing_use_ssl char(1) ,
domain_name varchar2(64),
sync_emails_date_range number(11),
passcode_grace_period number(11),
PRIMARY KEY  (id)
);

create sequence mdm_policy_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE mdm_wifi_policy (
id number(11) NOT NULL,
policy_id number(11) NOT NULL,
type number(11),
ssid varchar2(255),
auto_join char(1),
hidden_network char(1),
encryption_key varchar2(64),
revision number(11),
PRIMARY KEY  (id)
);

create sequence mdm_wifi_policy_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table mdm_actions(
computer_id varchar2(64) not null,
action_code number(11),
push_message varchar2(255),
status number(11),
insert_time date
 );

create index mdm_actions_index1 on mdm_actions (computer_id);

CREATE TABLE ui_menus (
mi_id number(11) not null,
mi_name varchar2(64),
mi_parent number(11),
mi_action_type varchar2(32),
mi_action varchar2(255),
mi_enabled char(1),
mi_ui_class varchar2(64),
mi_module_id number(4),
mi_order number(11),
mi_permission number(11),
mi_edition number(11),
fr_or_conf_flag_key varchar2(64),
PRIMARY KEY (mi_id)
);

create unique index ui_menus_index1 on ui_menus (mi_name);

CREATE TABLE ui_menus2group (
  mi_id number(11) NOT NULL,
  group_name varchar2(64) NOT NULL,
  PRIMARY KEY  (mi_id,group_name)
);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1, 'main', null, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2, 'home.servicedesk', 1, 'url', '#', 'Y','service-desk', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (6, 'home.helpdesk', 2, 'url', '#', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (7, 'leftmenu_sr.listAll', 6, 'url', '#/HelpDesk.jsp?fromId=List&showFirstPage=true', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (8, 'leftmenu_sr.incidents', 6, 'url', '#/HelpDesk.jsp?fromId=IncidentsList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (9, 'leftmenu_sr.requests', 6, 'url', '#/HelpDesk.jsp?fromId=RequestsList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (10, 'leftmenu_sr.rfc', 6, 'url', '#/HelpDesk.jsp?fromId=ChangesList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (11, 'leftmenu_sr.problems', 6, 'url', '#/HelpDesk.jsp?fromId=ProblemsList&showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (12, 'leftmenu_sr.activities', 6, 'url', '#/SRActivities.jsp?showFirstPage=true', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (13, 'leftmenu_sr.subTabList', 6, 'url', '#/SubTabList.jsp?showFirstPage=true', 'Y',null, 6,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (14, 'Sep14', 6, 'separator', '#', 'N',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (15, 'leftmenu_pr.helpdeskSettings', 6, 'settings', '#/Settings.jsp?selectedItem=HelpDeskSettings.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (16, 'leftmenu_sr.knowledge.base', 2, 'url', '#', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (17, 'kb.articles', 16, 'function', '#/function/loadKBFAQPage', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (22, 'leftmenu.Chats', 2, 'url', '#', 'Y',null, 4,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (23, 'leftmenu.Chat.Console', 22, 'function', '#/function/openChatConsole', 'Y',null, 5,0,262144,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (24, 'leftmenu_sr.chats', 22, 'url', '#/ChatClosedChatsList.jsp', 'Y',null, 4,0,0,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3, 'SystemList.jsp', 1, 'url', '#', 'Y','assets', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (25, 'leftmenu.system', 3, 'url', '#', 'Y',null, null,0,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (29, 'leftmenu_sys.assetManagementDashboard', 25, 'url', '#/AssetManagementDash.jsp', 'Y',null, null,0,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (30, 'leftmenu_sys.asset.list', 25, 'url', '#/SystemList.jsp', 'Y',null, null,10,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (31, 'leftmenu_sys.myNetworkAssets', 25, 'url', '#/System.jsp', 'Y',null, null,20,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (32, 'leftmenu_sys.software.list', 25, 'url', '#/SoftwareList.jsp', 'Y',null, null,30,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (90, 'leftmenu_sys.patchManagement', 25, 'url', '#/PatchManagementList.jsp', 'Y',null, 11,31,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (33, 'leftmenu_sys.catalog', 25, 'url', '#/CatalogList.jsp', 'Y',null, null,40,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (34, 'leftmenu_sys.availability', 25, 'url', '#/AvailabilityLog.jsp', 'Y',null, null,50,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (35, 'leftmenu_sys.supplier.list', 25, 'url', '#/SupplierList.jsp', 'Y',null, null,60,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (36, 'leftmenu_sys.onlineUsers.list', 25, 'url', '#/OnlineUsersList.jsp', 'Y',null, null,70,32,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (37, 'Sep37', 25, 'separator', '#', 'N',null, null,80,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (38, 'leftmenu_sys.settings', 25, 'settings', '#/Settings.jsp?selectedItem=AssetTypes.jsp', 'Y',null, null,90,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (26, 'leftmenu.monitoring', 3, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (39, 'monitor.eventManager.alerts.title', 26, 'url', '#/Alerts.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (91, 'monitor.eventManager.eventLog.title', 26, 'url', '#/EventLog.jsp', 'Y',null, null,1,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (92, 'monitor.eventManager.lastPoll.title', 26, 'url', '#/LastPoll.jsp', 'Y',null, null,2,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (40, 'leftmenu.monitoring.workstations_configuration', 26, 'url', '#/MonitorConfiguration.jsp', 'Y',null, null,3,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (41, 'leftmenu.monitoring.server_configuration', 26, 'url', '#/MonitorConfiguration.jsp?type=1', 'Y',null, 2,4,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (42, 'leftmenu.monitoring.network_devices_configuration', 26, 'url', '#/MonitorConfiguration.jsp?type=4', 'Y',null, 2,5,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (43, 'Sep43', 26, 'separator', '#', 'N',null, null,6,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (44, 'leftmenu.monitoring.settings', 26, 'settings', '#/Settings.jsp?selectedItem=MonitorSettings.jsp', 'Y',null, null,7,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (27, 'leftmenu.remote.access', 3, 'url', '#', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (45, 'leftmenu.remote.main', 27, 'url', '#/RemoteAccessMainPage.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (46, 'leftmenu.remote.access.active.sessions', 27, 'url', '#/RemoteAccessActiveSessions.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (47, 'leftmenu.remote.access.accessible.users', 27, 'url', '#/RemoteAccessibleUsers.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (48, 'leftmenu.remote.access.accessible.assets', 27, 'url', '#/RemoteAccessibleAssets.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (49, 'leftmenu.remote.access.logs', 27, 'url', '#/RemoteAccessLog.jsp', 'Y',null, 9,0,32768,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (28, 'leftmenu.cmdb', 3, 'url', '#', 'Y',null, 3,0,65536,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (52, 'leftmenu.cmdb.ci_list', 28, 'url', '#/CIList.jsp', 'Y',null, 3,0,65536,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (53, 'Sep53', 28, 'separator', '#', 'N',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (54, 'leftmenu_pr.cmdbSettings', 28, 'settings', '#/Settings.jsp?selectedItem=CITypeList.jsp', 'Y',null, 3,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (4, 'leftmenu.analytics', 1, 'url', '#', 'Y','analytics', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (55, 'leftmenu.analytics.overview', 4, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (57, 'leftmenu.admin.portal', 55, 'url', '#/Home.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (59, 'leftmenu_sr.matrix', 55, 'url', '#/HelpMat.jsp', 'Y',null, null,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (60, 'portal.submenu.allReports', 55, 'url', '#/MnAnalyzer.jsp', 'Y',null, 10,0,2,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (96, 'portal.submenu.Reports', 55, 'url', '#/Analyzer.jsp', 'Y',null, 12,0,2,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (56, 'portal.report.management', 4, 'url', '#', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (58, 'leftmenu_pr.managerPortal', 56, 'url', '#/Dashboard.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (63, 'portal.submenu.myReports', 56, 'url', '#/MyReports.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (64, 'portal.submenu.recentReports', 56, 'url', '#/RecentReports.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (65, 'portal.menu.scheduler', 56, 'url', '#/SchedulerList.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (93, 'Sep93', 56, 'separator', '#', 'N',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (94, 'portal.report.management.settings', 56, 'settings', '#/Settings.jsp?selectedItem=DashboardEdit.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (66, 'monitor.performance', 4, 'url', '#', 'Y',null, null,2,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (95, 'leftmenu.analytics.benchmark', 66, 'url', '#/Statistics.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (97, 'leftmenu.analytics.animatedSummary', 66, 'url', '#/AnimatedSummary.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1105, 'leftmenu.analytics.BIDashboard', 66, 'url', '#/BIDashboard.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (18, 'sla', 4, 'url', '#', 'Y',null, 7,3,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (19, 'leftmenu.measurementData', 18, 'function', '#/function/openSLAWindow', 'Y',null, 7,0,8,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (20, 'Sep20', 18, 'separator', '#', 'N',null, 7,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (21, 'sla.settings', 18, 'settings', '#/Settings.jsp?selectedItem=AgreementList.jsp', 'Y',null, 7,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (5, 'leftmenu.tools', 1, 'url', '#', 'Y','tools', null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (67, 'leftmenu.tasks.and.projects', 5, 'url', '#', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (71, 'leftmenu_task.projects', 67, 'url', '#/ProjectList.jsp', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (72, 'leftmenu_task.tasks', 67, 'url', '#/TaskList.jsp', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (73, 'task.activities', 67, 'url', '#/TaskActivities.jsp', 'Y',null, 1,0,1024,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (74, 'Sep74', 67, 'separator', '#', 'N',null, 1,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (75, 'leftmenu_task_projects.settings', 67, 'settings', '#/Settings.jsp?selectedItem=ProjectSettings.jsp', 'Y',null, 1,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (68, 'leftmenu.user.self.service', 5, 'url', '#', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (76, 'leftmenu.user.self.service.main', 68, 'url', '#/UserSelfService.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (78, 'leftmenu.user.self.service.logs', 68, 'url', '#/UserSelfServiceLog.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (79, 'Sep79', 68, 'separator', '#', 'N',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (80, 'leftmenu.user.self.service.settings', 68, 'settings', '#/Settings.jsp?selectedItem=UserSelfServiceSettings.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (69, 'leftmenu.calendar', 5, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (81, 'leftmenu.my_calendar', 69, 'url', '#/SysAidCalendar.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (82, 'menuItemSettings.calendarSettings', 69, 'url', '#/CalendarSettings.jsp', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (70, 'leftmenu_pr.userManagement', 5, 'url', '#', 'Y',null, null,0,1048576,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (84, 'leftmenu_um.administrators', 70, 'url', '#/UserManager.jsp', 'Y',null, null,0,33554432,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (85, 'leftmenu_um.endusers', 70, 'url', '#/EndUserManager.jsp', 'Y',null, null,0,1048576,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (86, 'userGroups.title', 70, 'url', '#/UserGroups.jsp', 'Y',null, null,0,33554432,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (87, 'company.list', 70, 'url', '#/CompanyList.jsp', 'Y',null, null,0,1048576+256,1);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (88, 'Sep88', 70, 'separator', '#', 'N',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (89, 'leftmenu_um.settings', 70, 'settings', '#/Settings.jsp?selectedItem=ImportSysAidUsers.jsp', 'Y',null, null,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1000, 'settings', null, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1001, 'leftmenu.servicedesk', 1000, 'url', '#', 'Y','servicedesk-settings', null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1002, 'menuItemSettings.helpDesk.general', 1001, 'url', 'HelpDeskSettings.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1003, 'helpDeskSettings.categories', 1001, 'url', 'CategorySettings.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1004, 'helpDeskSettings.routing',1001, 'url', 'RoutingRulesList.jsp', 'Y',null, null,2,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1005, 'helpDeskSettings.priorities',1001, 'url', 'RulesPriority.jsp', 'Y',null, null,3,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1112, 'helpDeskSettings.rulesEmail',1001, 'url', 'RulesEmailList.jsp', 'Y',null, null,4,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1006, 'helpDeskSettings.dueDates',1001, 'url', 'DueDateList.jsp', 'Y',null, null,5,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1007, 'alertsettings.title',1001, 'url', 'AlertSettings.jsp', 'Y',null, null,6,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1008, 'leftmenu_pr.escalation',1001, 'url', 'EscalationList.jsp', 'Y',null, null,7,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1009, 'operating.times.title',1001, 'url', 'OperatingTimes.jsp', 'Y',null, null,8,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1010, 'operating.timers.title',1001, 'url', 'TimersList.jsp', 'Y',null, null,9,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1011, 'changeProblemSettings.title',1001, 'url', 'ChangeProblemSettings.jsp', 'Y',null, 6,10,1,0);


INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1013, 'leftmenu.servicedesk.templates', 1000, 'url', '#', 'Y','templates-settings', null,20,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1014, 'leftmenu_pr.requestTemplates',1013, 'url', 'HelpDesk.jsp?fromId=reqtemp', 'Y',null, 6,11,2056,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1015, 'leftmenu_pr.rfcTemplates',1013, 'url', 'HelpDesk.jsp?fromId=rfc', 'Y',null, 6,12,2056,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1016, 'leftmenu_pr.pmTemplates',1013, 'url', 'HelpDesk.jsp?fromId=pm', 'Y',null, 6,13,2056,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1093, 'leftmenu_pr.incidentTemplates',1013, 'url', 'HelpDesk.jsp?fromId=inctemp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1094, 'rfc.subTypes',1013, 'url', 'SubTypeList.jsp', 'Y',null, null,15,2048,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1012, 'rfc.notifications',1013, 'url', 'RFCNotification.jsp', 'Y',null, 6,16,2048,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1124, 'leftmenu_pr.importTemplates',1013, 'url', 'ImportTemplates.jsp', 'Y',null, 6,14,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1017, 'menuItemSettings.sla', 1000, 'url', '#', 'Y','slaslm-settings', 7,30,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1018, 'leftmenu.agreementLists', 1017, 'url', 'AgreementList.jsp', 'Y',null, 7,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1019, 'leftmenu.measurements', 1017, 'url', 'Measurements.jsp', 'Y',null, 7,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1020, 'leftmenu.measurementLists', 1017, 'url', 'MeasurementLists.jsp', 'Y',null, 7,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1021, 'menuItemSettings.chat', 1000, 'url', '#', 'Y','chat-settings', 4,40,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1022, 'leftmenu_pr.chatQueue', 1021, 'url', 'ChatQueueList.jsp', 'Y',null, 4,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1023, 'leftmenu.asset.managment', 1000, 'url', '#', 'Y','asset-settings', null,50,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1024, 'leftmenu_pr.assetTypes', 1023, 'url', 'AssetTypes.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1025, 'leftmenu_sys.importAssets', 1023, 'url', 'ImportAssets.jsp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1026, 'mdmTab', 1023, 'url', 'MDMSettings.jsp', 'Y',null, null,20,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1027, 'mdm.manageDevicePolicies', 1023, 'url', 'MDMPolicyList.jsp', 'Y',null, null,30,16384,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1095, 'patchManagement.settings', 1023, 'url', 'PatchManagementSettings.jsp', 'Y',null, 11,31,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1096, 'patchManagement.policies', 1023, 'url', 'PatchManagementPolicyList.jsp', 'Y',null, 11,32,4194304,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1028, 'leftmenu_pr.rc', 1023, 'url', 'RCSettings.jsp', 'Y',null, null,40,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1029, 'leftmenu.customized.snmp.oids', 1023, 'url', 'CustomizedSnmpOids.jsp', 'Y',null, null,50,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1030, 'leftmenu_pr.registryKeys', 1023, 'url', 'UpdateAssetRegistrySettings.jsp', 'Y',null, null,60,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1031, 'leftmenu_sys.notification', 1023, 'url', 'ReoccurringNotification.jsp?system=YES', 'Y',null, null,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1097, 'leftmenu_sys.events', 1023, 'url', 'SystemNotification.jsp', 'Y',null, null,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1118, 'vendorList.title', 1023, 'url', 'VendorsList.jsp', 'Y',null, null,71,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1119, 'nuboIntegration.controlPanel.title', 1074, 'url', 'addonJspWrapper.jsp?a=nubo&p=NuboControlPanel', 'N', null, null, 0, 1, 0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1032, 'leftmenu.discovery', 1000, 'url', '#', 'Y','networkdiscovery-settings', null,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1033, 'menuItemSettings.networkDiscovery.general', 1032, 'url', 'NetworkDiscovery.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1034, 'discovery.snmp.wmi.title', 1032, 'url', 'WMIScan.jsp', 'Y',null, null,3,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1035, 'discovery.deploy.agents.title', 1032, 'url', 'DeployAgents.jsp', 'Y',null, null,16,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1036, 'discovery.snmp.scan.title', 1032, 'url', 'Discovery.jsp', 'Y',null, null,7,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1037, 'discovery.mdm.title', 1032, 'url', 'MdmEnrollment.jsp', 'Y',null, null,9,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1038, 'discovery.update.asset.data.title', 1032, 'url', 'UpdateAssetData.jsp', 'Y',null, null,11,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1039, 'discovery.upgrade.agents.version.title', 1032, 'url', 'UpgradeAgentsVersion.jsp', 'Y',null, null,13,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1098, 'discovery.rdsList.title', 1032, 'url', 'RDSList.jsp', 'Y',null, null,15,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1117, 'discovery.credentialsList.title', 1032, 'url', 'CredentialsList.jsp', 'N',null, null,19,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1040, 'leftmenu.downloads', 1032, 'url', 'Download.jsp', 'Y',null, null,21,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1041, 'discovery.log.title', 1032, 'url', 'DiscoveryLog.jsp', 'Y',null, null,23,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1042, 'menuItemSettings.monitoring', 1000, 'url', '#', 'Y','monitoring-settings', null,80,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1043, 'menuItemSettings.monitoringSettings', 1042, 'url', 'MonitorSettings.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1044, 'leftmenu.monitoring.templates.workstation', 1042, 'url', 'MonitorTemplates.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1045, 'leftmenu.monitoring.templates.server', 1042, 'url', 'MonitorTemplates.jsp?type=3', 'Y',null, 2,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1046, 'leftmenu.monitoring.notification', 1042, 'url', 'MonitorNotifications.jsp', 'Y',null, null,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1047, 'menuItemSettings.cmdb', 1000, 'url', '#', 'Y','cmdb-settings', 3,90,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1048, 'leftmenu.cmdb.ci_type_list', 1047, 'url', 'CITypeList.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1049, 'leftmenu.cmdb.ci_sub_types', 1047, 'url', 'CISubTypes.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1050, 'leftmenu.cmdb.ci_relation_type_list', 1047, 'url', 'CIRelationTypeList.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1051, 'leftmenu.cmdb.ci_template', 1047, 'url', 'CITemplateList.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1052, 'cmdb.importSystmItems.title', 1047, 'url', 'CMDBImports.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1053, 'cmdb.importCIs.title', 1047, 'url', 'ImportCIs.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1054, 'cmdb.settings.tab.import', 1047, 'url', 'CMDBSettings.jsp', 'Y',null, 3,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1055, 'cmdb.settings.tab.asset2ci', 1047, 'url', 'ImportAsset2CISettings.jsp', 'Y',null, 3,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1056, 'menuItemSettings.analytics', 1000, 'url', '#', 'Y','analytics-settings', null,100,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1057, 'portal.menu.dashboardDesign', 1056, 'url', 'DashboardEdit.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1058, 'portal.menu.reportsDesign', 1056, 'url', 'MnAnalyzerEdit.jsp', 'Y',null, 10,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1059, 'portal.menu.BIAnalytics', 1056, 'url', 'BIAnalyticsSettings.jsp', 'Y',null, 14,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1062, 'menuItemSettings.taskAndProject', 1000, 'url', '#', 'Y','tasks-settings', 1,110,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1063, 'leftmenu_pr.projectSettings', 1062, 'url', 'ProjectSettings.jsp', 'Y',null, 1,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1064, 'leftmenu_task.notification', 1062, 'url', 'ReoccurringNotification.jsp', 'Y',null, 1,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1067, 'menuItemSettings.user.self.service', 1000, 'url', '#', 'Y','password-settings', 8,120,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1068, 'user.selfService.general.settings', 1067, 'url', 'UserSelfServiceSettings.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1069, 'user.selfService.security.questions', 1067, 'url', 'SecurityQuestions.jsp', 'Y',null, 8,0,8192,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1070, 'leftmenu.user.self.service.notifications', 1067, 'url', 'UserSelfServiceNotifications.jsp', 'Y',null, 8,0,8192,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1071, 'menuItemSettings.userManagement', 1000, 'url', '#', 'Y','usermanagement-settings', null,130,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1072, 'importUsers.title', 1071, 'url', 'ImportSysAidUsers.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1073, 'importCompanies.title', 1071, 'url', 'ImportCompanies.jsp', 'Y',null, null,2,1,1);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3000, 'menuItemSettings.enterprise.service.management', 1000, 'url', '#', 'Y','enterprise-settings', null,135,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3001, 'permission.management.general', 3000, 'url', 'PermissionManagement.jsp', 'Y',null, null,0,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1080, 'menuItemSettings.general', 1000, 'url', '#', 'Y','general-settings', null,140,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1081, 'leftmenu_pr.defaults', 1080, 'url', 'AccountDefaults.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1082, 'appearance', 1080, 'url', 'CustomizeAppearance.jsp', 'Y',null, null,1,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1083, 'translate.title', 1080, 'url', 'Translate.jsp', 'Y',null, null,2,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1084, 'leftmenu_customize.entities', 1080, 'url', 'CustomizeEntities.jsp', 'Y',null, null,3,1,2);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1085, 'customLists.title', 1080, 'url', 'CustomLists.jsp', 'Y',null, null,4,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1086, 'news.setting', 1080, 'url', 'News.jsp', 'Y',null, null,5,524288,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1061, 'menuItemSettings.survey.srSurvey', 1080, 'url', 'SurveyQuestionsList.jsp', 'Y',null, null,6,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1087, 'webForms', 1080, 'url', 'WebForms.jsp', 'Y',null, null,7,1,1);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1111, 'customForms.title', 1080, 'url', 'CustomForms.jsp', 'Y',null, null,8,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1088, 'automaticTexts.title', 1080, 'url', 'AutomaticTexts.jsp', 'Y',null, null,9,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1090, 'customNotifications.title', 1080, 'url', 'CustomNotifications.jsp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1091, 'reminders.title', 1080, 'url', 'RemindersList.jsp', 'Y',null, null,11,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1110, 'leftmenu_task.reminder_notification', 1080, 'url', 'ReoccurringNotification.jsp?reminders=YES', 'Y',null, null,13,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1092, 'log.menu', 1080, 'url', 'AuditLog.jsp', 'Y',null, null,12,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1074, 'integration', 1000, 'url', '#', 'Y','integration-settings', null,150,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1075, 'email', 1074, 'url', 'EmailList.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1076, 'SMS', 1074, 'url', 'IntegrationSMS.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1077, 'integration.ldap', 1074, 'url', 'LdapList.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1079, 'integration.exchange', 1074, 'url', 'IntegrationExchange.jsp', 'Y',null, null,0,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1099, 'leftmenu_customize.api', 1074, 'url', 'API.jsp', 'Y',null, null,0,1,2);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1100, 'leftmenu_pr.selfServicePortal', 1000, 'url', '#', 'Y','eup-settings', null,160,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1101, 'endUserPortalSettings.title', 1100, 'url', 'EndUserPortalSettings.jsp', 'Y',null, null,30,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1102, 'leftmenu_sr.endUser', 1100, 'url', 'SREdit.jsp?id=0&end=yes&fromId=EndUser', 'Y',null, null,40,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1103, 'leftmenu_customize.endUser.request', 1100, 'url', 'SREdit.jsp?id=0&fromId=EndUserRequest', 'Y',null, 6,50,1,1);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1104, 'leftmenu_sr.endUserSettingsForm', 1100, 'url', 'Preferences.jsp?EndUserSettings=CustomizeForm', 'Y',null, null,60,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2010, 'leftmenu_pr.selfServicePortal.toolboxItemsList', 1100, 'url', 'SCToolboxItemsList.jsp', 'Y',null, 16,70,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2011, 'userPortalGenralSettings.title', 1100, 'url', 'UserPortalGeneralSettings.jsp', 'Y',null, null,10,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2012, 'selfServicePortalSettings.title', 1100, 'url', 'SelfServicePortalSettings.jsp', 'Y',null, 16,20,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2014, 'leftmenu_pr.selfServicePortal.BannersList', 1100, 'url', 'SCBannersList.jsp', 'Y',null, 16,80,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2015, 'leftmenu_pr.selfServicePortal.themesList', 1100, 'url', 'SCThemesList.jsp', 'Y',null, 16,90,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1106, 'addon.market.place', 1074, 'url', 'MarketPlace.jsp', 'Y', null, null, 0, 1, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1113, 'addon.third.party.integrations', 1074, 'url', 'Integrations.jsp', 'Y', null, null, 0, 1, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1114, 'OAuthConsumersList.manageConsumersInfo', 1074, 'url', 'OAuthConsumersList.jsp', 'N', null, 13, 0, 1, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1115, 'helpDeskSettings.categories.import', 1001, 'url', 'ImportCategories.jsp', 'Y',null, null,30,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1116, 'leftmenu.monitoring.nagios_dashboard', 26, 'url', '#/NagiosDashboard.jsp', 'Y', null, 15, 6, 0, 0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1120, 'AgentSettingsList.title', 1032, 'url', 'AgentSettingsList.jsp', 'Y',null, null,17,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1123, 'SidePanelWidgetsList.title',1001, 'url', 'SidePanelWidgetsList.jsp', 'Y',null, null,18,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1121, 'MergeServiceRecords.title',1001, 'url', 'MergeServiceRecords.jsp', 'Y',null, null,20,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (1122, 'srActivitiesSettings.title',1001, 'url', 'SrActivitiesSettings.jsp', 'Y',null, 17,15,1,0);


INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2000, 'persoanl-settings', null, 'url', '#', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2001, 'leftmenu_pr.mySettings', 2000, 'url', 'Preferences.jsp?fancyBox=true', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2002, 'menuItem.onlineAid', 2000, 'function', '#/function/openHelpWindow', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2003, 'menuItem.sysaidCommunity', 2000, 'url', 'http://www.sysaid.com/Sysforums/forums/home.page?newWin=true', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2004, 'compose.title',2000, 'function', '#/function/openSendMessage', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2005, 'menuItem.contactSysAid',2000, 'url', 'http://www.sysaid.com/contact-support.htm?newWin=true', 'Y',null, null,0,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2006, 'leftmenu_pr.about',2000, 'url', 'About.jsp?fancyBox=true', 'Y',null, null,2,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2007, 'menuItem.endUserPortal',2000, 'url', 'EndUserPortal.jsp', 'N',null, null,10,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2008, 'portal.menu.logout',2000, 'url', '#/function/logout', 'Y',null, null,30,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2009, 'menuItem.selfServicePortal', 2000, 'url', 'servicePortal', 'Y',null, 16,20,0,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (2013, 'about.additional.cloudStatus', 2000, 'function', '#/function/cloudStatus', 'Y',null, null,1,0,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (10000, 'leftmenu.menu.addon.process.automation.caption', 1000, 'url', '#', 'Y','automation-settings', 100,60,1,0);
INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (10001, 'menu.addon.process.automation.submenu.process.monitor.caption', 10000, 'url', 'addonJspWrapper.jsp?a=AutomicEmbedded&p=ProcessMonitor.jsp', 'Y',null, 100,10,1,0);

INSERT INTO ui_menus (mi_id, mi_name, mi_parent, mi_action_type, mi_action, mi_enabled,mi_ui_class, mi_module_id,mi_order,mi_permission,mi_edition) VALUES (3002, 'cmdb.importCIRelations.title', 1047,'url','ImportCIRelations.jsp', 'Y',null, 3,0,1,0);

INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (3,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (4,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (5,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (6,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (7,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (8,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (9,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (10,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (11,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (12,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (13,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (14,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (15,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (16,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (17,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (18,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (19,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (20,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (21,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (22,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (23,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (24,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (25,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (26,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (27,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (28,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (29,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (30,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (31,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (32,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (33,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (34,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (35,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (36,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (37,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (38,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (39,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (40,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (41,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (42,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (43,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (44,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (45,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (46,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (47,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (48,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (49,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (52,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (53,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (54,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (55,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (56,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (57,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (58,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (59,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (60,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (61,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (62,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (63,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (64,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (65,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (66,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (67,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (68,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (69,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (70,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (71,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (72,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (73,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (74,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (75,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (76,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (78,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (79,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (80,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (81,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (82,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (84,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (85,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (86,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (87,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (88,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (89,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (90,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (91,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (92,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (93,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (94,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (95,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (96,'ALL_SYSAID_GROUPS');

INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1000,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1001,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1002,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1003,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1004,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1005,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1006,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1007,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1008,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1009,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1010,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1011,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1012,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1013,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1014,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1015,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1016,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1017,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1018,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1019,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1020,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1021,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1022,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1023,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1024,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1025,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1026,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1027,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1028,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1029,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1030,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1031,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1032,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1033,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1034,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1035,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1036,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1037,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1038,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1039,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1040,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1041,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1042,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1043,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1044,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1045,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1046,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1047,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1048,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1049,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1050,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1051,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1052,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1053,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1054,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1055,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1056,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1057,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1058,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1061,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1062,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1063,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1064,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1067,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1068,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1069,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1070,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1071,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1072,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1073,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1074,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1075,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1076,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1077,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1079,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1080,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1081,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1082,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1083,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1084,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1085,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1086,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1087,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1088,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1090,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1091,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1092,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1093,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1094,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1095,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1096,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1097,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1098,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1099,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1100,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1101,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1102,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1103,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1104,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1105,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1106,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1110,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1111,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1112,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1113,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1114,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1115,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1116,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1117,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1118,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1119,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1120,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1121,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1122,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (1123,'ALL_SYSAID_GROUPS');

INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2000,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2001,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2002,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2003,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2004,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2005,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2006,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2007,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2008,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2009,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2010,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2011,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2012,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2013,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2014,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (2015,'ALL_SYSAID_GROUPS');


INSERT INTO ui_menus2group (mi_id,group_name) VALUES (10000,'ALL_SYSAID_GROUPS');
INSERT INTO ui_menus2group (mi_id,group_name) VALUES (10001,'ALL_SYSAID_GROUPS');

create table patch(
account_id varchar2(32) NOT NULL,
 patch_id varchar2(64) NOT NULL,
 product_name varchar2(255) NOT NULL,
 vendor varchar2(255) NOT NULL,
 name varchar2(255) NOT NULL,
 file_digest varchar2(4000) NOT NULL,
 bulletin varchar2(64),
 title varchar2(4000),
 max_download_size int,
 classification int,
 severity_type varchar2(64),
release_date date,
kb_article_id varchar2(64),
switches varchar2(4000),
url varchar2(4000),
file_url varchar2(4000),
language varchar2 (4000),
uninstallable number(1,0),
security_update number(1,0),
PRIMARY KEY  (account_id,patch_id)
);

create table computer_patches(
account_id varchar2(32) NOT NULL,
 patch_id varchar2(64) NOT NULL,
 computer_id varchar2(64) NOT NULL,
 patch_status int,
 failure_reason varchar2(255),
 change_id int,
 installed_date date,
 manual_event_id int,
 start_schedule_date_time date,
 PRIMARY KEY(account_id,patch_id,computer_id)
 );
 create index computer_patches_idx1 on computer_patches (patch_id,computer_id,patch_status);

CREATE TABLE patch_policy (
  policy_id  number(11) NOT NULL,
  account_id varchar2(32) NOT NULL ,
  policy_name varchar2(255),
  policy_date DATE,
  last_scan DATE,
  next_scan DATE,
  last_patch DATE,
  next_patch DATE,
  last_scan_server_time DATE,
  last_patch_server_time DATE,
  scan_schedule clob,
  patch_schedule clob,
  reboot_settings clob,
  PRIMARY KEY  (policy_id)
) ;

create sequence patch_policy_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE gfi_products (
  product_id  number(11) NOT NULL,
  vendor varchar2(255) NOT NULL ,
  product_name varchar2(255) NOT NULL ,
  PRIMARY KEY  (product_id));

create sequence gfi_products_seq START WITH 184 INCREMENT BY 1 NOCACHE NOCYCLE;

insert into gfi_products (product_id,vendor,product_name) values (1,'Adobe Systems, Inc.','Adobe Acrobat');
insert into gfi_products (product_id,vendor,product_name) values (2,'Adobe Systems, Inc.','Adobe Acrobat Pro and Standard');
insert into gfi_products (product_id,vendor,product_name) values (3,'Adobe Systems, Inc.','Adobe Acrobat Pro Extended');
insert into gfi_products (product_id,vendor,product_name) values (4,'Adobe Systems, Inc.','Adobe Air');
insert into gfi_products (product_id,vendor,product_name) values (5,'Adobe Systems, Inc.','Adobe Flash Player');
insert into gfi_products (product_id,vendor,product_name) values (6,'Adobe Systems, Inc.','Adobe Reader');
insert into gfi_products (product_id,vendor,product_name) values (7,'Adobe Systems, Inc.','Adobe Shockwave Player');
insert into gfi_products (product_id,vendor,product_name) values (8,'Apache Software Foundation','OpenOffice.org');
insert into gfi_products (product_id,vendor,product_name) values (9,'Apple Computer, Inc.','iTunes');
insert into gfi_products (product_id,vendor,product_name) values (10,'Apple Computer, Inc.','QuickTime');
insert into gfi_products (product_id,vendor,product_name) values (11,'Apple Computer, Inc.','Safari');
insert into gfi_products (product_id,vendor,product_name) values (12,'Box, Inc.','Box BoxSync');
insert into gfi_products (product_id,vendor,product_name) values (13,'Decho Corporation','MozyHome Remote Backup');
insert into gfi_products (product_id,vendor,product_name) values (14,'Foxit Corporation','Foxit Reader');
insert into gfi_products (product_id,vendor,product_name) values (15,'Google Inc.','Google Chrome');
insert into gfi_products (product_id,vendor,product_name) values (16,'Google Inc.','Google Drive');
insert into gfi_products (product_id,vendor,product_name) values (17,'Google Inc.','Google Earth');
insert into gfi_products (product_id,vendor,product_name) values (18,'Google Inc.','Google Picasa');
insert into gfi_products (product_id,vendor,product_name) values (19,'Igor Pavlov','7-Zip');
insert into gfi_products (product_id,vendor,product_name) values (20,'Malwarebytes Corporation','Malwarebytes AntiMalware');
insert into gfi_products (product_id,vendor,product_name) values (21,'Mozilla','Firefox');
insert into gfi_products (product_id,vendor,product_name) values (22,'Mozilla','SeaMonkey');
insert into gfi_products (product_id,vendor,product_name) values (23,'Mozilla','Thunderbird');
insert into gfi_products (product_id,vendor,product_name) values (24,'Nullsoft, Inc.','Winamp');
insert into gfi_products (product_id,vendor,product_name) values (25,'Opera Software','Opera');
insert into gfi_products (product_id,vendor,product_name) values (26,'Oracle','Java Runtime Environment');
insert into gfi_products (product_id,vendor,product_name) values (27,'pdfforge.org','PDFCreator');
insert into gfi_products (product_id,vendor,product_name) values (28,'RARLAB','WinRAR');
insert into gfi_products (product_id,vendor,product_name) values (29,'RealNetworks','RealPlayer');
insert into gfi_products (product_id,vendor,product_name) values (30,'Riverbed Technology','Wireshark');
insert into gfi_products (product_id,vendor,product_name) values (31,'SimonTatham','PuTTY');
insert into gfi_products (product_id,vendor,product_name) values (32,'Skype Limited','Skype');
insert into gfi_products (product_id,vendor,product_name) values (33,'TeamViewerGmbH','TeamViewer');
insert into gfi_products (product_id,vendor,product_name) values (34,'TeamViewerGmbH','TeamViewer Host');
insert into gfi_products (product_id,vendor,product_name) values (35,'TechSmith','SnagIT');
insert into gfi_products (product_id,vendor,product_name) values (36,'Tigris.org','TortoiseSVN');
insert into gfi_products (product_id,vendor,product_name) values (37,'TimKosse','FileZilla Client');
insert into gfi_products (product_id,vendor,product_name) values (38,'Tracker Software Products (Canada) Ltd','PDF-XChange Viewer');
insert into gfi_products (product_id,vendor,product_name) values (39,'WinZip Computing','WinZip');
insert into gfi_products (product_id,vendor,product_name) values (40,'Yahoo! Inc.','Yahoo Messenger');
insert into gfi_products (product_id,vendor,product_name) values (41,'Microsoft','Active Directory Rights Management Services Client 2.0');
insert into gfi_products (product_id,vendor,product_name) values (42,'Microsoft','Antigen for Exchange/SMTP');
insert into gfi_products (product_id,vendor,product_name) values (43,'Microsoft','ASP.NET Web Frameworks');
insert into gfi_products (product_id,vendor,product_name) values (44,'Microsoft','Bing Bar');
insert into gfi_products (product_id,vendor,product_name) values (45,'Microsoft','BizTalk Server 2002');
insert into gfi_products (product_id,vendor,product_name) values (46,'Microsoft','BizTalk Server 2006R2');
insert into gfi_products (product_id,vendor,product_name) values (47,'Microsoft','BizTalk Server 2009');
insert into gfi_products (product_id,vendor,product_name) values (48,'Microsoft','BizTalk Server 2013');
insert into gfi_products (product_id,vendor,product_name) values (49,'Microsoft','CAPICOM');
insert into gfi_products (product_id,vendor,product_name) values (50,'Microsoft','Category for System Center Online Client');
insert into gfi_products (product_id,vendor,product_name) values (51,'Microsoft','Compute Cluster Pack');
insert into gfi_products (product_id,vendor,product_name) values (52,'Microsoft','Data Protection Manager 2006');
insert into gfi_products (product_id,vendor,product_name) values (53,'Microsoft','Device Health');
insert into gfi_products (product_id,vendor,product_name) values (54,'Microsoft','Dictionary Updates for Microsoft IMEs');
insert into gfi_products (product_id,vendor,product_name) values (55,'Microsoft','EU Browser Choice Update-For Europe Only');
insert into gfi_products (product_id,vendor,product_name) values (56,'Microsoft','Exchange 2000 Server');
insert into gfi_products (product_id,vendor,product_name) values (57,'Microsoft','Exchange Server 2003');
insert into gfi_products (product_id,vendor,product_name) values (58,'Microsoft','Exchange Server 2007');
insert into gfi_products (product_id,vendor,product_name) values (59,'Microsoft','Exchange Server 2010');
insert into gfi_products (product_id,vendor,product_name) values (60,'Microsoft','Exchange Server 2013');
insert into gfi_products (product_id,vendor,product_name) values (61,'Microsoft','Expression Design 1');
insert into gfi_products (product_id,vendor,product_name) values (62,'Microsoft','Expression Design 2');
insert into gfi_products (product_id,vendor,product_name) values (63,'Microsoft','Expression Design 3');
insert into gfi_products (product_id,vendor,product_name) values (64,'Microsoft','Expression Design 4');
insert into gfi_products (product_id,vendor,product_name) values (65,'Microsoft','Expression Media 2');
insert into gfi_products (product_id,vendor,product_name) values (66,'Microsoft','Expression Media V1');
insert into gfi_products (product_id,vendor,product_name) values (67,'Microsoft','Expression Web 3');
insert into gfi_products (product_id,vendor,product_name) values (68,'Microsoft','Expression Web 4');
insert into gfi_products (product_id,vendor,product_name) values (69,'Microsoft','Firewall Client for ISA Server');
insert into gfi_products (product_id,vendor,product_name) values (70,'Microsoft','Forefront Client Security');
insert into gfi_products (product_id,vendor,product_name) values (71,'Microsoft','Forefront Endpoint Protection 2010');
insert into gfi_products (product_id,vendor,product_name) values (72,'Microsoft','Forefront Identity Manager 2010');
insert into gfi_products (product_id,vendor,product_name) values (73,'Microsoft','Forefront Identity Manager 2010 R2');
insert into gfi_products (product_id,vendor,product_name) values (74,'Microsoft','Forefront Protection Category');
insert into gfi_products (product_id,vendor,product_name) values (75,'Microsoft','Forefront Server Security Category');
insert into gfi_products (product_id,vendor,product_name) values (76,'Microsoft','Forefront TMG');
insert into gfi_products (product_id,vendor,product_name) values (77,'Microsoft','Forefront TMG MBE');
insert into gfi_products (product_id,vendor,product_name) values (78,'Microsoft','HealthVault Connection Center');
insert into gfi_products (product_id,vendor,product_name) values (79,'Microsoft','HealthVault Connection Center Upgrades');
insert into gfi_products (product_id,vendor,product_name) values (80,'Microsoft','Host Integration Server 2000');
insert into gfi_products (product_id,vendor,product_name) values (81,'Microsoft','Host Integration Server 2004');
insert into gfi_products (product_id,vendor,product_name) values (82,'Microsoft','Host Integration Server 2006');
insert into gfi_products (product_id,vendor,product_name) values (83,'Microsoft','Host Integration Server 2009');
insert into gfi_products (product_id,vendor,product_name) values (84,'Microsoft','Host Integration Server 2010');
insert into gfi_products (product_id,vendor,product_name) values (85,'Microsoft','HPC Pack 2008');
insert into gfi_products (product_id,vendor,product_name) values (86,'Microsoft','Internet Security and Acceleration Server 2004');
insert into gfi_products (product_id,vendor,product_name) values (87,'Microsoft','Internet Security and Acceleration Server 2006');
insert into gfi_products (product_id,vendor,product_name) values (88,'Microsoft','Mail Installation and Upgrades');
insert into gfi_products (product_id,vendor,product_name) values (89,'Microsoft','Microsoft Application Virtualization 4.5');
insert into gfi_products (product_id,vendor,product_name) values (90,'Microsoft','Microsoft Application Virtualization 4.6');
insert into gfi_products (product_id,vendor,product_name) values (91,'Microsoft','Microsoft Application Virtualization 5.0');
insert into gfi_products (product_id,vendor,product_name) values (92,'Microsoft','Microsoft Azure Site Recovery Provider');
insert into gfi_products (product_id,vendor,product_name) values (93,'Microsoft','Microsoft BitLocker Administration and Monitoring v1');
insert into gfi_products (product_id,vendor,product_name) values (94,'Microsoft','Microsoft Dynamics CRM 2011');
insert into gfi_products (product_id,vendor,product_name) values (95,'Microsoft','Microsoft Dynamics CRM 2011 SHS');
insert into gfi_products (product_id,vendor,product_name) values (96,'Microsoft','Microsoft Dynamics CRM 2013');
insert into gfi_products (product_id,vendor,product_name) values (97,'Microsoft','Dynamics CRM 2015');
insert into gfi_products (product_id,vendor,product_name) values (98,'Microsoft','Microsoft Lync 2010');
insert into gfi_products (product_id,vendor,product_name) values (99,'Microsoft','Microsoft Lync Server 2010');
insert into gfi_products (product_id,vendor,product_name) values (100,'Microsoft','Microsoft Lync Server 2013');
insert into gfi_products (product_id,vendor,product_name) values (101,'Microsoft','Microsoft Monitoring Agent');
insert into gfi_products (product_id,vendor,product_name) values (102,'Microsoft','Microsoft Online Services Sign-In Assistant');
insert into gfi_products (product_id,vendor,product_name) values (103,'Microsoft','Microsoft Research AutoCollage 2008');
insert into gfi_products (product_id,vendor,product_name) values (104,'Microsoft','Microsoft SQL Server 2008 R2 - PowerPivot for Microsoft Excel 2010');
insert into gfi_products (product_id,vendor,product_name) values (105,'Microsoft','Microsoft SQL Server 2012');
insert into gfi_products (product_id,vendor,product_name) values (106,'Microsoft','Microsoft SQL Server 2014');
insert into gfi_products (product_id,vendor,product_name) values (107,'Microsoft','Microsoft StreamInsight V1.0');
insert into gfi_products (product_id,vendor,product_name) values (108,'Microsoft','Microsoft System Center DPM 2010');
insert into gfi_products (product_id,vendor,product_name) values (109,'Microsoft','Microsoft System Center Virtual Machine Manager 2007');
insert into gfi_products (product_id,vendor,product_name) values (110,'Microsoft','Microsoft System Center Virtual Machine Manager 2008');
insert into gfi_products (product_id,vendor,product_name) values (111,'Microsoft','Microsoft Works 8');
insert into gfi_products (product_id,vendor,product_name) values (112,'Microsoft','Microsoft Works 9');
insert into gfi_products (product_id,vendor,product_name) values (113,'Microsoft','Network Monitor 3');
insert into gfi_products (product_id,vendor,product_name) values (114,'Microsoft','New Dictionaries for Microsoft IMEs');
insert into gfi_products (product_id,vendor,product_name) values (115,'Microsoft','Office 2002/XP');
insert into gfi_products (product_id,vendor,product_name) values (116,'Microsoft','Office 2003');
insert into gfi_products (product_id,vendor,product_name) values (117,'Microsoft','Office 2007');
insert into gfi_products (product_id,vendor,product_name) values (118,'Microsoft','Office 2010');
insert into gfi_products (product_id,vendor,product_name) values (119,'Microsoft','Office 2013');
insert into gfi_products (product_id,vendor,product_name) values (120,'Microsoft','Office Communications Server 2007');
insert into gfi_products (product_id,vendor,product_name) values (121,'Microsoft','Office Communications Server 2007 R2');
insert into gfi_products (product_id,vendor,product_name) values (122,'Microsoft','Office Communicator 2007 R2');
insert into gfi_products (product_id,vendor,product_name) values (123,'Microsoft','Office Live Add-in');
insert into gfi_products (product_id,vendor,product_name) values (124,'Microsoft','OneCare Family Safety Installation');
insert into gfi_products (product_id,vendor,product_name) values (125,'Microsoft','OOBE ZDP');
insert into gfi_products (product_id,vendor,product_name) values (126,'Microsoft','Photo Gallery Installation and Upgrades');
insert into gfi_products (product_id,vendor,product_name) values (127,'Microsoft','Report Viewer 2005');
insert into gfi_products (product_id,vendor,product_name) values (128,'Microsoft','Report Viewer 2008');
insert into gfi_products (product_id,vendor,product_name) values (129,'Microsoft','Report Viewer 2010');
insert into gfi_products (product_id,vendor,product_name) values (130,'Microsoft','Search Enhancement Pack');
insert into gfi_products (product_id,vendor,product_name) values (131,'Microsoft','Service Bus for Windows Server 1.1');
insert into gfi_products (product_id,vendor,product_name) values (132,'Microsoft','Silverlight');
insert into gfi_products (product_id,vendor,product_name) values (133,'Microsoft','Skype for Windows');
insert into gfi_products (product_id,vendor,product_name) values (134,'Microsoft','SQL Server 2000');
insert into gfi_products (product_id,vendor,product_name) values (135,'Microsoft','SQL Server 2005');
insert into gfi_products (product_id,vendor,product_name) values (136,'Microsoft','SQL Server 2008');
insert into gfi_products (product_id,vendor,product_name) values (137,'Microsoft','SQL Server 2008 R2');
insert into gfi_products (product_id,vendor,product_name) values (138,'Microsoft','SQL Server 2012 Product Updates for Setup');
insert into gfi_products (product_id,vendor,product_name) values (139,'Microsoft','SQL Server Feature Pack');
insert into gfi_products (product_id,vendor,product_name) values (140,'Microsoft','System Center 2012 - App Controller');
insert into gfi_products (product_id,vendor,product_name) values (141,'Microsoft','System Center 2012 - Data Protection Manager');
insert into gfi_products (product_id,vendor,product_name) values (142,'Microsoft','System Center 2012 - Operations Manager');
insert into gfi_products (product_id,vendor,product_name) values (143,'Microsoft','System Center 2012 - Orchestrator');
insert into gfi_products (product_id,vendor,product_name) values (144,'Microsoft','System Center 2012 - Virtual Machine Manager');
insert into gfi_products (product_id,vendor,product_name) values (145,'Microsoft','System Center 2012 R2 - Data Protection Manager');
insert into gfi_products (product_id,vendor,product_name) values (146,'Microsoft','System Center 2012 R2 - Operations Manager');
insert into gfi_products (product_id,vendor,product_name) values (147,'Microsoft','System Center 2012 R2 - Orchestrator');
insert into gfi_products (product_id,vendor,product_name) values (148,'Microsoft','System Center 2012 R2 - Virtual Machine Manager');
insert into gfi_products (product_id,vendor,product_name) values (149,'Microsoft','System Center 2012 SP1 - App Controller');
insert into gfi_products (product_id,vendor,product_name) values (150,'Microsoft','System Center 2012 SP1 - Data Protection Manager');
insert into gfi_products (product_id,vendor,product_name) values (151,'Microsoft','System Center 2012 SP1 - Operation Manager');
insert into gfi_products (product_id,vendor,product_name) values (152,'Microsoft','System Center 2012 SP1 - Virtual Machine Manager');
insert into gfi_products (product_id,vendor,product_name) values (153,'Microsoft','System Center Advisor');
insert into gfi_products (product_id,vendor,product_name) values (154,'Microsoft','System Center Configuration Manager 2007');
insert into gfi_products (product_id,vendor,product_name) values (155,'Microsoft','Systems Management Server 2003');
insert into gfi_products (product_id,vendor,product_name) values (156,'Microsoft','TMG Firewall Client');
insert into gfi_products (product_id,vendor,product_name) values (157,'Microsoft','Virtual PC');
insert into gfi_products (product_id,vendor,product_name) values (158,'Microsoft','Virtual Server');
insert into gfi_products (product_id,vendor,product_name) values (159,'Microsoft','Visual Studio 2005');
insert into gfi_products (product_id,vendor,product_name) values (160,'Microsoft','Visual Studio 2008');
insert into gfi_products (product_id,vendor,product_name) values (161,'Microsoft','Visual Studio 2010');
insert into gfi_products (product_id,vendor,product_name) values (162,'Microsoft','Visual Studio 2010 Tools for Office Runtime');
insert into gfi_products (product_id,vendor,product_name) values (163,'Microsoft','Visual Studio 2012');
insert into gfi_products (product_id,vendor,product_name) values (164,'Microsoft','Visual Studio 2013');
insert into gfi_products (product_id,vendor,product_name) values (165,'Microsoft','Winamp');
insert into gfi_products (product_id,vendor,product_name) values (166,'Microsoft','Windows');
insert into gfi_products (product_id,vendor,product_name) values (167,'Microsoft','Windows 2000');
insert into gfi_products (product_id,vendor,product_name) values (168,'Microsoft','Windows 7');
insert into gfi_products (product_id,vendor,product_name) values (169,'Microsoft','Windows 7 Language Packs');
insert into gfi_products (product_id,vendor,product_name) values (170,'Microsoft','Windows 8');
insert into gfi_products (product_id,vendor,product_name) values (171,'Microsoft','Windows 8 Dynamic Update');
insert into gfi_products (product_id,vendor,product_name) values (172,'Microsoft','Windows 8 IME Dictionary Updates');
insert into gfi_products (product_id,vendor,product_name) values (173,'Microsoft','Windows 8 Language Interface Packs');
insert into gfi_products (product_id,vendor,product_name) values (174,'Microsoft','Windows 8 Language Packs');
insert into gfi_products (product_id,vendor,product_name) values (175,'Microsoft','Windows 8.1');
insert into gfi_products (product_id,vendor,product_name) values (176,'Microsoft','Windows Consumer Preview Dynamic Update');
insert into gfi_products (product_id,vendor,product_name) values (177,'Microsoft','Windows Embedded Standard 7');
insert into gfi_products (product_id,vendor,product_name) values (178,'Microsoft','Windows Essential Business Server 2008');
insert into gfi_products (product_id,vendor,product_name) values (179,'Microsoft','Windows Essential Business Server 2008 Setup Updates');
insert into gfi_products (product_id,vendor,product_name) values (180,'Microsoft','Windows Essential Business Server Preinstallation Tools');
insert into gfi_products (product_id,vendor,product_name) values (181,'Microsoft','Windows GDR-Dynamic Update');
insert into gfi_products (product_id,vendor,product_name) values (182,'Microsoft','Windows Internet Explorer 7 Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (183,'Microsoft','Windows Internet Explorer 7.0 Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (184,'Microsoft','Windows Internet Explorer 8 Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (185,'Microsoft','Windows Live');
insert into gfi_products (product_id,vendor,product_name) values (186,'Microsoft','Windows Live Toolbar');
insert into gfi_products (product_id,vendor,product_name) values (187,'Microsoft','Windows Media Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (188,'Microsoft','Windows Server 2003');
insert into gfi_products (product_id,vendor,product_name) values (189,'Microsoft','Windows Server 2003, Datacenter Edition');
insert into gfi_products (product_id,vendor,product_name) values (190,'Microsoft','Windows Server 2008');
insert into gfi_products (product_id,vendor,product_name) values (191,'Microsoft','Windows Server 2008 R2');
insert into gfi_products (product_id,vendor,product_name) values (192,'Microsoft','Windows Server 2008 Server Manager Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (193,'Microsoft','Windows Server 2012');
insert into gfi_products (product_id,vendor,product_name) values (194,'Microsoft','Windows Server 2012 Language Packs');
insert into gfi_products (product_id,vendor,product_name) values (195,'Microsoft','Windows Server 2012 R2');
insert into gfi_products (product_id,vendor,product_name) values (196,'Microsoft','Windows Server Manager - Windows Server Update Services (WSUS) Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (197,'Microsoft','Windows Server Solutions Best Practices Analyzer 1.0');
insert into gfi_products (product_id,vendor,product_name) values (198,'Microsoft','Windows Small Business Server 2003');
insert into gfi_products (product_id,vendor,product_name) values (199,'Microsoft','Windows Small Business Server 2008');
insert into gfi_products (product_id,vendor,product_name) values (200,'Microsoft','Windows Small Business Server 2008 Migration Preparation Tool');
insert into gfi_products (product_id,vendor,product_name) values (201,'Microsoft','Windows Small Business Server 2011 Standard');
insert into gfi_products (product_id,vendor,product_name) values (202,'Microsoft','Windows Ultimate Extras');
insert into gfi_products (product_id,vendor,product_name) values (203,'Microsoft','Windows Vista');
insert into gfi_products (product_id,vendor,product_name) values (204,'Microsoft','Windows Vista Ultimate Language Packs');
insert into gfi_products (product_id,vendor,product_name) values (205,'Microsoft','Windows XP');
insert into gfi_products (product_id,vendor,product_name) values (206,'Microsoft','Windows XP 64-Bit Edition Version 2003');
insert into gfi_products (product_id,vendor,product_name) values (207,'Microsoft','Windows XP x64 Edition');
insert into gfi_products (product_id,vendor,product_name) values (208,'Microsoft','Works 6-9 Converter');
insert into gfi_products (product_id,vendor,product_name) values (209,'Microsoft','Writer Installation and Upgrades');
insert into gfi_products (product_id,vendor,product_name) values (210,'ActiveState Software Inc','ActivePython');
insert into gfi_products (product_id,vendor,product_name) values (211,'Adobe Systems, Inc.','Adobe Illustrator');
insert into gfi_products (product_id,vendor,product_name) values (212,'Adobe Systems, Inc.','Adobe InDesign');
insert into gfi_products (product_id,vendor,product_name) values (213,'Adobe Systems, Inc.','Adobe Photoshop');
insert into gfi_products (product_id,vendor,product_name) values (214,'Apache Software Foundation','Apache HTTP Server');
insert into gfi_products (product_id,vendor,product_name) values (215,'Apache Software Foundation','Apache HTTPD');
insert into gfi_products (product_id,vendor,product_name) values (216,'AudacityTeam.org','Audacity');
insert into gfi_products (product_id,vendor,product_name) values (217,'Bandisoft','Bandizip');
insert into gfi_products (product_id,vendor,product_name) values (218,'Bullzip.com','BullzipPDFPrinter');
insert into gfi_products (product_id,vendor,product_name) values (219,'Piriform Ltd.','CCleaner');
insert into gfi_products (product_id,vendor,product_name) values (220,'CanneverbeLtd.','CDBurnerXP');
insert into gfi_products (product_id,vendor,product_name) values (221,'CoreFTP','CoreFTP');
insert into gfi_products (product_id,vendor,product_name) values (222,'Evernote Corporation','Evernote');
insert into gfi_products (product_id,vendor,product_name) values (223,'Microsoft','Exchange Server 2016');
insert into gfi_products (product_id,vendor,product_name) values (224,'Foxit Corporation','Foxit PhantomPDF Business');
insert into gfi_products (product_id,vendor,product_name) values (225,'Foxit Corporation','Foxit PhantomPDF Standard');
insert into gfi_products (product_id,vendor,product_name) values (226,'Zenju','FreeFileSync');
insert into gfi_products (product_id,vendor,product_name) values (227,'The GIMP Development Team','GIMP');
insert into gfi_products (product_id,vendor,product_name) values (228,'Citrix Systems, Inc.','GoToMeeting');
insert into gfi_products (product_id,vendor,product_name) values (229,'Open Source','Greenshot');
insert into gfi_products (product_id,vendor,product_name) values (230,'HandBrake community','HandBrake');
insert into gfi_products (product_id,vendor,product_name) values (231,'ImgBurn','ImgBurn');
insert into gfi_products (product_id,vendor,product_name) values (232,'Open Source','Inkscape');
insert into gfi_products (product_id,vendor,product_name) values (233,'IrfanSkiljan','IrfanView');
insert into gfi_products (product_id,vendor,product_name) values (234,'TheDocumentFoundation','LibreOffice');
insert into gfi_products (product_id,vendor,product_name) values (235,'Microsoft','Microsoft Advanced Threat Analytics');
insert into gfi_products (product_id,vendor,product_name) values (236,'Microsoft','Microsoft Azure Information Protection Client');
insert into gfi_products (product_id,vendor,product_name) values (237,'Microsoft','Microsoft Dynamics CRM 2015');
insert into gfi_products (product_id,vendor,product_name) values (238,'Microsoft','Microsoft Dynamics CRM 2016');
insert into gfi_products (product_id,vendor,product_name) values (239,'Oracle','MySQL Server');
insert into gfi_products (product_id,vendor,product_name) values (240,'Oracle Corporation','MySQL Server');
insert into gfi_products (product_id,vendor,product_name) values (241,'nmap.org','Nmap');
insert into gfi_products (product_id,vendor,product_name) values (242,'Don Ho','Notepad++');
insert into gfi_products (product_id,vendor,product_name) values (243,'Microsoft','Office 2016');
insert into gfi_products (product_id,vendor,product_name) values (244,'Microsoft','Office 365 Client');
insert into gfi_products (product_id,vendor,product_name) values (245,'dotPDN LLC','PaintNET');
insert into gfi_products (product_id,vendor,product_name) values (246,'Tracker Software Products (Canada) Ltd','PDF-XChange Editor');
insert into gfi_products (product_id,vendor,product_name) values (247,'PeaZip SRL','PeaZip');
insert into gfi_products (product_id,vendor,product_name) values (248,'Open Source','Pidgin');
insert into gfi_products (product_id,vendor,product_name) values (249,'Python Software Foundation','Python');
insert into gfi_products (product_id,vendor,product_name) values (250,'RealVNC Limited','RealVNC');
insert into gfi_products (product_id,vendor,product_name) values (251,'RealVNC Limited','RealVNC Server');
insert into gfi_products (product_id,vendor,product_name) values (252,'RealVNC Limited','RealVNC Viewer');
insert into gfi_products (product_id,vendor,product_name) values (253,'Microsoft','Skype for Business Server 2015');
insert into gfi_products (product_id,vendor,product_name) values (254,'Microsoft','Skype for Business Server 2015, SmartSetup');
insert into gfi_products (product_id,vendor,product_name) values (255,'Safer-Networking Ltd.','Spybot');
insert into gfi_products (product_id,vendor,product_name) values (256,'Microsoft','Microsoft SQL Server 2016');
insert into gfi_products (product_id,vendor,product_name) values (257,'Microsoft','Microsoft SQL Server Management Studio v17');
insert into gfi_products (product_id,vendor,product_name) values (258,'Microsoft','SQL Server 2014-2016 Product Updates for Setup');
insert into gfi_products (product_id,vendor,product_name) values (259,'ideaMK','STPViewer');
insert into gfi_products (product_id,vendor,product_name) values (260,'Microsoft','System Center 2016 - Data Protection Manager');
insert into gfi_products (product_id,vendor,product_name) values (261,'Microsoft','System Center 2016 - Operations Manager');
insert into gfi_products (product_id,vendor,product_name) values (262,'Microsoft','System Center 2016 - Orchestrator');
insert into gfi_products (product_id,vendor,product_name) values (263,'Microsoft','System Center 2016 - Virtual Machine Manager');
insert into gfi_products (product_id,vendor,product_name) values (264,'GlavSoft LLC.','TightVNC');
insert into gfi_products (product_id,vendor,product_name) values (265,'Tigris.org','TortoiseGIT');
insert into gfi_products (product_id,vendor,product_name) values (266,'Tigris.org','TortoiseHG');
insert into gfi_products (product_id,vendor,product_name) values (267,'JAM Software','TreeSizeFree');
insert into gfi_products (product_id,vendor,product_name) values (268,'UltraVNC','UltraVNC');
insert into gfi_products (product_id,vendor,product_name) values (269,'VideoLAN','VLC Media Player');
insert into gfi_products (product_id,vendor,product_name) values (270,'VMware Inc.','VMPlayer');
insert into gfi_products (product_id,vendor,product_name) values (271,'VMware Inc.','VMWorkstation');
insert into gfi_products (product_id,vendor,product_name) values (272,'Microsoft','Windows 10 Feature On Demand');
insert into gfi_products (product_id,vendor,product_name) values (273,'Microsoft','Windows 10 GDR-DU');
insert into gfi_products (product_id,vendor,product_name) values (274,'Microsoft','Windows 10');
insert into gfi_products (product_id,vendor,product_name) values (275,'Microsoft','Windows 8 Embedded');
insert into gfi_products (product_id,vendor,product_name) values (276,'Microsoft','Windows 8.1 Dynamic Update');
insert into gfi_products (product_id,vendor,product_name) values (277,'Microsoft','Windows RT 8.1');
insert into gfi_products (product_id,vendor,product_name) values (278,'Microsoft','Windows Server 2016');
insert into gfi_products (product_id,vendor,product_name) values (279,'Microsoft','Windows Server Manager ? Windows Server Update Services (WSUS) Dynamic Installer');
insert into gfi_products (product_id,vendor,product_name) values (280,'Microsoft','Windows Azure Pack: Admin API');
insert into gfi_products (product_id,vendor,product_name) values (281,'Microsoft','Windows Azure Pack: Admin Authentication Site');
insert into gfi_products (product_id,vendor,product_name) values (282,'Microsoft','Windows Azure Pack: Admin Site');
insert into gfi_products (product_id,vendor,product_name) values (283,'Microsoft','Windows Azure Pack: Configuration Site');
insert into gfi_products (product_id,vendor,product_name) values (284,'Microsoft','Windows Azure Pack: Microsoft Best Practice Analyzer');
insert into gfi_products (product_id,vendor,product_name) values (285,'Microsoft','Windows Azure Pack: Monitoring Extension');
insert into gfi_products (product_id,vendor,product_name) values (286,'Microsoft','Windows Azure Pack: MySQL Extension');
insert into gfi_products (product_id,vendor,product_name) values (287,'Microsoft','Windows Azure Pack: PowerShell API');
insert into gfi_products (product_id,vendor,product_name) values (288,'Microsoft','Windows Azure Pack: SQL Server Extension');
insert into gfi_products (product_id,vendor,product_name) values (289,'Microsoft','Windows Azure Pack: Tenant API');
insert into gfi_products (product_id,vendor,product_name) values (290,'Microsoft','Windows Azure Pack: Tenant Authentication Site');
insert into gfi_products (product_id,vendor,product_name) values (291,'Microsoft','Windows Azure Pack: Tenant Public API');
insert into gfi_products (product_id,vendor,product_name) values (292,'Microsoft','Windows Azure Pack: Tenant Site');
insert into gfi_products (product_id,vendor,product_name) values (293,'Microsoft','Windows Azure Pack: Usage Extension');
insert into gfi_products (product_id,vendor,product_name) values (294,'Microsoft','Windows Azure Pack: Web App Gallery Extension');
insert into gfi_products (product_id,vendor,product_name) values (295,'Microsoft','Windows Azure Pack: Web Sites');
insert into gfi_products (product_id,vendor,product_name) values (296,'Microsoft','Windows Embedded Developer Update');
insert into gfi_products (product_id,vendor,product_name) values (297,'Microsoft','Windows Mobile 10 PREV PPE');
insert into gfi_products (product_id,vendor,product_name) values (298,'Thingamahoochie Software','WinMerge');
insert into gfi_products (product_id,vendor,product_name) values (299,'Martin Prikryl','WinSCP');
insert into gfi_products (product_id,vendor,product_name) values (300,'Gougelet Pierre','XnView');
insert into gfi_products (product_id,vendor,product_name) values (301,'VMware','ZimbraDesktop');
insert into gfi_products (product_id,vendor,product_name) values (302,'Microsoft','OneCare Family Safety Installation');
insert into gfi_products (product_id,vendor,product_name) values (303,'Microsoft','Windows 10 Windows Server 2016');
insert into gfi_products (product_id,vendor,product_name) values (304,'Foxit Corporation','Foxit PhantomPDF');
insert into gfi_products (product_id,vendor,product_name) values (305,'VMware Inc.','Horizon Client');
insert into gfi_products (product_id,vendor,product_name) values (306,'Microsoft','Windows 10 Dynamic Update');
insert into gfi_products (product_id,vendor,product_name) values (307,'Microsoft','Windows 10 GDR-DU FOD');
insert into gfi_products (product_id,vendor,product_name) values (308,'Microsoft','Windows 10 LTSB');
insert into gfi_products (product_id,vendor,product_name) values (309,'Microsoft','Azure File Sync agent updates for Windows Server 2012 R2');
insert into gfi_products (product_id,vendor,product_name) values (310,'Microsoft','Azure File Sync agent updates for Windows Server 2016');
insert into gfi_products (product_id,vendor,product_name) values (311,'Adobe Systems, Inc.','Brackets');
insert into gfi_products (product_id,vendor,product_name) values (312,'JordanRussell','InnoSetup');
insert into gfi_products (product_id,vendor,product_name) values (313,'Microsoft','Microsoft SQL Server 2017');
insert into gfi_products (product_id,vendor,product_name) values (314,'Krzysztof Kowalczyk','SumatraPDF');
insert into gfi_products (product_id,vendor,product_name) values (315,'Oracle','VirtualBox');
insert into gfi_products (product_id,vendor,product_name) values (316,'Microsoft','Azure File Sync agent updates for Windows Server 2019');
insert into gfi_products (product_id,vendor,product_name) values (317,'Microsoft','Visual Studio 2015');
insert into gfi_products (product_id,vendor,product_name) values (318,'Microsoft','Exchange Server 2019');
insert into gfi_products (product_id,vendor,product_name) values (319,'Open Source','KeePass');
insert into gfi_products (product_id,vendor,product_name) values (320,'Microsoft','Office 2019');
insert into gfi_products (product_id,vendor,product_name) values (321,'Oracle','Oracle JDK');
insert into gfi_products (product_id,vendor,product_name) values (322,'Microsoft','System Center 1801 - Orchestrator');
insert into gfi_products (product_id,vendor,product_name) values (323,'Microsoft','System Center Data Protection Manager');
insert into gfi_products (product_id,vendor,product_name) values (324,'Microsoft','System Center Operations Manager 1807');
insert into gfi_products (product_id,vendor,product_name) values (325,'Microsoft','System Center Version 1801 - Virtual Machine Manager');
insert into gfi_products (product_id,vendor,product_name) values (326,'TeamDrive Systems GmbH','TeamDrive');
insert into gfi_products (product_id,vendor,product_name) values (327,'IDM Computer Solutions, Inc','UltraEdit');
insert into gfi_products (product_id,vendor,product_name) values (328,'Vivaldi Technologies','Vivaldi Browser');
insert into gfi_products (product_id,vendor,product_name) values (329,'Microsoft','Windows Server 2019');
insert into gfi_products (product_id,vendor,product_name) values (330,'Microsoft','Windows Admin Center');



CREATE TABLE policy_gfi_products (
  policy_id  number(11) NOT NULL,
  product_id  number(11) NOT NULL,
  approve_stat  number(11) NOT NULL,
  PRIMARY KEY  (policy_id,product_id));

CREATE TABLE policy_gfi_classification (
  policy_id  number(11) NOT NULL ,
  product_id  number(11) NOT NULL,
  approve_stat  number(11) NOT NULL,
  PRIMARY KEY  (policy_id,product_id));

create table patch_policy_status(
 policy_id number(11) NOT NULL,
 patch_id varchar2(64) NOT NULL,
 patch_status number(11) NOT NULL,
 PRIMARY KEY(policy_id,patch_id)
 );

create table rules_emails(
rule_id number(11) NOT NULL,
rule_name varchar2(64) NOT NULL,
email_addresses clob,
rule_desc clob,
text_to_search clob,
rule_enabled char(1) default 'N',
position int NOT NULL,
change_to_assign varchar2(64),
change_to_admin_group varchar2(64),
change_to_status varchar2(64),
change_to_main_category varchar2(64),
change_to_second_category varchar2(64),
change_to_third_category varchar2(64),
change_to_urgency varchar2(64),
change_to_impact varchar2(64),
change_to_priority varchar2(64),
action_builder_data clob,
action_builder_data_print clob,
change_to_sr_type number(11),
change_to_sr_template varchar2(64),
rule_stopper char(1) default 'N',
PRIMARY KEY  (rule_id)
);
create sequence rules_emails_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;


create table guided_tours(
  id number(11) NOT NULL ,
  account_id varchar2(32) NOT NULL,
  user_name varchar2(64),
  company number(11) ,
  is_ondemand number(1,0),
  version number(11),
  json clob,
  rb_file varchar2(255),
  PRIMARY KEY (id)
);

create sequence guided_tours_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

create table patch_policy_event(
  id number(11) NOT NULL,
  policy_id int NOT NULL,
  user_name varchar2(64),
  event_time DATE ,
  is_scan number(1,0),
  is_manual number(1,0),
  PRIMARY KEY (id)
);

create sequence patch_policy_event_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE account_attributes (
  account_id varchar2(32),
  default_customization_panel_dt number(1,0),
  display_navigation_buttons number(1,0),
  account_is_ldap_auth number(1,0),
  account_is_using_guid number(1,0),
  disable_not_exist_ldap_users number(1,0),
  disable_not_exist_ldap_admins number(1,0),
  note_field_add_note_button_top number(1,0),
  note_field_button_editable number(1,0),
  statistics_industry  varchar2(255),
  statistics_random_id number(11,0),
  enable_unlock_account number(1,0),
  enable_reset_password number(1,0),
  enable_wmi_scan_wizard number(1,0),
  disable_password_field number(1,0),
  enable_remote_access  number(1,0),
  upg_rds_assets_automatically  number(1,0),
  asset_offline_interval number(11,0),
  sysaid_gfi_version varchar2(255),
  sysaid_gfi_build_number varchar2(255),
  rds_unavailable_time number(11,0),
  rds_unavailable_notification varchar2(255),
  audit_list_limit number(11,0),
  hide_ticket_delete_option number(1,0) default 0,
  bi_database_url  varchar2(255),
  bi_database_username varchar2(64),
  bi_database_password varchar2(32),
  bi_interval number(11,0) default 720,
  maintenance_hour number(11) default 2,
  use_hostname_for_asset_id_gen  number(1,0),
  max_report_text_length int,
  gateway_api_base_url varchar2(255),
  gateway_api_mode varchar2(20),
  default_charset varchar2(255),
  default_export_import_charset varchar2(255),
  default_locale varchar2(255),
  case_insensitive_login number(1,0),
  enable_usage_statistics number(1,0),
  enable_it_benchmark number(1,0),
  show_it_benchmark number(1,0),
  enable_oauth number(1,0),
  enable_asset_availability number(1,0),
  enable_update_timers number(1,0),
  PRIMARY KEY  (account_id)
) ;

CREATE TABLE addon (
  id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  description varchar2(255) NOT NULL,
  active number(1,0) default 1,
  class_name varchar2(255) NOT NULL,
  logo_file_name varchar2(255),
  version number(11) NOT NULL,
  update_time date,
  title varchar2(255) not null,
  addon_type varchar2(255) not null,
  link varchar2(255),
  link_text varchar2(255),
  config_page varchar2(255),
  using_sysaid_gateway number(1) default 0 not null,
  PRIMARY KEY  (id)
);

create sequence addon_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create unique index addon_index1 on addon (name);

CREATE TABLE addon_param (
  id number(11) NOT NULL,
  addon_id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  value clob,
  description  varchar2(255) NOT NULL,
  type varchar2(64) NOT NULL,
  mandatory number(1,0) default 1,
  encrypted number(1,0) default 0,
  version number(11) NOT NULL,
  editable number(1,0) default 1,
  display_order number(7,0) default 0,
  PRIMARY KEY  (id)
);

create sequence addon_param_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create unique index addon_param_index1 on addon_param (addon_id,name);


CREATE TABLE addon_notification (
  id number(11) NOT NULL,
  addon_id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  subject varchar2(4000),
  body clob,
  orig_subject varchar2(4000),
  orig_body clob,
  PRIMARY KEY  (id)
);

create sequence addon_notification_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create unique index addon_notification_index1 on addon_notification(addon_id,name);

create table addon_license (
  addon_name varchar2(255) not null,
  expiration_date timestamp,
  license_xml varchar2(4000),
  first_activation_date timestamp not null,
  last_update_date timestamp not null,
  license_timestamp number(13),
  primary key(addon_name)
);

CREATE TABLE addon_history (
  id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  description varchar2(255) NOT NULL,
  active number(1,0) default 1,
  class_name varchar2(255) NOT NULL,
  logo_file_name varchar2(255),
  version number(11) NOT NULL,
  update_time date,
  title varchar2(255) not null,
  addon_type varchar2(255) not null,
  link varchar2(255),
  link_text varchar2(255),
  config_page varchar2(255),
  using_sysaid_gateway number(1) default 0 not null,
  PRIMARY KEY  (id)
);

CREATE TABLE addon_param_history (
  id number(11) NOT NULL,
  addon_id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  value clob,
  description  varchar2(255) NOT NULL,
  type varchar2(64) NOT NULL,
  mandatory number(1,0) default 1,
  encrypted number(1,0) default 0,
  version number(11) NOT NULL,
  editable number(1,0) default 1,
  display_order number(7,0) default 0,
  PRIMARY KEY  (id)
);

CREATE TABLE addon_notification_history (
  id number(11) NOT NULL,
  addon_id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  subject varchar2(4000),
  body clob,
  orig_subject varchar2(4000),
  orig_body clob,
  PRIMARY KEY  (id)
);

create table addon_license_history (
  line_id number(11) not null,
  addon_name varchar2(255) not null,
  expiration_date timestamp,
  license_xml varchar2(4000),
  first_activation_date timestamp not null,
  last_update_date timestamp not null,
  license_timestamp number(13),
  primary key(line_id)
);
create sequence addon_license_hist_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE addon_admin_permissions (
  id               NUMBER        NOT NULL,
  addon_id         NUMBER        NOT NULL,
  user_name        VARCHAR2(64)  NULL,
  group_name       VARCHAR2(64)  NULL,
  permission_name  VARCHAR2(255) NOT NULL,
  permission_value NUMBER(1, 0)  NOT NULL,
  PRIMARY KEY (id)
);
create index addon_admin_permissions_idx on addon_admin_permissions(addon_id, permission_name, user_name, group_name);

CREATE SEQUENCE addon_admin_permissions_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER addon_admin_permissions_incmnt BEFORE INSERT ON addon_admin_permissions FOR EACH ROW BEGIN SELECT addon_admin_permissions_seq.nextval INTO :new.id FROM dual; END;
/
;

CREATE TABLE agent_settings (
  settings_id number(11) NOT NULL,
  account_id varchar2(32) NOT NULL,
  settings_xml varchar2(4000),
  xml_checksum varchar2(255),
  icon_name varchar2(255),
  agent_settings_name varchar2(255),
  submit_sr_shortcut varchar2(1) default 'Y',
  install_sysaid_ps varchar2(1) default 'N',
  created_by varchar2(255),
  created_date date ,
  modified_by varchar2(255),
  modified_date date ,
  description varchar2(4000),
  is_default varchar2(1) default 'N',
  enable_video_recording varchar2(1) default 'Y',
  enable_action_center_notif varchar2(1) default 'N',
  PRIMARY KEY  (settings_id)
);

create sequence agent_settings_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE category_group (
  category_id number(11),
  group_id number(11),
  PRIMARY KEY (category_id,group_id)
);

CREATE TABLE reports (
  reportId INT NOT NULL ,
  reportName VARCHAR2(250) NOT NULL,
  baseReportId INT,
  categoryId INT,
  userId VARCHAR2(250),
  systemReport NUMBER(1) DEFAULT 0,
  schedulerId INT,
  reportType VARCHAR2(250),
  indexInCategory INT,
  isDynamic NUMBER(1),
  last_run_id VARCHAR2(250),
  modulename INT,
  zombie INT DEFAULT 0,
  entity varchar2(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_legacy (
  reportId INT NOT NULL,
  reportName varchar2(250) NOT NULL,
  baseReportId INT,
  categoryId INT,
  userId varchar2(250),
  systemReport number(1) DEFAULT 0,
  schedulerId INT,
  reportType varchar2(250),
  indexInCategory INT,
  isDynamic number(1),
  last_run_id varchar2(250),
  modulename INT,
  zombie INT DEFAULT 0,
  entity varchar2(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_deleted (
  reportId INT NOT NULL ,
  reportName VARCHAR2(250) NOT NULL,
  baseReportId INT,
  categoryId INT,
  userId VARCHAR2(250),
  systemReport NUMBER(1) DEFAULT 0,
  schedulerId INT,
  reportType VARCHAR2(250),
  indexInCategory INT,
  isDynamic NUMBER(1),
  last_run_id VARCHAR2(250),
  modulename INT,
  zombie INT DEFAULT 0,
  entity varchar2(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_categories_mapping (
  id INT NOT NULL,
  oldId VARCHAR2(250) NOT NULL,
  PRIMARY KEY (id)
);

CREATE TABLE reports_category (
  categoryId INT NOT NULL ,
  categoryName VARCHAR2(250),
  indexInView INT,
  PRIMARY KEY (categoryId)
);

CREATE TABLE reports_groups (
  reportId INT NOT NULL,
  groupName VARCHAR2(250),
  PRIMARY KEY (reportId)
);

CREATE TABLE reports_mapping (
  id INT NOT NULL,
  oldId VARCHAR2(250) NOT NULL,
  PRIMARY KEY (id)
);

CREATE TABLE reports_params (
  reportId INT NOT NULL,
  paramName VARCHAR2(250) NOT NULL,
  paramValue clob,
  resultId VARCHAR2(250) NOT NULL,
  PRIMARY KEY (reportId, paramName, resultId)
);

CREATE TABLE reports_result (
  resultid VARCHAR2(250) NOT NULL ,
  startTime DATE,
  endTime DATE,
  fileName VARCHAR2(250),
  reportId INT,
  userName VARCHAR2(250),
  status INT DEFAULT '0',
  jobName VARCHAR2(250),
  PRIMARY KEY (resultid)
);

CREATE TABLE reports_scheduler (
  schedulerId INT NOT NULL ,
  frequency INT,
  startFrom DATE,
  sendTo VARCHAR2(250),
  emailSubj VARCHAR2(250),
  emailBody VARCHAR2(250),
  jobName VARCHAR2(250),
  PRIMARY KEY (schedulerId)
);

CREATE TABLE reports_view_settings (
  user_name VARCHAR2(250) NOT NULL,
  opened_category VARCHAR2(250),
  view_type VARCHAR2(50),
  tabName VARCHAR2(100) DEFAULT 'allReports' NOT NULL,
  PRIMARY KEY (user_name, tabName)
);

CREATE TABLE reports_entities (
  reportId INT NOT NULL,
  entity VARCHAR2(250),
  secondaryEntity VARCHAR2(250),
  PRIMARY KEY (reportId)
);

create sequence reports_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create sequence reports_category_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create sequence reports_scheduler_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER reports_trig BEFORE INSERT ON reports FOR EACH ROW BEGIN SELECT reports_seq.nextval INTO :new.reportId FROM dual; END;
/
;
CREATE OR REPLACE TRIGGER reports_category_trig BEFORE INSERT ON reports_category FOR EACH ROW BEGIN SELECT reports_category_seq.nextval INTO :new.categoryId FROM dual; END;
/
;
CREATE OR REPLACE TRIGGER reports_scheduler_trig BEFORE INSERT ON reports_scheduler FOR EACH ROW BEGIN SELECT reports_scheduler_seq.nextval INTO :new.schedulerId FROM dual; END;
/
;

CREATE TABLE reports_available_fields (
  entity_name varchar2(64) NOT NULL,
  db_field_name varchar2(64) NOT NULL,
  data_type varchar2(64) NOT NULL,
  entity_reference varchar(64),
  db_type varchar2(64),
  db_table varchar2(64),
  list_attribute_name varchar2(64),
  group_by number(1,0) DEFAULT 0,
  aggregation number(1,0) DEFAULT 0,
  trend number(1,0) DEFAULT 0,
PRIMARY KEY (entity_name, db_field_name)
);

CREATE TABLE reports_entities_prop (
  entity_name varchar(250) NOT NULL,
  table_name varchar(250) NOT NULL,
  table_key varchar(250) NOT NULL,
  is_main_table  NUMBER(1) DEFAULT 0 NOT NULL,
  default_field varchar(250),
  PRIMARY KEY (entity_name, table_name, is_main_table)
);

CREATE TABLE reports_callbacks(
  entity_name varchar2(64) NOT NULL,
  callback_attribute_name varchar2(64) NOT NULL,
  callback_name_dependancy varchar2(250),
  PRIMARY KEY (entity_name, callback_attribute_name)
);

INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('ci', 'import_item_type', 'import_item_id,ci_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('ci', 'import_item_id', 'import_item_type,ci_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('asset', 'last_access', 'computer_id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('asset', 'purchase_cost', 'purchase_currency');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('task', 'task_dependency', 'task_dependency_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('sr', 'responsibility', 'sr_type');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('sr', 'sr_type', 'id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('sr_activity', 'total_time', 'from_time,to_time');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('software', 'licenses', 'freeware');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('company', 'ci', 'company_id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('user', 'ci', 'user_name');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('catalog', 'ci', 'catalog_number');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('task', 'total_time', 'id');
INSERT INTO reports_callbacks (entity_name, callback_attribute_name, callback_name_dependancy) VALUES ('task_activity', 'total_time', 'from_time,to_time');

INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'additional_user', 'list', 'user', 'string', 'sr_sub_tab', 'additional_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'approved', 'list', null, 'string', 'sr_sub_tab', 'approved',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'assigned_group', 'list', 'user_groups', 'string', 'sr_sub_tab', 'assigned_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'assigned_to', 'list', 'user', 'string', 'sr_sub_tab', 'assigned_to',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'back_out_plan', 'list', null, 'string', 'sr_sub_tab', 'back_out_plan',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'budgeted', 'list', null, 'string', 'sr_sub_tab', 'budgeted',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cab_meeting_reference', 'string', null, 'string', 'sr_sub_tab', 'cab_meeting_reference',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'ci_id', 'list', 'ci', 'int', 'sr_sub_tab', 'ci',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'company', 'list', 'company', 'int', 'sr_sub_tab', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'completed_time', 'date_time', null, 'date', 'sr_sub_tab', 'completed_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'complexity', 'list', null, 'int', 'sr_sub_tab', 'complexity',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'computer_id', 'list', 'asset', 'string', 'sr_sub_tab', 'computer_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date1', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date10', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date10',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date2', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date3', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date3',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date4', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date4',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date5', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date5',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date6', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date6',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date7', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date7',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date8', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date8',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_date9', 'date_time', null, 'date', 'sr_sub_tab', 'cust_date9',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float1', 'float', null, 'float', 'sr_sub_tab', 'cust_float1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float10', 'float', null, 'float', 'sr_sub_tab', 'cust_float10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float2', 'float', null, 'float', 'sr_sub_tab', 'cust_float2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float3', 'float', null, 'float', 'sr_sub_tab', 'cust_float3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float4', 'float', null, 'float', 'sr_sub_tab', 'cust_float4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float5', 'float', null, 'float', 'sr_sub_tab', 'cust_float5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float6', 'float', null, 'float', 'sr_sub_tab', 'cust_float6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float7', 'float', null, 'float', 'sr_sub_tab', 'cust_float7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float8', 'float', null, 'float', 'sr_sub_tab', 'cust_float8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_float9', 'float', null, 'float', 'sr_sub_tab', 'cust_float9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int1', 'int', null, 'int', 'sr_sub_tab', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int10', 'int', null, 'int', 'sr_sub_tab', 'cust_int10',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int2', 'int', null, 'int', 'sr_sub_tab', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int3', 'int', null, 'int', 'sr_sub_tab', 'cust_int3',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int4', 'int', null, 'int', 'sr_sub_tab', 'cust_int4',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int5', 'int', null, 'int', 'sr_sub_tab', 'cust_int5',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int6', 'int', null, 'int', 'sr_sub_tab', 'cust_int6',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int7', 'int', null, 'int', 'sr_sub_tab', 'cust_int7',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int8', 'int', null, 'int', 'sr_sub_tab', 'cust_int8',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_int9', 'int', null, 'int', 'sr_sub_tab', 'cust_int9',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list1', 'list', null, 'int', 'sr_sub_tab', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list10', 'list', null, 'int', 'sr_sub_tab', 'cust_list10',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list2', 'list', null, 'int', 'sr_sub_tab', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list3', 'list', null, 'int', 'sr_sub_tab', 'cust_list3',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list4', 'list', null, 'int', 'sr_sub_tab', 'cust_list4',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list5', 'list', null, 'int', 'sr_sub_tab', 'cust_list5',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list6', 'list', null, 'int', 'sr_sub_tab', 'cust_list6',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list7', 'list', null, 'int', 'sr_sub_tab', 'cust_list7',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list8', 'list', null, 'int', 'sr_sub_tab', 'cust_list8',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_list9', 'list', null, 'int', 'sr_sub_tab', 'cust_list9',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes1', 'string', null, 'string', 'sr_sub_tab', 'cust_notes1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes10', 'string', null, 'string', 'sr_sub_tab', 'cust_notes10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes2', 'string', null, 'string', 'sr_sub_tab', 'cust_notes2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes3', 'string', null, 'string', 'sr_sub_tab', 'cust_notes3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes4', 'string', null, 'string', 'sr_sub_tab', 'cust_notes4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes5', 'string', null, 'string', 'sr_sub_tab', 'cust_notes5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes6', 'string', null, 'string', 'sr_sub_tab', 'cust_notes6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes7', 'string', null, 'string', 'sr_sub_tab', 'cust_notes7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes8', 'string', null, 'string', 'sr_sub_tab', 'cust_notes8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_notes9', 'string', null, 'string', 'sr_sub_tab', 'cust_notes9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text1', 'string', null, 'string', 'sr_sub_tab', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text10', 'string', null, 'string', 'sr_sub_tab', 'cust_text10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text2', 'string', null, 'string', 'sr_sub_tab', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text3', 'string', null, 'string', 'sr_sub_tab', 'cust_text3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text4', 'string', null, 'string', 'sr_sub_tab', 'cust_text4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text5', 'string', null, 'string', 'sr_sub_tab', 'cust_text5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text6', 'string', null, 'string', 'sr_sub_tab', 'cust_text6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text7', 'string', null, 'string', 'sr_sub_tab', 'cust_text7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text8', 'string', null, 'string', 'sr_sub_tab', 'cust_text8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'cust_text9', 'string', null, 'string', 'sr_sub_tab', 'cust_text9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'department', 'list', null, 'int', 'sr_sub_tab', 'department',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'description', 'string', null, 'string', 'sr_sub_tab', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'due_date', 'date_time', null, 'date', 'sr_sub_tab', 'due_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'duration', 'float', null, 'float', 'sr_sub_tab', 'duration',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'enabled_time', 'date_time', null, 'date', 'sr_sub_tab', 'enabled_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'expected_downtime_end', 'date_time', null, 'date', 'sr_sub_tab', 'expected_downtime_end',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'expected_downtime_start', 'date_time', null, 'date', 'sr_sub_tab', 'expected_downtime_start',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'hardware_costs', 'float', null, 'float', 'sr_sub_tab', 'hardware_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'impact', 'list', null, 'int', 'sr_sub_tab', 'impact',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'insert_time', 'date_time', null, 'date', 'sr_sub_tab', 'insert_time',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'installation_costs', 'float', null, 'float', 'sr_sub_tab', 'installation_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'internal_manpower_in_hours', 'float', null, 'float', 'sr_sub_tab', 'internal_manpower_in_hours',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'location', 'list', null, 'int', 'sr_sub_tab', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'maintenance_costs', 'float', null, 'float', 'sr_sub_tab', 'maintenance_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'modify_time', 'date_time', null, 'date', 'sr_sub_tab', 'modify_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'notes', 'string', null, 'string', 'sr_sub_tab', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'percent_completed', 'int', null, 'int', 'sr_sub_tab', 'percent_completed',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'policy_compliance', 'list', null, 'string', 'sr_sub_tab', 'policy_compliance',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'priority', 'list', null, 'int', 'sr_sub_tab', 'priority',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'project_id', 'list', 'project', 'int', 'sr_sub_tab', 'project_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'proposed_delivery_date', 'date_time', null, 'date', 'sr_sub_tab', 'proposed_delivery_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'proposed_version', 'string', null, 'string', 'sr_sub_tab', 'proposed_version',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'recurrence', 'list', null, 'int', 'sr_sub_tab', 'recurrence',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'reopened', 'string', null, 'string', 'sr_sub_tab', 'reopened',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'reopened_note', 'string', null, 'string', 'sr_sub_tab', 'reopenNote',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'resources_required_in_days', 'float', null, 'float', 'sr_sub_tab', 'resources_required_in_days',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'software_costs', 'float', null, 'float', 'sr_sub_tab', 'software_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'sr_id', 'int', 'sr', 'int', 'sr_sub_tab', 'sr_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'status', 'list', null, 'int', 'sr_sub_tab', 'status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'submit_user', 'list', 'user', 'string', 'sr_sub_tab', 'submit_user',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'task_id', 'list', 'task', 'int', 'sr_sub_tab', 'task_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'title', 'string', null, 'string', 'sr_sub_tab', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'total_costs', 'float', null, 'float', 'sr_sub_tab', 'total_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'total_expected_downtime_hours', 'float', null, 'float', 'sr_sub_tab', 'total_expected_downtime_hours',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'training_costs', 'float', null, 'float', 'sr_sub_tab', 'training_costs',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'update_user', 'list', null, 'string', 'sr_sub_tab', 'lastModified',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'urgency', 'list', null, 'int', 'sr_sub_tab', 'urgency',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('action_item', 'user_acceptance', 'list', null, 'string', 'sr_sub_tab', 'user_acceptance',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'agent_version', 'string', null, 'string', 'computer', 'agent_version',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'bios_type', 'string', null, 'string', 'computer_attributes', 'bios_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'building', 'string', null, 'string', 'computer', 'building',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'catalog_number', 'list', null, 'string', 'computer', 'catalog_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'collection_params', 'string', null, 'string', 'computer', 'collection_params',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'collection_type', 'list', null, 'int', 'computer', 'collection_type',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'company', 'list', 'company', 'int', 'computer', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'company_serial', 'string', null, 'string', 'computer', 'company_serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'computer_name', 'string', null, 'string', 'computer', 'computer_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'computer_type', 'list', null, 'string', 'computer', 'computer_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_count', 'int', null, 'int', 'computer_attributes', 'cpu_count',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_model', 'string', null, 'string', 'computer_attributes', 'cpu_model',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_speed', 'int', null, 'int', 'computer_attributes', 'cpu_speed',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cpu_vendor', 'string', null, 'string', 'computer_attributes', 'cpu_vendor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cubic', 'string', null, 'string', 'computer', 'cubic',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_date1', 'date', null, 'date', 'computer', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_date2', 'date', null, 'date', 'computer', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_int1', 'int', null, 'int', 'computer', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_int2', 'int', null, 'int', 'computer', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_list1', 'list', null, 'int', 'computer', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_list2', 'list', null, 'int', 'computer', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_notes', 'string', null, 'string', 'computer', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_text1', 'string', null, 'string', 'computer', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'cust_text2', 'string', null, 'string', 'computer', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'department', 'list', null, 'int', 'computer', 'department',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'description', 'string', null, 'string', 'computer', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'designated_rds', 'list', null, 'string', 'computer', 'designated_rds',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_current_carrier', 'string', null, 'string', 'computer', 'device_current_carrier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_home_carrier', 'string', null, 'string', 'computer', 'device_home_carrier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_icc', 'string', null, 'string', 'computer', 'device_icc',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_imei', 'string', null, 'string', 'computer', 'device_imei',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_ownership', 'list', null, 'int', 'computer', 'device_ownership',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_phone_number', 'string', null, 'string', 'computer', 'device_phone_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_policy', 'list', null, 'int', 'computer', 'device_policy',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'device_status', 'list', null, 'int', 'computer', 'device_status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'disable', 'list', null, 'string', 'computer', 'disable',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'display_adapter', 'string', null, 'string', 'computer_attributes', 'display_adapter',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'display_memory', 'int', null, 'int', 'computer_attributes', 'display_memory',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'display_resolution', 'string', null, 'string', 'computer_attributes', 'display_resolution',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'external_serial', 'string', null, 'string', 'computer', 'external_serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'first_access', 'date_time', null, 'date', 'computer', 'first_access',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_access', 'date_time', null, 'date', 'computer', 'last_access',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'floor', 'string', null, 'string', 'computer', 'floor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'inventory_time', 'date_time', null, 'date', 'computer', 'inventory_time',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'ip_address', 'string', null, 'string', 'computer', 'ip_address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_boot', 'date_time', null, 'date', 'computer', 'last_boot',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_maintenance', 'date', null, 'date', 'computer_attributes', 'last_maintenance',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_patch_time', 'date_time', null, 'date', 'computer', 'last_patch_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'last_scan_time', 'date_time', null, 'date', 'computer', 'last_scan_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'location_idx', 'list', null, 'int', 'computer', 'location_idx',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'mac_address', 'string', null, 'string', 'computer', 'mac_address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'maintenance_supplier', 'list', null, 'int', 'computer', 'maintenance_supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'manufacturer', 'string', null, 'string', 'computer_attributes', 'manufacturer',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'memory_physical', 'float', null, 'float', 'computer_attributes', 'memory_physical',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'model', 'string', null, 'string', 'computer_attributes', 'model',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'monitor', 'string', null, 'string', 'computer', 'monitor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'monitor_serial', 'string', null, 'string', 'computer', 'monitor_serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_service_pack', 'string', null, 'string', 'computer_attributes', 'os_service_pack',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_name', 'string', null, 'string', 'computer_attributes', 'os_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_type', 'string', null, 'string', 'computer_attributes', 'os_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_version', 'string', null, 'string', 'computer_attributes', 'os_version',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'os_serial', 'string', null, 'string', 'computer_attributes', 'os_serial',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'packets_in', 'float', null, 'float', 'computer', 'packets_in',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'packets_out', 'float', null, 'float', 'computer', 'packets_out',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'parent_asset', 'list', null, 'string', 'computer', 'parent_asset',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'parent_group', 'list', null, 'string', 'computer', 'parent_group',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'patch_enabled', 'boolean', null, 'int', 'computer', 'patch_enabled',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'policy_id', 'list', null, 'int', 'computer', 'policy_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'purchase_cost', 'float', null, 'float', 'computer', 'purchase_cost',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'purchase_date', 'date', null, 'date', 'computer_attributes', 'purchase_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'serial', 'string', null, 'string', 'computer_attributes', 'serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'settings_id', 'int', null, 'int', 'computer', 'settings_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_1', 'string', null, 'string', 'computer', 'snmp_cust_text_1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_10', 'string', null, 'string', 'computer', 'snmp_cust_text_10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_11', 'string', null, 'string', 'computer', 'snmp_cust_text_11',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_12', 'string', null, 'string', 'computer', 'snmp_cust_text_12',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_13', 'string', null, 'string', 'computer', 'snmp_cust_text_13',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_14', 'string', null, 'string', 'computer', 'snmp_cust_text_14',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_15', 'string', null, 'string', 'computer', 'snmp_cust_text_15',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_16', 'string', null, 'string', 'computer', 'snmp_cust_text_16',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_17', 'string', null, 'string', 'computer', 'snmp_cust_text_17',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_18', 'string', null, 'string', 'computer', 'snmp_cust_text_18',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_19', 'string', null, 'string', 'computer', 'snmp_cust_text_19',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_2', 'string', null, 'string', 'computer', 'snmp_cust_text_2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_20', 'string', null, 'string', 'computer', 'snmp_cust_text_20',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_3', 'string', null, 'string', 'computer', 'snmp_cust_text_3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_4', 'string', null, 'string', 'computer', 'snmp_cust_text_4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_5', 'string', null, 'string', 'computer', 'snmp_cust_text_5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_6', 'string', null, 'string', 'computer', 'snmp_cust_text_6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_7', 'string', null, 'string', 'computer', 'snmp_cust_text_7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_8', 'string', null, 'string', 'computer', 'snmp_cust_text_8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'snmp_cust_text_9', 'string', null, 'string', 'computer', 'snmp_cust_text_9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'supplier', 'list', 'supplier', 'int', 'computer', 'supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'track_asset', 'int', null, 'int', 'computer', 'track_asset',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'update_time', 'date_time', null, 'date', 'computer', 'update_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'username', 'list', 'user', 'string', 'computer', 'username',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'warranty_expiration', 'date', null, 'date', 'computer_attributes', 'warranty_expiration',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'computer_id', 'string', null, 'string', 'computer', 'computer_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset_group', 'group_level', 'int', null, 'int', 'computer_group', null,0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset_group', 'group_name', 'string', null, 'string', 'computer_group', null,1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset_group', 'parent_group_name', 'string', null, 'string', 'computer_group', null,0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'catalog_number', 'string', null, 'string', 'asset_catalog', 'catalog_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'cust_date1', 'date', null, 'date', 'asset_catalog', 'cust_date1',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'cust_date2', 'date', null, 'date', 'asset_catalog', 'cust_date2',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'manufacturer', 'string', null, 'string', 'asset_catalog', 'manufacturer',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'model', 'string', null, 'string', 'asset_catalog', 'model',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'name', 'string', null, 'string', 'asset_catalog', 'name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'notes', 'string', null, 'string', 'asset_catalog', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('catalog', 'supplier_id', 'list', 'supplier', 'int', 'asset_catalog', 'supplier_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'accept_date', 'date', null, 'date', 'ci_attributes', 'accept_date',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_1', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_10', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_10',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_11', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_11',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_12', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_12',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_13', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_13',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_14', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_14',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_15', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_15',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_16', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_16',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_17', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_17',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_18', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_18',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_19', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_19',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_2', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_20', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_20',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_21', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_21',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_22', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_22',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_23', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_23',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_24', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_24',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_25', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_25',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_26', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_26',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_27', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_27',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_28', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_28',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_29', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_29',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_3', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_3',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_30', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_30',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_31', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_31',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_32', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_32',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_33', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_33',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_34', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_34',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_35', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_35',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_36', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_36',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_37', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_37',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_38', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_38',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_39', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_39',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_4', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_4',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_40', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_40',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_41', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_41',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_42', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_42',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_43', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_43',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_44', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_44',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_45', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_45',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_46', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_46',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_47', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_47',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_48', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_48',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_49', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_49',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_5', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_5',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_50', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_50',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_6', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_6',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_7', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_7',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_8', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_8',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_date_9', 'date', null, 'date', 'ci_attributes', 'ci_cust_date_9',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_1', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_10', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_10',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_11', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_11',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_12', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_12',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_13', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_13',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_14', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_14',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_15', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_15',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_16', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_16',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_17', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_17',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_18', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_18',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_19', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_19',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_2', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_20', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_20',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_21', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_21',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_22', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_22',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_23', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_23',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_24', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_24',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_25', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_25',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_26', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_26',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_27', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_27',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_28', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_28',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_29', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_29',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_3', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_3',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_30', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_30',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_31', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_31',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_32', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_32',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_33', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_33',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_34', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_34',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_35', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_35',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_36', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_36',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_37', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_37',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_38', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_38',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_39', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_39',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_4', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_4',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_40', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_40',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_41', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_41',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_42', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_42',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_43', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_43',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_44', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_44',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_45', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_45',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_46', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_46',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_47', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_47',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_48', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_48',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_49', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_49',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_5', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_5',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_50', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_50',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_6', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_6',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_7', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_7',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_8', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_8',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_int_9', 'int', null, 'int', 'ci_attributes', 'ci_cust_int_9',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_1', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_10', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_10',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_11', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_11',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_12', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_12',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_13', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_13',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_14', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_14',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_15', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_15',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_16', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_16',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_17', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_17',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_18', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_18',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_19', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_19',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_2', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_20', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_20',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_21', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_21',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_22', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_22',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_23', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_23',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_24', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_24',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_25', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_25',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_26', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_26',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_27', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_27',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_28', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_28',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_29', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_29',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_3', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_3',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_30', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_30',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_31', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_31',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_32', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_32',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_33', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_33',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_34', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_34',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_35', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_35',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_36', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_36',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_37', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_37',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_38', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_38',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_39', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_39',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_4', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_4',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_40', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_40',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_41', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_41',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_42', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_42',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_43', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_43',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_44', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_44',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_45', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_45',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_46', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_46',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_47', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_47',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_48', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_48',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_49', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_49',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_5', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_5',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_50', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_50',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_6', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_6',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_7', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_7',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_8', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_8',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_list_9', 'list', null, 'int', 'ci_attributes', 'ci_cust_list_9',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_1', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_10', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_11', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_11',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_12', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_12',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_13', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_13',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_14', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_14',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_15', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_15',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_16', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_16',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_17', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_17',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_18', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_18',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_19', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_19',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_2', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_20', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_20',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_21', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_21',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_22', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_22',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_23', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_23',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_24', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_24',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_25', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_25',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_26', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_26',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_27', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_27',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_28', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_28',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_29', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_29',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_3', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_30', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_30',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_31', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_31',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_32', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_32',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_33', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_33',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_34', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_34',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_35', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_35',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_36', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_36',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_37', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_37',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_38', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_38',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_39', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_39',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_4', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_40', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_40',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_41', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_41',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_42', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_42',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_43', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_43',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_44', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_44',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_45', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_45',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_46', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_46',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_47', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_47',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_48', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_48',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_49', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_49',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_5', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_50', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_50',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_6', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_7', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_8', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_long_text_9', 'string', null, 'string', 'ci_attributes', 'ci_cust_long_text_9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_10', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_10',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_11', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_11',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_12', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_12',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_13', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_13',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_14', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_14',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_15', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_15',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_16', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_16',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_17', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_17',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_18', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_18',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_19', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_19',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_2', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_20', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_20',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_21', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_21',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_22', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_22',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_23', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_23',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_24', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_24',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_25', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_25',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_26', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_26',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_27', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_27',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_28', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_28',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_29', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_29',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_3', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_30', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_30',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_31', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_31',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_32', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_32',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_33', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_33',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_34', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_34',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_35', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_35',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_36', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_36',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_37', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_37',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_38', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_38',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_39', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_39',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_4', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_40', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_40',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_41', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_41',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_42', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_42',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_43', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_43',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_44', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_44',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_45', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_45',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_46', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_46',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_47', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_47',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_48', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_48',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_49', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_49',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_5', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_5',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_50', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_50',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_6', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_6',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_7', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_7',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_8', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_8',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_cust_text_9', 'string', null, 'string', 'ci_attributes', 'ci_cust_text_9',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_name', 'string', null, 'string', 'ci_attributes', 'ci_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_sub_type', 'list', null, 'int', 'ci_attributes', 'ci_sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'ci_type', 'list', null, 'int', 'ci_attributes', 'ci_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'company', 'list', 'company', 'int', 'ci_attributes', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'id', 'int', null, 'int', 'ci_attributes', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'import_item_id', 'string', null, 'string', 'ci_attributes', 'import_item_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'import_item_type', 'list', null, 'int', 'ci_attributes', 'import_item_type',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'location', 'list', null, 'int', 'ci_attributes', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'notes', 'string', null, 'string', 'ci_attributes', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'owner', 'list', 'user', 'string', 'ci_attributes', 'owner',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'owner_group', 'list', 'user_groups', 'string', 'ci_attributes', 'owner_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'priority', 'list', null, 'int', 'ci_attributes', 'priority',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'problem_sub_type', 'list', null, 'string', 'ci_attributes', 'problem_sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'problem_type', 'nested', null, 'string', 'ci_attributes', 'problem_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'serial', 'string', null, 'string', 'ci_attributes', 'serial',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'status', 'list', null, 'int', 'ci_attributes', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'supplier', 'list', 'supplier', 'int', 'ci_attributes', 'supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'supply_date', 'date', null, 'date', 'ci_attributes', 'supply_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('ci', 'third_level_category', 'list', null, 'string', 'ci_attributes', 'third_level_category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'address', 'string', null, 'string', 'company', 'address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'address2', 'string', null, 'string', 'company', 'address2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'agreement', 'list', null, 'int', 'company', 'agreement',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'agreement_end', 'date', null, 'date', 'company', 'agreement_end',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'agreement_start', 'date', null, 'date', 'company', 'agreement_start',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'city', 'string', null, 'string', 'company', 'city',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'company_id', 'int', null, 'int', 'company', 'company_id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'company_name', 'string', null, 'string', 'company', 'company_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'country', 'string', null, 'string', 'company', 'country',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_date1', 'date', null, 'date', 'company', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_date2', 'date', null, 'date', 'company', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_int1', 'int', null, 'int', 'company', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_int2', 'int', null, 'int', 'company', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_list1', 'list', null, 'int', 'company', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_list2', 'list', null, 'int', 'company', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_notes', 'string', null, 'string', 'company', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_text1', 'string', null, 'string', 'company', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'cust_text2', 'string', null, 'string', 'company', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'expiration_time', 'date', null, 'date', 'company', 'expiration_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'fax', 'string', null, 'string', 'company', 'fax',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'logo_file_name', 'string', null, 'string', 'company', 'logo_file_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'notes', 'string', null, 'string', 'company', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'phone', 'string', null, 'string', 'company', 'phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'state', 'string', null, 'string', 'company', 'state',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'zip', 'string', null, 'string', 'company', 'zip',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'assigned_group', 'list', 'user_groups', 'string', 'project', 'assigned_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'category', 'list', null, 'int', 'project', 'category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'company', 'list', 'company', 'int', 'project', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_date1', 'date', null, 'date', 'project', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_date2', 'date', null, 'date', 'project', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_int1', 'int', null, 'int', 'project', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_int2', 'int', null, 'int', 'project', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_list1', 'list', null, 'int', 'project', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_list2', 'list', null, 'int', 'project', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_notes', 'string', null, 'string', 'project', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_text1', 'string', null, 'string', 'project', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'cust_text2', 'string', null, 'string', 'project', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'description', 'string', null, 'string', 'project', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'end_time', 'date_time', null, 'date', 'project', 'end_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'incidenttitle', 'string', null, 'string', 'project', 'incidenttitle',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'manager', 'list', 'user', 'string', 'project', 'manager',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'notes', 'string', null, 'string', 'project', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'progress', 'int', null, 'int', 'project', 'progress',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'raw_estimation', 'int', null, 'int', 'project', 'raw_estimation',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'request_group', 'list', 'user_groups', 'string', 'project', 'request_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'start_time', 'date_time', null, 'date', 'project', 'start_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'status', 'list', null, 'int', 'project', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'title', 'string', null, 'string', 'project', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('project', 'id', 'int', null, 'int', 'project', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'company', 'list', 'company', 'int', 'software', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_date1', 'date', null, 'date', 'software', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_date2', 'date', null, 'date', 'software', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_int1', 'int', null, 'int', 'software', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_int2', 'int', null, 'int', 'software', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_list1', 'list', null, 'int', 'software', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_list2', 'list', null, 'int', 'software', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_notes', 'string', null, 'string', 'software', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_text1', 'string', null, 'string', 'software', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'cust_text2', 'string', null, 'string', 'software', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'freeware', 'boolean', null, 'string', 'software', 'freeware',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'licenses', 'int', null, 'int', 'software', 'licenses',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'notes', 'string', null, 'string', 'software', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'product_name', 'string', null, 'string', 'software', 'product_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'purchase_date', 'date', null, 'date', 'software', 'purchase_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'supplier', 'list', 'supplier', 'int', 'software', 'supplier',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'support_expiration', 'date', null, 'date', 'software', 'support_expiration',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'vendor', 'string', null, 'string', 'software', 'vendor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('software', 'version', 'string', null, 'string', 'software', 'version',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'agreement', 'list', null, 'int', 'service_req', 'agreement',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'archive', 'boolean', null, 'int', 'service_req', 'archive',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'assigned_group', 'list', 'user_groups', 'string', 'service_req', 'assigned_group',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'assign_counter', 'int', null, 'int', 'service_req', 'assign_counter',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cc', 'string', null, 'string', 'service_req', 'cc',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'change_category', 'list', null, 'int', 'service_req', 'change_category',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'ci_id', 'list', 'ci', 'int', 'service_req', 'ci',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'close_time', 'date_time', null, 'date', 'service_req', 'close_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'closure_information', 'list', null, 'int', 'service_req', 'closure_information',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'computer_id', 'list', 'asset', 'string', 'service_req', 'computer_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'current_support_level', 'int', null, 'int', 'service_req', 'current_support_level',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_date1', 'date', null, 'date', 'service_req', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_date2', 'date', null, 'date', 'service_req', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_int1', 'int', null, 'int', 'service_req', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_int2', 'int', null, 'int', 'service_req', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_list1', 'list', null, 'int', 'service_req', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_list2', 'list', null, 'int', 'service_req', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_notes', 'string', null, 'string', 'service_req', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_text1', 'string', null, 'string', 'service_req', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'cust_text2', 'string', null, 'string', 'service_req', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'description', 'string', null, 'string', 'service_req', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'due_date', 'date_time', null, 'date', 'service_req', 'due_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'email_account', 'string', null, 'string', 'service_req', 'email_account',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'escalation', 'int', null, 'int', 'service_req', 'escalation',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_actual_date', 'date', null, 'date', 'service_req', 'followup_actual_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_planned_date', 'date', null, 'date', 'service_req', 'followup_planned_date',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_text', 'string', null, 'string', 'service_req', 'followup_text',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'followup_user', 'list', 'user', 'string', 'service_req', 'followup_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'id', 'int', null, 'int', 'service_req', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'impact', 'list', null, 'int', 'service_req', 'impact',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'insert_time', 'date_time', null, 'date', 'service_req', 'insert_time',0,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'known_error', 'list', null, 'string', 'service_req', 'known_error',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'location', 'list', null, 'int', 'service_req', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'max_support_level', 'int', null, 'int', 'service_req', 'max_support_level',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'notes', 'string', null, 'string', 'service_req', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'parent_link', 'int', null, 'int', 'service_req', 'parent_link',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'priority', 'list', null, 'int', 'service_req', 'priority',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'problem_sub_type', 'list', null, 'string', 'service_req', 'problem_sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'problem_type', 'nested', null, 'string', 'service_req', 'problem_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'project_id', 'list', 'project', 'int', 'service_req', 'project_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'reopen_counter', 'int', null, 'int', 'service_req', 'reopen_counter',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'request_user', 'list', 'user', 'string', 'service_req', 'request_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'resolution', 'string', null, 'string', 'service_req', 'resolution',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'responsibility', 'list', 'user', 'string', 'service_req', 'responsibility',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'responsible_manager', 'list', 'user', 'string', 'service_req', 'responsible_manager',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'solution', 'string', null, 'string', 'service_req', 'solution',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'source', 'list', null, 'int', 'service_req', 'source',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'sr_type', 'list', null, 'int', 'service_req', 'sr_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'sr_weight', 'int', null, 'int', 'service_req', 'sr_weight',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'status', 'list', null, 'int', 'service_req', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'submit_user', 'list', 'user', 'string', 'service_req', 'submit_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'success_rating', 'int', null, 'int', 'service_req', 'success_rating',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'survey_status', 'list', null, 'int', 'service_req', 'survey_status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'task_id', 'list', 'task', 'int', 'service_req', 'task_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'third_level_category', 'list', null, 'string', 'service_req', 'third_level_category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'title', 'string', null, 'string', 'service_req', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'update_time', 'date_time', null, 'date', 'service_req', 'update_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'update_user', 'string', 'user', 'string', 'service_req', 'update_user',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'urgency', 'list', null, 'int', 'service_req', 'urgency',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'workaround', 'string', null, 'string', 'service_req', 'workaround',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer1', 'float', null, 'float', 'service_req', 'timer1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer2', 'float', null, 'float', 'service_req', 'timer2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer3', 'float', null, 'float', 'service_req', 'timer3',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer4', 'float', null, 'float', 'service_req', 'timer4',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer5', 'float', null, 'float', 'service_req', 'timer5',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer6', 'float', null, 'float', 'service_req', 'timer6',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer7', 'float', null, 'float', 'service_req', 'timer7',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer8', 'float', null, 'float', 'service_req', 'timer8',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer9', 'float', null, 'float', 'service_req', 'timer9',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'timer10', 'float', null, 'float', 'service_req', 'timer10',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'total_time', 'float', null, 'calculation', 'service_req', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'sr_sub_type', 'list', null, 'string', 'service_req', 'sub_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_date1', 'date_time', null, 'date', 'work_report', 'cust_date1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_date2', 'date_time', null, 'date', 'work_report', 'cust_date2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int1', 'int', null, 'int', 'work_report', 'cust_int1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int2', 'int', null, 'int', 'work_report', 'cust_int2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int3', 'int', null, 'int', 'work_report', 'cust_int3',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_int4', 'int', null, 'int', 'work_report', 'cust_int4',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_list1', 'list', null, 'int', 'work_report', 'cust_list1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_list2', 'list', null, 'int', 'work_report', 'cust_list2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_notes', 'string', null, 'string', 'work_report', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_text1', 'string', null, 'string', 'work_report', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'cust_text2', 'string', null, 'string', 'work_report', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'description', 'string', null, 'string', 'work_report', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'from_time', 'date_time', null, 'date', 'work_report', 'from_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'service_req_id', 'int', 'sr', 'int', 'work_report', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'to_time', 'date_time', null, 'date', 'work_report', 'to_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'user_name', 'list', 'user', 'string', 'work_report', 'user_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr_activity', 'total_time', 'float', null, 'calculation', 'work_report', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'account_number', 'string', null, 'string', 'supplier', 'account_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'address', 'string', null, 'string', 'supplier', 'address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'contact_name', 'string', null, 'string', 'supplier', 'contact_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_date1', 'date', null, 'date', 'supplier', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_date2', 'date', null, 'date', 'supplier', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_int1', 'int', null, 'int', 'supplier', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_int2', 'int', null, 'int', 'supplier', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_list1', 'list', null, 'int', 'supplier', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_list2', 'list', null, 'int', 'supplier', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_notes', 'string', null, 'string', 'supplier', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_text1', 'string', null, 'string', 'supplier', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'cust_text2', 'string', null, 'string', 'supplier', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'email_address', 'string', null, 'string', 'supplier', 'email_address',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'fax', 'string', null, 'string', 'supplier', 'fax',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'mobile', 'string', null, 'string', 'supplier', 'mobile',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'name', 'string', null, 'string', 'supplier', 'name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'notes', 'string', null, 'string', 'supplier', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'phone', 'string', null, 'string', 'supplier', 'phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('supplier', 'phone2', 'string', null, 'string', 'supplier', 'phone2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'category', 'list', null, 'int', 'task', 'category',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'ci_id', 'list', 'ci', 'int', 'task', 'ci',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_date1', 'date', null, 'date', 'task', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_date2', 'date', null, 'date', 'task', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_int1', 'int', null, 'int', 'task', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_int2', 'int', null, 'int', 'task', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_list1', 'list', null, 'int', 'task', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_list2', 'list', null, 'int', 'task', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_notes', 'string', null, 'string', 'task', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_text1', 'string', null, 'string', 'task', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'cust_text2', 'string', null, 'string', 'task', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'description', 'string', null, 'string', 'task', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'end_time', 'date_time', null, 'date', 'task', 'end_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'estimation', 'int', null, 'int', 'task', 'estimation',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'id', 'int', null, 'int', 'task', 'id',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'notes', 'string', null, 'string', 'task', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'notification', 'list', null, 'string', 'task', 'notification',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'progress', 'int', null, 'int', 'task', 'progress',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'project_id', 'list', 'project', 'int', 'task', 'project_id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'start_time', 'date_time', null, 'date', 'task', 'start_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'status', 'list', null, 'int', 'task', 'status',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'task_dependency', 'list', null, 'int', 'task', 'taskDependency',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'task_dependency_type', 'int', null, 'int', 'task', 'taskDependencyType',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'title', 'string', null, 'string', 'task', 'title',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task', 'total_time', 'float', null, 'calculation', 'task', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'task_id', 'int', 'task', 'int', 'task_activities', 'id',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'activity_status', 'list', null, 'int', 'task_activities', 'activity_status',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'description', 'string', null, 'string', 'task_activities', 'description',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'from_time', 'date_time', null, 'date', 'task_activities', 'from_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'to_time', 'date_time', null, 'date', 'task_activities', 'to_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'user_name', 'list', 'user', 'string', 'task_activities', 'user_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('task_activity', 'total_time', 'string', null, 'calculation', 'task_activities', 'totalTime',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'administrator', 'boolean', null, 'string', 'sysaid_user', 'user_type',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'agreement', 'list', null, 'int', 'sysaid_user', 'agreement',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'building', 'string', null, 'string', 'sysaid_user', 'building',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'car_number', 'string', null, 'string', 'sysaid_user', 'car_number',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cell_phone', 'string', null, 'string', 'sysaid_user', 'cell_phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'chat_nick_name', 'string', null, 'string', 'sysaid_user', 'chat_nick_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'company', 'list', 'company', 'int', 'sysaid_user', 'company',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cubic', 'string', null, 'string', 'sysaid_user', 'cubic',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_date1', 'date', null, 'date', 'sysaid_user', 'cust_date1',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_date2', 'date', null, 'date', 'sysaid_user', 'cust_date2',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_int1', 'int', null, 'int', 'sysaid_user', 'cust_int1',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_int2', 'int', null, 'int', 'sysaid_user', 'cust_int2',0,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_list1', 'list', null, 'int', 'sysaid_user', 'cust_list1',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_list2', 'list', null, 'int', 'sysaid_user', 'cust_list2',1,1,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_notes', 'string', null, 'string', 'sysaid_user', 'cust_notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_text1', 'string', null, 'string', 'sysaid_user', 'cust_text1',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'cust_text2', 'string', null, 'string', 'sysaid_user', 'cust_text2',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'department', 'list', null, 'int', 'sysaid_user', 'department',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'disable', 'list', null, 'string', 'sysaid_user', 'disable',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'display_name', 'string', null, 'string', 'sysaid_user', 'display_name',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'email_address', 'string', null, 'string', 'sysaid_user', 'email_address',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'expiration_time', 'date', null, 'date', 'sysaid_user', 'expiration_time',1,0,1);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'first_name', 'string', null, 'string', 'sysaid_user', 'first_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'floor', 'string', null, 'string', 'sysaid_user', 'floor',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'last_name', 'string', null, 'string', 'sysaid_user', 'last_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'locale', 'list', null, 'string', 'sysaid_user', 'locale',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'location', 'list', null, 'int', 'sysaid_user', 'location',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'login_domain', 'string', null, 'string', 'sysaid_user', 'login_domain',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'login_user', 'string', null, 'string', 'sysaid_user', 'login_user',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'manager', 'boolean', null, 'string', 'sysaid_user', 'manager',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'notes', 'string', null, 'string', 'sysaid_user', 'notes',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'permissions_by_groups', 'boolean', null, 'string', 'sysaid_user', 'permissions_by_groups',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'phone', 'string', null, 'string', 'sysaid_user', 'phone',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'secondary_email', 'string', null, 'string', 'sysaid_user', 'secondary_email',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'sms_number', 'string', null, 'string', 'sysaid_user', 'sms_number',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'timezone', 'list', null, 'string', 'sysaid_user', 'timezone',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'user_manager_name', 'list', 'user', 'string', 'sysaid_user', 'user_manager_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user', 'user_name', 'string', null, 'string', 'sysaid_user', 'user_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'display_group', 'boolean', null, 'string', 'user_groups', 'display_group',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'group_name', 'string', null, 'string', 'user_groups', 'group_name',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'group_type', 'list', null, 'int', 'user_groups', 'group_type',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('user_groups', 'support_level', 'int', null, 'int', 'user_groups', 'support_level',1,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('company', 'email_account', 'string', null, 'string', 'company', 'emailAccount',0,0,0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'merged_service_records', 'string', null, 'string', 'service_req_merge', 'merged_service_records', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('sr', 'merged_to', 'int', null, 'int', 'service_req_merge', 'merged_to', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_count', 'int', null, 'int', 'computer_total_hdd', 'hdd_count', 1, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_total_space', 'float', null, 'float', 'computer_total_hdd', 'hdd_total_space', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_total_free_space', 'float', null, 'float', 'computer_total_hdd', 'hdd_total_free_space', 0, 0, 0);
INSERT INTO reports_available_fields (entity_name, db_field_name, data_type, entity_reference, db_type, db_table, list_attribute_name,group_by,aggregation,trend) VALUES ('asset', 'hdd_total_used_space', 'float', null, 'float', 'computer_total_hdd', 'hdd_total_used_space', 0, 0, 0);


insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('asset', 'computer', 'computer_id', 1, 'computer_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('catalog', 'asset_catalog', 'catalog_number', 1, 'name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('ci', 'ci_attributes', 'id', 1, 'ci_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('company', 'company', 'company_id', 1, 'company_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('project', 'project', 'id', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('software', 'software', 'software_id', 1, 'product_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr', 'service_req', 'id', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr_activity', 'work_report', 'id', 1, 'description');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('action_item', 'sr_sub_tab', 'tab_name', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('supplier', 'supplier', 'supplier_id', 1, 'name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('task', 'task', 'id', 1, 'title');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('task_activity', 'task_activities', 'id', 1, 'description');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('user', 'sysaid_user', 'user_name', 1, 'calculated_user_name_upper');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('user_groups', 'user_groups', 'group_name', 1, 'group_name');
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('asset', 'computer_attributes', 'computer_id', 0, null);
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr', 'service_req_files', 'id', 0, null);
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('sr', 'service_req_merge', 'id', 0, null);
insert into reports_entities_prop (entity_name, table_name, table_key, is_main_table, default_field) values ('asset', 'computer_total_hdd', 'computer_id', 0, null);

CREATE TABLE reports_available_operators (
  type VARCHAR2(64) NOT NULL,
  operator VARCHAR2(64) NOT NULL,
  sql_operator VARCHAR2(64),
  operators_order INT,
  PRIMARY KEY (type, operator)
);

insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.between', 'between', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.doesnt.equal', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.equals', '=', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.greater', '>', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.is_empty', 'is null', 6);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.smaller', '<', 12);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.within.last', null, 13);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.within.next', null, 14);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('date', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.between', 'between', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.doesnt.equal', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.equals', '=', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.greater', '>', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('int', 'filter.smaller', '<', 5);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.contains', 'like ''%?%''', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.doesnt.contains', 'not like ''%?%''', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.doesnt.equal', '<>', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.ends.with', 'like ''%?''', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.equals', '=', 5);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.is', null, 6);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.isnt', null, 8);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.is_empty', 'is null', 9);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('string', 'filter.starts.with', 'like ''?%''', 10);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.is', '=', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.isnt', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.is_empty', 'is null', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('list', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.is', '=', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.isnt', '<>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.is_empty', 'is null', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.is.not.empty', 'is not null', 7);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.contains', 'like ''%?%''', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.doesnt.contains', 'not like ''%?%''', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.ends.with', 'like ''%?''', 4);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('nested', 'filter.starts.with', 'like ''?%''', 10);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('float', 'filter.between', 'between', 1);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('float', 'filter.greater', '>', 2);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('float', 'filter.smaller', '<', 3);
insert INTO reports_available_operators (type, operator, sql_operator, operators_order) VALUES ('boolean', 'filter.equals', '=', 1);

CREATE TABLE oauth_consumer_info (
  id number(11) NOT NULL,
  name varchar2(255) NOT NULL,
  description varchar(255),
  email varchar2(64) NOT NULL,
  consumer_key varchar2(32) NOT NULL,
  consumer_secret varchar2(32) NOT NULL,
  status number(1,0) default 0,
  update_time DATE NOT NULL,
  authorization_callback_url varchar2(255) NOT NULL,
  system_consumer number(1,0) default 0,
  PRIMARY KEY  (id)
);

create sequence oauth_consumer_info_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
create unique index oauth_consumer_info_index on oauth_consumer_info (name,email);
create unique index oauth_consumer_info_index1 on oauth_consumer_info (consumer_key);
create unique index oauth_consumer_info_index2 on oauth_consumer_info (consumer_secret);

CREATE TABLE oauth_nonce_info (
  consumer_key varchar2(32) NOT NULL,
  time_stamp number(11) NOT NULL ,
  nonce varchar2(32) NOT NULL,
  PRIMARY KEY  (consumer_key,time_stamp,nonce)
);

create index oauth_nonce_info_index on oauth_nonce_info (time_stamp);

create table reports_default_fields (
entity_name varchar2(64),
db_field_name varchar2(64),
field_order number(11),
entity_reference varchar2(64),
path varchar2(255),
PRIMARY KEY(entity_name,field_order));


create table reports_default_filters (
entity_name varchar2(64),
db_field_name varchar2(64),
field_order number(11),
entity_reference varchar2(64),
filter_operator varchar2(64),
path varchar2(255),
PRIMARY KEY(entity_name,field_order));


insert into reports_default_fields values('sr','id',3,'sr',null);
insert into reports_default_fields values('sr','alert',4,'sr',null);
insert into reports_default_fields values('sr','sr_type',1,'sr',null);
insert into reports_default_fields values('sr','problem_type',5,'sr',null);
insert into reports_default_fields values('sr','problem_sub_type',6,'sr',null);
insert into reports_default_fields values('sr','title',7,'sr',null);
insert into reports_default_fields values('sr','status',2,'sr',null);
insert into reports_default_fields values('sr','request_user',8,'sr',null);
insert into reports_default_fields values('sr','responsibility',9,'sr',null);
insert into reports_default_fields values('sr','priority',10,'sr',null);
insert into reports_default_fields values('sr','insert_time',11,'sr',null);


insert into reports_default_fields values('action_item','sr_id',2,'action_item',null);
insert into reports_default_fields values('action_item','title',3,'sr','action_item.sr_id:sr.title');
insert into reports_default_fields values('action_item','responsibility',4,'sr','action_item.sr_id:sr.responsibility');
insert into reports_default_fields values('action_item','assigned_to',1,'action_item',null);
insert into reports_default_fields values('action_item','description',5,'action_item',null);
insert into reports_default_fields values('action_item','due_date',6,'action_item',null);
insert into reports_default_fields values('action_item','status',7,'action_item',null);
insert into reports_default_fields values('action_item','assigned_group',8,'action_item',null);
insert into reports_default_fields values('action_item','urgency',9,'action_item',null);
insert into reports_default_fields values('action_item','priority',10,'action_item',null);


insert into reports_default_fields values('project','id',1,'project',null);
insert into reports_default_fields values('project','category',2,'project',null);
insert into reports_default_fields values('project','title',3,'project',null);
insert into reports_default_fields values('project','manager',4,'project',null);
insert into reports_default_fields values('project','status',5,'project',null);
insert into reports_default_fields values('project','start_time',6,'project',null);
insert into reports_default_fields values('project','end_time',7,'project',null);
insert into reports_default_fields values('project','request_group',8,'project',null);
insert into reports_default_fields values('project','total_task_estimation',9,'project',null);
insert into reports_default_fields values('project','calculated_progress',10,'project',null);



insert into reports_default_fields values('task','id',2,'task',null);
insert into reports_default_fields values('task','title',3,'task',null);
insert into reports_default_fields values('task','category',1,'task',null);
insert into reports_default_fields values('task','status',4,'task',null);
insert into reports_default_fields values('task','start_time',5,'task',null);
insert into reports_default_fields values('task','end_time',6,'task',null);
insert into reports_default_fields values('task','estimation',7,'task',null);
insert into reports_default_fields values('task','progress',8,'task',null);
insert into reports_default_fields values('task','total_task_time',9,'task',null);

insert into reports_default_fields values('sr_activity','user_name',1,'sr_activity',null);
insert into reports_default_fields values('sr_activity','from_time',2,'sr_activity',null);
insert into reports_default_fields values('sr_activity','to_time',3,'sr_activity',null);
insert into reports_default_fields values('sr_activity','description',4,'sr_activity',null);

insert into reports_default_fields values('task_activity','user_name',1,'task_activity',null);
insert into reports_default_fields values('task_activity','from_time',2,'task_activity',null);
insert into reports_default_fields values('task_activity','to_time',3,'task_activity',null);
insert into reports_default_fields values('task_activity','description',4,'task_activity',null);

insert into reports_default_fields values('supplier','name',1,'supplier',null);
insert into reports_default_fields values('supplier','phone',2,'supplier',null);
insert into reports_default_fields values('supplier','fax',3,'supplier',null);
insert into reports_default_fields values('supplier','address',4,'supplier',null);
insert into reports_default_fields values('supplier','email_address',5,'supplier',null);

insert into reports_default_fields values('asset','computer_name',2,'asset',null);
insert into reports_default_fields values('asset','parent_group',3,'asset',null);
insert into reports_default_fields values('asset','location_idx',4,'asset',null);
insert into reports_default_fields values('asset','ip_address',5,'asset',null);
insert into reports_default_fields values('asset','computer_type',1,'asset',null);
insert into reports_default_fields values('asset','os_name',6,'asset',null);
insert into reports_default_fields values('asset','manufacturer',7,'asset',null);
insert into reports_default_fields values('asset','serial',8,'asset',null);
insert into reports_default_fields values('asset','collection_type',9,'asset',null);


insert into reports_default_fields values('asset_group','group_name',1,'asset_group',null);

insert into reports_default_fields values('software','product_name',1,'software',null);
insert into reports_default_fields values('software','version',2,'software',null);
insert into reports_default_fields values('software','vendor',3,'software',null);
insert into reports_default_fields values('software','freeware',4,'software',null);

insert into reports_default_fields values('catalog','catalog_number',1,'catalog',null);
insert into reports_default_fields values('catalog','name',2,'catalog',null);
insert into reports_default_fields values('catalog','model',3,'catalog',null);
insert into reports_default_fields values('catalog','manufacturer',4,'catalog',null);
insert into reports_default_fields values('catalog','name',5,'supplier','catalog.supplier_id:supplier.name');


insert into reports_default_fields values('ci','id',2,'ci',null);
insert into reports_default_fields values('ci','ci_name',3,'ci',null);
insert into reports_default_fields values('ci','serial',4,'ci',null);
insert into reports_default_fields values('ci','ci_type',1,'ci',null);
insert into reports_default_fields values('ci','status',5,'ci',null);
insert into reports_default_fields values('ci','location',6,'ci',null);
insert into reports_default_fields values('ci','owner',7,'ci',null);
insert into reports_default_fields values('ci','import_item_id',8,'ci',null);
insert into reports_default_fields values('ci','problem_type',9,'ci',null);
insert into reports_default_fields values('ci','problem_sub_type',10,'ci',null);



insert into reports_default_fields values('user','first_name',3,'user',null);
insert into reports_default_fields values('user','last_name',4,'user',null);
insert into reports_default_fields values('user','login_domain',5,'user',null);
insert into reports_default_fields values('user','user_name',6,'user',null);
insert into reports_default_fields values('user','email_address',7,'user',null);
insert into reports_default_fields values('user','cell_phone',8,'user',null);
insert into reports_default_fields values('user','phone',9,'user',null);
insert into reports_default_fields values('user','department',2,'user',null);
insert into reports_default_fields values('user','cubic',10,'user',null);
insert into reports_default_fields values('user','floor',11,'user',null);
insert into reports_default_fields values('user','company',1,'user',null);
insert into reports_default_fields values('user','disable',12,'user',null);


insert into reports_default_fields values('user_groups','group_name',1,'user_groups',null);
insert into reports_default_fields values('user_groups','group_type',2,'user_groups',null);
insert into reports_default_fields values('user_groups','support_level',3,'user_groups',null);
insert into reports_default_fields values('user_groups','display_group',4,'user_groups',null);


insert into reports_default_fields values('company','company_name',1,'company',null);
insert into reports_default_fields values('company','address',2,'company',null);
insert into reports_default_fields values('company','address2',3,'company',null);
insert into reports_default_fields values('company','city',4,'company',null);
insert into reports_default_fields values('company','state',5,'company',null);
insert into reports_default_fields values('company','zip',6,'company',null);
insert into reports_default_fields values('company','country',7,'company',null);
insert into reports_default_fields values('company','phone',8,'company',null);
insert into reports_default_fields values('company','expiration_time',9,'company',null);
insert into reports_default_fields values('company','fax',10,'company',null);



insert into reports_default_filters values('sr','problem_type',1,'sr','=','');
insert into reports_default_filters values('sr','sr_type',2,'sr','=','');
insert into reports_default_filters values('sr','company',3,'user','=','sr.request_user:user.company');
insert into reports_default_filters values('sr','status',4,'sr','=','');
insert into reports_default_filters values('sr','insert_time',5,'sr','between','');


insert into reports_default_filters values('action_item','assigned_to',1,'action_item','=','');
insert into reports_default_filters values('action_item','assigned_group',2,'action_item','=','');
insert into reports_default_filters values('action_item','status',3,'action_item','=','');
insert into reports_default_filters values('action_item','approved',4,'action_item','=','');
insert into reports_default_filters values('action_item','due_date',5,'action_item','between','');


insert into reports_default_filters values('project','category',1,'project','=','');
insert into reports_default_filters values('project','manager',2,'project','=','');
insert into reports_default_filters values('project','status',3,'project','=','');
insert into reports_default_filters values('project','start_time',4,'project','between','');
insert into reports_default_filters values('project','end_time',5,'project','between','');


insert into reports_default_filters values('task','project_id',1,'task','=','');
insert into reports_default_filters values('task','category',2,'task','=','');
insert into reports_default_filters values('task','status',3,'task','=','');
insert into reports_default_filters values('task','start_time',4,'task','between','');
insert into reports_default_filters values('task','end_time',5,'task','between','');


insert into reports_default_filters values('sr_activity','user_name',1,'sr_activity','=','');
insert into reports_default_filters values('sr_activity','from_time',2,'sr_activity','between','');
insert into reports_default_filters values('sr_activity','to_time',3,'sr_activity','between','');


insert into reports_default_filters values('task_activity','user_name',1,'task_activity','=','');
insert into reports_default_filters values('task_activity','from_time',2,'task_activity','between','');
insert into reports_default_filters values('task_activity','to_time',3,'task_activity','between','');


insert into reports_default_filters values('asset','parent_group',1,'asset','=','');
insert into reports_default_filters values('asset','location_idx',2,'asset','=','');
insert into reports_default_filters values('asset','computer_type',3,'asset','=','');
insert into reports_default_filters values('asset','os_name',4,'asset','=','');
insert into reports_default_filters values('asset','manufacturer',5,'asset','=','');
insert into reports_default_filters values('asset','collection_type',6,'asset','=','');



insert into reports_default_filters values('asset_group','group_name',1,'asset_group','=','');


insert into reports_default_filters values('software','supplier',1,'software','=','');
insert into reports_default_filters values('software','vendor',2,'software','=','');
insert into reports_default_filters values('software','company',3,'software','=','');
insert into reports_default_filters values('software','purchase_date',4,'software','between','');


insert into reports_default_filters values('catalog','model',1,'catalog','=','');
insert into reports_default_filters values('catalog','manufacturer',2,'catalog','=','');
insert into reports_default_filters values('catalog','supplier_id',3,'catalog','=','');


insert into reports_default_filters values('supplier','cust_list1',1,'supplier','=','');
insert into reports_default_filters values('supplier','cust_list2',2,'supplier','=','');



insert into reports_default_filters values('ci','ci_type',1,'ci','=','');
insert into reports_default_filters values('ci','status',2,'ci','=','');
insert into reports_default_filters values('ci','location',3,'ci','=','');
insert into reports_default_filters values('ci','problem_type',4,'ci','=','');
insert into reports_default_filters values('ci','company',5,'ci','=','');
insert into reports_default_filters values('ci','priority',6,'ci','=','');



insert into reports_default_filters values('user','login_domain',1,'user','=','');
insert into reports_default_filters values('user','department',2,'user','=','');
insert into reports_default_filters values('user','company',3,'user','=','');
insert into reports_default_filters values('user','disable',4,'user','=','');
insert into reports_default_filters values('user','agreement',5,'user','=','');



insert into reports_default_filters values('user_groups','group_type',1,'user_groups','=','');
insert into reports_default_filters values('user_groups','support_level',2,'user_groups','=','');
insert into reports_default_filters values('user_groups','display_group',3,'user_groups','=','');



insert into reports_default_filters values('company','city',1,'company','=','');
insert into reports_default_filters values('company','state',2,'company','=','');
insert into reports_default_filters values('company','country',3,'company','=','');
insert into reports_default_filters values('company','expiration_time',4,'company','=','');

CREATE TABLE ha_nodes (
  node_ip varchar2(16) NOT NULL,
  status varchar2(10) NOT NULL,
  added_time TIMESTAMP,
  last_update TIMESTAMP,
  CONSTRAINT node_ip_pk PRIMARY KEY (node_ip)
);

CREATE TABLE bi_admin  (
  user_name varchar2(64) NOT NULL,
  PRIMARY KEY (user_name)
);

CREATE TABLE bi_custom_column_mapping (
  account_id varchar2(32) NOT NULL,
  bi_column_name varchar2(64) NOT NULL,
  original_column_name varchar2(64),
  display_name varchar2(64),
  PRIMARY KEY (account_id,bi_column_name)
);

CREATE INDEX item_id_indx ON sysaid_item_links (item_id);
CREATE INDEX linked_item_id_indx ON sysaid_item_links (linked_item_id);
CREATE INDEX title_indx ON service_req (title);
CREATE INDEX service_name_indx ON discovery_service (discovery_service_name);

CREATE TABLE sc_widgets (
  id number(11) NOT NULL,
	widget_name varchar2(256) NOT NULL,
	widget_type varchar2(255) NOT NULL,
	widget_description varchar2(4000),
	widget_enable char(1) default 'Y',
	system_widget char(1) default 'Y',
	visible_to_guest char(1) default 'Y',
	widget_data varchar2(4000),
	widget_class varchar2(256),
	widget_order number(11),
  PRIMARY KEY(id)
);

create sequence sc_widgets_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sc_widgets_increment BEFORE INSERT ON sc_widgets FOR EACH ROW BEGIN SELECT sc_widgets_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

insert into sc_widgets (widget_name,widget_type,visible_to_guest,widget_data,widget_class,widget_order) values('selfServicePortalSettings.widgets.1','scoreboard','N','1,2,3,4','CustomizeScoreboard.jsp',1);
insert into sc_widgets (widget_name,widget_type,widget_data,widget_class,widget_order) values('selfServicePortalSettings.widgets.2','faq','1,2,3,4','CustomizeFAQ.jsp',2);
insert into sc_widgets (widget_name,widget_type,widget_class,widget_order) values('selfServicePortalSettings.widgets.3','news', 'News.jsp',-1);
insert into sc_widgets (widget_name,widget_type,widget_class,widget_order) values('selfServicePortalSettings.widgets.4','banner','SCBannersList.jsp',-1);
insert into sc_widgets (widget_name,widget_type,widget_class,widget_order) values('selfServicePortalSettings.widgets.5','toolbox', 'SCToolboxItemsList.jsp',3);
insert into sc_widgets (widget_name,widget_type,widget_enable,widget_order) values('selfServicePortalSettings.widgets.6','iframe', 'N',4);


CREATE INDEX user_form_visit_time_indx ON form_history (user_name, form_visit_time);

CREATE TABLE computer_disks (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  disk_name varchar2(255),
  disk_type varchar2(255),
  disk_serial_number varchar2(255),
  disk_volume_label varchar2(255),
  disk_system varchar2(255),
  disk_free_clusters number(11),
  disk_total_clusters number(11),
  disk_sectors_per_cluster number(11),
  disk_bytes_per_sector number(11),
  disk_capacity number(28),
  disk_free_space number(28),
  PRIMARY KEY(id)
);

create sequence computer_disks_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_disks_indx ON computer_disks (computer_id);


CREATE TABLE computer_network_adapters (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  net_adapter_name varchar2(255),
  net_adapter_address varchar2(255),
  net_adapter_type varchar2(255),
  net_adapter_enable_dhcp number(1,0),
  net_adapter_have_wins number(1,0),
  net_adapter_max_speed number(28),
  net_adapter_in float,
  net_adapter_out float,
  net_adapter_ip_addresses varchar2(4000),
  PRIMARY KEY(id)
);

create sequence computer_network_adapters_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_network_adapters_indx ON computer_network_adapters (computer_id);


CREATE TABLE computer_network_data (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  tcpip_host_name varchar2(255),
  tcpip_domain_name varchar2(255),
  PRIMARY KEY(id)
);

create sequence computer_network_data_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_network_data_indx ON computer_network_data (computer_id);

CREATE TABLE computer_devices (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  device_class_name varchar2(255),
  device_class_desc varchar2(255),
  device_class_icon varchar2(255),
  device_friendly_name varchar2(255),
  device_description varchar2(255),
  device_guid varchar2(255),
  device_manufacturer varchar2(255),
  device_location varchar2(255),
  device_hardware_id varchar2(255),
  device_device_param varchar2(255),
  device_driver varchar2(255),
  device_driver_date varchar2(255),
  device_driver_version varchar2(255),
  device_driver_provider varchar2(255),
  device_service varchar2(255),
  device_service_name varchar2(255),
  device_service_group varchar2(255),
  device_service_type number(11),
  PRIMARY KEY(id)
);

create sequence computer_devices_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_devices_indx ON computer_devices (computer_id);

CREATE TABLE computer_storage_devices (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  storage_serial_number varchar2(255),
  storage_model_number varchar2(255),
  storage_revision_number varchar2(255),
  storage_cylinders number(11),
  storage_heads number(11),
  storage_sectors_per_track number(11),
  storage_capacity number(28),
  storage_error_message varchar2(255),
  storage_logical_name varchar2(255),
  PRIMARY KEY(id)
);

create sequence computer_storage_devices_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_storage_devices_indx ON computer_storage_devices (computer_id);



CREATE TABLE computer_registry (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  reg_name varchar2(255),
  reg_value varchar2(255),
  PRIMARY KEY(id)
);

create sequence computer_registry_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_registry_indx ON computer_registry (computer_id);


CREATE TABLE computer_printers (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  printer_name varchar2(255),
  printer_port varchar2(255),
  PRIMARY KEY(id)
);

create sequence computer_printers_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_printers_indx ON computer_printers (computer_id);


CREATE TABLE computer_memory (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  memory_physical_total  number(28),
  memory_physical_free  number(28),
  memory_virtual_total  number(28),
  memory_virtual_free  number(28),
  memory_page_file_total  number(28),
  memory_page_file_free  number(28),
  memory_load  number(11),
  memory_alloc_granularity  number(11),
  memory_max_app_address  number(11),
  memory_min_app_address  number(11),
  memory_page_size  number(11),
  PRIMARY KEY(id)
);

create sequence computer_memory_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_memory_indx ON computer_memory (computer_id);


CREATE TABLE computer_vpro_authentication (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  vpro_enabled number(1,0),
  vpro_user varchar2(255),
  vpro_password varchar2(255),
  PRIMARY KEY(id)
);

create sequence computer_vpro_authentication_s START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_vpro_authentication_i ON computer_vpro_authentication (computer_id);


CREATE TABLE computer_display (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  display_adapter varchar2(255),
  display_dac varchar2(255),
  display_chipset varchar2(255),
  display_bios_version varchar2(255),
  display_bios_date varchar2(255),
  display_technology varchar2(255),
  display_resolution varchar2(255),
  display_memory number(28),
  display_horz_res number(11),
  display_vert_res number(11),
  display_color_depth number(11),
  PRIMARY KEY(id)
);

create sequence computer_display_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_display_indx ON computer_display (computer_id);


CREATE TABLE computer_smbios_memory_bank (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  memory_bank_socket varchar2(255),
  memory_bank_form_factor varchar2(255),
  memory_bank_device varchar2(255),
  memory_bank_speed number(11),
  memory_bank_size number(11),
  PRIMARY KEY(id)
);

create sequence computer_smbios_memory_bank_s START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_smbios_memory_bank_i1 ON computer_smbios_memory_bank (computer_id);

CREATE TABLE computer_total_hdd (
  id number(11) NOT NULL,
  computer_id varchar(64) NOT NULL,
  hdd_count number(11),
  hdd_total_space float,
  hdd_total_free_space float,
  hdd_total_used_space float,
  PRIMARY KEY(id)
);
create sequence computer_total_hdd_s START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE INDEX computer_total_hdd_indx ON computer_total_hdd (computer_id);


CREATE TABLE computer_smbios_memory_slot (
  id number(11) NOT NULL,
  computer_id varchar2(64) NOT NULL,
  smbios_dimm_device_locator varchar2(255),
  smbios_dimm_type_details varchar2(255),
  smbios_dimm_manufacturer varchar2(255),
  smbios_dimm_serial_number varchar2(255),
  smbios_dimm_part_number varchar2(255),
  smbios_dimm_asset_tag varchar2(255),
  smbios_dimm_total_width number(11),
  smbios_dimm_data_width number(11),
  smbios_dimm_size number(11),
  smbios_dimm_speed number(11),
  smbios_dimm_slot number(11),
  PRIMARY KEY(id)
);

create sequence computer_smbios_memory_slot_s START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE INDEX computer_smbios_memory_slot_i1 ON computer_smbios_memory_slot (computer_id);

CREATE TABLE category_admin_group (
  category_id number(11) NOT NULL,
  group_id number(11) NOT NULL,
  permission_type number(11) NOT NULL,
  PRIMARY KEY (category_id,group_id,permission_type)
);

CREATE TABLE token_info (
  id varchar2(64) NOT NULL,
  user_name varchar2(64) NOT NULL,
  expired date NOT NULL,
  PRIMARY KEY  (id)
);

CREATE UNIQUE INDEX token_info_index ON token_info (user_name);

CREATE TABLE credentials_list (
   id number(11) NOT NULL,
  name varchar2(256) NOT NULL,
  user_name varchar2(256) NOT NULL,
  password varchar2(256),
  authentication_protocol varchar2(256),
  encryption_protocol varchar2(256),
  encryption_key varchar2(256),
  description varchar2(4000) ,
  validity number(11),
  created_by varchar2(255),
  created_date date ,
  modified_by varchar2(255),
  modified_date date ,
  PRIMARY KEY(id)
);

create sequence credentials_list_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE vendors_list (
  id number(11) NOT NULL,
  manufacturer_name varchar2(256) NOT NULL,
  asset_id_prefix varchar2(256) NOT NULL,
  manufacturer_codes varchar2(4000),
  description varchar2(4000),
  created_date date ,
  modified_date date ,
  modified_by varchar2(255),
  use_mac_for_id number(1) default 0,
  PRIMARY KEY(id)
);

create sequence vendors_list_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE custom_notification (
  id number(11) NOT NULL ,
  name varchar2(256) NOT NULL,
  enabled numeric(1,0) default 1,
  custom numeric(1,0) default 0,
  notification_type number(11) default 0,
  subject_notification_value varchar2(4000),
  subject_notification_default varchar2(4000),
  body_notification_value clob,
  body_notification_default clob,
  addon_name varchar2(256),
  PRIMARY KEY(id)
);

CREATE TABLE notification_admin_group (
  notification_id number(11),
  group_id number(11),
  PRIMARY KEY (notification_id,group_id)
);


insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (1,'customNotifications.SMS','${ActionNotification}-${Title}','${ActionNotification}-${Title}','','','none');

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (2,'customNotifications.emailAdmin','${ActionNotification}','${ActionNotification}','${ActionNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Priority: ${Priority}
Urgency: ${Urgency}
Status: ${Status}
Request User: ${RequestUser}
#if( ${Solution} && ${Solution}!="" )
Solution: ${Solution}
#end
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${ActivitiesTable} && ${ActivitiesTable}!="" )

Activities Table: ${ActivitiesNum} activities ${ActivitiesTable}
Total: ${ActivitiesTotalMinutes} minutes

#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end
Total Active Requests: $Total_Active_Requests
Active requests for ${AssignedTo}: $Active_requests_for_assigned_admin
','${ActionNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Priority: ${Priority}
Urgency: ${Urgency}
Status: ${Status}
Request User: ${RequestUser}
#if( ${Solution} && ${Solution}!="" )
Solution: ${Solution}
#end
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${ActivitiesTable} && ${ActivitiesTable}!="" )

Activities Table: ${ActivitiesNum} activities ${ActivitiesTable}
Total: ${ActivitiesTotalMinutes} minutes

#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end
Total Active Requests: $Total_Active_Requests
Active requests for ${AssignedTo}: $Active_requests_for_assigned_admin
','none');

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (3,'customNotifications.emailDeviceEnrollment','Enrollment request SysAid MDM','Enrollment request SysAid MDM','Dear $UserDisplayName,

Your IT administrator has sent this enrollment request for you to enroll your mobile device with SysAid MDM. This will allow him to manage your device and assist you in troubleshooting issues. To enroll your device, access the following URL from your mobile device''s browser:
$MDMEnrollmentUrl

You may have also received an SMS message on your device with a quick link to begin enrollment. When prompted for authentication, enter the Corporate Identifier and Passcode given below:

Your server URL: $LoginUrl
Username: $UserName
Password: ********

SysAid MDM will guide you through the remaining steps needed to enroll your device.

In case of any questions or if you need assistance, please contact your IT Dept.
','Dear $UserDisplayName,

Your IT administrator has sent this enrollment request for you to enroll your mobile device with SysAid MDM. This will allow him to manage your device and assist you in troubleshooting issues. To enroll your device, access the following URL from your mobile device''s browser:
$MDMEnrollmentUrl

You may have also received an SMS message on your device with a quick link to begin enrollment. When prompted for authentication, enter the Corporate Identifier and Passcode given below:

Your server URL: $LoginUrl
Username: $UserName
Password: ********

SysAid MDM will guide you through the remaining steps needed to enroll your device.

In case of any questions or if you need assistance, please contact your IT Dept.
','none');



insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (4,'customNotifications.smsDeviceEnrollment','Click here to install the SysAid MDM Agent app: $MDMEnrollmentUrl Use this server URL: $LoginUrl
','Click here to install the SysAid MDM Agent app: $MDMEnrollmentUrl Use this server URL: $LoginUrl
','','','none');


insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (5,'customNotifications.emailEndUser','${StatusNotification}','${StatusNotification}','${StatusNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Urgency: ${Urgency}
Status: ${Status}
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end

#if(${isClosedSR}==true && ${LinkToSurvey} && ${LinkToSurvey}!="" )
Please fill out this Survey: ${LinkToSurvey}
#end

#if(${isClosedSR}==true && ${ReopenSR}!="0" )
Click here if you would like to reopen this service record: ${ReopenSR}
#end

#if( ${AfterHours} && ${AfterHours}==true && ${IsNewSr}==true)
The Helpdesk is not active at the moment, your service record will be addressed during working hours.
Operating Times: $OperatingTimesTable
#end','${StatusNotification}

Title: ${Title}
Description: ${Description}
Category: ${Category}
Sub Category: ${SubCategory}
Assigned To: ${AssignedTo}
Urgency: ${Urgency}
Status: ${Status}
#if( ${Notes} && ${Notes}!="" )
Notes: ${Notes}
#end
#if( ${LinkToAttachments} && ${LinkToAttachments}!="" )
Attachments: ${LinkToAttachments}
#end

#if(${isClosedSR}==true && ${LinkToSurvey} && ${LinkToSurvey}!="" )
Please fill out this Survey: ${LinkToSurvey}
#end

#if(${isClosedSR}==true && ${ReopenSR}!="0" )
Click here if you would like to reopen this service record: ${ReopenSR}
#end

#if( ${AfterHours} && ${AfterHours}==true && ${IsNewSr}==true)
The Helpdesk is not active at the moment, your service record will be addressed during working hours.
Operating Times: $OperatingTimesTable
#end','none');





insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (6,'customNotifications.forgotPassword','Your new SysAid password','Your new SysAid password','As you requested, we have generated a new SysAid password for you.

Your new password is:

$NewPassword

Using your new password, you may now log in at $LoginURL.
','As you requested, we have generated a new SysAid password for you.

Your new password is:

$NewPassword

Using your new password, you may now log in at $LoginURL.
','none');





insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (7,'customNotifications.newAdmin','Welcome to SysAid!','Welcome to SysAid!','Congratulations.  You have been successfully registered as a SysAid administrator.

Please log into SysAid at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

To learn how to use SysAid, you may consult the Help.
','Congratulations.  You have been successfully registered as a SysAid administrator.

Please log into SysAid at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

To learn how to use SysAid, you may consult the Help.
','none');



insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (8,'customNotifications.newEndUser','Welcome to SysAid','Welcome to SysAid',
'Congratulations.  You have been registered as a SysAid user.  SysAid will let you submit service records to support professionals.

When you''re ready to try out SysAid, log into at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

','Congratulations.  You have been registered as a SysAid user.  SysAid will let you submit service records to support professionals.

When you''re ready to try out SysAid, log into at $LoginUrl

Your account ID is:  $AccountID

Your username is:  $UserName

Your password is:  $Password

','none');





insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (9,'customNotifications.EmailProjectManager','${ActionNotification}
','${ActionNotification}
','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
Company: ${Company}','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
Company: ${Company}','none');



insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (10,'customNotifications.EmailProjectManager','${ActionNotification}
','${ActionNotification}
','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Raw Estimation: ${RawEstimation}
Manager: ${Manager}
Requested group: ${RequestedGroup}
Assigned group: ${AssignedGroup}
Description: ${Description}
Notes: ${Notes}
','none');


insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (11,'customNotifications.EmailTaskUser','${ActionNotification}','${ActionNotification}','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Estimation: ${Estimation}
Progress: ${Progress}
Project: ${Project}
Project Manager: ${Manager}
Description: ${Description}
Notes: ${Notes}
Users: ${Users}
Activity(changed): ${Activity}','${ActionNotification}

Title: ${Title}
Category: ${Category}
Status: ${Status}
Start time: ${StartTime}
End time: ${EndTime}
Estimation: ${Estimation}
Progress: ${Progress}
Project: ${Project}
Project Manager: ${Manager}
Description: ${Description}
Notes: ${Notes}
Users: ${Users}
Activity(changed): ${Activity}','none');

insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (12,'customNotifications.incomingMessageEndUserToAdminSubjest','New message from ${RequestUser} on ${SrType} ${ID} ${Title}','New message from ${RequestUser} on ${SrType} ${ID} ${Title}','','','none');
insert into custom_notification (id,name,subject_notification_value,subject_notification_default,body_notification_value,body_notification_default,addon_name) values (13,'customNotifications.incomingMessageAdminToEndUserSubjest','New message from ${AssignedTo} on ${SrType} ${ID} ${Title}','New message from ${AssignedTo} on ${SrType} ${ID} ${Title}','','','none');

create sequence custom_notification_seq START WITH 2000 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE feature_usage_stats (
  use_module int,
  use_action int,
  use_jsp int,
  use_year int,
  use_month int,
  use_day int,
  use_counter int,
  PRIMARY KEY(use_module,use_action,use_jsp,use_year,use_month,use_day)
);

CREATE TABLE enabled_usage_stats (
  module_action_jsp varchar2(255),
  PRIMARY KEY(module_action_jsp)
);

insert into enabled_usage_stats  (module_action_jsp) values ('40_1_1002');
insert into enabled_usage_stats  (module_action_jsp) values ('40_9_1003');
insert into enabled_usage_stats  (module_action_jsp) values ('40_1_1003');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2015');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2016');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2017');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2018');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2019');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2021');
insert into enabled_usage_stats  (module_action_jsp) values ('57_1_2022');
insert into enabled_usage_stats  (module_action_jsp) values ('40_9_1023');


CREATE TABLE computer_to_embedded_services (
  computer_id varchar2(255),
  external_id varchar2(255),
  embedded_service_type varchar2(255),
  embedded_service_version varchar2(255),
  installation_date timestamp,
  PRIMARY KEY(computer_id,external_id,embedded_service_type)
);

CREATE TABLE sc_toolbox_item (
  id number(11) NOT NULL,
  unique_name varchar2(64),
  system_toolbox_item number(1) default 0 NOT NULL,
  type number(2) default 1 NOT NULL,
  parent number(11) default 0 NOT NULL,
  name varchar2(64) default '' NOT NULL,
  description varchar2(255),
  target_url varchar2(255),
  opening_method number(11) default 0,
  icon_file_name varchar2(255),
  default_icon_file_name varchar2(255),
  enabled number(1) default 1,
  item_order number(11),
  user_visibility number(11) default 124 NOT NULL,
  first_level_category number(11) default 0 NOT NULL,
  second_level_category number(11) default 0 NOT NULL,
  third_level_category number(11) default 0 NOT NULL,
  PRIMARY KEY(id)
);
create sequence sc_toolbox_item_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sc_toolbox_item_increment BEFORE INSERT ON sc_toolbox_item FOR EACH ROW BEGIN SELECT sc_toolbox_item_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

CREATE TABLE sc_toolbox_item_to_user_group (
  toolbox_item_id number(11),
  group_name varchar2(64),
  PRIMARY KEY(toolbox_item_id, group_name)
);

CREATE TABLE sc_toolbox_item_exclude_group (
  toolbox_item_id number(11) not null,
  group_name varchar2(64) not null,
  PRIMARY KEY(toolbox_item_id, group_name)
);

CREATE TABLE sc_toolbox_item_to_company (
  toolbox_item_id number(11),
  company_id number(11),
  PRIMARY KEY(toolbox_item_id, company_id)
);

CREATE TABLE sc_toolbox_item_exclude_cmpny (
  toolbox_item_id number(11) not null,
  company_id number(11) not null,
  PRIMARY KEY(toolbox_item_id, company_id)
);

insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('submitIncident', 1, 'Submit an Incident', 'Experiencing technical problems or have an issue to report? Click here to submit an incident to your IT department.', '/submitIncident', 1, 'report-issue_green.svg', 'report-issue_green.svg', 1, 1,127);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('submitRequest', 1, 'Submit a Request', 'Have an IT request or missing any functionality? Click here to submit a service record to your IT department.', '/submitSR', 1, 'submit-requset_green.svg', 'submit-requset_green.svg', 1, 2,127);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('scoreboard', 1, 'My Activities', 'Access your submitted service records, pending workflow actions, and supervised service records', '/scoreboard', 1, 'history.svg', 'history.svg', 1, 3,126);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('faq', 1, 'FAQ', 'Find helpful information that can help you quickly resolve a technical problem on your own. Try to save time by doing it yourself!', '/KBFAQTree.jsp?menuFlag=ssp', 0, 'faq.svg', 'faq.svg', 1, 4,124);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('settings', 1, 'My Settings', 'Keep your settings up to date, manage your contact details, language settings and more!', '/mySettings', 1, 'my-settings.svg', 'my-settings.svg', 1, 5,124);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('passwordServices', 1, 'Password Self Service', 'Password Self Service allows you to change your password if you''ve forgotten it and to unlock your account if it''s become locked.', '/EndUserSelfService.jsp?noframe=YES', 0, 'password-self-service.svg', 'password-self-service.svg', 1, 6,127);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('calendar', 1, 'SysAid Calendar', 'See a schedule of when you submitted service records, the dates by when they must be resolved, and all events that have been published to your group.', '/EndUserSysAidCalendar.jsp?noframe=YES&hidePanel=YES&ssp=YES', 0, 'calendar.svg', 'calendar.svg', 1, 7,126);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('myDesktop', 1, 'My Desktop', 'Access your computer anywhere, anytime from the device of your choice', '/EndUserRemoteAccess.jsp?noframe=YES&ssp=YES', 0, 'my-desktop.svg', 'my-desktop.svg', 1, 8,124);
insert into sc_toolbox_item (system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order) values (1, 'Submit SR from Template', 'Duplicate this item to create links for Incident creation with a specific template.
 Replace "XX" in the Target URL with the ID of the template.
 Use "submitSR" instead of "submitIncident" for Requests.', '/submitIncident?populateSR_id=XX', 1, 'default_icon.svg', 'default_icon.svg', 0, 9);
insert into sc_toolbox_item (unique_name, system_toolbox_item, name, description, target_url, opening_method, icon_file_name, default_icon_file_name, enabled, item_order,user_visibility) values ('chat', 1, 'Chat', 'Start a chat with your IT department, if available', '/ChatEnduserWelcomePage.jsp', 0, 'chat.svg', 'chat.svg', 1, 10,127);


insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (1,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (2,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (3,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (4,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (5,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (6,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (7,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (8,'ALL_SYSAID_USERS');
insert into sc_toolbox_item_to_user_group (toolbox_item_id,group_name) values (9,'ALL_SYSAID_USERS');
INSERT INTO sc_toolbox_item_to_user_group (toolbox_item_id, group_name) SELECT  id, 'ALL_SYSAID_USERS' FROM sc_toolbox_item WHERE unique_name = 'chat';

insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (1,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (2,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (3,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (4,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (5,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (6,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (7,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (8,0);
insert into sc_toolbox_item_to_company (toolbox_item_id,company_id) values (9,0);
INSERT INTO sc_toolbox_item_to_company (toolbox_item_id, company_id) SELECT  id, 0 FROM sc_toolbox_item WHERE unique_name = 'chat';

CREATE TABLE sc_banner (
  id number(11) NOT NULL,
  name varchar2(64) NOT NULL UNIQUE,
  banner_text varchar2(64),
  image_file_name varchar2(255),
  image_overlay number(11),
  height number(11),
  text_color varchar2(64),
  banner_link varchar2(255),
  last_modified_time DATE,
  last_modified_by varchar2(255),
  cropped_data varchar2(255),
  PRIMARY KEY(id)
);
create sequence sc_banner_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sc_banner_increment BEFORE INSERT ON sc_banner FOR EACH ROW BEGIN SELECT sc_banner_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

insert into sc_banner (name, banner_text, image_file_name, image_overlay, height, text_color) values ('SysAid Banner', 'Welcome to
SysAid Self-Service Portal', 'SelfServicePortalBanner.jpg', 0, 1, '#FFFFFF');

create table addon_attributes(
  addon_name varchar2(255) not null,
  attribute_name varchar2(255) not null,
  attribute_value clob not null,
  primary key(addon_name, attribute_name)
);

create table service_req_video (
  id number(11) NOT NULL,
  video_file varchar2(255),
  PRIMARY KEY  (id)
);

CREATE TABLE sc_theme (
  id number(11) NOT NULL,
  name varchar2(255) NOT NULL UNIQUE,
  last_modified_time DATE,
  last_modified_by varchar2(255),
  brand_color varchar2(64),
  brand_contrast varchar2(64),
  page_background varchar2(64),
  headline_color varchar2(64),
  text_color varchar2(64),
  header_background varchar2(64),
  menu_text varchar2(64),
  toolbar_background varchar2(64),
  button_background varchar2(64),
  button_content varchar2(64),
  border_color varchar2(64),
  hover_color varchar2(64),
  visible_to_end_user number(1) DEFAULT 1,
  is_system_theme number(1) DEFAULT 0,
  PRIMARY KEY(id)
);
create sequence sc_theme_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER sc_theme_increment BEFORE INSERT ON sc_theme FOR EACH ROW BEGIN SELECT sc_theme_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

insert into sc_theme (name,brand_color,brand_contrast,page_background,headline_color,text_color,header_background,menu_text,toolbar_background,button_background,button_content,border_color,hover_color,visible_to_end_user,is_system_theme)
values ('SysAid Theme','#3bb000','#ffffff','#ffffff','#4a4a4a','#787878','#4a4a4a','#ffffff','#dbe9f3','#f0f0f0','#333333','#cfcfcf','#f0f0f0',1,1);
insert into sc_theme (name,brand_color,brand_contrast,page_background,headline_color,text_color,header_background,menu_text,toolbar_background,button_background,button_content,border_color,hover_color,visible_to_end_user,is_system_theme)
values('SysAid High Contrast','#0000ff','#ffffff','#ffffff','#000000','#000000','#ffffff','#000000','#000000','#000000','#ffffff','#000000','#000000',1,1);

CREATE TABLE ldap_list (
  ldap_id number(11) NOT NULL,
  name varchar2(255),
  url varchar2(255),
  credentials_id number(11),
  domain varchar2(255),
  domain_display_name varchar2(255),
  rds_name varchar2(255),
  disable_time DATE,
  enable_cashing number(1,0) default 1,
  user_class_filter varchar2(4000),
  user_filter varchar2(4000),
  group_filter varchar2(4000),
  import_groups number(1,0) default 0,
  include_sub_ou number(1,0) default 0,
  authentication_type varchar2(255),
  ldap_provider varchar2(255),
  ol_user_state_att varchar2(255),
  ol_user_state_disable_value varchar2(255),
  full_update number(1,0) default 0,
  disable_non_exist_users number(1,0) default 0,
  disable_non_exist_admins number(1,0) default 0,
  last_update_date varchar2(255),
  user_att_name varchar2(255),
  group_att_name varchar2(255),
  user_att_cn varchar2(255),
  user_att_dn varchar2(255),
  schedule number(1,0) default 0,
  next_run DATE,
  rerun_value number(11),
  ldap_enable number(1,0) default 0,
  last_login_user varchar2(255),
  last_login_date DATE,
  save_date DATE,
  save_action number(1,0) default 0,
  last_error varchar2(255),
  revoke_user_from_group number(1,0) default 0,
  sync_group_deletion  number(1,0) default 0,
  PRIMARY KEY(ldap_id)
);

create sequence ldap_list_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE TABLE ldap_user_dn_list (
    ldap_id number(11) NOT NULL,
    user_dn_id number(11) NOT NULL,
    user_dn varchar2(255),
    PRIMARY KEY(ldap_id,user_dn_id)
);

CREATE TABLE ldap_user_roots_list (
    ldap_id number(11) NOT NULL,
    user_roots_id number(11) NOT NULL,
    user_roots varchar2(255),
    PRIMARY KEY(ldap_id,user_roots_id)
);

CREATE TABLE ldap_group_roots_list (
    ldap_id number(11) NOT NULL,
    group_roots_id number(11) NOT NULL,
    group_roots varchar2(255),
    PRIMARY KEY(ldap_id,group_roots_id)
);

CREATE TABLE ldap_user_attribute_list (
    ldap_id number(11) NOT NULL,
    user_attribute_id number(11) NOT NULL,
    sysaid_attribute varchar2(255),
    ldap_attribute varchar2(255),
    PRIMARY KEY(ldap_id,user_attribute_id)
);

create table search_engine_queue (
  id number(11) NOT NULL,
  object_id number(11) NOT NULL,
  object_type varchar2(32) NOT NULL,
  handling_attempts number(11) default 0,
  awaiting_backup number(4) default '0',
  PRIMARY KEY(id)
);
create sequence search_engine_queue_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER search_engine_queue_increment BEFORE INSERT ON search_engine_queue FOR EACH ROW BEGIN SELECT search_engine_queue_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

CREATE TABLE service_req_template_ext (
        id NUMBER(11) NOT NULL,
        template_name varchar(255),
        PRIMARY KEY  (id)
);

CREATE TABLE user_settings_available_fields (
  id varchar2(255) NOT NULL,
  label varchar2(255),
  type varchar2(32),
  db_table varchar2(64),
  db_column varchar2(64),
  list_attribute_name varchar2(64),
  user_conf_name varchar2(64),
  readOnly NUMBER(1) DEFAULT 0,
  PRIMARY KEY (id)
);

INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('first_name', 'firstName', 'text', 'sysaid_user', 'first_name', 'firstName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('last_name', 'surname', 'text', 'sysaid_user', 'last_name', 'lastName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('display_name', 'displayName', 'text', 'sysaid_user', 'display_name', 'displayName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('password', 'password', 'password', 'sysaid_user', 'password', 'password');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('email', 'email', 'email', 'sysaid_user', 'email_address', 'email');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('secondary_email', 'endUserPortal.secondary.mail', 'email', 'sysaid_user', 'secondary_email', 'secondaryEmail');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('phone_number', 'phone', 'tel', 'sysaid_user', 'phone', 'phoneNumber');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('sms_number', 'SMS', 'text', 'sysaid_user', 'sms_number', 'smsNumber');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('chat_nick_name', 'chatNickName', 'text', 'sysaid_user', 'chat_nick_name', 'chatNickName');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('language', 'language', 'select', 'sysaid_user', 'locale', 'language');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('charset', 'encoding', 'select', 'sysaid_user', 'charset', 'charset');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('timezone', 'timeZone', 'select', '', '', 'timezone');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, readOnly) VALUES ('user_name', 'loginUser', 'text', 'sysaid_user', 'user_name', 'login_user',1);
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, readOnly) VALUES ('domain', 'loginDomain', 'text', 'sysaid_user', 'login_domain', 'login_domain',1);
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('receive_email_notifications', 'userEdit.recieve.email.notifications', 'boolean', 'sysaid_user', 'email_notifications', 'autoEmailNotifications');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, user_conf_name) VALUES ('date_input_style', 'dateInputStyle', 'select', 'sysaid_user', 'user_conf', 'dateInputStyle','userInputDateStyle');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, user_conf_name) VALUES ('first_day_of_week', 'firstDayOfWeek', 'select', 'sysaid_user', 'user_conf', 'firstDayOfWeek','firstDayOfWeek');
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name, readOnly) VALUES ('security_questions', 'endUserPortal.questions', 'array', 'user_questions', 'question_id', 'passwordServices',0);
INSERT INTO user_settings_available_fields (id, label, type, db_table, db_column, list_attribute_name) VALUES ('ssp_theme', 'user.custom.theme', 'select', 'sysaid_user', 'ssp_theme', 'ssp_theme');

CREATE TABLE static_values (
  list_name varchar2(64) NOT NULL,
  value varchar2(255),
  label varchar2(255),
  PRIMARY KEY (list_name,value)
);

INSERT INTO static_values VALUES ('date_input_style','american','american');
INSERT INTO static_values VALUES ('date_input_style','european','european');
INSERT INTO static_values VALUES ('first_day_of_week','sunday','firstDayOfWeek.sunday');
INSERT INTO static_values VALUES ('first_day_of_week','monday','firstDayOfWeek.monday');


CREATE TABLE sc_theme_to_company (
  sc_theme_id number(11),
  company_id number(11),
  PRIMARY KEY(sc_theme_id, company_id)
);
INSERT INTO sc_theme_to_company (sc_theme_id, company_id) SELECT  id, 0 FROM sc_theme;

CREATE TABLE feature_flags (
  feature_key varchar2(64) NOT NULL,
  feature_value number(1,0) default 0,
  feature_start_version varchar2(255),
  PRIMARY KEY (feature_key)
);

insert into feature_flags(feature_key,feature_value,feature_start_version) values ('saveLdapFilesInS3',0,'17.4.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('analytics',1,'17.4.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('newLogin',0,'18.1.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('toolboxHierarchy',0,'18.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UseBrowserLanguageForLogin',0,'18.2.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableLanguageSelectionInSelfRegister',0,'18.2.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('controlSspSrSubmitButtonsDisplay',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DisableAutoRedirectToLegacyMobileInterface',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('NewAdminsDefaultPermissionsByGroup',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('AddRequestButtonToAllView',0,'18.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UseAdminCompanyEmailForComposeJsp',0,'18.2.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableMultiNotifByGroup',0,'18.2.50');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('sspHideFooter',0,'18.3.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DisablePrimaryIndexInHelpdeskQuery',0,'18.3.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('sspAllowRemoveSolutionFromSRView',0,'18.3.010');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EscalationRulesAsTriggers',0,'18.3.020');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('PreventFieldResetOnTemplateChange',0,'18.3.020');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('AuthorizationServer',0,'18.4.020');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableADM09_SRForm_Activities',1,'18.4.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('GroupEditPermissionsNotifications',0,'19.2.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UpdateUserName',1,'19.3.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('UpdateCompanyName',1,'19.3.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DisableRoutingEmailReplies',0,'19.3.40');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('disableEscalationNotification',0,'18.1.50');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DEV_Extend_Custom_Fields', 0, '19.4.70');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableRefactorSrSubTypeXmlFields', 1, '20.1.20');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DEV_Extend_Custom_Fields_Relational_Lists', 0, '20.1.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableChoosingDisableAndMandatoryInDesignForm', 0, '20.1.50');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableClientProtocolLogging', 0, '20.1.60');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('DEV_ContentPack_Export', 0, '20.2.10');

CREATE TABLE static_filter(
  id varchar2(36) NOT NULL,
  name varchar2(64),
  filter clob,
  PRIMARY KEY (id)
);

CREATE TABLE service_req_merge (
  id number(11) NOT NULL ,
  merged_to number(11) default 0,
  merged_service_records varchar2(4000),
  PRIMARY KEY  (id)
) ;

create table help_desk_routing (
  id number(11) NOT NULL,
  execution_order number(11),
  routing_agreement number(11) default 0,
  routing_company number(11) default 0,
  routing_eu_group varchar2(256),
  routing_category varchar2(256),
  routing_sub_category varchar2(256),
  routing_third_category varchar2(256),
  routing_admin varchar2(256),
  routing_admin_group varchar2(256),
  routing_enabled number(1,0) default 1,
  modified_by varchar2(255),
  modified_date date ,
  routing_location number(11) default 0,
  routing_main_ci number(11) default 0,
  PRIMARY KEY(id)
);

create sequence help_desk_routing_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER help_desk_routing_increment BEFORE INSERT ON help_desk_routing FOR EACH ROW BEGIN SELECT help_desk_routing_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

create table help_desk_due_date (
  id number(11) NOT NULL,
  execution_order number(11),
  duedate_agreement number(11) default 0,
  duedate_category varchar2(256),
  duedate_sub_category varchar2(256),
  duedate_third_category varchar2(256),
  duedate_urgency varchar2(256),
  duedate_priority varchar2(256),
  duedate_company number(11) default 0,
  duedate_hours number(11) default 0,
  duedate_enabled number(1,0) default 1,
  modified_by varchar2(255),
  modified_date date,
  duedate_sr_type number(11) default -1 ,
  PRIMARY KEY(id)
);

create sequence help_desk_due_date_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;

CREATE OR REPLACE TRIGGER help_desk_due_date_increment BEFORE INSERT ON help_desk_due_date FOR EACH ROW BEGIN SELECT help_desk_due_date_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;


create table help_desk_timers (
  id number(11) NOT NULL,
  timer_caption varchar2(256),
  timer_expression varchar2(4000),
  timer_expression_src clob,
  timer_sql varchar2(4000),
  timer_enabled number(1,0) default 1,
  modified_by varchar2(255),
  modified_date date ,
  PRIMARY KEY(id)
);

create table category_keys (
  id number(11) NOT NULL,
  name varchar2(255) UNIQUE,
  PRIMARY KEY(id)
);
create sequence category_keys_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER category_keys_increment BEFORE INSERT ON category_keys FOR EACH ROW BEGIN SELECT category_keys_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

create table sysaid_forms (
  form_name varchar2(255) not null,
  form_xml clob ,
  PRIMARY KEY(form_name)
);

create table account_symbols (
  symbol_name varchar2(255) not null,
  symbol_date date,
  PRIMARY KEY(symbol_name)
);

create table user_token(
  account_id  varchar2(32) NOT NULL,
  user_ref_id number(11) NOT NULL ,
  create_date number(13),
  token varchar2(4000) NOT NULL,
  PRIMARY KEY( account_id,user_ref_id)
);

create table user_permissions(
  account_id  varchar2(32) NOT NULL,
  user_ref_id number(11) NOT NULL ,
  create_date number(13),
  permission_json clob NOT NULL,
  PRIMARY KEY( account_id,user_ref_id)
);

CREATE TABLE client_app_registration (
  client_id varchar2(64) NOT NULL,
  client_name varchar2(32) NOT NULL,
  description varchar2(255),
  client_secret varchar2(64) NOT NULL,
  origin_domain_name varchar2(128) NOT NULL,
  authorization_callback_url varchar2(255),
  enabled numeric(1,0) default 1,
  system_client numeric(1,0) default 0,
  create_date number(13) NOT NULL,
  update_date number(13),
  PRIMARY KEY  (client_id)
);

create table account_settings(
  account_id  varchar2(32) NOT NULL,
  create_date number(13),
  settings_json varchar2(4000) NOT NULL,
  PRIMARY KEY( account_id)
);

create table user_settings(
  account_id  varchar2(32) NOT NULL,
  user_ref_id number(11) NOT NULL ,
  create_date number(13),
  settings_json varchar2(4000) NOT NULL,
  PRIMARY KEY( account_id,user_ref_id)
);

create table company_categories_settings(
  account_id  varchar2(32) NOT NULL,
  company_id number(11) NOT NULL ,
  create_date number(13),
  settings_json varchar2(4000) NOT NULL,
  PRIMARY KEY( account_id,company_id)
);

CREATE TABLE configuration_flags (
  config_key varchar2(64) NOT NULL,
  config_value number(1,0) default 0,
  PRIMARY KEY (config_key)
);

insert into configuration_flags(config_key,config_value) values ('IgnoreMacAddr',0);
insert into configuration_flags(config_key,config_value) values ('ForceRandomAssetId',0);
insert into configuration_flags(config_key,config_value) values ('EnableGroupFilterFromAdmin',0);
insert into configuration_flags(config_key,config_value) values ('EnableFilterCatsAccordingToRequestUser',0);
insert into configuration_flags(config_key,config_value) values ('EnableSoapApiSupport', 0);
insert into configuration_flags(config_key,config_value) values ('LimitSoapApiToAdminsOnly', 1);
insert into configuration_flags(config_key,config_value) values ('EnableUserAfterSaveAfterLDAPRefresh', 0);
insert into configuration_flags(config_key,config_value) values ('OutgoingEmailByTemplate', 0);
insert into configuration_flags(config_key,config_value) values ('OutgoingEmailByTemplateTask', 0);
insert into configuration_flags(config_key,config_value) values ('EnableToRunAfterSaveOnScheduleOperations', 0);
insert into configuration_flags(config_key,config_value) values ('EnableNewMobileAppLogin', 0);
insert into configuration_flags(config_key,config_value) values ('DisableInReplyToMechanism', 0);
insert into configuration_flags(config_key,config_value) values ('CollectUserLoginStatistics', 0);
insert into configuration_flags(config_key,config_value) values ('EnableMDMFunctionality', 0);

CREATE TABLE account_properties (
  property_key varchar2(255) NOT NULL,
  property_value varchar2(4000),
  property_type varchar2(255),
  PRIMARY KEY (property_key)
);
insert into account_properties(property_key, property_value, property_type) values ('default_to_view_recent_items','1','Boolean');
insert into account_properties(property_key, property_value, property_type) values ('number_of_recent_items_to_display','3','Integer');

insert into account_properties(property_key,property_value,property_type) values ('dashboard_display_mode', '2','Integer');
insert into account_properties(property_key,property_value,property_type) values ('dashboard_display_theme', 'light','String');
insert into account_properties(property_key,property_value,property_type) values ('top_panel_rows_number', '3','Integer');

insert into account_properties(property_key,property_value,property_type) values ('time_to_wait_for_dst_job_stuck', '3600000','Integer');

insert into account_properties(property_key,property_value,property_type) values ('custom_list_max_selected_items', '30','Integer');
insert into account_properties(property_key,property_value,property_type) values ('custom_list_max_row_growth', '5','Integer');

insert into account_properties (property_key, property_value, property_type) values ('mttr_data_last_update_time', ' ', 'String');
insert into account_properties (property_key, property_value, property_type) values ('mttr_data_update_interval_in_hours', '12', 'Integer');

create table emails_list (
  id number(11) NOT NULL,
  name varchar2(120),
  description varchar2(120),
  email_address varchar2(255),
  last_modified_date date,
  last_modified_by varchar2(255),
  last_error_date date,
  default_outgoing numeric(1,0) default 0,
  outgoing_enabled numeric(1,0) default 1,
  outgoing_host_name varchar2(255),
  outgoing_port number(11),
  outgoing_encryption number(11),
  outgoing_user varchar2(255),
  outgoing_password varchar2(255),
  outgoing_encoding varchar2(255),
  outgoing_content_type varchar2(255),
  outgoing_charset varchar2(255),
  outgoing_last_success date,
  incoming_enabled numeric(1,0) default 1,
  incoming_protocol varchar2(32),
  incoming_mail_server varchar2(255),
  incoming_encryption number(11),
  incoming_user varchar2(255),
  incoming_password varchar2(255),
  incoming_search_sbj_in_reverse numeric(1,0) default 0,
  incoming_search_sr_id_in_body numeric(1,0) default 0,
  incoming_change_status number(11),
  incoming_restricted_statuses varchar2(255),
  incoming_ignore_regex varchar2(4000),
  incoming_forward_ignored varchar2(255),
  incoming_send_copy varchar2(255),
  incoming_delete_duplicate numeric(1,0) default 1,
  incoming_ignore_duplicate varchar2(4000),
  incoming_last_success date,
  incoming_last_check date,
  incoming_last_success_check date,
  PRIMARY KEY(id)
);

INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('copyExistedBanners', SYSDATE);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('indexBuildOfActionItem', SYSDATE);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('addPermissionTypeFilterToAdminList', SYSDATE);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('updateEmailRulesListConf', SYSDATE);
INSERT INTO account_symbols (symbol_name, symbol_date) VALUES ('addDefaultSubTabEmptyView', SYSDATE);


create sequence emails_list_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER emails_list_increment BEFORE INSERT ON emails_list FOR EACH ROW BEGIN SELECT emails_list_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

create table application_settings(
  settings_name  varchar2(255) NOT NULL,
  settings_json clob NOT NULL,
  PRIMARY KEY(settings_name)
);

CREATE TABLE sr_activity_log(
  log_id number(11) NOT NULL,
  log_time date ,
  log_type number(11),
  user_name varchar2(64) default NULL,
  ref_entity number(11),
  ref_entity_id number(11),
  sr_id number(11),
  activity_data clob NOT NULL,
  PRIMARY KEY  (log_id)
) ;

create sequence sr_activity_log_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sr_activity_log_increment BEFORE INSERT ON sr_activity_log FOR EACH ROW BEGIN SELECT sr_activity_log_seq.NEXTVAL INTO :new.log_id FROM dual; END;
/
;

create index sr_activity_log_idx1 on sr_activity_log(sr_id);

CREATE TABLE notification_props (
  id number(11) NOT NULL,
  notification_prop_type number(11),
  name varchar2(255) NOT NULL,
  sms_enabled numeric(1,0) default 0,
  mail_enabled numeric(1,0) default 1,
  sr_enabled numeric(1,0) default 0,
  notification_type number(11),
  sms_subject varchar2(255),
  sms_description varchar2(1000),
  sms_recipients varchar2(1000),
  mail_subject varchar2(1000),
  mail_description clob,
  mail_recipients varchar2(1000),
  sr_title varchar2(255),
  sr_category varchar2(64),
  sr_sub_category varchar2(64),
  sr_third_level_category varchar2(64),
  sr_status number(11),
  sr_urgency number(11),
  sr_priority number(11),
  sr_request_user varchar2(64),
  sr_request_user_type number(11),
  sr_responsibility varchar2(64),
  sr_assigned_group varchar2(64),
  sr_description clob,
  sr_location number(11),
  sr_resolution varchar2(4000),
  sr_solution varchar2(4000),
  sr_notes clob,
  sr_sub_type number(11),
  sr_impact number(11),
  is_reminder numeric(1,0) default 0,
  is_system numeric(1,0) default 0,
  is_uss numeric(1,0) default 0,
  pdf_enabled number(11),
  limit_hours number(11),
  limit_start_hour number(11),
  limit_end_hour number(11),
  sr_type number(11),
  sr_template number(11),
  rfc_expression clob,
  sql_rfc_expression varchar2(4000),
  PRIMARY KEY  (id)
);

create sequence notification_props_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER notification_props_increment BEFORE INSERT ON notification_props FOR EACH ROW BEGIN SELECT notification_props_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

create table module_configuration(
  module_name  varchar2(255) NOT NULL,
  module_conf clob NOT NULL,
  update_user varchar2(64),
  update_date date,
  PRIMARY KEY(module_name)
);

create index COMPUTER_LISTS_IDX3 on computer_lists (computer_id,list_type);
create index COMPUTER_LISTS_IDX4 on computer_lists (computer_id,value);

CREATE TABLE index_consumer_properties(consumer_amount number(11) default 1);

INSERT INTO index_consumer_properties (consumer_amount)VALUES(1);

CREATE TABLE index_consumer_account (
  account_id varchar2(32) default '',
  processed number(4) default '0',
  processed_update_time DATE,
  consumer_process_id number(11),
  index_valid number(4) default '1',
  backup_valid number(4) default '0',
  PRIMARY KEY  (account_id)
);

CREATE TABLE user_list_view (
  ref_id number(4) NOT NULL,
  list_name varchar2(64) NOT NULL,
  page varchar2(64) NOT NULL,
  list_view_name varchar2(64) default '',
  list_conf clob,
  view_conf clob,
  PRIMARY KEY (ref_id,list_name,page,list_view_name)
);

create table side_panel_widgets (
    id number(11) not null,
    name varchar2(64) not null,
    sub_title varchar2(64),
    description clob not null,
    is_enabled numeric(1,0) default 0,
    display_order number(11) not null,
    visible_in number(11) not null,
    type number(11) not null,
    class_name varchar2(255) not null,
    advanced_settings clob,
    primary key(id)
);
create sequence side_panel_widgets_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER side_panel_widget_increment BEFORE INSERT ON side_panel_widgets FOR EACH ROW BEGIN SELECT side_panel_widgets_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (1, 'SRs I Closed Today', 'Show the number of SRs I closed today', 1, 1, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.SRsClosedTodaySidePanel', '{"MaxListView":"40"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (2, 'Current SR Group recent actions', 'Show the number of SRs, assigned to same group as current SR, which were closed today', 1, 2, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.SRsGroupClosedTodaySidePanel', '{}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (3, 'Request User SRs', 'Open vs. closed SRs by Request user', 1, 3, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.RequestUserSRsSidePanel', '{"NumberOfDays":"30","MaxListView":"40"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (4, 'Similar SRs (Admin by Category)', 'displays all of the SRs from with the same category grouped by admin', 1, 4, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.SimilarSRsAdminByCategorySidePanel', '{"NumberOfDays":"7"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (5, 'Timer 1', 'Timer average vs. similar SRs', 1, 5, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer1SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (6, 'Timer 2', 'Timer average vs. similar SRs', 1, 6, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer2SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (7, 'Timer 3', 'Timer average vs. similar SRs', 0, 7, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer3SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (8, 'Timer 4', 'Timer average vs. similar SRs', 0, 8, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer4SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (9, 'Timer 5', 'Timer average vs. similar SRs', 0, 9, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer5SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (10, 'Timer 6', 'Timer average vs. similar SRs', 0, 10, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer6SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (11, 'Timer 7', 'Timer average vs. similar SRs', 0, 11, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer7SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (12, 'Timer 8', 'Timer average vs. similar SRs', 0, 12, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer8SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (13, 'Timer 9', 'Timer average vs. similar SRs', 0, 13, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer9SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (14, 'Timer 10', 'Timer average vs. similar SRs', 0, 14, 2, 1, 'com.ilient.server.listAttributeParams.sidePanel.Timer10SidePanel', '{"NumberOfDays":"30"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (15, 'Breach Of Agreement', 'Show the numbers of the breach''s SRs', 1, 15, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.BreachOfAgreementSidePanel', '{"hours1":"1","hours2":"5","hours3":"9","MaxListView":"40"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (16, 'Similar SRs (by Sub Category)', 'displays all of the SRs from with the same category and sub category', 1, 16, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.SimilarSRsBySubCategorySidePanel', '{"NumberOfDays":"7"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (17, 'My Active SRs by Priority', 'Displays all my active SRs by priority', 1, 17, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.ActiveSRsByPrioritySidePanel', '{"minimum":"1","maximum":"5","MaxListView":"40"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (18, 'Unassigned SRs', 'Displays all unassigned SRs which are assigned to one of user''s group', 1, 18, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.UnassignedSRsSidePanel', '{"NumberOfDays":"7"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (19, 'Recently Modified  Software Products', 'Displays recent software and hardware changes for request-user asset', 1, 19, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.RecentlyModifiedSoftwareProductsSidePanel', '{"DaysBeforeRequestTime":"2","DaysAfterRequestTime":"40"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (20, 'Relevant KB', 'Displays all relevant KB articles', 1, 20, 2, 0, 'com.ilient.server.listAttributeParams.sidePanel.RelevantKBsSidePanel', '{"MaxListView":"40"}');
insert into side_panel_widgets (id, name, description, is_enabled, display_order, visible_in, type, class_name, advanced_settings) values (21, 'My Active SRs by time elapsed', 'Displays all my active SRs by time elapsed', 1, 21, 0, 0, 'com.ilient.server.listAttributeParams.sidePanel.ActiveSRsByTimeElapsed', '{"MaxListView":"40","LowerTimeBound":"7","UpperTimeBound":"14"}');

create table account_conf_xmls(
  xml_id number(11) not null,
  xml_name  varchar2(256) not null,
  xml_value clob,
  PRIMARY KEY(xml_id)
);

insert into feature_flags(feature_key,feature_value,feature_start_version) values ('FirstActionItemsAutoComplete',0,'18.4.050');

-- entities that a group can view/manage
create table group_entity_permission (
    entity_type number(11),
    entity_name varchar2(64),
    group_id number(11),
    entity_id number(11),
    permission_type number(11),
    create_date DATE,
    update_date DATE,
    primary key (entity_type,group_id,entity_id,permission_type)
);
create index group_permission_idx1 on group_entity_permission (entity_type,entity_id);

CREATE TABLE agent_os_version (
    os_name varchar2(255) NOT NULL,
    os_min_version varchar2(255) NOT NULL,
    agent_type varchar2(255),
    PRIMARY KEY  (os_name,os_min_version)
);

CREATE TABLE account_agent_os_version (
    os_name varchar2(255) NOT NULL,
    os_min_version varchar2(255) NOT NULL,
    agent_type varchar2(255),
    PRIMARY KEY  (os_name,os_min_version)
);
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Windows','6.0','WindowsAgent');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Mac','10.10','MacAgent');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Ubuntu','0.0','LinuxScript');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Centos','0.0','LinuxScript');
INSERT INTO agent_os_version(os_name,os_min_version,agent_type)VALUES('Debian','0.0','LinuxScript');

insert into feature_flags(feature_key,feature_value,feature_start_version) values ('LockFormDropdownInComposeMessage',0,'19.1.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('ShowNewGroupForm',0,'19.1.040');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnableADM09_SRNewAttachments',0,'19.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('customizeNewLogin',0,'19.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('EnabaleMttrDashboard',0,'19.2.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('RelatedItems_ShowSRStatus',0,'19.3.30');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('ENABLE_WFJOE',1,'19.3.60');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('ENABLE_FEATURE_IN_WF', 0, '20.2.10');
insert into feature_flags(feature_key,feature_value,feature_start_version) values ('HIDE_WFD',0,'20.2.20');

CREATE TABLE side_panel_widgets_permissions(
  widget_id number(11),
  group_id number(11),
  is_included number(1,0),
  is_excluded number(1,0),
  PRIMARY KEY (widget_id,group_id)
);
insert into side_panel_widgets_permissions values (1,-1,1,null);
insert into side_panel_widgets_permissions values (2,-1,1,null);
insert into side_panel_widgets_permissions values (3,-1,1,null);
insert into side_panel_widgets_permissions values (4,-1,1,null);
insert into side_panel_widgets_permissions values (5,-1,1,null);
insert into side_panel_widgets_permissions values (6,-1,1,null);
insert into side_panel_widgets_permissions values (7,-1,1,null);
insert into side_panel_widgets_permissions values (8,-1,1,null);
insert into side_panel_widgets_permissions values (9,-1,1,null);
insert into side_panel_widgets_permissions values (10,-1,1,null);
insert into side_panel_widgets_permissions values (11,-1,1,null);
insert into side_panel_widgets_permissions values (12,-1,1,null);
insert into side_panel_widgets_permissions values (13,-1,1,null);
insert into side_panel_widgets_permissions values (14,-1,1,null);
insert into side_panel_widgets_permissions values (15,-1,1,null);
insert into side_panel_widgets_permissions values (16,-1,1,null);
insert into side_panel_widgets_permissions values (17,-1,1,null);
insert into side_panel_widgets_permissions values (18,-1,1,null);
insert into side_panel_widgets_permissions values (19,-1,1,null);
insert into side_panel_widgets_permissions values (20,-1,1,null);
insert into side_panel_widgets_permissions values (21,-1,1,null);

-- entity types that a group can create/delete
CREATE TABLE group_entity_operation (
    group_id number(11),
    entity_type number(11),
    can_create number(1,0),
    can_delete number(1,0),
    PRIMARY KEY (group_id,entity_type)
);

-- sub type form view tabs addtional info
CREATE TABLE sub_type_form_tabs (
    tab_id number(11) NOT NULL,
    sub_type_id number(11),
    tab_order number(11),
    tab_name varchar2(255),
    tab_caption varchar2(255),
    is_workflow number(1,0),
    is_visible number(1,0),
    is_end_user_view number(1,0) default 0,
    visible_per_groups clob,
    PRIMARY KEY (tab_id)
);

create sequence sub_type_form_tabs_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sub_type_form_tabs_increment BEFORE INSERT ON sub_type_form_tabs FOR EACH ROW BEGIN SELECT sub_type_form_tabs_seq.NEXTVAL INTO :new.tab_id FROM dual; END;
/
;

CREATE TABLE sub_type_form_controls (
     control_id number(11) NOT NULL,
     tab_id number(11),
     control_order number(11),
     attribute_name varchar2(255),
     is_read_only number(1,0) default 0,
     is_required number(1,0) default 0,
     required_for_status_keys clob,
     is_visible number(1,0) default 1,
     default_value varchar2(255),
     visible_per_groups clob,
     is_unique number(1,0) default 0,
     PRIMARY KEY (control_id)
);

create sequence sub_type_form_controls_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER sub_type_form_controls_inc BEFORE INSERT ON sub_type_form_controls FOR EACH ROW BEGIN SELECT sub_type_form_controls_seq.NEXTVAL INTO :new.control_id FROM dual; END;
/
;

create index work_report_ind01 on work_report (account_id,service_req_id);
create index ci_attributes_ind2 on ci_attributes (import_item_id,import_item_type);

CREATE TABLE ldap_metadata(
  id number(11) NOT NULL,
  refresh_time date,
  check_ldap_id number(11),
  ldap_id number(11),
  number_of_users number(11),
  number_of_groups number(11),
  number_of_user_files number(11),
  number_of_group_files number(11),
  number_of_disabled_users number(11),
  rds_name varchar2(255),
  enable_ldap_paging number(1,0),
  groups_by_member_of_attribute number(1,0),
  use_ldap_referral_follow number(1,0),
  ldap_page_size number(11),
  ldap_time_out number(11),
  ldap_count_limit number(11),
  ldap_read_timeout number(11),
  ldap_connect_timeout number(11),
  ldap_users_bulk_size number(11),
  ldap_refresh_min_interval number(11),
  ldap_refresh_hours_gap number(11),
  p_number_of_users number(11),
  p_number_of_groups number(11),
  p_number_of_user_files number(11),
  p_number_of_group_files number(11),
  p_number_of_users_updated number(11),
  p_number_of_group_updated number(11),
  p_disabled_non_imp_admins number(11),
  p_disabled_non_imp_eu number(11),
  end_refresh_time date,
  PRIMARY KEY  (id)
) ;

create sequence ldap_metadata_seq START WITH 1 INCREMENT BY 1 NOCACHE NOCYCLE;
CREATE OR REPLACE TRIGGER ldap_metadata_increment BEFORE INSERT ON ldap_metadata FOR EACH ROW BEGIN SELECT ldap_metadata_seq.NEXTVAL INTO :new.id FROM dual; END;
/
;

CREATE TABLE computer_additional_data (
  computer_id varchar2(64) NOT NULL,
  exclude_owner_calculation numeric(1, 0) default 0,
  PRIMARY KEY (computer_id)
);

CREATE TABLE mttr_data (
   id number(11) NOT NULL,
   insert_time date NOT NULL,
   close_time date,
   first_level_category_id number(11),
   second_level_category_id number(11),
   third_level_category_id number(11),
   admin_group_id number(11),
   PRIMARY KEY(id)
);

CREATE TABLE mttr_filters (
  user_id number(11) not null,
  admin_group_ids varchar2(4000),
  categories_json varchar2(4000),
  timeframe_selection number(11) not null,
  from_date date,
  to_date date,
  version number(11) NOT NULL,
  update_time date not null,
  primary key (user_id,version)
);